VERSION 5.00
Begin VB.Form frmColor 
   ClientHeight    =   2280
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4410
   Icon            =   "frmColor.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2280
   ScaleWidth      =   4410
   StartUpPosition =   1  'CenterOwner
   Begin VB.ComboBox cboColor 
      Height          =   315
      Left            =   270
      TabIndex        =   5
      ToolTipText     =   "Write a color or select."
      Top             =   1080
      Width           =   2685
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   3090
      TabIndex        =   3
      Top             =   1680
      Width           =   950
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   2010
      TabIndex        =   2
      Top             =   1680
      Width           =   950
   End
   Begin VB.CommandButton cmdPalette 
      Caption         =   "Palette"
      Height          =   315
      Left            =   3090
      TabIndex        =   1
      ToolTipText     =   "Show Palette"
      Top             =   1080
      Width           =   950
   End
   Begin VB.Label lblShowColor 
      BackColor       =   &H00000000&
      BorderStyle     =   1  'Fixed Single
      Height          =   585
      Left            =   270
      TabIndex        =   4
      ToolTipText     =   "Selected Color"
      Top             =   60
      Width           =   3765
   End
   Begin VB.Label lblColor 
      Caption         =   "Color in Hex or plain (e.g. ""White"")"
      Height          =   285
      Left            =   270
      TabIndex        =   0
      Top             =   780
      Width           =   2625
   End
End
Attribute VB_Name = "frmColor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Option Compare Text

Dim sChar As String 'Returned value from the KeyPress event in cboColor.text
Dim iR As Integer   'Red RGB value
Dim iG As Integer   'Green RGB value
Dim iB As Integer   'Blue RGB value
Private WithEvents m_cHookDlg As cCommonDialog
Attribute m_cHookDlg.VB_VarHelpID = -1

Private Sub cmdHelp_Click()

End Sub

Private Sub cmdPalette_Click()
On Error GoTo cmdHookError

  
With m_cHookDlg
   .CancelError = False
   .Flags = CC_AnyColor
   .FilterIndex = 1
   .HookDialog = True
   .ShowColor
   cboColor.Text = RgbToHex(LongToRGB(.Color))
End With

Exit Sub

cmdHookError:
   If (Err.Number <> 20001) Then
      MsgBox "Error: " & Err.Description
   End If
   
End Sub

Private Sub Form_Load()
Dim lCount As Long
Dim sTempColor As String
Dim sActiveSheet As String

On Error GoTo ErrorHandler

'A legal char for both Hex and colorstring
'to avoid false errors in case a color is selected
'from the list or the palette.
sChar = "A"
   
Set m_cHookDlg = New cCommonDialog
   
sActiveSheet = cWebPages(lAW).ActiveSheet
   
'Depending on the action the current color in Hex
'is written to the textbox.
With cLayouts(lAL)
    Select Case sAction
        Case "Select Page Background Color"
            If sActiveSheet = "cross" Then
                For lCount = 1 To .CrossStyle.Count
                    If .CrossStyle(lCount).Key = "Body" Then
                        lAC = lCount
                        Exit For
                    End If
                Next
                If lAC = 0 Then
                    MsgBox "To define page background color Palview " & _
                    "requires a Body tag in the CSS file.", vbCritical, "No Body Tag"
                    lAC = 1
                    Exit Sub
                End If
                sCurrentColor = .CrossStyle(lAC).BackgroundColor
            
            ElseIf sActiveSheet = "page" Then
                For lCount = 1 To .StyleSheet.Count
                    If .StyleSheet(lCount).Key = "Body" Then
                        lAS = lCount
                        Exit For
                    End If
                Next
                If lAS = 0 Then
                    MsgBox "To define page background color Palview " & _
                    "requires a Body tag in the CSS file.", vbCritical, "No Body Tag"
                    lAS = 1
                    Exit Sub
                End If
                sCurrentColor = .StyleSheet(lAS).BackgroundColor
            
            ElseIf sActiveSheet = "iframe" Then
                For lCount = 1 To .Iframe.Count
                    If .Iframe(lCount).Key = "Body" Then
                        lAI = lCount
                        Exit For
                    End If
                Next
                If lAI = 0 Then
                    MsgBox "To define page background color Palview " & _
                    "requires a Body tag in the CSS file.", vbCritical, "No Body Tag"
                    lAI = 1
                    Exit Sub
                End If
                sCurrentColor = .Iframe(lAI).BackgroundColor
            End If
        
        Case "Select Border Color"
    
        Case "Select Table Border Color"
        
        Case "Select Highlight Color"
        
        Case "Select Variation Color"
        
    End Select
End With

If Len(sAction) > 0 Then
    Me.Caption = sAction
End If

FillCombo   'Fills the list with available color names.

'If a color isn't loaded (none selected) the OK button
'is disabled.
If Len(cboColor.Text) = 0 Then
    cmdOK.Enabled = False
Else
    cmdOK.Enabled = True
End If

Exit Sub
ErrorHandler:

MsgBox Err.Description & vbNewLine & _
"Error loading color form.", vbCritical, "Error"
End Sub

Private Sub cmdCancel_Click()
Unload Me
End Sub

Private Sub cmdOK_Click()

Dim sAnswer As String
Dim sActiveSheet As String

On Error GoTo ErrorHandler

sActiveSheet = cWebPages(lAW).ActiveSheet

With cLayouts(lAL)
    Select Case sAction
        Case "Select Page Background Color"
            If sActiveSheet = "cross" Then
                If Len(.PathBGCrossImage) > 0 Then
                    sAnswer = MsgBox("You have previously selected an image for page " & _
                    "background. Do you want the color instead?", vbQuestion + vbYesNo, "Color or Image?")
                    If sAnswer = vbYes Then
                        .PathBGCrossImage = Empty
                    Else
                        Unload Me
                    End If
                End If
            ElseIf sActiveSheet = "page" Then
    '           If it is the game page stylesheet
    '           If a page background image is selected the user is
    '           prompted for his choice: color or image.
                If Len(.PathBGImage) > 0 Then
                    sAnswer = MsgBox("You have previously selected an image for page " & _
                    "background. Do you want the color instead?", vbQuestion + vbYesNo, "Color or Image?")
                    If sAnswer = vbYes Then
                        .PathBGImage = Empty
                    Else
                        Unload Me
                    End If
                End If
            ElseIf sActiveSheet = "iframe" Then
    '           If it is an iframe stylesheet
    '           If an iframe background image is selected the user is
    '           prompted for his choice: color or image.
                If Len(.PathBGIframeImage) > 0 Then
                    sAnswer = MsgBox("You have previously selected an image as I-frame " & _
                    "background. Do you want the color instead?", vbQuestion + vbYesNo, "Color or Image?")
                    If sAnswer = vbYes Then
                        .PathBGIframeImage = Empty
                    Else
                        Unload Me
                    End If
                End If
            End If
    
    '       Sets sCurrentColor = selected color
            sCurrentColor = cboColor.Text
        
        Case "Select Text Color", "Select Element Background Color"
            'The global values for RGB red, green and blue
            'are set = selected color.
            iRed = iR
            iGreen = iG
            iBlue = iB
            sCurrentColor = cboColor.Text
        
        Case "Select Table Background Color"
            sCurrentColor = cboColor.Text
        
        Case "Select Chess Board Bordercolor"
            sCurrentColor = cboColor.Text
            
        Case Else
            sCurrentColor = cboColor.Text
    End Select
End With

Unload Me

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error in color selection. Procedure cmdOK_Click.", , "Error"
Unload Me
End Sub

Private Sub cboColor_KeyPress(KeyAscii As Integer)
sChar = Chr(KeyAscii)   'Returns the character
End Sub
Private Function LegalHex(ByRef sChar) As Boolean
'Returns true if a legal hex character
LegalHex = sChar Like "[0-9 A-F]"
End Function
Private Function LegalChar(ByRef sChar) As Boolean
'Returns true if a legal color name character
LegalChar = sChar Like "[A-Z]"
End Function

Private Sub cboColor_Change()
'Every time the combox' textfield changes this procedure is called.

Dim sColor As String
Dim lCount As Long
Dim bColor As Boolean

On Error GoTo ErrorHandle
With cboColor
    'If empty string we leave. This may occur if the change event
    'has been triggered by deletion of the first character - either
    'by the following if..then or by the user.
    If Len(.Text) = 0 Then
        cmdOK.Enabled = False
        Exit Sub
    End If
    
    'If only one character in string and not # we check
    'if it is a legal character for a color name.
    'If not it is deleted and we leave the procedure.
    If Len(.Text) = 1 And sChar <> "#" Then
        If LegalChar(.Text) = False Then
            .Text = ConvertSubstring(.Text, sChar, "")
            cmdOK.Enabled = False
            Exit Sub
        End If
    End If
    
    bColor = False
    
    'If the first character is # we're dealing with a Hex string
    If Left$(.Text, 1) = "#" Then
    '   If the key pressed is not a legal Hex char
        If LegalHex(sChar) = False Then
    '       scolor is set = cboColor.text except for the first char
    '       In the event that the illegal char is a # we don't
    '       want to remove the first.
            sColor = Right$(.Text, Len(.Text) - 1)
    '       Now we replace all ocurrences of the illegal char
    '       using the public function ConvertSubstring.
            sColor = ConvertSubstring(sColor, sChar, "")
    '       cbocolor.text is replaced with the "clean" string
            .Text = Left$(.Text, 1) & sColor
    '       The cursor is positioned at the end of the text
            .SelStart = Len(.Text)
        End If
    '   If more than 7 characters the last is removed.
        If Len(.Text) > 7 Then
            .Text = Left$(.Text, 7)
        End If
    '   If not a full hex string we leave the procedure.
        If Len(.Text) < 7 Then
            cmdOK.Enabled = False
            Exit Sub
        End If
    '   If there are 7 characters we snatch the last 6 (without the #)
        sColor = Right$(.Text, 6)
    Else    'If not a Hex string (not # as first char)
    '   If the key pressed is an illegal char (not A-Z)
    '   it is not a descriptive color (like e.g. "Black")
        If LegalChar(sChar) = False Then
    '       First we copy the cboColor.text to sColor
    '       to get only one change event later when
    '       we remove illegal chars.
            sColor = .Text
    '       The illegal char is removed by the public function ConvertSubstring
            sColor = ConvertSubstring(sColor, sChar, "")
            .Text = sColor
    '       Cursor is positioned at the end of the text
            .SelStart = Len(sColor)
        End If
        
    '   If the char is legal we check if the string is in the
    '   combox' list of color names.
        For lCount = 0 To .ListCount
            If .Text = .List(lCount) Then
    '           If in the list, bColor is set = true
                bColor = True
    '           We set the listindex = lCount (the color's index).
    '           This is used a few lines below when we find the
    '           Hex value with the ColornameToHex function.
                .ListIndex = lCount
    '           and leave the loop
                Exit For
            End If
        Next
    '   If the string is not a color name we leave
        If bColor = False Then
            cmdOK.Enabled = False   'Disables OK button
            Exit Sub
        End If
    '   Function call (module TextAndColor) returns the RGB hex
        sColor = ColornameToHex(Str$(.ListIndex))
    End If
End With

'The first pair in the hex code is converted into an RGB integer
iR = HexToRgb(Left$(sColor, 2))
'The second pair
iG = HexToRgb(Mid$(sColor, 3, 2))
'and the third
iB = HexToRgb(Right$(sColor, 2))
'The small square on the form displays the selected color
lblShowColor.BackColor = RGB(iR, iG, iB)


'Enables the OK button.
cmdOK.Enabled = True
'sChar is set to a value legal for both Hex and non-hex.
'This is in the event that a new color is picked from the
'palette or the combo.
sChar = "A"

Exit Sub

ErrorHandle:
MsgBox Err.Description, , "Error"
cmdOK.Enabled = False
sChar = "A"
Exit Sub

Abort:
MsgBox "Not a proper color", vbCritical, "Not a color"
cmdOK.Enabled = False
End Sub
Private Sub cboColor_Click()
'Initiates the change event if a color is picked
'from the list or the palette.
If cboColor.DataChanged = True Then cboColor_Change

End Sub

Private Sub FillCombo()
'Fills the combobox' list with color names.
'We put the currently active color into the combobox'
'textfield. If it is a Hex number, we put a "#" in front.

Dim iCount As Integer   'Counter

On Error GoTo ErrorHandler

With cboColor
    .Clear
    For iCount = 0 To UBound(sColorNames)   'At present 0 to 140
        .AddItem sColorNames(iCount)
'       If the currently active color matches
        If sCurrentColor = sColorNames(iCount) Then
            .Text = sCurrentColor
        End If
    Next
'   If the textfield wasn't filled we're dealing with a Hex number.
    If Len(.Text) = 0 Then
        If Len(sCurrentColor) = 6 Then
            .Text = "#" & sCurrentColor
        Else
            .Text = sCurrentColor
        End If
    End If
End With

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error filling combobox with color names. Procedure FillCombo in frmColor.", , "Error"
End Sub

Private Sub Form_Resize()
On Error Resume Next
Me.Height = 2760
Me.Width = 4800
End Sub


Private Sub m_cHookDlg_InitDialog(ByVal hDlg As Long)
   m_cHookDlg.CentreDialog hDlg, Me
End Sub

