VERSION 5.00
Begin VB.Form frmCssBackground 
   Caption         =   "Background"
   ClientHeight    =   4530
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5880
   Icon            =   "frmCssBackground.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4530
   ScaleWidth      =   5880
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdHelp 
      Height          =   315
      Left            =   3300
      Picture         =   "frmCssBackground.frx":06EA
      Style           =   1  'Graphical
      TabIndex        =   13
      ToolTipText     =   "Help"
      Top             =   3990
      Width           =   255
   End
   Begin VB.Frame frBGColor 
      Caption         =   "Background Color"
      Height          =   855
      Left            =   3000
      TabIndex        =   8
      Top             =   150
      Width           =   2685
      Begin VB.CommandButton cmdDelete 
         Height          =   315
         Index           =   0
         Left            =   2130
         Picture         =   "frmCssBackground.frx":07EC
         Style           =   1  'Graphical
         TabIndex        =   10
         ToolTipText     =   "Delete Color"
         Top             =   330
         Width           =   405
      End
      Begin VB.CommandButton cmdBGColor 
         Caption         =   "Select Color"
         Height          =   315
         Left            =   120
         TabIndex        =   9
         ToolTipText     =   "Select Background Color"
         Top             =   330
         Width           =   1905
      End
   End
   Begin VB.Frame frBGImage 
      Caption         =   "Background Image"
      Height          =   4155
      Left            =   120
      TabIndex        =   2
      Top             =   150
      Width           =   2685
      Begin VB.OptionButton optPos 
         Caption         =   "Default"
         Height          =   285
         Index           =   3
         Left            =   180
         TabIndex        =   21
         ToolTipText     =   "No explicit vertical position"
         Top             =   3690
         Width           =   855
      End
      Begin VB.Frame Frame1 
         BorderStyle     =   0  'None
         Height          =   1095
         Left            =   1290
         TabIndex        =   18
         Top             =   2700
         Width           =   1305
         Begin VB.OptionButton optLeftRight 
            Caption         =   "Default"
            Height          =   285
            Index           =   2
            Left            =   240
            TabIndex        =   22
            ToolTipText     =   "No explicit horizontal position"
            Top             =   660
            Width           =   855
         End
         Begin VB.OptionButton optLeftRight 
            Caption         =   "Right"
            Height          =   285
            Index           =   1
            Left            =   240
            TabIndex        =   20
            Top             =   360
            Width           =   855
         End
         Begin VB.OptionButton optLeftRight 
            Caption         =   "Left"
            Height          =   285
            Index           =   0
            Left            =   240
            TabIndex        =   19
            Top             =   60
            Width           =   855
         End
      End
      Begin VB.OptionButton optPos 
         Caption         =   "Bottom"
         Height          =   285
         Index           =   2
         Left            =   180
         TabIndex        =   17
         Top             =   3375
         Width           =   915
      End
      Begin VB.OptionButton optPos 
         Caption         =   "Center"
         Height          =   285
         Index           =   1
         Left            =   180
         TabIndex        =   16
         Top             =   3075
         Width           =   915
      End
      Begin VB.OptionButton optPos 
         Caption         =   "Top"
         Height          =   285
         Index           =   0
         Left            =   180
         TabIndex        =   15
         Top             =   2760
         Width           =   915
      End
      Begin VB.CommandButton cmdDelete 
         Height          =   315
         Index           =   1
         Left            =   2130
         Picture         =   "frmCssBackground.frx":08EE
         Style           =   1  'Graphical
         TabIndex        =   11
         ToolTipText     =   "Remove Image Reference"
         Top             =   330
         Width           =   405
      End
      Begin VB.ComboBox cboBGRepeat 
         Height          =   315
         Left            =   150
         TabIndex        =   5
         ToolTipText     =   "Repeat Image up/down"
         Top             =   1890
         Width           =   1905
      End
      Begin VB.ComboBox cboBGAttachment 
         Height          =   315
         Left            =   150
         TabIndex        =   4
         ToolTipText     =   "Background Image Fixed/Scroll"
         Top             =   1140
         Width           =   1905
      End
      Begin VB.CommandButton cmdBGImage 
         Caption         =   "Select Image"
         Height          =   315
         Left            =   150
         TabIndex        =   3
         ToolTipText     =   "Select Background Image"
         Top             =   330
         Width           =   1905
      End
      Begin VB.Label Label1 
         Caption         =   "Background Position"
         Height          =   255
         Index           =   0
         Left            =   150
         TabIndex        =   14
         Top             =   2460
         Width           =   1905
      End
      Begin VB.Label Label1 
         Caption         =   "Background Repeat"
         Height          =   285
         Index           =   4
         Left            =   150
         TabIndex        =   7
         Top             =   1620
         Width           =   1905
      End
      Begin VB.Label Label1 
         Caption         =   "Background Attachment"
         Height          =   285
         Index           =   1
         Left            =   150
         TabIndex        =   6
         Top             =   870
         Width           =   1905
      End
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   3660
      TabIndex        =   0
      Top             =   3990
      Width           =   950
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   4740
      TabIndex        =   1
      Top             =   3990
      Width           =   950
   End
   Begin VB.Label lblHelp 
      ForeColor       =   &H00C00000&
      Height          =   2685
      Left            =   3000
      TabIndex        =   12
      Top             =   1140
      Width           =   2715
   End
End
Attribute VB_Name = "frmCssBackground"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Text
Option Explicit
Dim cBlock As CssBlock
Dim sBGColor As String      'Variable for color
Dim sBGImage As String      'Variable for Background Image
Dim sBGPosOrig As String    'Variable for background position
Dim sBGColorOrig As String  'Original color
Dim sBGImageOrig As String  'Original background image

Private Sub cmdHelp_Click()
Dim sHelpUrl As String

On Error GoTo ErrorHandler

sHelpUrl = App.path & "\help\cssbackground.htm"
Me.Hide
Call ShowHelp(sHelpUrl)
Me.Show vbModal, fMainForm

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error displaying help.", vbCritical, "Error"

End Sub

Private Sub Form_Load()

On Error GoTo ErrorHandler

Select Case cWebPages(lAW).ActiveSheet
    Case "page"
        Set cBlock = cLayouts(lAL).StyleSheet(lAS)
        If lpubBodyIndex = lAS Then
            sAction = "Select Page Background Image"
        Else
            sAction = "Select Element Background Image"
        End If
    
    Case "cross"
        Set cBlock = cLayouts(lAL).CrossStyle(lAC)
        If lpubBodyCrossIndex = lAC Then
            sAction = "Select Page Background Image"
        Else
            sAction = "Select Element Background Image"
        End If

    Case "iframe"
        Set cBlock = cLayouts(lAL).Iframe(lAI)
        If lpubBodyIframeIndex = lAI Then
            sAction = "Select Page Background Image"
        Else
            sAction = "Select Element Background Image"
        End If
End Select

sAction = "Select Page Background Image"
sBGImage = cBlock.PathBackgroundImage
sBGImageOrig = sBGImage
sBGColor = cBlock.BackgroundColor
sBGColorOrig = sBGColor



'The color/image -delete buttons are en- or disabled.
'If a color or image is defined enabled, otherwise disabled.
cmdDelete(0).Enabled = Len(sBGColor)
cmdDelete(1).Enabled = Len(cBlock.BackgroundImage)

InitBGAttachment
InitBGRepeat
InitBGPosition

lblHelp.Caption = "You can select either a color or an image as background."

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error loading form for background selection.", vbCritical, "Error"

End Sub

Private Sub cmdDelete_Click(Index As Integer)
Dim lCount As Long

On Error GoTo ErrorHandler

If Index = 0 Then   'Deletes the background color.
    sBGColor = Empty
    cmdDelete(0).Enabled = False
ElseIf Index = 1 Then   'Deletes the background image.
    cboBGAttachment.Enabled = False
    cboBGRepeat.Enabled = False
    cmdDelete(1).Enabled = False
    For lCount = 0 To 3
        optPos(lCount).Enabled = False
        optPos(lCount).Value = False
    Next
    For lCount = 0 To 2
        optLeftRight(lCount).Enabled = False
        optLeftRight(lCount).Value = False
    Next
    sBGImage = Empty
End If

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error disabling background properties.", vbCritical, "Error"
End Sub

Private Sub cmdCancel_Click()

spubPath = Empty
sCurrentColor = Empty

Unload Me

End Sub

Private Sub cmdOK_Click()

Dim lCount As Long
Dim frmForm As Form
Dim sKey As String
Dim sPos As String
Dim bNew As Boolean

On Error GoTo ErrorHandler

bNew = False

'If background color has changed we set the new color.
If sBGColor <> sBGColorOrig Then
    cBlock.BackgroundColor = sBGColor
    bNew = True
End If

sCurrentColor = Empty
sBGColor = Empty
sBGColorOrig = Empty

With cLayouts(lAL)
    'If the local DOS path to background image has changed
    'we change the image path property and the relative URL.
    If sBGImage <> sBGImageOrig Then
        cBlock.PathBackgroundImage = sBGImage
        If Len(sBGImage) > 0 Then
            cBlock.BackgroundImage = "URL(" & MakeUrl(.PathWebCss, sBGImage) & ")"
        End If
        bNew = True
        If sAction = "Select Page Background Image" Then
            Select Case cWebPages(lAW).ActiveSheet
                Case "page"
                    .PathBGImage = sBGImage
                Case "cross"
                    .PathBGCrossImage = sBGImage
                Case "iframe"
                    .PathBGIframeImage = sBGImage
            End Select
        End If
    End If

    If sBGImage = Empty Then
        cBlock.PathBackgroundImage = Empty
        cBlock.BackgroundImage = Empty
        cBlock.BackgroundAttachment = Empty
        cBlock.BackgroundRepeat = Empty
        cBlock.BackgroundPosition = Empty
        bNew = True
        If sAction = "Select Page Background Image" Then
            Select Case cWebPages(lAW).ActiveSheet
                Case "page"
                    .PathBGImage = Empty
                Case "cross"
                    .PathBGCrossImage = Empty
                Case "iframe"
                    .PathBGIframeImage = Empty
            End Select
        End If
    End If
End With

With cBlock
    'Background-attachment
    If Len(sBGImage) > 0 And cboBGAttachment.Text <> .BackgroundAttachment Then
        .BackgroundAttachment = cboBGAttachment.Text
        bNew = True
    End If
    
    'Background-repeat
    If Len(sBGImage) > 0 And cboBGRepeat.Text <> .BackgroundRepeat Then
        .BackgroundRepeat = cboBGRepeat.Text
        bNew = True
    End If
End With

'Background position
If Len(sBGImage) > 0 Then
    If optPos(0).Value = True Then
        sPos = "top"
    End If
    If optPos(1).Value = True Then
        sPos = "center"
    End If
    If optPos(2).Value = True Then
        sPos = "bottom"
    End If
    
    If optLeftRight(0).Value = True Then
        If Len(sPos) > 0 Then
            sPos = sPos & " left"
        Else
            sPos = "left"
        End If
    End If
    If optLeftRight(1).Value = True Then
        If Len(sPos) > 0 Then
            sPos = sPos & " right"
        Else
            sPos = "right"
        End If
    End If
    If sBGPosOrig <> sPos Then
        cBlock.BackgroundPosition = sPos
        bNew = True
    End If
End If

spubPath = Empty
sBGImage = Empty
sBGImageOrig = Empty
sBGPosOrig = Empty

'If anything has changed, the stylesheet's changed-property is set=true
'and we update the Css-text window (if visible).
If bNew Then
    cBlock.Changed = True
    If bCssBarVisible Then
        sKey = cLayouts(lAL).CaptionName
'       Iterate through the forms collection
'       until the right form has been found.
        For Each frmForm In Forms
            If frmForm.Caption = sKey Then
                frmForm.UpdateCssToolBar    'Update floating Css-window.
                Exit For
            End If
        Next
    End If
    sKey = Empty
    Set frmForm = Nothing
End If

sAction = Empty

Unload Me

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Error in procedure cmdOK_Click, " & _
"frmCssBackground.", vbCritical, "Error"
End Sub

Private Sub cmdBGColor_Click()
'Sets the background color

On Error GoTo ErrorHandler

'The public variable sCurrentColor is set = currently selected color (if any).
sCurrentColor = sBGColor

'Shows the Select Color form
frmColor.Show vbModal

'If a new color has been selected, it is saved in sBGColor.
If sBGColor <> sCurrentColor Then
    sBGColor = sCurrentColor
    If Len(sBGColor) > 0 Then
        cmdDelete(0).Enabled = True
    Else
        cmdDelete(0).Enabled = False
    End If
End If

sAction = Empty
Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & "Error selecting background color. Procedure " & _
"cmdBGColor_Click, frmPgnText.", vbCritical, "Error"
End Sub

Private Sub cmdBGImage_Click()
'Displays a dialog for image selection

Dim lCount As Long
Dim bSel As Boolean

On Error GoTo ErrorHandler

'The global variable spubPath is set = sBGImage for later comparison.
spubPath = sBGImage

frmBoardConpanel.Show vbModal

'If the user selected an image (or deleted!)
If sBGImage <> spubPath Then
    sBGImage = spubPath
End If

'The background attachment, -repeat and -position is
'enabled if an image is selected.
cboBGAttachment.Enabled = Len(sBGImage)
cboBGRepeat.Enabled = Len(sBGImage)

bSel = False

'Enables the position buttons
If Len(sBGImage) > 0 Then
    For lCount = 0 To 3
        optPos(lCount).Enabled = True
        If optPos(lCount).Value = True Then
            bSel = True
        End If
    Next
    If bSel = False Then optPos(3).Value = True
    bSel = False
    For lCount = 0 To 2
        optLeftRight(lCount).Enabled = True
        If optLeftRight(lCount).Value = True Then
            bSel = True
        End If
    Next
    If bSel = False Then optLeftRight(2).Value = True
End If

'The delete button is en- or disabled
cmdDelete(1).Enabled = Len(sBGImage)

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Error in procedure cmdImage_Click, " & _
"frmCssBackground.", vbCritical, "Error"
End Sub

Private Sub InitBGAttachment()
'Initialises the BackgroundAttachment combo.

With cboBGAttachment
    .AddItem "scroll"
    .AddItem "fixed"

    .Text = cBlock.BackgroundAttachment
    
    If Len(sBGImage) = 0 Then
        .Enabled = False
    Else
        .Enabled = True
    End If
End With

End Sub
Private Sub InitBGRepeat()
'Initialises the BackgroundRepeat combo.

With cboBGRepeat
    .AddItem "repeat"
    .AddItem "no-repeat"
    .AddItem "repeat-x"
    .AddItem "repeat-y"

    .Text = cBlock.BackgroundRepeat
    
    If Len(sBGImage) = 0 Then
        .Enabled = False
    Else
        .Enabled = True
    End If
End With

End Sub
Private Sub InitBGPosition()
'Initialises the background position optionbuttons.

Dim lCount As Long
Dim sPos As String

On Error GoTo ErrorHandler

If Len(sBGImage) = 0 Then
    For lCount = 0 To 3
        optPos(lCount).Enabled = False
    Next
    For lCount = 0 To 2
        optLeftRight(lCount).Enabled = False
    Next
    Exit Sub
End If

sPos = cBlock.BackgroundPosition
sBGPosOrig = sPos   'Used for comparison when the form is closed.

If InStr(1, sPos, "top") > 0 Then
    optPos(0).Value = True
End If

If InStr(1, sPos, "center") > 0 Then
    optPos(1).Value = True
End If

If InStr(1, sPos, "bottom") > 0 Then
    optPos(2).Value = True
End If

If Len(sPos) = 0 Then
    optPos(3).Value = True
End If

If InStr(1, sPos, "left") > 0 Then
    optLeftRight(0).Value = True
ElseIf InStr(1, sPos, "right") > 0 Then
    optLeftRight(1).Value = True
Else
    optLeftRight(2).Value = True
End If

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error initialising background position.", vbCritical, "Error"

End Sub
Private Sub Form_Unload(Cancel As Integer)
Set cBlock = Nothing
End Sub
Private Sub frBGColor_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "You can select either a color or an image as background."
End Sub
Private Sub cmdBGColor_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "You can select either a color or an image as background."
End Sub
Private Sub frBGImage_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "A background image can be fixed or scroll with the page. " & _
"If you select ""repeat"" the background will be like a mosaic of the same image." & vbNewLine & vbNewLine & _
"The background image's position can be defined explicitly - for instance Top + Right." & vbNewLine & vbNewLine & _
"Different page elements can have different background images."
End Sub
