VERSION 5.00
Begin VB.Form frmCssCopy 
   ClientHeight    =   1605
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4605
   Icon            =   "frmCssCopy.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1605
   ScaleWidth      =   4605
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   2280
      TabIndex        =   3
      Top             =   1110
      Width           =   950
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   3360
      TabIndex        =   2
      Top             =   1110
      Width           =   950
   End
   Begin VB.TextBox txtFileName 
      Height          =   315
      Left            =   210
      TabIndex        =   1
      Top             =   1110
      Width           =   1845
   End
   Begin VB.Label lblPrompt 
      Height          =   555
      Left            =   210
      TabIndex        =   0
      Top             =   330
      Width           =   4095
   End
End
Attribute VB_Name = "frmCssCopy"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Text
Option Explicit

Private Sub cmdCancel_Click()
Unload Me
End Sub


Private Sub cmdOK_Click()

Dim sFile As String
Dim sSource As String

On Error GoTo ErrorHandler

Me.Caption = "Copy " & sAction & " Stylesheet"

sFile = txtFileName.Text
If Len(sFile) > 8 Then
    txtFileName.Text = Left$(sFile, 8)
End If

Select Case sAction
    Case "Crosstable"
        sFile = App.path & "\CrossCss\" & sFile & ".css"
    Case "Iframe"
        sFile = App.path & "\IframCss\" & sFile & ".css"
End Select

If FileCheck(sFile) Then
    MsgBox "A stylesheet named " & Dir(sFile) & " already exists. Please enter a new filename.", vbInformation, "Existing filename"
    Exit Sub
End If

'Before copying the active stylesheet to a new stylesheetname
'we write it to the target directory. It could be updated/changed
'since the last write-action, or maybe it doesn't exist in the
'target directory yet because the page hasn't been previewed.
With cLayouts(lAL)
    If sAction = "Crosstable" Then
        sSource = .PathWebCss & "\" & .CrossStylesheetName
        .CrossStyle.WriteNewCss
        Call Savefile(sSource, .CrossStyle.NewCss, False, True)
        .CrossStyle.NewCss = Empty
        .CrossStyle.Changed = False
    End If
    
    If sAction = "Iframe" Then
        sSource = .PathWebCss & "\" & .IframeCssName
        .Iframe.WriteNewCss
        Call Savefile(sSource, .Iframe.NewCss, False, True)
        .Iframe.NewCss = Empty
        .Iframe.Changed = False
    End If
End With

Call CopyFile(sSource, sFile)

Unload Me

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error copying crosstable stylesheet.", vbCritical, "Error"

End Sub

Private Sub Form_Load()

Dim sSource As String

On Error GoTo ErrorHandler

sSource = sAction

lblPrompt.Caption = "This will copy the active " & sSource & " stylesheet. Write the " & _
"name of the new stylesheet in the textbox. Max 8 characters."

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error loading frmCssCopy", vbCritical, "Error"
End Sub

Private Sub Form_Unload(Cancel As Integer)
sAction = Empty
End Sub

Private Sub txtFileName_KeyPress(KeyAscii As Integer)
If KeyAscii = 8 Then Exit Sub

If Len(txtFileName.Text) >= 8 Then KeyAscii = 0
If dhIsCharAlphanumeric(Chr(KeyAscii)) = False Then KeyAscii = 0

End Sub
