VERSION 5.00
Begin VB.Form frmCssFont 
   Caption         =   "Font"
   ClientHeight    =   4185
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4395
   Icon            =   "frmFont.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4185
   ScaleWidth      =   4395
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdHelp 
      Height          =   315
      Left            =   3588
      Picture         =   "frmFont.frx":06EA
      Style           =   1  'Graphical
      TabIndex        =   10
      ToolTipText     =   "Help"
      Top             =   2730
      Width           =   255
   End
   Begin VB.ComboBox cboFamily 
      Height          =   315
      Left            =   1020
      Sorted          =   -1  'True
      TabIndex        =   1
      ToolTipText     =   "Select Font Family"
      Top             =   805
      Width           =   2655
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   3240
      TabIndex        =   9
      Top             =   3630
      Width           =   950
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   3240
      TabIndex        =   8
      Top             =   3180
      Width           =   950
   End
   Begin VB.ComboBox cboUnit 
      Height          =   315
      Left            =   2280
      TabIndex        =   3
      ToolTipText     =   "Unit of Measurement"
      Top             =   1370
      Width           =   705
   End
   Begin VB.ComboBox cboFontStyle 
      Height          =   315
      Left            =   1020
      TabIndex        =   4
      Text            =   "Font Style"
      ToolTipText     =   "Font Style (e.g. italic)"
      Top             =   1935
      Width           =   1935
   End
   Begin VB.ComboBox cboFontWeight 
      Height          =   315
      Left            =   1020
      TabIndex        =   5
      Text            =   "FontWeight"
      ToolTipText     =   "Font Weight (e.g. bold)"
      Top             =   2500
      Width           =   1935
   End
   Begin VB.ComboBox cboFontSize 
      Height          =   315
      Left            =   1020
      TabIndex        =   2
      Text            =   "Font Size"
      ToolTipText     =   "Font Size"
      Top             =   1370
      Width           =   1215
   End
   Begin VB.ComboBox cboFontStretch 
      Height          =   315
      Left            =   1020
      TabIndex        =   6
      Text            =   "Font Stretch"
      ToolTipText     =   "Font Stretch"
      Top             =   3065
      Width           =   1935
   End
   Begin VB.ComboBox cboFontVariant 
      Height          =   315
      Left            =   1020
      TabIndex        =   7
      Text            =   "Font Variant"
      ToolTipText     =   "Font Variant"
      Top             =   3630
      Width           =   1935
   End
   Begin VB.ComboBox cboFonts 
      Height          =   315
      Left            =   1020
      Sorted          =   -1  'True
      TabIndex        =   0
      ToolTipText     =   "Select Font"
      Top             =   240
      Width           =   2655
   End
   Begin VB.Label Label1 
      Caption         =   "Family"
      Height          =   285
      Index           =   0
      Left            =   210
      TabIndex        =   17
      Top             =   830
      Width           =   525
   End
   Begin VB.Label Label1 
      Caption         =   "Fonts"
      Height          =   285
      Index           =   7
      Left            =   210
      TabIndex        =   16
      Top             =   270
      Width           =   525
   End
   Begin VB.Label Label1 
      Caption         =   "Size"
      Height          =   285
      Index           =   8
      Left            =   210
      TabIndex        =   15
      Top             =   1390
      Width           =   525
   End
   Begin VB.Label Label1 
      Caption         =   "Style"
      Height          =   285
      Index           =   9
      Left            =   210
      TabIndex        =   14
      Top             =   1950
      Width           =   555
   End
   Begin VB.Label Label1 
      Caption         =   "Weight"
      Height          =   285
      Index           =   10
      Left            =   210
      TabIndex        =   13
      Top             =   2510
      Width           =   735
   End
   Begin VB.Label Label1 
      Caption         =   "Stretch"
      Height          =   285
      Index           =   11
      Left            =   210
      TabIndex        =   12
      Top             =   3070
      Width           =   705
   End
   Begin VB.Label Label1 
      Caption         =   "Variant"
      Height          =   285
      Index           =   12
      Left            =   210
      TabIndex        =   11
      Top             =   3630
      Width           =   735
   End
End
Attribute VB_Name = "frmCssFont"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Text
Option Explicit
Dim cBlock As CssBlock
Private colFamily As Collection

Private Sub Form_Load()
'Initialises the form's controls

Select Case cWebPages(lAW).ActiveSheet
    Case "page"
        Set cBlock = cLayouts(lAL).StyleSheet(lAS)
    Case "cross"
        Set cBlock = cLayouts(lAL).CrossStyle(lAC)
    Case "iframe"
        Set cBlock = cLayouts(lAL).Iframe(lAI)
    Case Else
        Set cBlock = cLayouts(lAL).StyleSheet(lAS)
End Select

InitControls

End Sub

Private Sub cmdCancel_Click()
Unload Me

End Sub

Private Sub cmdOK_Click()

Dim bSameFont As Boolean
Dim lCount As Long
Dim frmForm As Form
Dim sKey As String

On Error GoTo ErrorHandler

bSameFont = False

With cBlock
    'The font name
    If Len(cboFonts.Text) > 0 Then  'If there's a fontname
        'If the font family collection doesn't exist we create it.
        If .FontFamily Is Nothing Then
            Set .FontFamily = New Collection
        End If
        'If the collection is empty we just add the font.
        If .FontFamily.Count = 0 Then
            .FontFamily.Add cboFonts.Text
        Else
            'If there are fonts in the collection already, we compare
            'the new font name with the ones in the collection.
            'If the font is already there we exit, else the font is added.
            For lCount = 1 To .FontFamily.Count
                If cboFonts.Text = .FontFamily(lCount) Then
                    bSameFont = True
                    Exit For
                End If
            Next
            If bSameFont = False Then
                'Adds the font.
                .FontFamily.Add cboFonts.Text
            End If
        End If
    End If
    
    bSameFont = False
    'The font family name
    If Len(cboFamily.Text) > 0 Then  'If there's a fontname
        'If the font family collection doesn't exist we create it.
        If .FontFamily Is Nothing Then
            Set .FontFamily = New Collection
        End If
        'If the collection is empty we just add the font-family.
        If .FontFamily.Count = 0 Then
            .FontFamily.Add cboFamily.Text
        Else
            'If there are fonts in the collection already, we compare
            'the new font name with the ones in the collection.
            'If the font is already there we exit, else the font-family is added.
            For lCount = 1 To .FontFamily.Count
                If cboFamily.Text = .FontFamily(lCount) Then
                    bSameFont = True
                    Exit For
                End If
            Next
            If bSameFont = False Then
                'Adds the font.
                .FontFamily.Add cboFamily.Text
            End If
        End If
    End If
    
    'The font size
    If Len(cboFontSize.Text) > 0 Then
        'If numeric
        If IsNumeric(cboFontSize.Text) Then
            .FontSize = cboFontSize & cboUnit.Text
        'If not numeric
        Else
            .FontSize = cboFontSize
        End If
    Else
        'If empty
        .FontSize = cboFontSize
    End If
    
    'The font style
    .FontStyle = cboFontStyle.Text
    
    'The font weight
    .FontWeight = cboFontWeight.Text
    
    'Font stretch
    .FontStretch = cboFontStretch.Text
    
    'Font variant
    .FontVariant = cboFontVariant.Text
    
    .Changed = True
End With

'We must now find the layout form for the current
'layout in order to update the list containing
'the font-family fonts. To do this we search the
'Forms collection for the form whose caption
'matches the active layout's name.
For Each frmForm In Forms
    sKey = cLayouts(lAL).CaptionName
    If frmForm.Caption = sKey Then
        frmForm.DisplaySelectorFonts
        If bCssBarVisible Then
            frmForm.UpdateCssToolBar
        End If
        Exit For
    End If
Next

Set frmForm = Nothing
sKey = Empty

Unload Me


Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Error in procedure cmdOK_Click, " & _
"frmCssFont.", vbCritical, "Error"
End Sub

Private Sub cboFontSize_Click()
'If the user clicks on "[number]" in the drop down
'list, this will not be displayed in the textbox.
'Instead the cursor is positioned here, ready for
'a number.

With cboFontSize
    If .List(.ListIndex) = "[number]" Then
        .Text = ""
        .SetFocus
    End If
End With

End Sub

Private Sub cboFontSize_KeyPress(KeyAscii As Integer)
'If a comma is inserted in the FontSize textbox it
'is converted to a period (decimalseparator).

If KeyAscii = Asc(",") Then
    KeyAscii = Asc(".")
End If

End Sub

Private Sub InitControls()

InitFonts
InitFamily
InitFontSize
InitFontStretch
InitFontStyle
InitFontVariant
InitFontWeight
InitUnit
FontUpdate
FontSizeUpdate
FontStretchUpdate
FontStyleUpdate
FontVariantUpdate
FontWeightUpdate

End Sub

Private Sub cboFonts_Click()

With cboFonts
    .Text = .List(.ListIndex)
End With

End Sub
Private Sub cboFamily_Click()

With cboFamily
    .Text = .List(.ListIndex)
End With
End Sub

Private Sub InitFonts()
Module1.FillListWithFonts Me.cboFonts
End Sub
Private Sub InitFamily()

Set colFamily = New Collection

With colFamily
    .Add "Serif"
    .Add "Sans-Serif"
    .Add "Monospace"
    .Add "Cursive"
    .Add "Fantasy"
End With

With cboFamily
    .AddItem "Serif"
    .AddItem "Sans-Serif"
    .AddItem "Monospace"
    .AddItem "Cursive"
    .AddItem "Fantasy"
End With
End Sub
Private Sub InitUnit()
'Initialises the unit combo.

With cboUnit
    .AddItem "pt"
    .AddItem "px"
    .AddItem "em"
    .AddItem "%"
    .AddItem "pc"
    .AddItem "cm"
    .AddItem "mm"
    .AddItem "in"
End With

End Sub

Private Sub InitFontSize()
'Initialises the FontSize Combo

With cboFontSize
    .AddItem "[number]"
    .AddItem "xx-small"
    .AddItem "x-small"
    .AddItem "small"
    .AddItem "medium"
    .AddItem "large"
    .AddItem "x-large"
    .AddItem "xx-large"
    .AddItem "smaller"
    .AddItem "larger"
End With

End Sub

Private Sub InitFontStyle()
'Initialises the FontStyle combo

cboFontStyle.Clear

With cboFontStyle
    .AddItem "normal"
    .AddItem "italic"
    .AddItem "oblique"
End With
End Sub
Private Sub InitFontWeight()
'Initialises the FontWeight combo

cboFontWeight.Clear

With cboFontWeight
    .AddItem "normal"
    .AddItem "bold"
    .AddItem "bolder"
    .AddItem "lighter"
    .AddItem "100"
    .AddItem "200"
    .AddItem "300"
    .AddItem "400"
    .AddItem "500"
    .AddItem "600"
    .AddItem "700"
    .AddItem "800"
    .AddItem "900"
End With
End Sub
Private Sub InitFontStretch()
'Initialises the FontFace combo

cboFontStretch.Clear

With cboFontStretch
    .AddItem "normal"
    .AddItem "wider"
    .AddItem "narrower"
    .AddItem "ultra-condensed"
    .AddItem "extra-condensed"
    .AddItem "semi-condensed"
    .AddItem "semi-expanded"
    .AddItem "expanded"
    .AddItem "extra-expanded"
    .AddItem "ultra-expanded"
End With
End Sub
Private Sub InitFontVariant()
'Initialises the FontVariant combo

With cboFontVariant
    .Clear
    .AddItem "normal"
    .AddItem "small-caps"
End With
End Sub
Private Sub FontUpdate()
Dim vFontFam As Variant
Dim vFont As Variant
Dim bMatch As Boolean

On Error GoTo ErrorHandler

cboFonts.Text = Empty
cboFamily.Text = Empty

With cBlock
    If Not .FontFamily Is Nothing Then
        If .FontFamily.Count > 0 Then
            cboFonts.Text = .FontFamily(1)
                For Each vFontFam In .FontFamily
                    For Each vFont In colFamily
                        If vFontFam = vFont Then
                            cboFamily.Text = vFont
                            If cboFonts.Text = vFont Then
                                cboFonts.Text = Empty
                            End If
                            bMatch = True
                            Exit For
                        End If
                        If bMatch = True Then Exit For
                    Next
                Next
        End If
    Else
        Set .FontFamily = New Collection
    End If
End With

Set vFontFam = Nothing
Set vFont = Nothing

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error in procedure FontUpdate", vbCritical, "Error"
End Sub
Private Sub FontSizeUpdate()
'Puts the selected fontsize (if any) into the FontSize Combo's
'textfield. If it is a number any unit is put into the FontSize
'Unit Combo text.

Dim sSize As String

cboUnit.Text = ""

sSize = cBlock.FontSize

If Len(sSize) > 0 Then
'   If there is a number
    If IsNumeric(Left$(sSize, 1)) Then
        cboFontSize.Text = Val(sSize)
'       Look for the unit
        cboUnit.Text = FindUnit(sSize)
    Else
'       If not a number display definition
        cboFontSize.Text = sSize
        cboUnit.Text = ""
    End If
Else
    cboFontSize.Text = sSize
    cboUnit.Text = ""
End If

sSize = Empty
End Sub

Private Sub FontStyleUpdate()
'Updates the FontStyle text with the
'font style (if any) of the active selector.

If Len(cBlock.FontStyle) > 0 Then
    cboFontStyle.Text = cBlock.FontStyle
Else
    cboFontStyle.Text = ""
End If
End Sub
Private Sub FontWeightUpdate()
'Updates the FontWeight text with the selector's
'font-weight (if any).

If Len(cBlock.FontWeight) > 0 Then
    cboFontWeight.Text = cBlock.FontWeight
Else
    cboFontWeight.Text = ""
End If

End Sub

Private Sub FontStretchUpdate()
'Updates the FontStrech combo with the selector's
'font-stretch property (if any).

If Len(cBlock.FontStretch) > 0 Then
    cboFontStretch.Text = cBlock.FontStretch
Else
    cboFontStretch.Text = ""
End If

End Sub

Private Sub FontVariantUpdate()
'Updates the FontVariant combo with the selector's
'font-variant (if any).

If Len(cBlock.FontVariant) > 0 Then
    cboFontVariant.Text = cBlock.FontVariant
Else
    cboFontVariant.Text = ""
End If

End Sub

Private Sub Form_Resize()
Me.Height = 4590
Me.Width = 4515
End Sub

Private Sub Form_Unload(Cancel As Integer)
Set cBlock = Nothing
Set colFamily = Nothing
End Sub

Private Sub cmdHelp_Click()
Dim sHelpUrl As String

On Error GoTo ErrorHandler

sHelpUrl = App.path & "\help\cssfonts.htm"
Me.Hide
Call ShowHelp(sHelpUrl)
Me.Show vbModal, fMainForm

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error displaying help.", vbCritical, "Error"

End Sub

