VERSION 5.00
Begin VB.Form frmGamelinkInfo 
   Caption         =   "Gamelink Information"
   ClientHeight    =   3345
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5355
   Icon            =   "frmGamelinkInfo.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3345
   ScaleWidth      =   5355
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox chkInfo 
      Caption         =   "None"
      Height          =   315
      Index           =   9
      Left            =   180
      TabIndex        =   14
      Top             =   1980
      Width           =   945
   End
   Begin VB.CheckBox chkInfo 
      Caption         =   "All"
      Height          =   315
      Index           =   8
      Left            =   180
      TabIndex        =   13
      Top             =   2340
      Width           =   945
   End
   Begin VB.CommandButton cmdHelp 
      Height          =   315
      Left            =   2640
      Picture         =   "frmGamelinkInfo.frx":06EA
      Style           =   1  'Graphical
      TabIndex        =   12
      ToolTipText     =   "Help"
      Top             =   2850
      Width           =   255
   End
   Begin VB.CheckBox chkInfo 
      Caption         =   "Elo"
      Height          =   315
      Index           =   7
      Left            =   4140
      TabIndex        =   11
      Top             =   2340
      Width           =   945
   End
   Begin VB.CheckBox chkInfo 
      Caption         =   "Title"
      Height          =   315
      Index           =   6
      Left            =   4140
      TabIndex        =   10
      Top             =   1980
      Width           =   945
   End
   Begin VB.CheckBox chkInfo 
      Caption         =   "Date"
      Height          =   315
      Index           =   5
      Left            =   3150
      TabIndex        =   9
      Top             =   2340
      Width           =   945
   End
   Begin VB.CheckBox chkInfo 
      Caption         =   "Site"
      Height          =   315
      Index           =   4
      Left            =   3150
      TabIndex        =   8
      Top             =   1980
      Width           =   945
   End
   Begin VB.CheckBox chkInfo 
      Caption         =   "Event"
      Height          =   315
      Index           =   3
      Left            =   2160
      TabIndex        =   7
      Top             =   2340
      Width           =   945
   End
   Begin VB.CheckBox chkInfo 
      Caption         =   "Moves"
      Height          =   315
      Index           =   2
      Left            =   2160
      TabIndex        =   6
      Top             =   1980
      Width           =   945
   End
   Begin VB.CheckBox chkInfo 
      Caption         =   "Round"
      Height          =   315
      Index           =   1
      Left            =   1170
      TabIndex        =   5
      Top             =   2340
      Width           =   945
   End
   Begin VB.CheckBox chkInfo 
      Caption         =   "Result"
      Height          =   315
      Index           =   0
      Left            =   1170
      TabIndex        =   4
      Top             =   1980
      Width           =   945
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   3090
      TabIndex        =   3
      Top             =   2850
      Width           =   950
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   4170
      TabIndex        =   2
      Top             =   2850
      Width           =   950
   End
   Begin VB.Frame Frame1 
      Height          =   1725
      Left            =   90
      TabIndex        =   0
      Top             =   120
      Width           =   5055
      Begin VB.Label Label1 
         Caption         =   $"frmGamelinkInfo.frx":07EC
         Height          =   1455
         Left            =   150
         TabIndex        =   1
         Top             =   210
         Width           =   4755
      End
   End
End
Attribute VB_Name = "frmGamelinkInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim bLoop As Boolean
Dim sGamelinkInfo As String

Private Sub cmdHelp_Click()
Dim sHelpUrl As String

sHelpUrl = sPathPalManual & "p4ini" & sDelim & "gamelinkinfo.htm"
Me.Hide
Call ShowHelp(sHelpUrl)
Me.Show vbModal, fMainForm

End Sub

Private Sub Form_Load()

On Error GoTo ErrorHandle

sGamelinkInfo = cLayouts(lAL).Ini2.GameLinkInfo

If Len(sGamelinkInfo) = 0 Then
    chkInfo(9).Value = vbChecked
    Exit Sub
End If

If bIntext("none") Then
    chkInfo(9).Value = vbChecked
    Exit Sub
End If

If bIntext("all") Then
    chkInfo(8).Value = vbChecked
    Exit Sub
End If

bLoop = False

If bIntext("result") Then chkInfo(0).Value = vbChecked
If bIntext("round") Then chkInfo(1).Value = vbChecked
If bIntext("moves") Then chkInfo(2).Value = vbChecked
If bIntext("event") Then chkInfo(3).Value = vbChecked
If bIntext("site") Then chkInfo(4).Value = vbChecked
If bIntext("date") Then chkInfo(5).Value = vbChecked
If bIntext("title") Then chkInfo(6).Value = vbChecked
If bIntext("elo") Then chkInfo(7).Value = vbChecked
bLoop = True

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Error loading frmGamelinkInfo", vbCritical, "Error"
End Sub

Private Sub chkInfo_Click(Index As Integer)

Dim lCount As Long

On Error GoTo ErrorHandle

'If we for instance check or uncheck the "none" or "all" boxes
'that triggers other boxes to be checked or unchecked as well.
'For each box being checked/unchecked that would trigger this
'procedure, so if we're looping like that we exit instantly
'to save time.
If bLoop Then Exit Sub

Select Case Index
    Case 9
        If chkInfo(9).Value = vbChecked Then
            bLoop = True
            chkInfo(8).Enabled = True
            For lCount = 0 To 8
                chkInfo(lCount).Value = vbUnchecked
            Next
            bLoop = False
        End If
    Case 8
        If chkInfo(8).Value = vbChecked Then
            bLoop = True
            For lCount = 0 To 7
                chkInfo(lCount).Value = vbChecked
                chkInfo(9).Value = vbUnchecked
                chkInfo(8).Enabled = False
            Next
            bLoop = False
        End If
    Case Else
        If chkInfo(Index).Value = vbUnchecked Then
            chkInfo(8).Enabled = True
            chkInfo(8).Value = vbUnchecked
        Else
            chkInfo(9).Value = vbUnchecked
            'If all info boxes are checked we check the All-box
            For lCount = 0 To 7
                If chkInfo(lCount).Value = vbUnchecked Then
                    Exit Sub
                End If
            Next
            chkInfo(8).Value = vbChecked
        End If
End Select

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure chkInfo_Click, frmGamelinkInfo", vbCritical, "Error"
End Sub

Private Sub cmdCancel_Click()
Unload Me
End Sub

Private Sub cmdOK_Click()

On Error GoTo ErrorHandle

sGamelinkInfo = Empty

If chkInfo(9).Value = vbChecked Then
    cLayouts(lAL).Ini2.GameLinkInfo = "none"
    GoTo ByBy
End If

If chkInfo(8).Value = vbChecked Then
    cLayouts(lAL).Ini2.GameLinkInfo = "all"
    GoTo ByBy
End If

If chkInfo(0).Value = vbChecked Then
    sGamelinkInfo = "result"
End If

If chkInfo(1).Value = vbChecked Then sGamelinkInfo = Concat("round")
If chkInfo(2).Value = vbChecked Then sGamelinkInfo = Concat("moves")
If chkInfo(3).Value = vbChecked Then sGamelinkInfo = Concat("event")
If chkInfo(4).Value = vbChecked Then sGamelinkInfo = Concat("site")
If chkInfo(5).Value = vbChecked Then sGamelinkInfo = Concat("date")
If chkInfo(6).Value = vbChecked Then sGamelinkInfo = Concat("title")
If chkInfo(7).Value = vbChecked Then sGamelinkInfo = Concat("elo")

cLayouts(lAL).Ini2.GameLinkInfo = sGamelinkInfo

ByBy:
Unload Me

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure cmdOK_Click, frmGamelinkInfo.", vbCritical, "Error"
End Sub

Function Concat(ByVal sTxt As String) As String
    If Len(sGamelinkInfo) = 0 Then
        Concat = sTxt
    Else
        Concat = sGamelinkInfo & ", " & sTxt
    End If
End Function
Function bIntext(ByVal sTxt As String) As Boolean
    If InStr(1, sGamelinkInfo, sTxt, vbTextCompare) > 0 Then bIntext = True
End Function

