VERSION 5.00
Begin VB.Form frmImage 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Image"
   ClientHeight    =   3975
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   8160
   Icon            =   "frmImage.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3975
   ScaleWidth      =   8160
   StartUpPosition =   1  'CenterOwner
   Begin VB.TextBox txtBorder 
      Height          =   315
      Left            =   1440
      TabIndex        =   20
      Top             =   2310
      Width           =   1065
   End
   Begin VB.CommandButton cmdView 
      Enabled         =   0   'False
      Height          =   315
      Left            =   5580
      Picture         =   "frmImage.frx":06EA
      Style           =   1  'Graphical
      TabIndex        =   19
      ToolTipText     =   "View Full Size"
      Top             =   2760
      Width           =   435
   End
   Begin VB.ComboBox cmbAlign 
      Height          =   315
      Left            =   3930
      Style           =   2  'Dropdown List
      TabIndex        =   15
      Top             =   2310
      Width           =   1455
   End
   Begin VB.TextBox txtMarginLeft 
      Height          =   315
      Left            =   4950
      TabIndex        =   12
      Top             =   1710
      Width           =   375
   End
   Begin VB.TextBox txtMarginTop 
      Height          =   315
      Left            =   4950
      TabIndex        =   11
      Top             =   1200
      Width           =   375
   End
   Begin VB.TextBox txtHeight 
      Height          =   315
      Left            =   1440
      TabIndex        =   9
      Top             =   1710
      Width           =   1065
   End
   Begin VB.TextBox txtWidth 
      Height          =   315
      Left            =   1440
      TabIndex        =   7
      Top             =   1200
      Width           =   1065
   End
   Begin VB.TextBox txtAlt 
      Height          =   315
      Left            =   1440
      TabIndex        =   5
      Top             =   660
      Width           =   3885
   End
   Begin VB.TextBox txtPath 
      Height          =   315
      Left            =   1440
      TabIndex        =   0
      Top             =   120
      Width           =   3435
   End
   Begin VB.CommandButton cmdBrowse 
      Height          =   315
      Left            =   4950
      Picture         =   "frmImage.frx":0C1C
      Style           =   1  'Graphical
      TabIndex        =   3
      ToolTipText     =   "Browse..."
      Top             =   120
      Width           =   345
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "&OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   7020
      TabIndex        =   2
      Top             =   3120
      Width           =   950
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   7020
      TabIndex        =   1
      Top             =   3540
      Width           =   950
   End
   Begin VB.Label lblLabel 
      Caption         =   "Border:"
      Height          =   285
      Index           =   1
      Left            =   210
      TabIndex        =   21
      Top             =   2340
      Width           =   1245
   End
   Begin VB.Image imgImage 
      Height          =   1845
      Left            =   5570
      Top             =   150
      Width           =   2340
   End
   Begin VB.Label Label1 
      BackColor       =   &H8000000C&
      BorderStyle     =   1  'Fixed Single
      Height          =   2540
      Left            =   5540
      TabIndex        =   18
      Top             =   120
      Width           =   2400
   End
   Begin VB.Label lblHelp 
      ForeColor       =   &H00C00000&
      Height          =   675
      Left            =   210
      TabIndex        =   17
      Top             =   3150
      Width           =   5205
   End
   Begin VB.Label lblLabel 
      Caption         =   "Text Alignment:"
      Height          =   285
      Index           =   7
      Left            =   2820
      TabIndex        =   16
      Top             =   2340
      Width           =   1125
   End
   Begin VB.Label lblLabel 
      Caption         =   "Margin Left/Right:"
      Height          =   285
      Index           =   6
      Left            =   3360
      TabIndex        =   14
      Top             =   1740
      Width           =   1575
   End
   Begin VB.Label lblLabel 
      Caption         =   "Margin Top/Bottom:"
      Height          =   285
      Index           =   5
      Left            =   3360
      TabIndex        =   13
      Top             =   1230
      Width           =   1575
   End
   Begin VB.Label lblLabel 
      Caption         =   "Height:"
      Height          =   285
      Index           =   4
      Left            =   180
      TabIndex        =   10
      Top             =   1740
      Width           =   1245
   End
   Begin VB.Label lblLabel 
      Caption         =   "Width:"
      Height          =   285
      Index           =   3
      Left            =   180
      TabIndex        =   8
      Top             =   1230
      Width           =   1245
   End
   Begin VB.Label lblLabel 
      Caption         =   "Alternative Text:"
      Height          =   315
      Index           =   2
      Left            =   180
      TabIndex        =   6
      Top             =   690
      Width           =   1245
   End
   Begin VB.Label lblLabel 
      Caption         =   "Image File:"
      Height          =   285
      Index           =   0
      Left            =   180
      TabIndex        =   4
      Top             =   150
      Width           =   1245
   End
End
Attribute VB_Name = "frmImage"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Text
Option Explicit
Private Sub Form_Load()

On Error GoTo ErrorHandle

With cmbAlign
    .AddItem "Top"
    .AddItem "Middle"
    .AddItem "Bottom"
    .AddItem "Left"
    .AddItem "Right"
    .Text = "Bottom"
End With

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure Form_Load, frmImage"
End Sub

Private Sub cmdCancel_Click()

sAction = Empty
Unload Me
End Sub

Private Sub cmdOK_Click()
Dim sText As String
Dim sAlign As String
Dim sTest As String

On Error GoTo ErrorHandle

If Len(txtPath.Text) = 0 Then Unload Me

sTest = txtWidth.Text
If IsNumeric(sTest) = False And Len(sTest) > 0 Then
    MsgBox "Not a legal image width", vbExclamation, "Width must be an integer"
    Exit Sub
End If

sTest = txtHeight.Text
If IsNumeric(sTest) = False And Len(sTest) > 0 Then
    MsgBox "Not a legal image height", vbExclamation, "Height must be an integer"
    Exit Sub
End If

sTest = txtMarginLeft.Text
If IsNumeric(sTest) = False And Len(sTest) > 0 Then
    MsgBox "Not a legal margin", vbExclamation, "Margin must be an integer"
    Exit Sub
End If

sTest = txtMarginTop.Text
If IsNumeric(sTest) = False And Len(sTest) > 0 Then
    MsgBox "Not a legal margin", vbExclamation, "Margin must be an integer"
    Exit Sub
End If

sTest = txtBorder.Text
If IsNumeric(sTest) = False And Len(sTest) > 0 Then
    MsgBox "Not a legal border width", vbExclamation, "Border must be an integer"
    Exit Sub
End If

sText = "<IMG SRC=""" & txtPath.Text & """" & " BORDER=""" & txtBorder.Text & """"

If Len(txtWidth.Text) > 0 Then
    sText = sText & " WIDTH=""" & txtWidth.Text & """"
End If

If Len(txtHeight.Text) > 0 Then
    sText = sText & " HEIGHT=""" & txtHeight.Text & """"
End If

If Len(txtMarginLeft.Text) > 0 Then
    sText = sText & " HSPACE=""" & txtMarginLeft.Text & """"
End If

If Len(txtMarginTop.Text) > 0 Then
    sText = sText & " VSPACE=""" & txtMarginTop.Text & """"
End If

Select Case cmbAlign.Text
    Case "Left"
        sAlign = "RIGHT"
    Case "Right"
        sAlign = "LEFT"
    Case Else
        sAlign = cmbAlign.Text
End Select

sText = sText & " ALIGN=""" & sAlign & """"

sText = sText & " ALT=""" & txtAlt.Text & """" & ">"

sAction = sText
Unload Me
Exit Sub
ErrorHandle:

End Sub

Private Sub Form_Unload(Cancel As Integer)
spubPath = Empty
Set imgImage.Picture = Nothing
frmHtml.ZOrder (0)
End Sub

Private Sub cmdBrowse_Click()

Dim sPath As String
Dim sDir As String
Dim sFile As String
Dim sUrl As String
Dim pPic As Picture
Dim lW As Long
Dim lH As Long
Dim lBoxH As Long
Dim lBoxW As Long
Dim lWPix As Long
Dim lHPix As Long

On Error GoTo ErrorHandle

Call OpenFileDialog("Select File", "image", sPath, sDir, "")
If Len(sPath) = 0 Then Exit Sub

sFile = Dir(sPath)
sFile = Right$(sFile, 4)

If sFile <> ".gif" And sFile <> ".jpg" And sFile <> "jpeg" And sFile <> ".bmp" Then GoTo setURL

With imgImage
    .Height = 2500
    .Width = 2345
    .Top = 140
    
    spubPath = sPath
    Set pPic = LoadPicture(sPath)
    lH = pPic.Height
    lW = pPic.Width
    lHPix = CLng(Me.ScaleY(lH, vbHimetric, vbPixels))
    lWPix = CLng(Me.ScaleX(lW, vbHimetric, vbPixels))
    lW = CLng(Me.ScaleX(pPic.Width, vbHimetric, vbTwips))
    lH = CLng(Me.ScaleY(pPic.Height, vbHimetric, vbTwips))
    lBoxH = .Height     'CLng(Me.ScaleY(.Height, vbTwips, vbHimetric))
    lBoxW = .Width     'CLng(Me.ScaleX(.Width, vbTwips, vbHimetric))
    
    Set .Picture = Nothing
    
    If lH > lBoxH Or lW > lBoxW Then
        If lW > lH Then
            .Height = .Height * (lH / lW)
        ElseIf lH > lW Then
            .Width = .Width * (lW / lH)
        End If
        .Stretch = True
    ElseIf lH < lBoxH Or lW < lBoxW Then
        If lW < lH Then
            .Height = lH
        ElseIf lH < lW Then
            .Width = lH
        End If
        .Stretch = False
    End If
    
    Set .Picture = pPic
End With

txtWidth.Text = lWPix
txtHeight.Text = lHPix
Set pPic = Nothing

setURL:
If sFile = ".png" Then
    lblHelp.Caption = "*.Png cannot be shown by this program, but we can write an URL :-)"
End If
txtPath.Text = MakeUrl(cWebPages(lAW).PathHtml, sPath)
cmdView.Enabled = True

Exit Sub
ErrorHandle:
Set imgImage.Picture = Nothing
Set pPic = Nothing
MsgBox Err.Description & vbNewLine & "Procedure cmdBrowse_Click", vbCritical, "Error"
End Sub


Private Sub cmdView_Click()
On Error GoTo ErrorHandle

frmImgDisplay.Show vbModal
Me.SetFocus

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure cmdView_Click, frmImage", vbCritical, "Error"
End Sub
Private Sub txtWidth_KeyPress(KeyAscii As Integer)
If KeyAscii = 8 Then Exit Sub
If KeyAscii < 48 Or KeyAscii > 57 Then KeyAscii = 0
End Sub
Private Sub txtHeight_KeyPress(KeyAscii As Integer)
If KeyAscii = 8 Then Exit Sub
If KeyAscii < 48 Or KeyAscii > 57 Then KeyAscii = 0
End Sub
Private Sub txtBorder_KeyPress(KeyAscii As Integer)
If KeyAscii = 8 Then Exit Sub
If KeyAscii < 48 Or KeyAscii > 57 Then KeyAscii = 0
End Sub
Private Sub txtMarginLeft_KeyPress(KeyAscii As Integer)
If KeyAscii = 8 Then Exit Sub
If KeyAscii < 48 Or KeyAscii > 57 Then KeyAscii = 0
End Sub
Private Sub txtMarginTop_KeyPress(KeyAscii As Integer)
If KeyAscii = 8 Then Exit Sub
If KeyAscii < 48 Or KeyAscii > 57 Then KeyAscii = 0
End Sub




'***************************
'Help Section
'***************************
Private Sub txtPath_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "The image's URL. This can be relative to the page if on the same server."
End Sub

Private Sub txtAlt_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "Text to be displayed if the browser doesn't show images. " & _
"Some browsers will also show the text, when the mouse hovers over the image."
End Sub

Private Sub txtWidth_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "Image width in pixels"
End Sub
Private Sub txtHeight_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "Image height in pixels"
End Sub

Private Sub txtBorder_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "Border thickness if the image is a link. If set to 0 or if the image " & _
        "isn't a link there will be no border."
End Sub

Private Sub txtMarginTop_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "Distance from the image's top and bottom to other elements."
End Sub
Private Sub txtMarginLeft_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "Distance from the image's left and right side to other elements."
End Sub
Private Sub cmdView_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "View image full size"
End Sub


Private Sub lblLabel_MouseMove(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)

Select Case Index
    Case 0
        lblHelp.Caption = "The image's URL. This can be relative to the page if on the same server."
    Case 1
        lblHelp.Caption = "Border thickness if the image is a link. If set to 0 or if the image " & _
        "isn't a link there will be no border."
    Case 2
        lblHelp.Caption = "Text to be displayed if the browser doesn't show images. " & _
        "Some browsers will also show the text, when the mouse hovers over the image."
    Case 3
        lblHelp.Caption = "Image width in pixels"
    Case 4
        lblHelp.Caption = "Image height in pixels"
    Case 5
        lblHelp.Caption = "Distance from the image's top and bottom to other elements."
    Case 6
        lblHelp.Caption = "Distance from the image's left and right side to other elements."
    Case 7
        lblHelp.Caption = "How the text will be aligned relative to the image. " & _
        "If for instance you pick ""Left"", text will be aligned to the left side of the image."
End Select
End Sub

