VERSION 5.00
Begin VB.Form frmLayouts 
   Caption         =   "Styles"
   ClientHeight    =   3465
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8535
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmLayouts.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3465
   ScaleWidth      =   8535
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdHelp 
      Height          =   315
      Left            =   5610
      Picture         =   "frmLayouts.frx":06EA
      Style           =   1  'Graphical
      TabIndex        =   5
      ToolTipText     =   "Help"
      Top             =   2880
      Width           =   255
   End
   Begin VB.CheckBox chkCss 
      Caption         =   "Import stylesheet"
      Height          =   325
      Left            =   150
      TabIndex        =   4
      ToolTipText     =   "If you want to build on an existing stylesheet"
      Top             =   2880
      Width           =   4275
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   7320
      TabIndex        =   3
      Top             =   2880
      Width           =   1050
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   6060
      TabIndex        =   2
      Top             =   2880
      Width           =   1050
   End
   Begin VB.ListBox lstLayouts 
      Height          =   2220
      Left            =   150
      TabIndex        =   0
      Top             =   450
      Width           =   3465
   End
   Begin VB.TextBox txtDescription 
      Height          =   2220
      Left            =   3690
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      ToolTipText     =   "Layout Description"
      Top             =   450
      Width           =   4605
   End
   Begin VB.Label Label1 
      Caption         =   "Htmltype: "
      Height          =   285
      Index           =   2
      Left            =   5970
      TabIndex        =   8
      Top             =   180
      Width           =   2325
   End
   Begin VB.Label Label1 
      Caption         =   "Description"
      Height          =   285
      Index           =   1
      Left            =   3690
      TabIndex        =   7
      Top             =   180
      Width           =   1455
   End
   Begin VB.Label Label1 
      Caption         =   "Style Name"
      Height          =   285
      Index           =   0
      Left            =   150
      TabIndex        =   6
      Top             =   210
      Width           =   3345
   End
End
Attribute VB_Name = "frmLayouts"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Text
Option Explicit

Dim bStyleAbort As Boolean
Dim lCount As Long
Dim sAnswer As String
Dim sCssPath As String
Dim sHelpUrl As String
Dim sPath As String
Dim sPathBackup As String
Private Sub Form_Load()

Dim lCount As Long
Dim clLayout As Layout
Dim bMatch As Boolean
Dim sStyle As String

On Error GoTo ErrorHandler

bMatch = False

If sAction = Empty Then
    sAction = "Select Style"
End If
sCssPath = Empty

Me.Caption = sAction

Select Case sAction
    Case "Select Style", "Delete Styles", "Select Style For Gameviewer"
    'Fills the list with available layout names.
    With lstLayouts
        For lCount = 1 To cStyles.Count
            'If we're deleting styles, the style(s) in
            'use are not added to the list.
            If sAction = "Delete Styles" Then
                'If the style is not in use it is listed.
                If cStyles(lCount).InUse = False Then .AddItem (cStyles(lCount).Key)
            'If we're not deleting styles we just add the
            'available styles.
            Else
                'P4 addition. Viewer styles will be excluded
                'if we're not making a gameviewer.
                'If we ARE making a viewer, only gameviewer
                'styles will be added to the list.
                '*
                'If we're NOT initialising a gameviewer:
                If bpubMakingViewer = False Then
                    'If the number of webpages equals the number of styles,
                    'the user wants to select another style than the one
                    'originally selected.
                    If lAW = lAL Then
                        'If the active layout is NOT a gameviewer
                        'viewer styles will not be displayed.
                        If cLayouts(lAL).Ini2.HtmlType <> "magviewer" Then
                            If cStyles(lCount).HtmlType <> "magviewer" Then
                                'If the style is in use it will not be displayed.
                                If cStyles(lCount).InUse = False Then .AddItem (cStyles(lCount).Key)
                            End If
                        Else
                            If cStyles(lCount).Key = "magviewer" Then
                                'If the style is in use it will not be displayed.
                                If cStyles(lCount).InUse = False Then
                                    .AddItem (cStyles(lCount).Key)
                                End If
                            End If
                        End If
                    End If
                    
                    'If the number of webpages is greater than the number of
                    'styles, he is not initialising a gameviewer page, and
                    'viewer styles are excluded.
                    If lAW > lAL Then
                        If cStyles(lCount).HtmlType <> "magviewer" Then
                            If cStyles(lCount).InUse = False Then
                                .AddItem (cStyles(lCount).Key)
                            End If
                        End If
                    End If
                Else
                    'If a gameviewer is being initialised only viewer
                    'styles will be displayed.
                    If cStyles(lCount).HtmlType = "magviewer" Then
                        If cStyles(lCount).InUse = False Then
                            .AddItem (cStyles(lCount).Key)
                        End If
                    End If
                End If
            End If
        Next
        'If the list isn't empty we select the first item.
        If .ListCount > 0 Then
            .Selected(0) = True
        'If the list is empty we leave.
        Else
            MsgBox "No styles available.", , "No Styles Available"
            Unload Me
        End If
    End With
    If sAction = "Delete Styles" Then
        chkCss.Visible = False
    End If

        Case "Select Crosstable Stylesheet"
        'If the user is about to select a stylesheet for a crosstable.
        With lstLayouts
            For lCount = 1 To colCrossStyles.Count
                .AddItem colCrossStyles(lCount)
            Next
        End With
        Me.Caption = sAction
        chkCss.Visible = False
        
    Case "Select Stylesheet For Iframe"
        'If the user is about to select a stylesheet for an Iframe.
        With lstLayouts
            For lCount = 1 To colIframeStyles.Count
                .AddItem colIframeStyles(lCount)
            Next
        End With
        Me.Caption = sAction
        chkCss.Visible = False
    
    Case Else
        MsgBox "Bug catch! A wrong parameter - " & sAction & " - has been passed " & _
        "to the frmLayouts.", vbCritical, "Error"
End Select

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Error loading form for style selection (frmLayouts).", vbCritical, "Error"
End Sub


Private Sub cmdCancel_Click()
Dim sAnswer As String

On Error Resume Next

Select Case sAction
    Case "Select Style", "Select Style For Gameviewer"
        sAnswer = MsgBox("A webpage must use a style." & vbNewLine & "Are you sure you want to cancel?", vbQuestion + vbYesNo, "Abort Webpage Project?")
        If sAnswer = vbYes Then
            bAbort = True
            Unload Me
        Else
            DoEvents
            Exit Sub
        End If
    
    
    Case "Select Crosstable Stylesheet"
        sAnswer = MsgBox("A crosstable page must use a stylesheet." & vbNewLine & "Are you sure you want to cancel?", vbQuestion + vbYesNo, "Abort Crosstable?")
        If sAnswer = vbYes Then
            bAbort = True
            With cLayouts(lAL).Ini2
                .HtmlType = "normal"
                .CrossLink = "off"
            End With
            With cWebPages(lAW)
                .CrossLinkTable = False
                .CrossTableNoLinks = False
            End With
            Unload Me
        Else
            DoEvents
            Exit Sub
        End If
        
    Case Else
        lAL = cLayouts.Count
        bAbort = True
        Unload Me
End Select

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error in frmLayouts procedure Unload.", , "Error"

End Sub

Private Sub cmdOK_Click()

On Error GoTo ErrorHandler

DoEvents

If Len(lstLayouts.Text) = 0 Then
    Exit Sub
End If

bStyleAbort = False

'The action is determined by the parameter "sAction"
'set by one of the calling procedures.
Select Case sAction
    Case "Select Style"
        SelectStyle
    Case "Delete Styles"
        DeleteStyle
    Case "Select Crosstable Stylesheet"
        cLayouts(lAL).CrossStylesheetName = lstLayouts.Text
        cLayouts(lAL).PathCrossSource = App.path & "\CrossCss\" & lstLayouts.Text
    Case "Select Stylesheet For Iframe"
        cLayouts(lAL).IframeCssName = lstLayouts.Text
        cLayouts(lAL).PathIframeCssSource = App.path & "\IframCss\" & lstLayouts.Text
    Case Else
        SelectStyle
End Select

If bStyleAbort Then Exit Sub

If sAction = "Select Crosstable Stylesheet" Then
    cLayouts(lAL).CrossStyle.HandleCss (App.path & "\CrossCss\" & cLayouts(lAL).CrossStylesheetName)
End If

sAction = Empty

Screen.MousePointer = vbDefault

Unload Me

Exit Sub

ErrorHandler:
Screen.MousePointer = vbDefault
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure cmdOK_Click, frmLayouts.", vbCritical, "Error"
bAbort = True

End Sub


Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = 0 Then
        cmdCancel_Click
    End If
End Sub

Private Sub Form_Resize()

On Error Resume Next

Me.Height = 3870

Select Case sAction
    Case "Select Crosstable Stylesheet", "Select Stylesheet For Iframe"
        Me.Width = 4730
        cmdHelp.Left = lstLayouts.Left + lstLayouts.Width - 2605
        cmdOK.Left = cmdHelp.Left + 380
        cmdCancel.Left = cmdOK.Left + 1175
        
    Case Else
        Me.Width = 9525
End Select

End Sub

Private Sub lstLayouts_Click()
Dim lCount As Long
On Error GoTo ErrorHandle

If sAction = "Select Crosstable Stylesheet" Or sAction = "Select Stylesheet For Iframe" Then Exit Sub

txtDescription.Text = cStyles(lstLayouts.Text).Description
Label1.Item(2).Caption = "Htmltype: " & cStyles(lstLayouts.Text).HtmlType

Exit Sub
ErrorHandle:
MsgBox Err.Description
End Sub

Private Sub CleanLayoutList()
'Cleans the file "layout.lst" of any references to the deleted style.

Dim lPos1 As Long
Dim lPos2 As Long
Dim sChar As String
Dim sStyleName As String
Dim sText As String
Dim sPart1 As String
Dim sPart2 As String

On Error GoTo ErrorHandler

sStyleName = lstLayouts.Text

If FileCheck(App.path & "\Resource\layouts.lst") Then
    Call LoadTextFile(App.path & "\Resource\layouts.lst", sText)
    
    lPos1 = 1

    Do
        lPos1 = InStr(lPos1, sText, "LayoutName=" & sStyleName)
        If lPos1 = 0 Then
            GoTo ErrorHandler
        End If
        sChar = Mid$(sText, lPos1 + 11 + Len(sStyleName), 1)
        If Asc(sChar) < 33 Then
            Exit Do
        Else
            lPos1 = lPos1 + 11 + Len(sStyleName)
            If lPos1 >= Len(sText) Then
                GoTo ErrorHandler
            End If
        End If
    Loop

    If lPos1 > 0 Then
        Do
            lPos2 = InStr(lPos1, sText, "%")
            If lPos2 = 0 Then
                lPos2 = Len(sText)
                Exit Do
            End If
            If Asc(Mid$(sText, lPos2 - 1, 1)) < 32 Then
                Exit Do
            End If
            lPos1 = lPos2 + 1
            If lPos1 >= Len(sText) Then Exit Do
        Loop
                    
        sPart1 = Left$(sText, lPos1 - 1)
        sPart2 = Right$(sText, Len(sText) - lPos2)
        sText = sPart1 & sPart2
    End If
End If

Call Savefile(App.path & "\Resource\layouts.lst", sText, True, True)
Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error deleting references to " & lstLayouts.Text & " in list of layouts.", vbCritical, "Error"
End Sub

Private Sub lstLayouts_DblClick()
txtDescription.Text = cStyles(lstLayouts.ListIndex + 1).Description
cmdOK_Click
End Sub

Private Sub DeleteStyle()
'Deletes ini file
Dim sLayoutName

On Error GoTo ErrorHandler

sLayoutName = lstLayouts.Text

sPath = App.path & "\Resource\" & sLayoutName & ".ini"
If FileCheck(sPath) Then
    SetAttr sPath, vbNormal
    Kill sPath              'Delete ini file
End If

'Deletes any backup file
sPathBackup = App.path & "\Resource\" & sLayoutName & ".bni"
If FileCheck(sPathBackup) Then
    SetAttr sPathBackup, vbNormal
    Kill sPathBackup              'Delete ini backup file
End If

'Deletes css file
sPath = App.path & "\Resource\" & sLayoutName & ".css"
If FileCheck(sPath) Then
    SetAttr sPath, vbNormal
    Kill sPath              'Delete css file
End If

'P4 change
'Remove style from Styles class collection
cStyles.Remove sLayoutName

'Edit the list of styles ("layouts.lst").
CleanLayoutList

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error deleting style. Procedure DeleStyle in frmLayouts.", vbCritical, "Error"

End Sub

Private Sub SelectStyle()
'If the current action is to select a style for a webpage project.
'Adds the selected layout to the Layouts class collection
'as a new instance of the Layout Class.

Dim lSelected As Long
Dim lStylesCount

On Error GoTo ErrorHandler

'Finds value of lSelected
For lSelected = 1 To cStyles.Count
    If cStyles(lSelected).Key = lstLayouts.Text Then
        Exit For
    End If
Next

lStylesCount = cStyles.Count

cLayouts.Add lstLayouts.Text, lstLayouts.Text

'Makes backup of the ini file. As we go along we use the
'original ini file. When done and the user does NOT want to
'save changes to the selected style, we restore the original file
'from the backup. The backup file is named Stylename.bni.
sPathBackup = App.path & "\resource\" & lstLayouts.Text & ".bni"
sPath = App.path & "\resource\" & lstLayouts.Text & ".ini"
FileCopy sPath, sPathBackup 'Backup ini file

'The added layout's index number equals the class
'collection's count property, and this number is set
'as the currently active layout.
lAL = cLayouts.Count

'If the user chose to use an existing "external" CSS file for the StyleSheet Class
If chkCss.Value = 1 Then
'   Opens a file open dialog for the user to choose the CSS file.
    Call OpenFileDialog("Select CCS file", "CSS", sCssPath, cStyles(lSelected).PathHtml, "")

'   The layout's StyleSheet class is based on the chosen Css file.
    If Len(sCssPath) > 0 Then
        Screen.MousePointer = vbHourglass
        With cLayouts(lAL)
'            Set .StyleSheet = New StyleSheet       'A new stylesheet is created
            .CssToRead = sCssPath                  'Path to the user-selected CSS
            .StyleSheetName = lstLayouts.Text & ".css"
        End With
    
'       We recommend the user to make a backup of his original
'       Css file if he uses fancy things like "!important" or the like.
        MsgBox "The original stylesheet settings of " & lstLayouts.Text & _
        " have been replaced by an imported stylesheet, " & _
        Dir(sCssPath) & "." & vbNewLine & _
        "If you want to keep the original settings in " & _
        lstLayouts.Text & " you can save the style as a new style.", , "Important"
    Else
'       If the user didn't provide a valid Css file name (e.g. cancelled)
'       we continue as if he didn't want to use an external stylesheet.
'       In other words we use the style's own stylesheet.
        chkCss.Value = 0
    End If
End If


'If the user did not choose to use an existing ("external") stylesheet, the loaded
'paths are loaded into the layout's different properties.
'If a path isn't valid (could be an imported or old layout) the
'associated property is set to empty, so the user will be forced to
'provide new path information.
With cLayouts(lAL)
    If chkCss.Value = 0 Then
        sCssPath = App.path & "\Resource\" & lstLayouts.Text & ".css"
        .CssToRead = sCssPath 'Full DOS path to source stylesheet
        If cStyles.Count >= lSelected Then
            sPath = cStyles(lSelected).PathBGImage
        Else
            sPath = Empty
        End If
        If ValidPath(sPath) Then
            .PathBGImage = sPath
        Else
            .PathBGImage = Empty
        End If
        .StyleSheetName = lstLayouts.Text & ".css"
    End If
    
    If cStyles.Count >= lSelected Then
        sPath = cStyles(lSelected).PathCss 'Directory
    Else
        sPath = Empty
    End If
    If ValidPath(sPath) Then
        .PathWebCss = sPath
    Else
        .PathWebCss = Empty
    End If
    
'   P4 addition/change. Magviewer's Html directory must match the magazine's.
    If bpubMakingViewer = True Or .Ini2.HtmlType = "magviewer" Then
        .PathHtml = cLayouts(lAL - 1).PathHtml
    Else
        If cStyles.Count >= lSelected Then
            sPath = cStyles(lSelected).PathHtml 'Directory
        Else
            sPath = Empty
        End If
        If ValidPath(sPath) Then
            .PathHtml = sPath
        Else
            .PathHtml = Empty
        End If
    End If
    
'   P4 addition. If the magazine's Html directory is changed,
'   we change the viewer's accordingly.
    If bpubMakingPage = False And .Ini2.HtmlType = "magazine" Then
        cLayouts(lAL + 1).PathHtml = .PathHtml
    End If
    
    If cStyles.Count >= lSelected Then
        sPath = cStyles(lSelected).PathRedirect
    Else
        sPath = Empty
    End If
    If ValidPath(sPath) Then
        .PathRedirect = sPath
    Else
        .PathRedirect = Empty
    End If
    
    If cStyles.Count >= lSelected Then
        sPath = cStyles(lSelected).PathBoard
    Else
        sPath = Empty
    End If
    If ValidPath(sPath) Then
        .PathBoardImage = sPath
    Else
        .PathBoardImage = Empty
    End If
    
    If cStyles.Count >= lSelected Then
        sPath = cStyles(lSelected).PathConpanel
    Else
        sPath = Empty
    End If
    If ValidPath(sPath) Then
        .PathConpanel = sPath
    Else
        .PathConpanel = Empty
    End If
    
    If lStylesCount >= lSelected Then
        sPath = cStyles(lSelected).Pathpieces
    Else
        sPath = Empty
    End If
    If ValidPath(sPath) Then
        .Pathpieces = sPath
    Else
        .Pathpieces = Empty
    End If
    
    If lStylesCount >= lSelected Then
        sPath = cStyles(lSelected).PathSymbols
    Else
        sPath = Empty
    End If
    If ValidPath(sPath) Then
        .PathSymbols = sPath
    Else
        .PathSymbols = Empty
    End If
    
    If lStylesCount >= lSelected Then
        sPath = cStyles(lSelected).PathFlags
    Else
        sPath = Empty
    End If
    If ValidPath(sPath) Then
        .PathFlags = sPath
    Else
        .PathFlags = Empty
    End If
    
    .Description = txtDescription.Text
    
'   P4 addition
    If lStylesCount >= lSelected Then
        sPath = cStyles(lSelected).PathHelpImg
    Else
        sPath = Empty
    End If
    If ValidPath(sPath) Then
        .PathHelpImg = sPath
    Else
        .PathHelpImg = Empty
    End If
    
    'P4 addition
    If lStylesCount >= lSelected Then
        sPath = cStyles(lSelected).PathFenImg
    Else
        sPath = Empty
    End If
    If ValidPath(sPath) Then
        .PathFenImg = sPath
    Else
        .PathFenImg = Empty
        .Ini3.FenImg = Empty
    End If
    
'   P4 addition
    If lStylesCount >= lSelected Then
        sPath = cStyles(lSelected).PathHelpUrl
    Else
        sPath = Empty
    End If
    If ValidPath(sPath) Then
        .PathHelpUrl = sPath
    Else
        .PathHelpUrl = Empty
    End If
    
'   P4 addition
    If lStylesCount >= lSelected Then
        sPath = cStyles(lSelected).PathIndexCss
    Else
        sPath = Empty
    End If
    If ValidPath(sPath) Then
        .PathIndexCss = sPath
    Else
        .PathIndexCss = Empty
    End If
    
'   P4 addition
    If lStylesCount >= lSelected Then
        sPath = cStyles(lSelected).PathMagazineCss
    Else
        sPath = Empty
    End If
    If ValidPath(sPath) Then
        .PathMagazineCss = sPath
    Else
        .PathMagazineCss = Empty
    End If
    
'   P4 addition
    If lStylesCount >= lSelected Then
        sPath = cStyles(lSelected).PathMailtoImg
    Else
        sPath = Empty
    End If
    If ValidPath(sPath) Then
        .PathMailtoImg = sPath
    Else
        .PathMailtoImg = Empty
    End If
    
    
'   Crosstable section
'   Path to source crosstable stylesheet and evt. BG-image.
    If lStylesCount >= lSelected Then
        sPath = cStyles(lSelected).PathCrossSource
    Else
        sPath = Empty
    End If
    
    If Len(sPath) > 0 Then
        If ValidPath(sPath) Then
            .PathCrossSource = sPath
            .Ini3.CrossTableCssPath = .PathCrossSource
            
            .CrossStylesheetName = Dir(sPath)
            .PathWebCrossCss = .PathWebCss
'           Path to background image (if any)
            sPath = cStyles(lSelected).PathBGCrossImage
            If ValidPath(sPath) Then
                .PathBGCrossImage = sPath
            End If
        End If
    End If

'   Iframe section.
'   Path to Iframe stylesheet and evt. Iframe BG-image.
    If lStylesCount >= lSelected Then
        sPath = cStyles(lSelected).PathIframeCssSource
    Else
        sPath = Empty
    End If
    
    If Len(sPath) > 0 Then
        If ValidPath(sPath) Then
            .PathIframeCssSource = sPath
            .IframeCssName = Dir(sPath)
            .PathWebIframeCss = .PathWebCss
            
'           Path to background image (if any)
            sPath = cStyles(lSelected).PathBGIframeImage
            If ValidPath(sPath) Then
                .PathBGIframeImage = sPath
            End If
        End If
    End If
    
End With

Exit Sub

ErrorHandler:
bAbort = True
MsgBox Err.Description & vbNewLine & _
"Error selecting style. Procedure SelectStyle in frmLayouts.", vbCritical, "Error"

End Sub

'**********************************************
'Help section
'**********************************************
Private Sub cmdHelp_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)

Dim sFile As String

On Error GoTo ErrorHandler

Select Case sAction
    Case "Select Crosstable Stylesheet"
        If Button = 2 Then
            sHelpUrl = sPathPalManual & "css.htm#csscross"
        Else
            sFile = "stylesheets.htm#cross"
            sHelpUrl = App.path & "\help\" & sFile
        End If
    Case Else
        sFile = "styles.htm"
        sHelpUrl = App.path & "\help\" & sFile
End Select

Me.Hide

Call ShowHelp(sHelpUrl)

Me.Show vbModal, fMainForm

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error displaying help.", vbCritical, "Error"

End Sub

Private Sub chkCss_KeyUp(KeyCode As Integer, Shift As Integer)

On Error Resume Next

If KeyCode = vbKeyF1 Then
    sHelpUrl = App.path & "\help\" & "styles.htm#import"
    Me.Hide
    Call ShowHelp(sHelpUrl)
    Me.Show vbModal, fMainForm
End If

End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)

On Error Resume Next
If KeyCode = vbKeyF1 Then
    Call cmdHelp_MouseUp(1, 0, 100, 100)
End If

End Sub

Private Sub lstLayouts_KeyUp(KeyCode As Integer, Shift As Integer)
On Error Resume Next
If KeyCode = vbKeyF1 Then
    Call cmdHelp_MouseUp(1, 0, 100, 100)
End If

End Sub

Private Sub txtDescription_KeyUp(KeyCode As Integer, Shift As Integer)
On Error Resume Next
If KeyCode = vbKeyF1 Then
    Call cmdHelp_MouseUp(1, 0, 100, 100)
End If

End Sub
