VERSION 5.00
Begin VB.Form frmLink 
   Caption         =   "Insert Link"
   ClientHeight    =   2685
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5745
   Icon            =   "frmLink.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2685
   ScaleWidth      =   5745
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdBrowse 
      Height          =   315
      Left            =   5310
      Picture         =   "frmLink.frx":06EA
      Style           =   1  'Graphical
      TabIndex        =   2
      ToolTipText     =   "Browse..."
      Top             =   630
      Width           =   345
   End
   Begin VB.ComboBox cmbDestination 
      Height          =   315
      Left            =   1560
      TabIndex        =   3
      Top             =   1110
      Width           =   2025
   End
   Begin VB.TextBox txtLink 
      Height          =   315
      Left            =   1560
      TabIndex        =   1
      Text            =   "http://"
      Top             =   630
      Width           =   3675
   End
   Begin VB.TextBox txtDescription 
      Height          =   315
      Left            =   1560
      TabIndex        =   0
      Top             =   150
      Width           =   3675
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   4740
      TabIndex        =   5
      Top             =   2190
      Width           =   850
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "&OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   4740
      TabIndex        =   4
      Top             =   1800
      Width           =   850
   End
   Begin VB.Label lblLabel 
      ForeColor       =   &H00C00000&
      Height          =   825
      Index           =   3
      Left            =   180
      TabIndex        =   9
      Top             =   1680
      Width           =   4005
   End
   Begin VB.Label lblLabel 
      Caption         =   "Destination:"
      Height          =   285
      Index           =   2
      Left            =   150
      TabIndex        =   8
      Top             =   1140
      Width           =   1365
   End
   Begin VB.Label lblLabel 
      Caption         =   "Address:"
      Height          =   285
      Index           =   1
      Left            =   150
      TabIndex        =   7
      Top             =   660
      Width           =   1365
   End
   Begin VB.Label lblLabel 
      Caption         =   "Description:"
      Height          =   285
      Index           =   0
      Left            =   150
      TabIndex        =   6
      Top             =   210
      Width           =   1365
   End
End
Attribute VB_Name = "frmLink"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim sDrive As String
Option Explicit


Private Sub cmdBrowse_Click()
Dim sPath As String
Dim sDir As String
Dim sUrl As String

On Error GoTo ErrorHandle

Call OpenFileDialog("Select File", "HTM", sPath, sDir, "")
If Len(sPath) = 0 Then Exit Sub
If InStr(1, Dir(sPath), Chr(32)) > 0 Then
    Exit Sub
End If

sUrl = MakeUrl(cWebPages(lAW).PathHtml, sPath)

txtLink.Text = sUrl
If Len(txtDescription.Text) = 0 Then
    txtDescription.Text = sUrl
End If

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure cmdBrowse_Click", vbCritical, "Error"
End Sub

Private Sub cmdCancel_Click()
Unload Me
End Sub

Private Sub cmdOK_Click()
Dim sLink As String

On Error GoTo ErrorHandle

sLink = "<A HREF=""" & txtLink.Text & """"
If Len(cmbDestination.Text) > 0 Then
    sLink = sLink & " TARGET=""" & cmbDestination.Text & """"
End If

sLink = sLink & ">" & txtDescription.Text & "</A>"

frmHtml.rtbText.SelText = sLink
Unload Me
frmHtml.rtbText.SetFocus
Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure cmdOK_Click, frmLink", vbCritical, "Error"
End Sub

Private Sub Form_Load()

On Error GoTo ErrorHandle

With cmbDestination
    .AddItem "_blank"
    .AddItem "_self"
    .AddItem "_parent"
    .AddItem "_top"
End With

sDrive = Left$(cWebPages(lAW).PathHtml, 2)
lblLabel(3).Caption = "The visible text you click to open the page/link"

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure Form_Load, frmLink", vbCritical, "Error"
End Sub

Private Sub txtDescription_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblLabel(3).Caption = "The visible text you click to open the page/link"
End Sub

Private Sub txtLink_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblLabel(3).Caption = "The actual address/URL. If it is on the same server, " & _
"the URL can be relative to the source document. If you select a local file on " & _
"drive " & sDrive & " Palmate will write the relative URL."
End Sub
Private Sub cmbDestination_Click()
lblLabel(3).Caption = "Where to open the link. You can either write a name or select from the list. " & _
"For instance ""_blank"" will open the object in a new window."
End Sub
Private Sub lblLabel_MouseMove(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)

Select Case Index
    Case 0
        lblLabel(3).Caption = "The visible text you click to open the page/link"
    Case 1
        lblLabel(3).Caption = "The actual address/URL. If it is on the same server, " & _
        "the URL can be relative to the source document. If you select a local file on " & _
        "drive " & sDrive & " Palmate will write the relative URL."
    Case 2
        lblLabel(3).Caption = "Where to open the link. You can either write a name or select from the list. " & _
        "For instance ""_blank"" will open the object in a new window."

End Select
End Sub


