VERSION 5.00
Begin VB.Form frmNS4Comp 
   Caption         =   "Netscape 4.* Compatibility"
   ClientHeight    =   2670
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4605
   Icon            =   "frmNS4Comp.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2670
   ScaleWidth      =   4605
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdHelp 
      Height          =   315
      Left            =   2130
      Picture         =   "frmNS4Comp.frx":06EA
      Style           =   1  'Graphical
      TabIndex        =   6
      ToolTipText     =   "Palview Manual Help"
      Top             =   2130
      Width           =   255
   End
   Begin VB.Frame Frame1 
      Height          =   1365
      Left            =   180
      TabIndex        =   4
      Top             =   120
      Width           =   4215
      Begin VB.Label lblNs4Comp 
         Caption         =   "Label1"
         Height          =   1065
         Left            =   120
         TabIndex        =   5
         Top             =   210
         Width           =   4035
      End
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   3480
      TabIndex        =   3
      Top             =   2130
      Width           =   950
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   2460
      TabIndex        =   2
      Top             =   2130
      Width           =   950
   End
   Begin VB.CommandButton cmdBorderColor 
      Caption         =   "Border Color"
      Height          =   315
      Left            =   210
      TabIndex        =   1
      Top             =   2130
      Width           =   1095
   End
   Begin VB.CheckBox chkNs4Comp 
      Caption         =   "Make page compatible with Netscape 4.*"
      Height          =   375
      Left            =   240
      TabIndex        =   0
      Top             =   1590
      Width           =   3585
   End
End
Attribute VB_Name = "frmNS4Comp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim sHelpUrl As String
Option Explicit

Private Sub chkNs4Comp_Click()

Dim sPageType As String

With chkNs4Comp
    If .Value = vbChecked Then
        cmdBorderColor.Enabled = True
    Else
        cmdBorderColor.Enabled = False

        sPageType = cLayouts(lAL).Ini2.HtmlType
        If sPageType = "iframe" Or sPageType = "muliframe" Then
            MsgBox "Netscape 4.* does not support I-frames. If you want " & _
            "your page to be compatible with Netscape 4.* you must select " & _
            "another basic layout.", vbExclamation, "Incompatible Page Layout"
        End If
    End If
End With

End Sub

Private Sub cmdBorderColor_Click()
    sAction = "Select Table Border Color"
    
    sCurrentColor = cLayouts(lAL).Ini3.BorderColor
    If Len(sCurrentColor) = 0 Then
        sCurrentColor = "Black"
    End If
    frmColor.Show vbModal, Me

End Sub

Private Sub cmdCancel_Click()
Unload Me

End Sub

Private Sub cmdOK_Click()

With cLayouts(lAL)
    If chkNs4Comp.Value = vbChecked Then
        If Len(.PathRedirect) > 0 Then
            MsgBox "This action removes the reference to the html file " & _
            "you redirected Netscape 4.x users to before. Please remember this if you regret " & _
            "making the page Netscape compatible.", vbInformation, "Redirection Removed"
        End If
        .Ini2.Ns4Comp = "on"
        .Ini2.MultiLang = "off"
    '   Sets the chess board border class to nothing
    '   to remove all settings. After that it is reinstated.
        .StyleSheet.Remove ".pgbb"
        .StyleSheet.Add ".pgbb", ".pgbb"
        If Len(sCurrentColor) > 0 Then
            .Ini3.BorderColor = sCurrentColor
        End If
    Else
        .Ini2.Ns4Comp = "off"
    End If
End With

sCurrentColor = Empty

UpdateMenu

Unload Me

End Sub

Private Sub Form_Load()
lblNs4Comp.Caption = "You can choose to make the pages compatible with NS 4. However then you cannot " & _
"use I-frames and some other features that depend on certain CSS commands. " & _
"For instance the chess board border color and style cannot be defined in the stylesheet."

chkNs4Comp.Value = lOnOff(cLayouts(lAL).Ini2.Ns4Comp)

If chkNs4Comp.Value = 0 Then
    cmdBorderColor.Enabled = False
End If

sCurrentColor = cLayouts(lAL).Ini3.BorderColor
If Len(sCurrentColor) = 0 Then
    sCurrentColor = "#000000"
End If

End Sub

Private Sub cmdHelp_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
On Error GoTo ErrorHandler

sHelpUrl = sPathPalManual & "ini" & sDelim & "ns4comp.htm"
Me.Hide
Call ShowHelp(sHelpUrl)
Me.Show vbModal, fMainForm

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error displaying help.", vbCritical, "Error"

End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    Call cmdHelp_MouseUp(1, 0, 100, 100)
End If
End Sub

Private Sub chkNs4Comp_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    Call cmdHelp_MouseUp(1, 0, 100, 100)
End If
End Sub

