VERSION 5.00
Begin VB.Form frmNewStyle 
   ClientHeight    =   3495
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5490
   Icon            =   "frmNewStyle.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3495
   ScaleWidth      =   5490
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   3180
      TabIndex        =   2
      Top             =   2850
      Width           =   950
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   4315
      TabIndex        =   3
      Top             =   2850
      Width           =   950
   End
   Begin VB.TextBox txtStyleDescription 
      Height          =   1635
      Left            =   150
      MultiLine       =   -1  'True
      TabIndex        =   1
      ToolTipText     =   "Style Description"
      Top             =   480
      Width           =   5115
   End
   Begin VB.TextBox txtStyleName 
      Height          =   315
      Left            =   150
      TabIndex        =   0
      ToolTipText     =   "Style Name"
      Top             =   2850
      Width           =   2865
   End
   Begin VB.Label lblStyleDescription 
      Caption         =   "Style Description"
      Height          =   285
      Left            =   150
      TabIndex        =   5
      Top             =   210
      Width           =   4215
   End
   Begin VB.Label lblStyleName 
      Caption         =   "Enter new style name. Name must be a single word with max. 8 characters."
      Height          =   465
      Left            =   150
      TabIndex        =   4
      Top             =   2370
      Width           =   2835
   End
End
Attribute VB_Name = "frmNewStyle"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Text
Option Explicit

Private Sub cmdCancel_Click()
Unload Me

End Sub

Private Sub cmdHelp_Click()

End Sub

Private Sub cmdOK_Click()

On Error GoTo ErrorHandler

Select Case sAction
    Case "Save As New Style"
        SaveAsNew
        If bAbort = True Then
            bAbort = False
            Exit Sub
        End If
    Case "Edit Style Description"
        cLayouts(lAL).Description = txtStyleDescription.Text
        cStyles.Item(cLayouts(lAL).Key).Description = txtStyleDescription.Text
End Select

Unload Me

Exit Sub
ErrorHandler:
MsgBox Err.Description, vbCritical, "Error"
End Sub

Private Sub Form_Load()
Select Case sAction
    Case "Save As New Style"
        txtStyleDescription.Text = cLayouts(lAL).Description
        Me.Caption = sAction
    Case "Edit Style Description"
        lblStyleName.Visible = False
        txtStyleName.Visible = False
        Me.Caption = sAction & " For " & cLayouts(lAL).Key
        txtStyleDescription.Text = cLayouts(lAL).Description
End Select



End Sub

Private Sub txtStyleDescription_KeyPress(KeyAscii As Integer)
If KeyAscii = 37 Then KeyAscii = 0
End Sub

Private Sub txtStyleName_KeyPress(KeyAscii As Integer)

If KeyAscii = 8 Then Exit Sub

If Len(txtStyleName) >= 8 Then KeyAscii = 0
If dhIsCharAlphanumeric(Chr(KeyAscii)) = False Then KeyAscii = 0

End Sub

Private Sub SaveAsNew()
'Saves an active style as a new style.
'In this way the user can create new styles.
'The old style will be closed and the webpage
'will use the new style instead.

Dim lCount As Long
Dim lOldLayout As Long
Dim sOldKey As String
Dim sNewKey As String
Dim sString As String
Dim sSource As String
Dim clStyle As Style
Dim fForm As Form

On Error GoTo ErrorHandler

For Each clStyle In cStyles
    If clStyle.Key = txtStyleName.Text Then
        MsgBox "Style name is already in use. Names must be unique.", , "Invalid Style Name"
        bAbort = True
        Set clStyle = Nothing
        Exit Sub
    End If
Next

sNewKey = txtStyleName.Text
sNewKey = LCase(sNewKey)
sOldKey = cLayouts(lAL).Key

'The new style is added to the Styles collection,
'and the properties (except for new name and description)
'are copied from the old style.
cStyles.Add sNewKey, sNewKey
With cStyles(sNewKey)
    .Description = txtStyleDescription.Text
    .HtmlType = cLayouts(lAL).Ini2.HtmlType
    .LayoutName = .Key
    .PathBGCrossImage = cStyles(sOldKey).PathBGCrossImage
    .PathBGIframeImage = cStyles(sOldKey).PathBGIframeImage
    .PathBGImage = cStyles(sOldKey).PathBGImage
    .PathBoard = cStyles(sOldKey).PathBoard
    .PathConpanel = cStyles(sOldKey).PathConpanel
    .PathCrossSource = cStyles(sOldKey).PathCrossSource
    .PathCss = cStyles(sOldKey).PathCss
    .PathFenImg = cStyles(sOldKey).PathFenImg
    .PathFlags = cStyles(sOldKey).PathFlags
    .PathHelpImg = cStyles(sOldKey).PathHelpImg
    .PathHelpUrl = cStyles(sOldKey).PathHelpUrl
    .PathHtml = cStyles(sOldKey).PathHtml
    .PathIframeCssSource = cStyles(sOldKey).PathIframeCssSource
    .PathIndexCss = cStyles(sOldKey).PathIndexCss
    .PathMagazineCss = cStyles(sOldKey).PathMagazineCss
    .PathMailtoImg = cStyles(sOldKey).PathMailtoImg
    .Pathpieces = cStyles(sOldKey).Pathpieces
    .PathRedirect = cStyles(sOldKey).PathRedirect
    .PathSymbols = cStyles(sOldKey).PathSymbols
End With

'We store the old style's collection number in lOldLayout
lOldLayout = lAL

'Now we add the new style to the Layout collection.
'The new layout is added after the old one. That ensures
'that the layouts position in the collection doesn't
'change, because the old layout is later removed.
'Keeping the same position is important.
'P4 addition/change
With cLayouts
    .Add sNewKey, sNewKey, , lOldLayout
    lAL = lAL + 1
    'The classes are copied.
    Set .Item(lAL).StyleSheet = .Item(lOldLayout).StyleSheet
    Set .Item(lAL).Ini1 = .Item(lOldLayout).Ini1
    Set .Item(lAL).Ini2 = .Item(lOldLayout).Ini2
    Set .Item(lAL).Ini3 = .Item(lOldLayout).Ini3
    If Len(.Item(lOldLayout).IframeCssName) > 0 Then
        Set .Item(lAL).Iframe = .Item(lOldLayout).Iframe
    End If
    If .Item(lOldLayout).Ini2.HtmlType = "batch" Then
        Set .Item(lAL).CrossStyle = .Item(lOldLayout).CrossStyle
    End If
End With


With cLayouts(lAL)
    .PathHtml = cLayouts(lOldLayout).PathHtml
    sString = sOldKey & ".css"
    sSource = cLayouts(lOldLayout).CssToRead
    sSource = ConvertSubstring(sSource, sString, sNewKey & ".css")
    .CssToRead = sSource
    .CaptionName = cLayouts(lAL).Key & " (" & cWebPages(lAW).Key & ")"
    .Changed = True
    .StyleSheet.Changed = True
    .Description = txtStyleDescription.Text
    .PathBGImage = cLayouts(lOldLayout).PathBGImage
    .PathBoardImage = cLayouts(lOldLayout).PathBoardImage
    .PathConpanel = cLayouts(lOldLayout).PathConpanel
    .PathFlags = cLayouts(lOldLayout).PathFlags
    .PathFenImg = cLayouts(lOldLayout).PathFenImg
    .Pathpieces = cLayouts(lOldLayout).Pathpieces
    .PathSymbols = cLayouts(lOldLayout).PathSymbols
    .StyleSheetName = .Key & ".css"
    If .Ini2.HtmlType <> "magazine" Then
        sSource = cLayouts(lOldLayout).Ini3.sStyleSheet
        sSource = ConvertSubstring(sSource, sString, sNewKey & ".css")
        .Ini3.sStyleSheet = sSource
    Else
        .Ini3.MagazineCss = sSource
    End If
    If .Ini2.HtmlType = "magviewer" Then
        cLayouts(lAL - 1).Ini3.sStyleSheet = sSource
    End If
    sSource = cLayouts(lOldLayout).Ini3.StyleSheetPermanent
    sSource = ConvertSubstring(sSource, sString, sNewKey & ".css")
    .Ini3.StyleSheetPermanent = sSource
    .PathWebCss = cLayouts(lOldLayout).PathWebCss
    
'   Crosstable section
    .CrossStylesheetName = cLayouts(lOldLayout).CrossStylesheetName
    .PathBGCrossImage = cLayouts(lOldLayout).PathBGCrossImage
    .PathCrossSource = cLayouts(lOldLayout).PathCrossSource
    .PathWebCrossCss = cLayouts(lOldLayout).PathWebCrossCss
    
'   Iframe stylesheet section
    .IframeCssName = cLayouts(lOldLayout).IframeCssName
    .PathBGIframeImage = cLayouts(lOldLayout).PathBGIframeImage
    .PathIframeCssSource = cLayouts(lOldLayout).PathIframeCssSource
    .PathWebIframeCss = cLayouts(lOldLayout).PathWebIframeCss
End With

cLayouts.SaveLayout

For Each fForm In Forms
    If fForm.Caption = sOldKey & " (" & cWebPages(lAW).Key & ")" Then
        fForm.Caption = sNewKey & " (" & cWebPages(lAW).Key & ")"
        Exit For
    End If
Next

Set fForm = Nothing

'P4 change
With cLayouts
    .Remove sOldKey
    lAL = lAL - 1
    If .Item(lAL).Ini2.HtmlType = "magviewer" Then
        .Item(lAL).Ini3.ViewerName = .Item(lAL).Key & ".htm"
        lAW = lAW - 1
        .Item(lAL - 1).Ini3.ViewerName = .Item(lAL).Key & ".htm"
        lAW = lAW + 1
        .Item(lAL - 1).Ini3.sStyleSheet = .Item(lAL).Ini3.sStyleSheet
    End If
End With

Set cWebPages(lAW).Layout = cLayouts(lAL)
With cWebPages(lAW).HtmlFileNames
    .Remove (1)
    .Add cLayouts(lAL).Ini3.ViewerName
End With



Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error saving as new style.", vbCritical, "Error"

End Sub

