VERSION 5.00
Begin VB.Form frmPageOptions 
   Caption         =   "Page Options"
   ClientHeight    =   5205
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4860
   Icon            =   "frmPageOptions.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5205
   ScaleWidth      =   4860
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   3720
      TabIndex        =   15
      Top             =   4650
      Width           =   950
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   2637
      TabIndex        =   14
      Top             =   4650
      Width           =   950
   End
   Begin VB.TextBox txtPgnUrl 
      Height          =   350
      Left            =   180
      TabIndex        =   11
      ToolTipText     =   "URL To Pgn File"
      Top             =   4080
      Width           =   4485
   End
   Begin VB.TextBox txtPageTitle 
      Height          =   350
      Left            =   180
      TabIndex        =   10
      ToolTipText     =   "Page Title"
      Top             =   3240
      Width           =   4485
   End
   Begin VB.Frame frPgnLink 
      Caption         =   "Link To Pgn File"
      Height          =   2415
      Left            =   2640
      TabIndex        =   6
      Top             =   240
      Width           =   1995
      Begin VB.OptionButton optPgnLink 
         Caption         =   "Use image for link"
         Height          =   315
         Index           =   2
         Left            =   120
         TabIndex        =   9
         Top             =   1125
         Width           =   1665
      End
      Begin VB.OptionButton optPgnLink 
         Caption         =   "Use text for the link"
         Height          =   315
         Index           =   1
         Left            =   120
         TabIndex        =   8
         Top             =   720
         Width           =   1665
      End
      Begin VB.OptionButton optPgnLink 
         Caption         =   "No link"
         Height          =   315
         Index           =   0
         Left            =   120
         TabIndex        =   7
         Top             =   330
         Width           =   1665
      End
      Begin VB.Label lblImageInfo 
         ForeColor       =   &H00C00000&
         Height          =   855
         Left            =   150
         TabIndex        =   16
         Top             =   1500
         Width           =   1755
      End
   End
   Begin VB.Frame frPageTitle 
      Caption         =   "Page Title"
      Height          =   2415
      Left            =   180
      TabIndex        =   0
      Top             =   240
      Width           =   1995
      Begin VB.OptionButton optTitle 
         Caption         =   "Your choice"
         Height          =   315
         Index           =   4
         Left            =   150
         TabIndex        =   5
         Top             =   1920
         Width           =   1725
      End
      Begin VB.OptionButton optTitle 
         Caption         =   "Players && Event"
         Height          =   315
         Index           =   3
         Left            =   150
         TabIndex        =   4
         Top             =   1515
         Width           =   1725
      End
      Begin VB.OptionButton optTitle 
         Caption         =   "Event"
         Height          =   315
         Index           =   2
         Left            =   150
         TabIndex        =   3
         Top             =   1125
         Width           =   1725
      End
      Begin VB.OptionButton optTitle 
         Caption         =   "Players"
         Height          =   315
         Index           =   1
         Left            =   150
         TabIndex        =   2
         Top             =   720
         Width           =   1725
      End
      Begin VB.OptionButton optTitle 
         Caption         =   "No title"
         Height          =   315
         Index           =   0
         Left            =   150
         TabIndex        =   1
         Top             =   330
         Width           =   1725
      End
   End
   Begin VB.Label Label1 
      Caption         =   "URL To Pgn File Directory"
      Height          =   255
      Index           =   1
      Left            =   180
      TabIndex        =   13
      Top             =   3840
      Width           =   2715
   End
   Begin VB.Label Label1 
      Caption         =   "Page Title"
      Height          =   255
      Index           =   0
      Left            =   180
      TabIndex        =   12
      Top             =   2970
      Width           =   2715
   End
End
Attribute VB_Name = "frmPageOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim sTitleType As String
Dim sHelpUrl As String
Dim lPgnLink As Long
Option Compare Text
Option Explicit

Private Sub cmdCancel_Click()
Unload Me

End Sub

Private Sub cmdOK_Click()

On Error GoTo ErrorHandler

If lPgnLink > 0 And Len(txtPgnUrl.Text) = 0 Then
    MsgBox "As you have written no URL Palview will assume that the pgn file " & _
    "will be uploaded to the same directory as the webpage files.", vbInformation, "No URL"
End If

If lPgnLink > 0 And Len(txtPgnUrl) > 0 Then
    With txtPgnUrl
        If InStr(1, .Text, cWebPages(lAW).PgnFiles(lAP).Key) > 0 Then
            .Text = Left$(.Text, Len(.Text) - Len(cWebPages(lAW).PgnFiles(lAP).Key))
        End If
    End With
End If

With cLayouts(lAL)
    .Ini1.PgnLink = lPgnLink
    .Ini2.TitleType = sTitleType

    If sTitleType = "text" Then
        If Len(txtPageTitle.Text) = 0 Then
            MsgBox "You have written no page title.", vbInformation, "Missing Title"
            Exit Sub
        End If
    End If
    
    'Title text (may be empty)
    .Ini3.TitleText = txtPageTitle.Text
    'Pgn URL (may be empty)
    .Ini3.PgnUrl = txtPgnUrl.Text
End With

Unload Me

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error Setting Page Options.", vbCritical, "Error"

End Sub

Private Sub Form_Load()
Dim lCount As Long

On Error GoTo ErrorHandler

If cLayouts(lAL).Ini2.HtmlType = "magviewer" Then
    For lCount = 0 To optPgnLink.Count - 1
        optPgnLink(lCount).Enabled = False
    Next
    
    For lCount = 0 To optTitle.Count - 1
        optTitle(lCount).Enabled = False
    Next
    txtPgnUrl.Enabled = False
    txtPgnUrl.BackColor = Me.BackColor
    Exit Sub
End If

Select Case cLayouts(lAL).Ini2.TitleType
    Case "none"
        optTitle(0).Value = True
    Case "players"
        optTitle(1).Value = True
    Case "event"
        optTitle(2).Value = True
    Case "both"
        optTitle(3).Value = True
    Case "text"
        optTitle(4).Value = True
        
    Case Else
        optTitle(0).Value = True
End Select



Select Case cLayouts(lAL).Ini1.PgnLink
    Case 0
        optPgnLink(0).Value = True
    Case 1
        optPgnLink(1).Value = True
    Case 2
        optPgnLink(2).Value = True
    Case Else
        optPgnLink(0).Value = True
End Select


Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error loading PageOptions form.", vbCritical, "Error"

End Sub

Private Sub optPgnLink_Click(Index As Integer)

lPgnLink = Index

With txtPgnUrl
    If lPgnLink = 0 Then
        .Enabled = False
        .BackColor = vbButtonFace
        .Text = Empty
    Else
        .Enabled = True
        .BackColor = vbWhite
        If cLayouts(lAL).PathHtml & "\" <> cWebPages(lAW).PgnFiles(lAP).PgnDir Then
            .Text = MakeUrl(cLayouts(lAL).PathHtml, cWebPages(lAW).PgnFiles(lAP).PgnDir)
        End If
    End If
End With

If lPgnLink = 2 Then
    lblImageInfo.Caption = "An image link requires a pgn.gif on the server in " & _
    "the directory with piece images."
Else
    lblImageInfo.Caption = Empty
End If

End Sub

Private Sub optTitle_Click(Index As Integer)

Select Case Index
    Case 0
        sTitleType = "none"
    Case 1
        sTitleType = "players"
    Case 2
        sTitleType = "event"
    Case 3
        sTitleType = "both"
    Case 4
        sTitleType = "text"
End Select

With txtPageTitle
    If optTitle(4).Value = True Then
        .Enabled = True
        .BackColor = vbWhite
        .Text = cLayouts(lAL).Ini3.TitleText
    Else
        .Enabled = False
        .BackColor = vbButtonFace
        .Text = Empty
    End If
End With

End Sub

'**************************************
'Help section
'**************************************
Private Sub DisplayHelp()
Me.Hide
sHelpUrl = sPathPalManual & sHelpUrl
Call ShowHelp(sHelpUrl)
Me.Show vbModal, fMainForm

End Sub
Private Sub optTitle_KeyUp(Index As Integer, KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = "ini" & sDelim & "titletype.htm"
    DisplayHelp
End If
End Sub
Private Sub optPgnLink_KeyUp(Index As Integer, KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = "ini" & sDelim & "pgnlink.htm"
    DisplayHelp
End If
End Sub

Private Sub txtPageTitle_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = "ini" & sDelim & "titletext.htm"
    DisplayHelp
End If
End Sub

Private Sub txtPgnUrl_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = "ini" & sDelim & "pgnurl.htm"
    DisplayHelp
End If
End Sub
