VERSION 5.00
Begin VB.Form frmPgnFiles 
   Caption         =   "Pgn Source File Options"
   ClientHeight    =   2580
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4245
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmPgnFiles.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2580
   ScaleWidth      =   4245
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdHelp 
      Height          =   315
      Left            =   1680
      Picture         =   "frmPgnFiles.frx":06EA
      Style           =   1  'Graphical
      TabIndex        =   6
      ToolTipText     =   "Left click for PalMate help. Right for Palview help."
      Top             =   2130
      Width           =   255
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   3145
      TabIndex        =   5
      Top             =   2130
      Width           =   950
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   2065
      TabIndex        =   4
      Top             =   2130
      Width           =   950
   End
   Begin VB.Frame frmPgnChoice 
      Caption         =   "Pgn file action"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1785
      Left            =   150
      TabIndex        =   0
      Top             =   150
      Width           =   3915
      Begin VB.OptionButton optPgn 
         Caption         =   "Multiple pgn files to multiple Html files."
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   405
         Index           =   2
         Left            =   180
         TabIndex        =   3
         Top             =   1140
         Width           =   3600
      End
      Begin VB.OptionButton optPgn 
         Caption         =   "1 pgn file - select and convert some games."
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   405
         Index           =   1
         Left            =   180
         TabIndex        =   2
         Top             =   750
         Width           =   3600
      End
      Begin VB.OptionButton optPgn 
         Caption         =   "1 pgn file - convert all games."
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   405
         Index           =   0
         Left            =   180
         TabIndex        =   1
         Top             =   360
         Width           =   3600
      End
   End
End
Attribute VB_Name = "frmPgnFiles"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Text
Option Explicit

Dim bBreak As Boolean
Dim sHelpUrl As String
Dim sHelpFile As String

Private Sub cmdCancel_Click()

bBreak = False
Unload Me

End Sub


Private Sub cmdOK_Click()
HandlePgn
End Sub

Sub HandlePgn()
Dim lSelected As Long
Dim sPath As String
Dim sAnswer As String

On Error GoTo ErrorHandler

For lSelected = 0 To 2
    If optPgn(lSelected).Value = True Then
        Exit For
    End If
Next

If cLayouts(lAL).Ini2.HtmlType = "magazine" Then lSelected = 1

Select Case lSelected
    Case 0 To 1
        Me.Hide
        Call OpenFileDialog("Select Pgn File", "PGN", sPath, sPathPgn, "")
        If Len(sPath) = 0 Then
            bAbort = True
            GoTo Abort
        End If
        If InStr(1, Dir(sPath), Chr(32)) > 0 Then
            GoTo BadFile
        End If
    Case 2  'If multiple files
        Me.Hide
        Call OpenFileDialog("Select Pgn File", "PGN", sPath, sPathPgn, "multi")
        If Len(sPath) = 0 Then GoTo Abort
'       If the user chose multiple files, but selected but one:
        If InStr(1, sPath, ";") = 0 Then
            lSelected = 0
        End If
End Select

If lSelected < 2 Then
    If FileCheck(sPath) = False Then
        MsgBox "File not found. Project aborted.", vbCritical, "File Not Found"
        bAbort = True
        Exit Sub
    End If
End If

Select Case lSelected
    Case 0 To 1
        sPathPgn = ReturnDir(sPath)
        With cWebPages(lAW)
            .PgnFiles.Add (Dir(sPath))
            lAP = .PgnFiles.Count
            'The filename + path
            .PgnFiles(lAP).FilePath = sPath
            'The source directory
            .PgnFiles(lAP).PgnDir = ReturnDir(sPath) & "\"
            .MultiplePgn = False
        End With
    Case 2
'       Extract the file names and adds each file to
'       the class collection.
        Call ParseMultipleFileString(sPath)
'       If ParseMultipleFileString reported a space in a filename we exit.
        If bAbort Then GoTo BadFile
        With cWebPages(lAW)
            If .PgnFiles.Count = 0 Then
                bAbort = True
                GoTo BadFile
            End If
    '       Flag for multiple files is set.
            If .PgnFiles.Count > 1 Then .MultiplePgn = True
        End With
End Select

'The active pgn file is set to the first file in the
'collection (which may be the only file).
lAP = cWebPages(lAW).PgnFiles.Count

If lSelected = 0 Then
    If FileLen(sPath) > 40000 Then
        MsgBox "The file size indicates quite a few games." & vbNewLine & _
        "Beware that Palview's JavaScript has a high limit of ca. 35-40 games for one page. " & _
        "If you want to show more games, we advice you to split the games and " & _
        "make more than one web page, unless of course you have selected the " & _
        "crosstable or magazine mode, which will either make a crosstable only or a page for each game. " & vbNewLine & vbNewLine & _
        "The Palview Team", vbInformation, "Large Pgn File!"
    End If
End If

If lSelected = 1 Then
    If FileLen(sPath) > 2048000 Then
        sAnswer = MsgBox("The file is > 2mb. This may take some time!" & vbNewLine & _
        "It is better to handle big files in a chess database. Do you want " & _
        "to continue?", vbInformation + vbYesNo, "Are You Patient?")
        If sAnswer = vbNo Then
            bBreak = True
            Exit Sub
        End If
    End If
    cWebPages(lAW).PgnFiles(lAP).MakeGameList
End If


bBreak = True

fMainForm.SetFocus

'P4 addition. If it is a magazine we do parse the pgn file, but
'not because we want to select single games at this point.
If lSelected = 1 And cLayouts(lAL).Ini2.HtmlType <> "magazine" Then
    sAction = "WebPage"
    frmPgnHandler.Show vbModal, fMainForm
    sAction = Empty
End If

Exit Sub
BadFile:
MsgBox "Space not allowed in pgn filename.", vbCritical, "Invalid Filename"
Abort:
Unload Me
fMainForm.SetFocus

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Unexpected error in frmPgnFiles procedure cmdOK_Click.", vbCritical, "Error"
If cWebPages(lAW).PgnFiles.Count = 0 Then
    MsgBox "WebPage project aborted.", vbCritical, "Abort"
    bAbort = True
End If
End Sub
Private Sub ParseMultipleFileString(sPath As String)
'Parses a string with multiple pgn file names and
'adds each file name as a new class to the
'PgnFiles class collection.

Dim sAnswer As String
Dim sSubString As String
Dim lPos1 As Long
Dim lPos2 As Long

On Error GoTo ErrorHandler

lPos1 = 1

Do
    lPos2 = InStr(lPos1, sPath, ";")                'Finds delimiter
    If lPos2 = 0 Then Exit Do                       'If none found we exit loop
    sSubString = Mid$(sPath, lPos1, lPos2 - lPos1)  'Extracts the substring (the file path)
    If Len(Dir(sSubString)) = 0 Then GoTo Skip      'If file doesn't exist
'   If the file size is > 2mb we issue a warning and offers
'   to skip the file.
    If FileLen(sSubString) > 40000 Then
        sAnswer = MsgBox("The file size indicates quite a few games." & vbNewLine & _
        "Beware that Palview's JavaScript has an upper limit of ca. 35-40 games. " & _
        "If you want to show more games, we advice you to split the games and " & _
        "make more than one web page. " & vbNewLine & "Do you want to include the file " & _
        sSubString & "?" & vbNewLine & vbNewLine & _
        "The Palview Team", vbInformation + vbYesNo, "Large Pgn File!")
        If sAnswer = vbNo Then GoTo Skip
    End If
    
'   If there's a space in the pgn filename we exit.
    If InStr(1, Dir(sSubString), Chr(32)) > 0 Then
        bAbort = True
        Exit Sub
    End If
    
    With cWebPages(lAW).PgnFiles
        'Adds pgn to collection
        .Add Dir(sSubString)
        'Sets the subclass' file path property
        .Item(.Count).FilePath = sSubString
        'Sets the file's directory path
        .Item(.Count).PgnDir = ReturnDir(sSubString) & "\"
        sPathPgn = ReturnDir(sSubString)    'Sets the global sPgnPath variable
    End With
Skip:
    lPos1 = lPos2 + 1                               'Moves pointer
    If lPos1 >= Len(sPath) Then Exit Do             'If at the end exit loop
Loop

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure ParseMultipleFileString in frmPgnFiles.", vbCritical, "Error"
If cWebPages(lAW).PgnFiles.Count = 0 Then
    MsgBox "WebPage project aborted.", vbCritical, "Abort"
    bAbort = True
    Unload Me
    fMainForm.SetFocus
End If
End Sub


Private Sub Form_Load()
bBreak = False

End Sub

Private Sub Form_Unload(Cancel As Integer)

Dim vAnswer

On Error Resume Next

If bBreak = True Then Exit Sub

vAnswer = MsgBox("Palview must have a pgn file to create a web page. " & _
"Do you want to stop?", vbYesNo + vbQuestion, "Do you want to stop?")

If vAnswer = vbYes Then
    bAbort = True
    cLayouts(lAL).StyleSheet.bAbortCss = True
    Unload Me
Else
    Cancel = 1
End If

End Sub

Private Sub DisplayHelp()
On Error GoTo ErrorHandler

Me.Hide
Call ShowHelp(sHelpUrl)
Me.Show vbModal, fMainForm
Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error showing help.", vbCritical, "Error"
End Sub

Private Sub cmdHelp_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)

On Error GoTo ErrorHandler

Select Case Button
    Case 2
        sHelpUrl = sPathPalManual & "pgn.htm"
    Case Else
        sHelpFile = "pgnfiles.htm"
        sHelpUrl = App.path & "\help\" & sHelpFile
End Select

DisplayHelp

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error showing help. Procedure cmdHelp_MouseUp in frmPgnFiles.", vbCritical, "Error"
End Sub
Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
On Error Resume Next
If KeyCode = vbKeyF1 Then
    sHelpFile = "pgnfiles.htm"
    sHelpUrl = App.path & "\help\" & sHelpFile
End If
End Sub

Private Sub optPgn_KeyUp(Index As Integer, KeyCode As Integer, Shift As Integer)
On Error Resume Next
If KeyCode = vbKeyF1 Then
    sHelpFile = "pgnfiles.htm"
    sHelpUrl = App.path & "\help\" & sHelpFile
End If
End Sub

