VERSION 5.00
Begin VB.Form frmPlayers 
   Caption         =   "Player Information"
   ClientHeight    =   3210
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8055
   Icon            =   "frmPlayers.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3210
   ScaleWidth      =   8055
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdHelp 
      Height          =   315
      Left            =   6480
      Picture         =   "frmPlayers.frx":06EA
      Style           =   1  'Graphical
      TabIndex        =   20
      ToolTipText     =   "Palview Manual Help"
      Top             =   2700
      Width           =   255
   End
   Begin VB.ListBox lstSelected 
      Height          =   2010
      Left            =   150
      TabIndex        =   19
      Top             =   600
      Width           =   2895
   End
   Begin VB.CommandButton cmdView 
      Caption         =   "&Show Selected Players"
      Height          =   315
      Left            =   3270
      TabIndex        =   18
      ToolTipText     =   "Show list with selected players"
      Top             =   2700
      Width           =   2115
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "&Close"
      Height          =   315
      Left            =   6900
      TabIndex        =   10
      Top             =   2700
      Width           =   950
   End
   Begin VB.Frame Frame1 
      Height          =   2415
      Left            =   3150
      TabIndex        =   9
      Top             =   120
      Width           =   4665
      Begin VB.CommandButton cmdUpdate 
         Caption         =   "&Update"
         Height          =   315
         Left            =   2790
         TabIndex        =   17
         ToolTipText     =   "Update Player Info"
         Top             =   1980
         Visible         =   0   'False
         Width           =   1065
      End
      Begin VB.CommandButton cmdRemove 
         Caption         =   "&Remove"
         Height          =   315
         Left            =   1500
         TabIndex        =   7
         ToolTipText     =   "Remove This Player Info"
         Top             =   1980
         Width           =   1065
      End
      Begin VB.CommandButton cmdAdd 
         Caption         =   "&Add"
         Default         =   -1  'True
         Height          =   315
         Left            =   120
         TabIndex        =   0
         ToolTipText     =   "Add Player Info To Ini File"
         Top             =   1980
         Width           =   1065
      End
      Begin VB.TextBox txtPerfomanceElo 
         Height          =   315
         Left            =   2790
         TabIndex        =   6
         ToolTipText     =   "Performance Rating"
         Top             =   1290
         Width           =   1065
      End
      Begin VB.TextBox txtElo 
         Height          =   315
         Left            =   1500
         TabIndex        =   5
         ToolTipText     =   "ELO (rating)"
         Top             =   1290
         Width           =   1065
      End
      Begin VB.ComboBox cboCountryCode 
         Height          =   315
         Left            =   3030
         Style           =   2  'Dropdown List
         TabIndex        =   3
         Top             =   480
         Width           =   975
      End
      Begin VB.ComboBox cboCountryName 
         Height          =   315
         Left            =   120
         Style           =   2  'Dropdown List
         TabIndex        =   2
         ToolTipText     =   "Players Country"
         Top             =   480
         Width           =   2895
      End
      Begin VB.ComboBox cboTitle 
         Height          =   315
         Left            =   120
         TabIndex        =   4
         ToolTipText     =   "Title"
         Top             =   1290
         Width           =   1065
      End
      Begin VB.Label Label1 
         Caption         =   "Performance ELO"
         Height          =   255
         Index           =   4
         Left            =   2790
         TabIndex        =   15
         Top             =   1050
         Width           =   1365
      End
      Begin VB.Label Label1 
         Caption         =   "ELO"
         Height          =   255
         Index           =   3
         Left            =   1500
         TabIndex        =   14
         Top             =   1050
         Width           =   915
      End
      Begin VB.Label Label1 
         Caption         =   "Title"
         Height          =   255
         Index           =   2
         Left            =   120
         TabIndex        =   13
         Top             =   1020
         Width           =   915
      End
      Begin VB.Label Label1 
         Caption         =   "Country Code"
         Height          =   255
         Index           =   1
         Left            =   3030
         TabIndex        =   12
         Top             =   210
         Width           =   1005
      End
      Begin VB.Label Label1 
         Caption         =   "Country"
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   11
         Top             =   240
         Width           =   915
      End
      Begin VB.Image imgFlag 
         Height          =   180
         Left            =   4110
         ToolTipText     =   "Flag"
         Top             =   540
         Width           =   360
      End
   End
   Begin VB.ComboBox cboPlayers 
      Height          =   315
      Left            =   150
      Style           =   2  'Dropdown List
      TabIndex        =   8
      Top             =   210
      Width           =   2895
   End
   Begin VB.Label lblPlayerNb 
      ForeColor       =   &H00C00000&
      Height          =   465
      Left            =   180
      TabIndex        =   16
      Top             =   630
      Width           =   2835
   End
   Begin VB.Label lblInfo 
      ForeColor       =   &H00C00000&
      Height          =   1365
      Left            =   180
      TabIndex        =   1
      Top             =   1200
      Width           =   2835
   End
End
Attribute VB_Name = "frmPlayers"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Text
Option Explicit
Dim sHelpUrl As String

Private Sub cboTitle_Click()
If lstSelected.Visible = True Then
    cmdView_Click
End If
End Sub

Private Sub cmdOK_Click()

Dim vPlayer As Player
Dim sPInfo As String

On Error GoTo ErrorHandler

'Resets the player collection
With cLayouts(lAL).Ini3
    Set .Player = Nothing
    Set .Player = New Collection
End With

If cWebPages(lAW).PgnFiles(lAP).Players.Selected = 0 Then
    Unload Me
End If

'Find the selected players and make a string with the info.
For Each vPlayer In cWebPages(lAW).PgnFiles(lAP).Players
    With vPlayer
        If .InBase Then
            sPInfo = .Key & ":" & .Title & ":" & .Elo & ":" & .CountryCode
            If Len(.PerformanceElo) > 0 Then
                sPInfo = sPInfo & ":" & .PerformanceElo
            End If
            cLayouts(lAL).Ini3.Player.Add sPInfo
        End If
    End With
Next

Unload Me

Set vPlayer = Nothing

Exit Sub

ErrorHandler:
Set vPlayer = Nothing
MsgBox Err.Description & vbNewLine & _
"Error updating players list.", vbCritical, "Error"
End Sub

Private Sub cmdView_Click()

Dim vPlayer As Player

On Error GoTo ErrorHandler

If cmdView.Caption = "&Show Selected Players" Then
    With cWebPages(lAW).PgnFiles(lAP)
        If .Players.Selected = 0 Then Exit Sub
        lstSelected.Visible = True
        lstSelected.Clear
        For Each vPlayer In .Players
            If vPlayer.InBase Then
                lstSelected.AddItem vPlayer.Key
            End If
        Next
    End With
    Set vPlayer = Nothing
    cmdView.Caption = "&Hide Selected Players"
Else
    lstSelected.Visible = False
    cmdView.Caption = "&Show Selected Players"
End If

Exit Sub
ErrorHandler:
Set vPlayer = Nothing
MsgBox Err.Description & vbNewLine & _
"Error showing list with selected player information.", vbCritical, "Error"
End Sub

Private Sub Form_Load()

Dim lCount As Long

On Error GoTo ErrorHandler

Screen.MousePointer = vbHourglass

cWebPages(lAW).PgnFiles(lAP).MakePlayerList

'Fills the country names combo
InitCountryNames
'Fills the country code combo
InitCountryCode
'Fills the player names combo
InitPlayers
'Fills the Title Combo
InitTitle

'Enables or disables the Add/Remove buttons depending
'on the whether the player has been added to the list or not.
If cWebPages(lAW).PgnFiles(lAP).Players(1).InBase Then
    cmdAdd.Enabled = False
    cmdRemove.Enabled = True
    cmdUpdate.Visible = True
Else
    cmdAdd.Enabled = True
    cmdRemove.Enabled = False
    cmdUpdate.Visible = False
End If

lblInfo.Caption = Empty

lblPlayerNb.Caption = "There are " & cWebPages(lAW).PgnFiles(lAP).Players.Count & " unique player names in the file."


lstSelected.Visible = False

If cWebPages(lAW).PgnFiles(lAP).Players.Selected > 0 Then
    cmdView.Enabled = True
Else
    cmdView.Enabled = False
End If

If sAction = "pgneditsupply" Then
    txtPerfomanceElo.Text = Empty
    txtPerfomanceElo.Visible = False
    Label1(4).Visible = False
End If

Screen.MousePointer = vbDefault

Exit Sub
ErrorHandler:
Screen.MousePointer = vbDefault
MsgBox Err.Description & vbNewLine & _
"Error loading Player Information form.", vbCritical, "Error"
End Sub
Private Sub cmdCancel_Click()
Unload Me

End Sub

Private Sub cmdAdd_Click()

On Error GoTo ErrorHandler

If Len(cboPlayers.Text) = 0 Then Exit Sub

If lstSelected.Visible = True Then
    cmdView_Click
End If

With cWebPages(lAW).PgnFiles(lAP).Players(cboPlayers.Text)
    .CountryCode = cboCountryCode.Text
    .CountryName = cboCountryName.Text
    .Elo = txtElo.Text
    .PerformanceElo = txtPerfomanceElo.Text
    .Title = cboTitle.Text
    .InBase = True
End With

cWebPages(lAW).PgnFiles(lAP).Players.Selected = cWebPages(lAW).PgnFiles(lAP).Players.Selected + 1

cmdView.Enabled = True
cmdRemove.Enabled = True
cmdUpdate.Visible = True
cmdAdd.Enabled = False

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error adding player to list.", vbCritical, "Error"
End Sub
Private Sub cmdRemove_Click()
'Removes a player from the list of selected players.

Dim lCount As Long

On Error GoTo ErrorHandler

If Len(cboPlayers.Text) = 0 Then Exit Sub

If lstSelected.Visible = True Then
    cmdView_Click
End If

cWebPages(lAW).PgnFiles(lAP).Players(cboPlayers.Text).InBase = False

lCount = cWebPages(lAW).PgnFiles(lAP).Players.Selected
If lCount > 0 Then
    lCount = lCount - 1
    cWebPages(lAW).PgnFiles(lAP).Players.Selected = lCount
End If
  
If lCount > 0 Then
    cmdView.Enabled = True
Else
    cmdView.Enabled = False
End If

cmdAdd.Enabled = True
cmdUpdate.Visible = False
cmdRemove.Enabled = False

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error removing player from list.", vbCritical, "Error"
End Sub
Private Sub cmdUpdate_Click()

On Error GoTo ErrorHandler

If Len(cboPlayers.Text) = 0 Then Exit Sub

With cWebPages(lAW).PgnFiles(lAP).Players(cboPlayers.Text)
    .CountryCode = cboCountryCode.Text
    .CountryName = cboCountryName.Text
    .Elo = txtElo.Text
    .PerformanceElo = txtPerfomanceElo.Text
    .Title = cboTitle.Text
    .InBase = True
End With

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error updating player information.", vbCritical, "Error"

End Sub

Private Sub cboPlayers_Click()

Dim sName As String

On Error GoTo ErrorHandler

If lstSelected.Visible = True Then
    cmdView_Click
End If

sName = cboPlayers.Text
If Len(sName) = 0 Then
    cmdAdd.Enabled = False
    cmdRemove.Enabled = False
    Exit Sub
End If

With cWebPages(lAW).PgnFiles(lAP).Players(sName)
'   If already on the list
    If .InBase Then
        cmdAdd.Enabled = False
        cmdRemove.Enabled = True
        cmdUpdate.Visible = True
'   If not on the list
    Else
        cmdAdd.Enabled = True
        cmdRemove.Enabled = False
        cmdUpdate.Visible = False
    End If
        
    InitPlayerInfo
    
End With

Exit Sub
ErrorHandler:

End Sub

Private Sub cboCountryName_Click()
    cboCountryCode.ListIndex = cboCountryName.ListIndex
    
    If lstSelected.Visible = True Then
        cmdView_Click
    End If

End Sub

Private Sub cboCountryCode_Click()

Dim sPath As String

cboCountryName.ListIndex = cboCountryCode.ListIndex
    
On Error Resume Next

If lstSelected.Visible = True Then
    cmdView_Click
End If

If Len(cboCountryCode.Text) = 3 Then
    sPath = cLayouts(lAL).PathFlags & "\" & cboCountryCode.Text & ".gif"
    If FileCheck(sPath) Then
        imgFlag.Picture = LoadPicture(sPath)
    End If
End If
    
End Sub

Private Sub InitPlayerInfo()

Dim lCount As Long

On Error GoTo ErrorHandler

With cWebPages(lAW).PgnFiles(lAP).Players(cboPlayers.Text)
    If Len(.CountryCode) > 0 Then
        For lCount = 0 To cboCountryCode.ListCount
            If cboCountryCode.List(lCount) = .CountryCode Then
                cboCountryCode.ListIndex = lCount
                Exit For
            End If
        Next
    End If
    cboTitle.Text = .Title
    txtElo.Text = .Elo
    txtPerfomanceElo.Text = .PerformanceElo
End With

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error displaying player info.", vbCritical, "Error"
End Sub
Private Sub InitPlayers()
'Fills the combo with player names

Dim vPlayer As Player
Dim lCount As Long

On Error GoTo ErrorHandler

'Iterate through the players collection
For Each vPlayer In cWebPages(lAW).PgnFiles(lAP).Players
    With vPlayer
        cboPlayers.AddItem .Key
        If .InBase Then
            lCount = lCount + 1
        End If
    End With
Next

'Resets the selected players counter.
cWebPages(lAW).PgnFiles(lAP).Players.Selected = lCount

'Name in box
cboPlayers.ListIndex = 0

Set vPlayer = Nothing

Exit Sub

ErrorHandler:
Set vPlayer = Nothing
MsgBox Err.Description & vbNewLine & _
"Error making list with player names.", vbCritical, "Error"


End Sub

Private Sub InitTitle()

On Error GoTo ErrorHandler

With cboTitle
    .AddItem "GM"
    .AddItem "IM"
    .AddItem "FM"
    .AddItem "WGM"
    .AddItem "WIM"
    .AddItem "WFM"
    .AddItem "M"
    .AddItem "WM"
    .AddItem "CC-GM"
    .AddItem "CC-LGM"
    .AddItem "CC-SIM"
    .AddItem "CC-LM"
End With

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error filling title combobox", vbCritical, "Error"
End Sub

Private Sub InitCountryNames()

On Error GoTo ErrorHandler

With cboCountryName
    .AddItem "Afghanistan"
    .AddItem "Albania"
    .AddItem "Algeria"
    .AddItem "Andorra"
    .AddItem "Angola"
    .AddItem "Antigua and Barbuda"
    .AddItem "Argentina"
    .AddItem "Armenia"
    .AddItem "Aruba"
    .AddItem "Australia"
    .AddItem "Austria"
    .AddItem "Azerbaijan"
    .AddItem "Bahamas"
    .AddItem "Bahrain"
    .AddItem "Bangladesh"
    .AddItem "Barbados"
    .AddItem "Belarus"
    .AddItem "Belgium"
    .AddItem "Belize"
    .AddItem "Bermuda"
    .AddItem "Bolivia"
    .AddItem "Bosnia and Herzegovina"
    .AddItem "Botswana"
    .AddItem "Brazil"
    .AddItem "Brunei"
    .AddItem "Bulgaria"
    .AddItem "Burundi"
    .AddItem "Cambodia"
    .AddItem "Cameroon"
    .AddItem "Canada"
    .AddItem "Cayman Islands"
    .AddItem "Chad"
    .AddItem "Chile"
    .AddItem "China"
    .AddItem "Colombia"
    .AddItem "Comoros"
    .AddItem "Costa Rica"
    .AddItem "Croatia"
    .AddItem "Cuba"
    .AddItem "Cyprus"
    .AddItem "Czech Republic"
    .AddItem "Denmark"
    .AddItem "Dominican Republic"
    .AddItem "Ecuador"
    .AddItem "Egypt"
    .AddItem "El Salvador"
    .AddItem "Eritrea"
    .AddItem "Estonia"
    .AddItem "Ethiopia"
    .AddItem "Faroe Islands"
    .AddItem "Fiji"
    .AddItem "Finland"
    .AddItem "France"
    .AddItem "Gambia"
    .AddItem "Georgia"
    .AddItem "Germany"
    .AddItem "Ghana"
    .AddItem "Greece"
    .AddItem "Grenada"
    .AddItem "Guatemala"
    .AddItem "Guyana"
    .AddItem "Haiti"
    .AddItem "Honduras"
    .AddItem "Hong Kong"
    .AddItem "Hungary"
    .AddItem "Iceland"
    .AddItem "India"
    .AddItem "Indonesia"
    .AddItem "Iran"
    .AddItem "Iraq"
    .AddItem "Ireland"
    .AddItem "Israel"
    .AddItem "Italy"
    .AddItem "Jamaica"
    .AddItem "Japan"
    .AddItem "Jordan"
    .AddItem "Kazakhstan"
    .AddItem "Kenya"
    .AddItem "Korea, People's Republic of"
    .AddItem "Korea, Republic of"
    .AddItem "Kuwait"
    .AddItem "Kyrgyzstan"
    .AddItem "Lao People's Democratic Republic"
    .AddItem "Latvia"
    .AddItem "Lebanon"
    .AddItem "Liberia"
    .AddItem "Libya"
    .AddItem "Liechtenstein"
    .AddItem "Lithuania"
    .AddItem "Luxembourg"
    .AddItem "Macedonia"
    .AddItem "Madagascar"
    .AddItem "Malaysia"
    .AddItem "Mali"
    .AddItem "Malta"
    .AddItem "Mauritania"
    .AddItem "Mauritius"
    .AddItem "Mexico"
    .AddItem "Moldova"
    .AddItem "Monaco"
    .AddItem "Mongolia"
    .AddItem "Morocco"
    .AddItem "Mozambique"
    .AddItem "Myanmar"
    .AddItem "Nepal"
    .AddItem "Netherlands"
    .AddItem "Netherlands Antilles"
    .AddItem "New Zealand"
    .AddItem "Nicaragua"
    .AddItem "Nigeria"
    .AddItem "Norway"
    .AddItem "Oman"
    .AddItem "Pakistan"
    .AddItem "Panama"
    .AddItem "Papua New Guinea"
    .AddItem "Paraguay"
    .AddItem "Peru"
    .AddItem "Philippines"
    .AddItem "Poland"
    .AddItem "Portugal"
    .AddItem "Puerto Rico"
    .AddItem "Qatar"
    .AddItem "Quebec"
    .AddItem "Romania"
    .AddItem "Russia"
    .AddItem "San Marino"
    .AddItem "Saudi Arabia"
    .AddItem "Senegal"
    .AddItem "Seychelles"
    .AddItem "Sierra Leone"
    .AddItem "Singapore"
    .AddItem "Slovakia"
    .AddItem "Slovenia"
    .AddItem "South Africa"
    .AddItem "Spain"
    .AddItem "Sri Lanka"
    .AddItem "Sudan"
    .AddItem "Surinam"
    .AddItem "Sweden"
    .AddItem "Switzerland"
    .AddItem "Syria"
    .AddItem "Taiwan"
    .AddItem "Tajikistan"
    .AddItem "Thailand"
    .AddItem "Trinidad and Tobago"
    .AddItem "Tunisia"
    .AddItem "Turkey"
    .AddItem "Turkmenistan"
    .AddItem "Uganda"
    .AddItem "Ukraine"
    .AddItem "United Arab Emirates"
    .AddItem "United Kingdom (England)"
    .AddItem "United States"
    .AddItem "Uruguay"
    .AddItem "Uzbekistan"
    .AddItem "Venezuela"
    .AddItem "Vietnam"
    .AddItem "Yemen"
    .AddItem "Yugoslavia"
    .AddItem "Zambia"
    .AddItem "Zimbabwe"
    .AddItem "Soviet Union (USSR)"
End With

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error filling list with country names", vbCritical, "Error"
End Sub

Private Sub InitCountryCode()

On Error GoTo ErrorHandler

With cboCountryCode
    .AddItem "AFG"
    .AddItem "ALB"
    .AddItem "ALG"
    .AddItem "AND"
    .AddItem "ANG"
    .AddItem "ANT"
    .AddItem "ARG"
    .AddItem "ARM"
    .AddItem "ARU"
    .AddItem "AUS"
    .AddItem "AUT"
    .AddItem "AZE"
    .AddItem "BAH"
    .AddItem "BRN"
    .AddItem "BAN"
    .AddItem "BAR"
    .AddItem "BLR"
    .AddItem "BEL"
    .AddItem "BLZ"
    .AddItem "BER"
    .AddItem "BOL"
    .AddItem "BIH"
    .AddItem "BOT"
    .AddItem "BRA"
    .AddItem "BRU"
    .AddItem "BUL"
    .AddItem "BDI"
    .AddItem "KHM"
    .AddItem "CMR"
    .AddItem "CAN"
    .AddItem "CYM"
    .AddItem "TCD"
    .AddItem "CHI"
    .AddItem "CHN"
    .AddItem "COL"
    .AddItem "COM"
    .AddItem "CRC"
    .AddItem "CRO"
    .AddItem "CUB"
    .AddItem "CYP"
    .AddItem "CZE"
    .AddItem "DEN"
    .AddItem "DOM"
    .AddItem "ECU"
    .AddItem "EGY"
    .AddItem "ESA"
    .AddItem "ERI"
    .AddItem "EST"
    .AddItem "ETH"
    .AddItem "FAI"
    .AddItem "FIJ"
    .AddItem "FIN"
    .AddItem "FRA"
    .AddItem "GAM"
    .AddItem "GEO"
    .AddItem "GER"
    .AddItem "GHA"
    .AddItem "GRE"
    .AddItem "GRD"
    .AddItem "GUA"
    .AddItem "GUY"
    .AddItem "HAI"
    .AddItem "HON"
    .AddItem "HKG"
    .AddItem "HUN"
    .AddItem "ISL"
    .AddItem "IND"
    .AddItem "INA"
    .AddItem "IRI"
    .AddItem "IRQ"
    .AddItem "IRL"
    .AddItem "ISR"
    .AddItem "ITA"
    .AddItem "JAM"
    .AddItem "JPN"
    .AddItem "JOR"
    .AddItem "KAZ"
    .AddItem "KEN"
    .AddItem "PRK"
    .AddItem "KOR"
    .AddItem "KUW"
    .AddItem "KGZ"
    .AddItem "LAO"
    .AddItem "LAT"
    .AddItem "LIB"
    .AddItem "LBR"
    .AddItem "LBA"
    .AddItem "LIE"
    .AddItem "LTU"
    .AddItem "LUX"
    .AddItem "MKD"
    .AddItem "MAD"
    .AddItem "MAS"
    .AddItem "MLI"
    .AddItem "MLT"
    .AddItem "MAU"
    .AddItem "MRI"
    .AddItem "MEX"
    .AddItem "MDA"
    .AddItem "MNC"
    .AddItem "MGL"
    .AddItem "MAR"
    .AddItem "MOZ"
    .AddItem "MYA"
    .AddItem "NEP"
    .AddItem "NED"
    .AddItem "AHO"
    .AddItem "NZL"
    .AddItem "NCA"
    .AddItem "NGR"
    .AddItem "NOR"
    .AddItem "OMN"
    .AddItem "PAK"
    .AddItem "PAN"
    .AddItem "PNG"
    .AddItem "PAR"
    .AddItem "PER"
    .AddItem "PHI"
    .AddItem "POL"
    .AddItem "POR"
    .AddItem "PUR"
    .AddItem "QAT"
    .AddItem "QUE"
    .AddItem "ROM"
    .AddItem "RUS"
    .AddItem "SMR"
    .AddItem "SAU"
    .AddItem "SEN"
    .AddItem "SEY"
    .AddItem "SLE"
    .AddItem "SIN"
    .AddItem "SVK"
    .AddItem "SLO"
    .AddItem "RSA"
    .AddItem "ESP"
    .AddItem "SRI"
    .AddItem "SUD"
    .AddItem "SUR"
    .AddItem "SWE"
    .AddItem "SUI"
    .AddItem "SYR"
    .AddItem "TWN"
    .AddItem "TJK"
    .AddItem "THA"
    .AddItem "TRI"
    .AddItem "TUN"
    .AddItem "TUR"
    .AddItem "TKM"
    .AddItem "UGA"
    .AddItem "UKR"
    .AddItem "UAE"
    .AddItem "ENG"
    .AddItem "USA"
    .AddItem "URU"
    .AddItem "UZB"
    .AddItem "VEN"
    .AddItem "VIE"
    .AddItem "YEM"
    .AddItem "YUG"
    .AddItem "ZAM"
    .AddItem "ZIM"
    .AddItem "SUN"
End With

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error filling list with country codes", vbCritical, "Error"

End Sub


Private Sub txtElo_Click()
If lstSelected.Visible = True Then
    cmdView_Click
End If

End Sub

Private Sub txtPerfomanceElo_Click()
If lstSelected.Visible = True Then
    cmdView_Click
End If

End Sub
Private Sub DisplayHelp()

On Error GoTo ErrorHandler

sHelpUrl = sPathPalManual & "ini" & sDelim & "player.htm"

Me.Hide
Call ShowHelp(sHelpUrl)
Me.Show vbModal, fMainForm

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error displaying help.", vbCritical, "Error"

End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    DisplayHelp
End If
End Sub
Private Sub cboPlayers_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    DisplayHelp
End If
End Sub
Private Sub lstSelected_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    DisplayHelp
End If
End Sub

Private Sub cboCountryName_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    DisplayHelp
End If
End Sub

Private Sub cboCountryCode_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    DisplayHelp
End If
End Sub
Private Sub cboTitle_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    DisplayHelp
End If
End Sub
Private Sub txtElo_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    DisplayHelp
End If
End Sub

Private Sub txtPerfomanceElo_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    DisplayHelp
End If
End Sub
Private Sub cmdHelp_Click()
    DisplayHelp
End Sub

