VERSION 5.00
Begin VB.Form frmRedirect 
   Caption         =   "Redirect NS4 Users"
   ClientHeight    =   2610
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4740
   Icon            =   "frmRedirect.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2610
   ScaleWidth      =   4740
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdHelp 
      Height          =   315
      Left            =   1770
      Picture         =   "frmRedirect.frx":06EA
      Style           =   1  'Graphical
      TabIndex        =   5
      ToolTipText     =   "Palview Manual Help"
      Top             =   2100
      Width           =   255
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   2140
      TabIndex        =   4
      Top             =   2100
      Width           =   950
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   3205
      TabIndex        =   3
      Top             =   2100
      Width           =   950
   End
   Begin VB.TextBox txtRedirect 
      Height          =   315
      Left            =   150
      TabIndex        =   2
      Top             =   1530
      Width           =   4005
   End
   Begin VB.Image imgBrowse 
      Height          =   240
      Left            =   4230
      Picture         =   "frmRedirect.frx":07EC
      ToolTipText     =   "Browse"
      Top             =   1560
      Width           =   240
   End
   Begin VB.Label lblRedirect 
      Caption         =   "Page to redirect to:"
      Height          =   285
      Index           =   1
      Left            =   150
      TabIndex        =   1
      Top             =   1170
      Width           =   4395
   End
   Begin VB.Label lblRedirect 
      Caption         =   $"frmRedirect.frx":0936
      Height          =   915
      Index           =   0
      Left            =   150
      TabIndex        =   0
      Top             =   180
      Width           =   4395
   End
End
Attribute VB_Name = "frmRedirect"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Text
Option Explicit
Dim sHelpUrl As String
Dim sOldPath As String

Private Sub cmdCancel_Click()
Unload Me
End Sub

Private Sub cmdOK_Click()
Dim sNewFile As String

On Error GoTo ErrorHandler

sNewFile = txtRedirect.Text

If Len(sNewFile) = 0 Then
    With cLayouts(lAL)
        .PathRedirect = Empty
        .Ini3.ns4redirect = Empty
    End With
    Unload Me
    Exit Sub
End If

If sNewFile = sOldPath Then
    Unload Me
    Exit Sub
End If

With cLayouts(lAL)
    .PathRedirect = sNewFile
    .Ini3.ns4redirect = MakeUrl(cLayouts(lAL).PathHtml, sNewFile)
End With

Unload Me

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error setting property for redirection file.", vbCritical, "Error"
End Sub

Private Sub Form_Load()

On Error GoTo ErrorHandler

sOldPath = cLayouts(lAL).PathRedirect

If Len(sOldPath) > 0 Then
    txtRedirect.Text = sOldPath
End If

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error loading form for NS4-redirection.", vbCritical, "Error"

End Sub

Private Sub cmdHelp_Click()

On Error GoTo ErrorHandler

sHelpUrl = sPathPalManual & "ini" & sDelim & "ns4redirect.htm"
Me.Hide
Call ShowHelp(sHelpUrl)
Me.Show vbModal, fMainForm

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error displaying help.", vbCritical, "Error"

End Sub


Private Sub imgBrowse_Click()
'Lets the user show the path to the html file

Dim bOKPath As Boolean
Dim sPath As String
Dim sInitDir As String

On Error GoTo ErrorHandler

'If there's already a path, we pass the existing
'directory to the fileopen dialog.
If Len(sOldPath) > 0 Then
    sInitDir = ReturnDir(sOldPath)
Else    'We use the html directory
    sInitDir = cLayouts(lAL).PathHtml
End If

Call OpenFileDialog("Show Path To Redirection File", "htm", sPath, sInitDir, "")

'If no file was selected and we have an old path, we exit.
If Len(sPath) = 0 And Len(sOldPath) > 0 Then Exit Sub

bOKPath = FileCheck(sPath)

If bOKPath = False Then
    If Len(sOldPath) > 0 Then
        MsgBox "Invalid Path", vbCritical, "Invalid Path"
        Exit Sub
    End If
End If

If bOKPath Then
    txtRedirect.Text = sPath
End If

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error selecting redirection file.", vbCritical, "Error"

End Sub
