VERSION 5.00
Begin VB.Form frmTextAndSymbols 
   Caption         =   "Move Text & Symbols"
   ClientHeight    =   5775
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7950
   Icon            =   "frmTextAndSymbols.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5775
   ScaleWidth      =   7950
   StartUpPosition =   1  'CenterOwner
   Begin VB.Frame frScrollIntoview 
      Caption         =   "Auto-scroll frames"
      Height          =   705
      Left            =   120
      TabIndex        =   25
      Top             =   3420
      Width           =   3765
      Begin VB.CheckBox chkScrollIntoview 
         Caption         =   "Auto-scroll last move to top of frame"
         Height          =   315
         Left            =   120
         TabIndex        =   26
         ToolTipText     =   "Show/hide comments before game text"
         Top             =   270
         Width           =   3525
      End
   End
   Begin VB.Frame frIntroComment 
      Caption         =   "Introduction Comment"
      Height          =   705
      Left            =   120
      TabIndex        =   23
      Top             =   2640
      Width           =   3765
      Begin VB.CheckBox chkIntroCom 
         Caption         =   "Show/hide intro-comment before move 1"
         Height          =   315
         Left            =   120
         TabIndex        =   24
         ToolTipText     =   "Show/hide comments before game text"
         Top             =   270
         Value           =   1  'Checked
         Width           =   3525
      End
   End
   Begin VB.Frame frPgnMoves 
      Caption         =   "Movelinks"
      Height          =   705
      Left            =   120
      TabIndex        =   21
      Top             =   90
      Width           =   3765
      Begin VB.CheckBox chkMovelinks 
         Caption         =   "Link text moves to chess board."
         Height          =   315
         Left            =   120
         TabIndex        =   22
         ToolTipText     =   "Linked pgn text moves on/off"
         Top             =   270
         Value           =   1  'Checked
         Width           =   3285
      End
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   6840
      TabIndex        =   14
      Top             =   5220
      Width           =   950
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   5745
      TabIndex        =   13
      Top             =   5220
      Width           =   950
   End
   Begin VB.Frame frLineBreaks 
      Caption         =   "Linebreaks"
      Height          =   705
      Left            =   120
      TabIndex        =   10
      Top             =   1830
      Width           =   3765
      Begin VB.CheckBox chkLinebreak 
         Caption         =   "Break lines at comments/variations"
         Height          =   315
         Left            =   120
         TabIndex        =   11
         Top             =   270
         Width           =   2895
      End
   End
   Begin VB.Frame frLetters 
      Caption         =   "Language Specific Pgn Letters"
      Height          =   1635
      Left            =   3990
      TabIndex        =   3
      Top             =   90
      Width           =   3765
      Begin VB.CheckBox chkFigurines 
         Caption         =   "Use Figurine Notation"
         Height          =   345
         Left            =   150
         TabIndex        =   18
         Top             =   1200
         Width           =   3375
      End
      Begin VB.TextBox txtLetters 
         Alignment       =   2  'Center
         Height          =   315
         Index           =   5
         Left            =   3045
         MaxLength       =   1
         TabIndex        =   9
         Text            =   "K"
         Top             =   690
         Width           =   285
      End
      Begin VB.TextBox txtLetters 
         Alignment       =   2  'Center
         Height          =   315
         Index           =   4
         Left            =   2445
         MaxLength       =   1
         TabIndex        =   8
         Text            =   "Q"
         Top             =   690
         Width           =   285
      End
      Begin VB.TextBox txtLetters 
         Alignment       =   2  'Center
         Height          =   315
         Index           =   3
         Left            =   1875
         MaxLength       =   1
         TabIndex        =   7
         Text            =   "R"
         Top             =   690
         Width           =   285
      End
      Begin VB.TextBox txtLetters 
         Alignment       =   2  'Center
         Height          =   315
         Index           =   2
         Left            =   1275
         MaxLength       =   1
         TabIndex        =   6
         Text            =   "B"
         Top             =   690
         Width           =   285
      End
      Begin VB.TextBox txtLetters 
         Alignment       =   2  'Center
         Height          =   315
         Index           =   1
         Left            =   705
         MaxLength       =   1
         TabIndex        =   5
         Text            =   "N"
         Top             =   690
         Width           =   285
      End
      Begin VB.TextBox txtLetters 
         Alignment       =   2  'Center
         Height          =   315
         Index           =   0
         Left            =   135
         MaxLength       =   1
         TabIndex        =   4
         Text            =   "P"
         Top             =   690
         Width           =   285
      End
      Begin VB.Image imgPiece 
         Height          =   360
         Index           =   1
         Left            =   660
         Picture         =   "frmTextAndSymbols.frx":06EA
         Top             =   300
         Width           =   360
      End
      Begin VB.Image imgPiece 
         Height          =   360
         Index           =   2
         Left            =   1230
         Picture         =   "frmTextAndSymbols.frx":0AB6
         Top             =   300
         Width           =   360
      End
      Begin VB.Image imgPiece 
         Height          =   360
         Index           =   3
         Left            =   1830
         Picture         =   "frmTextAndSymbols.frx":0E7C
         Top             =   300
         Width           =   360
      End
      Begin VB.Image imgPiece 
         Height          =   360
         Index           =   4
         Left            =   2400
         Picture         =   "frmTextAndSymbols.frx":1234
         Top             =   300
         Width           =   360
      End
      Begin VB.Image imgPiece 
         Height          =   360
         Index           =   5
         Left            =   3000
         Picture         =   "frmTextAndSymbols.frx":1617
         Top             =   300
         Width           =   360
      End
      Begin VB.Image imgPiece 
         Height          =   360
         Index           =   0
         Left            =   90
         Picture         =   "frmTextAndSymbols.frx":19F7
         Top             =   300
         Width           =   360
      End
   End
   Begin VB.Frame frSymbols 
      Caption         =   "Symbols"
      Height          =   1875
      Left            =   3990
      TabIndex        =   1
      Top             =   1830
      Width           =   3765
      Begin VB.TextBox txtSymUrl 
         Height          =   300
         Left            =   90
         TabIndex        =   16
         Top             =   1350
         Width           =   3165
      End
      Begin VB.CheckBox chkSymTips 
         Caption         =   "Show symbol explanation on mouse over"
         Enabled         =   0   'False
         Height          =   315
         Left            =   120
         TabIndex        =   15
         Top             =   690
         Width           =   3495
      End
      Begin VB.CheckBox chkSymbolMethod 
         Caption         =   "Use GIF images for Informator chess symbols"
         Height          =   315
         Left            =   120
         TabIndex        =   2
         Top             =   270
         Width           =   3555
      End
      Begin VB.Label lblSymUrl 
         Caption         =   "Local directory with symbol images"
         Height          =   285
         Left            =   120
         TabIndex        =   17
         Top             =   1110
         Width           =   3165
      End
      Begin VB.Image imgSymUrl 
         Height          =   240
         Left            =   3330
         MouseIcon       =   "frmTextAndSymbols.frx":1DA2
         MousePointer    =   99  'Custom
         Picture         =   "frmTextAndSymbols.frx":266C
         ToolTipText     =   "Select Symbols Directory"
         Top             =   1380
         Width           =   240
      End
   End
   Begin VB.Frame frColors 
      Caption         =   "Active Text Move's Background Color"
      Height          =   795
      Left            =   120
      TabIndex        =   0
      Top             =   930
      Width           =   3765
      Begin VB.CheckBox chkNoColor 
         Caption         =   "None"
         Height          =   315
         Left            =   2910
         TabIndex        =   20
         Top             =   270
         Width           =   795
      End
      Begin VB.Label lblHilightColor 
         Alignment       =   2  'Center
         Appearance      =   0  'Flat
         BackColor       =   &H80000005&
         BorderStyle     =   1  'Fixed Single
         Caption         =   "Highlight Color"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H80000008&
         Height          =   285
         Left            =   120
         MouseIcon       =   "frmTextAndSymbols.frx":27B6
         MousePointer    =   99  'Custom
         TabIndex        =   19
         ToolTipText     =   "Click To Select Highlight Color"
         Top             =   300
         Width           =   2685
      End
   End
   Begin VB.Label lblHelp 
      ForeColor       =   &H00C00000&
      Height          =   1335
      Left            =   120
      TabIndex        =   12
      Top             =   4200
      Width           =   5025
   End
End
Attribute VB_Name = "frmTextAndSymbols"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Text
Option Explicit

Dim sHilightColor As String
Dim sHelpUrl As String
Dim lOldLinebreak As Long   'Original value of linebreak
Dim iR As Integer   'Red RGBvalue
Dim iG As Integer   'Green RGBvalue
Dim iB As Integer   'Blue RGBvalue

Private Sub Form_Load()
Dim sVar As String
Dim sHtmlType As String

On Error GoTo ErrorHandler

With cLayouts(lAL).Ini2
    sHtmlType = .HtmlType
    
    'Linebreak checkbox
    chkLinebreak.Value = lOnOff(.LineBreaks)
    lOldLinebreak = chkLinebreak.Value  'Used for later comparison
    
    'Symbolmethod's checkbox
    If .SymbolMethod = "gif" Then
        chkSymbolMethod.Value = vbChecked
        chkSymTips.Enabled = True
    Else
        chkSymbolMethod.Value = vbUnchecked
        txtSymUrl.BackColor = vbButtonFace  'Textbox for Symbols directory
        txtSymUrl.Enabled = False           'is disabled
        imgSymUrl.Enabled = False
    End If
    
    txtSymUrl.Text = cLayouts(lAL).PathSymbols
    
    'Symtips
    chkSymTips.Value = lOnOff(.SymTips)
    
    InitPcLetters   'Procedure for reading pcletters command
    
    'Figurine notation's checkbox
    chkFigurines.Value = lOnOff(.Figurines)
    
    'Movelinks checkbox
    chkMovelinks.Value = lOnOff(.MoveLinks)
    
    'IntroComment
    If Len(.IntroCom) > 0 Then
        chkIntroCom.Value = lOnOff(.IntroCom)
    Else
        chkIntroCom.Value = vbChecked
    End If
    
    'Scrollintoview
    sVar = .HtmlType
    Select Case sVar
        Case "frames", "iframe", "magviewer"
            chkScrollIntoview.Value = lOnOff(.ScrollIntoView)
        Case Else
            chkScrollIntoview.Value = lOnOff(.ScrollIntoView)
            chkScrollIntoview.Enabled = False
    End Select
    
    'if cLayouts(lal).Ini2.HtmlType
    If Len(.IntroCom) > 0 Then
        chkIntroCom.Value = lOnOff(.IntroCom)
    Else
        chkIntroCom.Value = vbChecked
    End If
    
    'Now we set the background color of hilight color label.
    sCurrentColor = cLayouts(lAL).Ini3.HilightColor
    If Len(sCurrentColor) = 0 Then
        If sVar <> "magazine" Then
            sCurrentColor = cLayouts(lAL).StyleSheet("Body").BackgroundColor
        End If
        If Len(sCurrentColor) = 0 Then sCurrentColor = "#ffffff"
        chkNoColor.Value = vbChecked
        lblHilightColor.Caption = "No Highlight Color Selected"
    Else
        chkNoColor.Value = vbUnchecked
        lblHilightColor.Caption = "Highlight Color"
    End If
End With

sHilightColor = sCurrentColor
MakeBGColor
lblHilightColor.BackColor = RGB(iR, iG, iB)


sCurrentColor = Empty

lblHelp.Caption = "Want help? - Select an item and press F1"

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error loading form for text and symbols' settings.", vbCritical, "Error"
sCurrentColor = Empty
End Sub
Private Sub MakeBGColor()
'Sets the RGB values for the current color

Dim sColor As String

On Error GoTo ErrorHandler

sColor = ColorImportConvert(sCurrentColor)
sColor = Right$(sColor, 6)
'The first pair in the hex code is converted into an RGB integer
iR = HexToRgb(Left$(sColor, 2))
'The second pair
iG = HexToRgb(Mid$(sColor, 3, 2))
'and the third
iB = HexToRgb(Right$(sColor, 2))

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error finding RGB values for current color. Procedure MakeBGColor", vbCritical, "Error"

End Sub
Private Sub InitPcLetters()
Dim sLetters As String
Dim sPiece As String    'Piece
Dim lPos1 As Long
Dim lLen As Long
Dim lCount As Long

On Error GoTo ErrorHandler

sLetters = cLayouts(lAL).Ini3.PcLetters

'If the ini command PCLETTERS is empty we leave
'and use English as default.
lLen = Len(sLetters)
If lLen = 0 Then Exit Sub

lPos1 = 1
lCount = 0

Do
    sPiece = Mid$(sLetters, lPos1, 1)
    If dhIsCharAlphanumeric(sPiece) Then
        txtLetters(lCount).Text = sPiece
        lCount = lCount + 1
    End If
    If lCount = 7 Then Exit Sub
    lPos1 = lPos1 + 1
    If lPos1 > Len(sLetters) Then Exit Sub
Loop

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error in procedure InitPcLetters.", vbCritical, "Error"

End Sub

Private Sub chkNoColor_Click()
    If chkNoColor.Value = vbChecked Then
        lblHilightColor.Caption = "No Highlight Color Selected"
    Else
        lblHilightColor.Caption = "Highlight Color"
    End If
    
End Sub

Private Sub chkSymbolMethod_Click()

If chkSymbolMethod.Value = vbChecked Then
    chkSymTips.Enabled = True
    txtSymUrl.Enabled = True
    txtSymUrl.BackColor = vbWhite
    imgSymUrl.Enabled = True
    If Len(txtSymUrl.Text) = 0 Then
        txtSymUrl.Text = cLayouts(lAL).PathSymbols
    End If
Else
    chkSymTips.Enabled = False
    txtSymUrl.Enabled = False
    txtSymUrl.BackColor = vbButtonFace
    imgSymUrl.Enabled = False
End If

End Sub

Private Sub imgSymUrl_Click()
'Selects symbols directory

sAction = "Select Symbols Directory"
frmDirSearch.Show vbModal

If Len(spubPath) > 0 Then
    txtSymUrl.Text = spubPath
End If

End Sub

Private Sub lblHilightColor_Click()
sCurrentColor = sHilightColor
sAction = "Select Highlight Color"
frmColor.Show vbModal
sHilightColor = sCurrentColor

If Len(sHilightColor) > 0 Then
    chkNoColor.Value = vbUnchecked
    MakeBGColor
    lblHilightColor.BackColor = RGB(iR, iG, iB)
Else
    chkNoColor.Value = vbChecked
End If


End Sub

Private Sub txtLetters_GotFocus(Index As Integer)
'Selects the text when the textbox gets focus

If Len(txtLetters(Index).Text) > 0 Then
    txtLetters(Index).SelLength = 1
End If
End Sub

Private Sub txtLetters_KeyPress(Index As Integer, KeyAscii As Integer)
'Controls whether illegal characters are typed in the pcletters textboxes

If KeyAscii = 8 Then Exit Sub                               'If backspace
If dhIsCharAlphanumeric(Chr(KeyAscii)) = False Then KeyAscii = 0   'If not alphanumeric

End Sub

Private Sub cmdCancel_Click()
Unload Me

End Sub

Private Sub cmdOK_Click()
Dim lCount As Long
Dim lAz As Long
Dim lAg As Long
Dim bMissingLetter As Boolean
Dim sLetters As String
Dim sHtmlType As String
Dim clTemp As Layout

On Error GoTo ErrorHandler

With cLayouts(lAL)
    'Symbolmethod - gifs or text
    If chkSymbolMethod.Value = vbChecked Then
        If Len(txtSymUrl.Text) = 0 Then
            MsgBox "There's no path to the directory with symbol images.", vbCritical, "Missing Path"
            Exit Sub
        End If
        If ValidPath(ReturnDir(txtSymUrl.Text)) = False Then
            MsgBox txtSymUrl.Text & " is not a valid directory", vbCritical, "Invalid Path"
            Exit Sub
        End If
        .PathSymbols = txtSymUrl.Text
        .Ini3.SymUrl = MakeUrl(.PathHtml, txtSymUrl.Text)
        .Ini2.SymTips = sOnOff(chkSymTips.Value)
        .Ini2.SymbolMethod = "gif"
    Else
        .Ini2.SymbolMethod = "text"
    End If
    
    'Hilight color
    If chkNoColor.Value = vbUnchecked Then
        .Ini3.HilightColor = sHilightColor
    Else
        .Ini3.HilightColor = Empty
    End If
    
    'Scrollintoview - P4 addition
    .Ini2.ScrollIntoView = sOnOff(chkScrollIntoview.Value)
    
    'Linebreaks
    .Ini2.LineBreaks = sOnOff(chkLinebreak.Value)
    
    'PCLetters
    bMissingLetter = False
    For lCount = 0 To 5
        If Len(txtLetters(lCount).Text) = 0 Then
            MsgBox "A character for one of the pgn pieces is missing. English letters will be used.", vbInformation, "Missing Character"
            bMissingLetter = True
            Exit For
        End If
    Next
    
    If bMissingLetter = False Then
        For lCount = 0 To 5
            sLetters = sLetters & UCase(txtLetters(lCount).Text)
        Next
    Else
        sLetters = "PNBRQK"
    End If
    
    .Ini3.PcLetters = sLetters
    
    'Figurine notation
    .Ini2.Figurines = sOnOff(chkFigurines.Value)
    
    'Movelinks
    .Ini2.MoveLinks = sOnOff(chkMovelinks.Value)
    
    'IntroComment
    .Ini2.IntroCom = sOnOff(chkIntroCom.Value)
    sHtmlType = .Ini2.HtmlType
End With

'If the linebreaks value has been changed, we must update
'the CSS treeview, because variations will now be
'either SPANned or not (different CSS-classes).
If chkLinebreak.Value <> lOldLinebreak Then
    Dim sCaption As String
    Dim frm As Form
    sCaption = cLayouts(lAL).CaptionName
    
    For Each frm In Forms
        If frm.Caption = sCaption Then
            frm.FillTree
            Exit For
        End If
    Next
    
    Set frm = Nothing
End If

'P4 addition.
If sHtmlType = "magazine" Then
    Set clTemp = cLayouts(lAL)
    cLayouts(lAL).Ini2.ScrollIntoView = cLayouts(lAL + 1).Ini2.ScrollIntoView
    lAW = lAW + 1
    lAL = lAL + 1
End If
If sHtmlType = "magviewer" Then
    Set clTemp = cLayouts(lAL)
    lAW = lAW - 1
    lAL = lAL - 1
End If

If sHtmlType = "magazine" Or sHtmlType = "magviewer" Then
    With cLayouts(lAL)
        .PathSymbols = clTemp.PathSymbols
        .Ini3.PcLetters = clTemp.Ini3.PcLetters
        .Ini3.SymUrl = clTemp.Ini3.SymUrl
        .Ini2.MoveLinks = clTemp.Ini2.MoveLinks
        .Ini2.IntroCom = clTemp.Ini2.IntroCom
        .Ini2.LineBreaks = clTemp.Ini2.LineBreaks
        .Ini2.SymbolMethod = clTemp.Ini2.SymbolMethod
        .Ini2.Figurines = clTemp.Ini2.Figurines
        .Ini2.SymTips = clTemp.Ini2.SymTips
        .Ini3.HilightColor = clTemp.Ini3.HilightColor
    End With
End If

If sHtmlType = "magazine" Then
    lAL = lAL - 1
    lAW = lAW - 1
ElseIf sHtmlType = "magviewer" Then
    lAL = lAL + 1
    lAW = lAW + 1
End If
'End P4 addition

Set clTemp = Nothing

Unload Me


Exit Sub
ErrorHandler:
Set clTemp = Nothing
MsgBox Err.Description & vbNewLine & _
"Error writing text and and symbols settings.", vbCritical, "Error"
End Sub

'***************************************************************
'The following is various help text displayed in the lblHelp
'depending on where the mouse hovers.
'***************************************************************

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = Empty
End Sub

Private Sub frColors_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "You can highlight the active text move with a separate color."
End Sub

Private Sub frLetters_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "Palview can replace the Pgn standard letters for Knight (N), Bishop (B) etc. " & _
"with characters of your choice. In German for instance the letters would be " & _
"""B S L T D K"" instead of the English ""P N B Q K""." & vbNewLine & _
"Figurine notation will show only if you have selected a true type chess font " & _
"in the Font Family css definition and if the same font is installed on the user's PC."
End Sub

Private Sub frLineBreaks_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "Linebreaks before each " & _
"comment or variation makes the text easier to read, but less compact. " & _
"If you don't select linebreaks, the text will be ""Informator style""." & _
"Beware that variations with or without linebreaks have different " & _
"stylesheet classes. If linebreaks are ON, variations will be formatted " & _
"with a ""SPAN""."
End Sub

Private Sub frSymbols_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "If there are Informator comments like ""="" or ""+/-"" in the move text " & _
"they can be shown as GIF images. This looks pretty good." & vbNewLine & _
"If you select this option a small explanatory text (tooltip) can appear, " & _
"when the mouse hovers over the symbol - for instance ""Unclear""."
End Sub

Private Sub frPgnMoves_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "If a pgn text move is linked to the board, the game position " & _
"will show on the board if the text move is clicked. This is a nice feature, but if there are " & _
"many games it should be considered that the html file-size will increase."
End Sub

Private Sub frIntroComment_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "Usually ON, but some programs put comments before the first move, and you " & _
"may not want that, if you're covering games online for instance."
End Sub
Private Sub frScrollIntoview_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "If ON and the page is with frames or I-frames, Microsoft's Internet Explorer browser will automatically scroll the game " & _
"so that the last moved played is at the top of the frame. Other browsers than IE do not understand this property, but will still function properly."
End Sub

'*******************************************
'Help Section
'*******************************************
Private Sub DisplayHelp()

On Error GoTo ErrorHandler

Me.Hide
Call ShowHelp(sHelpUrl)
Me.Show vbModal, fMainForm

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error displaying help.", vbCritical, "Error"

End Sub
Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    MsgBox "Select an item and press F1 for help", vbInformation, "Help Info"
End If
End Sub
Private Sub chkMovelinks_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = sPathPalManual & "ini" & sDelim & "movelinks.htm"
    DisplayHelp
End If
End Sub
Private Sub chkNoColor_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = sPathPalManual & "ini" & sDelim & "hilightcolor.htm"
    DisplayHelp
End If
End Sub
Private Sub chkLinebreak_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = sPathPalManual & "ini" & sDelim & "linebreaks.htm"
    DisplayHelp
End If
End Sub
Private Sub chkIntroCom_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = sPathPalManual & "ini" & sDelim & "introcom.htm"
    DisplayHelp
End If
End Sub

Private Sub txtLetters_KeyUp(Index As Integer, KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = sPathPalManual & "ini" & sDelim & "pcletters.htm"
    DisplayHelp
End If
End Sub
Private Sub chkFigurines_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = sPathPalManual & "ini" & sDelim & "figurines.htm"
    DisplayHelp
End If
End Sub
Private Sub chkSymbolMethod_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = sPathPalManual & "ini" & sDelim & "symbolmethod.htm"
    DisplayHelp
End If
End Sub
Private Sub chkSymTips_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = sPathPalManual & "ini" & sDelim & "symtips.htm"
    DisplayHelp
End If
End Sub

