VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "CssTags"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Description = "Class for Css editing. Contains all tags + for most available options."
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

'set this to 0 to disable debug code in this class
#Const DebugMode = 1


#If DebugMode Then
    'local variable to hold the serialized class ID that was created in Class_Initialize
    Private mlClassDebugID As Long
#End If
'local variable(s) to hold property value(s)
Private mvarClassDebugID As Collection 'local copy
Private mvarAzimuth As Collection 'local copy
Private mvarBackground As Collection 'local copy
Private mvarBackgroundAttachment As Collection 'local copy
Private mvarBackgroundColor As Collection 'local copy
Private mvarBackgroundImage As Collection 'local copy
Private mvarBackgroundPosition As Collection 'local copy
Private mvarBackgroundRepeat As Collection 'local copy
Private mvarBorder As Collection 'local copy
Private mvarBorderBottomWidth As Collection 'local copy
Private mvarBorderCollapse As Collection 'local copy
Private mvarBorderColor As Collection 'local copy
Private mvarBorderLeftWidth As Collection 'local copy
Private mvarBorderRightWidth As Collection 'local copy
Private mvarBorderSpacing As Collection 'local copy
Private mvarBorderStyle As Collection 'local copy
Private mvarBorderTopWidth As Collection 'local copy
Private mvarBorderWidth As Collection 'local copy
Private mvarBottom As Collection 'local copy
Private mvarCaptionSide As Collection 'local copy
Private mvarClear As Collection 'local copy
Private mvarClip As Collection 'local copy
Private mvarColor As Collection 'local copy
Private mvarContent As Collection 'local copy
Private mvarCounterIncrement As Collection 'local copy
Private mvarCounterReset As Collection 'local copy
Private mvarCue As Collection 'local copy
Private mvarCueAfter As Collection 'local copy
Private mvarCueBefore As Collection 'local copy
Private mvarCursor As Collection 'local copy
Private mvarDirection As Collection 'local copy
Private mvarDisplay As Collection 'local copy
Private mvarElevation As Collection 'local copy
Private mvarEmptyCells As Collection 'local copy
Private mvarFloat As Collection 'local copy
Private mvarFont As Collection 'local copy
Private mvarFontFamily As Collection 'local copy
Private mvarFontSize As Collection 'local copy
Private mvarFontSizeAdjust As Collection 'local copy
Private mvarFontStretch As Collection 'local copy
Private mvarFontStyle As Collection 'local copy
Private mvarFontVariant As Collection 'local copy
Private mvarFontWeight As Collection 'local copy
Private mvarHeight As Collection 'local copy
Private mvarsLeft As Collection 'local copy
Private mvarLetterSpacing As Collection 'local copy
Private mvarLineHeight As Collection 'local copy
Private mvarListStyle As Collection 'local copy
Private mvarListStyleImage As Collection 'local copy
Private mvarListStylePosition As Collection 'local copy
Private mvarListStyleType As Collection 'local copy
Private mvarMargin As Collection 'local copy
Private mvarMarginBottom As Collection 'local copy
Private mvarMarginLeft As Collection 'local copy
Private mvarMarginRight As Collection 'local copy
Private mvarMarginTop As Collection 'local copy
Private mvarMarkerOffset As Collection 'local copy
Private mvarMarks As Collection 'local copy
Private mvarMaxHeight As Collection 'local copy
Private mvarMaxWidth As Collection 'local copy
Private mvarMinHeight As Collection 'local copy
Private mvarMinWidth As Collection 'local copy
Private mvarOrphans As Collection 'local copy
Private mvarOutline As Collection 'local copy
Private mvarOutlineColor As Collection 'local copy
Private mvarOutlineStyle As Collection 'local copy
Private mvarOutlineWidth As Collection 'local copy
Private mvarOverflow As Collection 'local copy
Private mvarPadding As Collection 'local copy
Private mvarPaddingBottom As Collection 'local copy
Private mvarPaddingLeft As Collection 'local copy
Private mvarPaddingRight As Collection 'local copy
Private mvarPaddingTop As Collection 'local copy
Private mvarsPage As Collection 'local copy
Private mvarPageBreakAfter As Collection 'local copy
Private mvarPageBreakBefore As Collection 'local copy
Private mvarPageBreakInside As Collection 'local copy
Private mvarPause As Collection 'local copy
Private mvarPauseAfter As Collection 'local copy
Private mvarPauseBefore As Collection 'local copy
Private mvarPitch As Collection 'local copy
Private mvarPitchRange As Collection 'local copy
Private mvarPlayDuring As Collection 'local copy
Private mvarPosition As Collection 'local copy
Private mvarQuotes As Collection 'local copy
Private mvarRichness As Collection 'local copy
Private mvarsRight As Collection 'local copy
Private mvarSize As Collection 'local copy
Private mvarSpeak As Collection 'local copy
Private mvarSpeakHeader As Collection 'local copy
Private mvarSpeakNumeral As Collection 'local copy
Private mvarSpeakPunctuation As Collection 'local copy
Private mvarSpeechRate As Collection 'local copy
Private mvarStress As Collection 'local copy
Private mvarTableLayout As Collection 'local copy
Private mvarTextAlign As Collection 'local copy
Private mvarTextDecoration As Collection 'local copy
Private mvarTextIndent As Collection 'local copy
Private mvarTextShadow As Collection 'local copy
Private mvarTextTransform As Collection 'local copy
Private mvarTop As Collection 'local copy
Private mvarUnicodeBidi As Collection 'local copy
Private mvarVerticalAlign As Collection 'local copy
Private mvarVisibility As Collection 'local copy
Private mvarVoiceFamily As Collection 'local copy
Private mvarVolume As Collection 'local copy
Private mvarWhiteSpace As Collection 'local copy
Private mvarWidows As Collection 'local copy
Private mvarWidth As Collection 'local copy
Private mvarWordSpacing As Collection 'local copy
Private mvarZIndex As Collection 'local copy
Private mvarUnknown1 As Collection 'local copy
Private mvarUnknown2 As Collection 'local copy
Private mvarUnknown3 As Collection 'local copy
Private mvarChanged As Collection 'local copy
Public Key As String
Public Sub SetCollections(sProperty As String)
Attribute SetCollections.VB_Description = "Creates a collection (property) with its default members when passed a string. To save memory only the properties/collections requested are created."
'Sets/instantiates a property collection when called.

Select Case sProperty
    Case "font-family"
        If Me.FontFamily Is Nothing Then
            Set Me.FontFamily = New Collection
            With Me.FontFamily
                .Add "serif"
                .Add "sans-serif"
                .Add "cursive"
                .Add "fantasy"
                .Add "monospace"
                .Add "[font]"
            End With
        End If
    Set objCssTag = Me.FontFamily
    sAction = "The font name and/or one of the general types " & _
    "serif, sans-serif,cursive, fantasy and monospace."
        
    Case "font-size"
        If Me.FontSize Is Nothing Then
            Set Me.FontSize = New Collection
            With Me.FontSize
                .Add "xx-small"
                .Add "x-small"
                .Add "medium"
                .Add "large"
                .Add "x-large"
                .Add "xx-large"
                .Add "smaller"
                .Add "larger"
                .Add "[number]"
            End With
        End If
        Set objCssTag = Me.FontSize
        sAction = "The font size. Either precise (e.g. 12 pt) or relative (e.g. larger)."
        
    Case "font-style"
        If Me.FontStyle Is Nothing Then
            Set Me.FontStyle = New Collection
            With Me.FontStyle
                .Add "normal"
                .Add "italic"
                .Add "oblique"
            End With
        End If
        Set objCssTag = Me.FontStyle
        sAction = "Normal, italic or oblique."
        
    Case "font-weight"
        If Me.FontWeight Is Nothing Then
            Set Me.FontWeight = New Collection
            With Me.FontWeight
                .Add "normal"
                .Add "bold"
                .Add "bolder"
                .Add "lighter"
                .Add "100"
                .Add "200"
                .Add "300"
                .Add "400"
                .Add "500"
                .Add "600"
                .Add "700"
                .Add "900"
            End With
        End If
        Set objCssTag = Me.FontWeight
        sAction = "The font weight. Either a precise value, a number or a relative value like e.g. lighter."
        
    Case "font"
        If Me.Font Is Nothing Then
            Set Me.Font = New Collection
            With Me.Font
                .Add "normal"
                .Add "italic"
                .Add "oblique"
                .Add "normal"
                .Add "small-caps"
                .Add "normal"
                .Add "bold"
                .Add "bolder"
                .Add "lighter"
                .Add "100"
                .Add "200"
                .Add "300"
                .Add "400"
                .Add "500"
                .Add "600"
                .Add "700"
                .Add "800"
                .Add "900"
                .Add "[number]"
                .Add "serif"
                .Add "sans-serif"
                .Add "cursive"
                .Add "fantasy"
                .Add "monospace"
            End With
        End If
        Set objCssTag = Me.Font
        sAction = "Shorthand property for setting font-style, font-variant, font-weight, " & _
        "font-size, line-height and font-family. Percentages are allowed on font-size and line-height."
        
    Case "color"
        If Me.Color Is Nothing Then
            Set Me.Color = New Collection
            Me.Color.Add "[color]"
        End If
        Set objCssTag = Me.Color
        sAction = "The font color. Either hex-code or one of the legal names (e.g. black)."
        
    Case "margin"
        If Me.Margin Is Nothing Then
            Set Me.Margin = New Collection
            Me.Margin.Add "Auto"
            Me.Margin.Add "[number]"
        End If
        Set objCssTag = Me.Margin
        sAction = "Shorthand property for setting margin-top, margin-right, margin-bottom and margin-left. " & _
        "Sets the distance to other elements."
        
    Case "margin-bottom"
        If Me.MarginBottom Is Nothing Then
            Set Me.MarginBottom = New Collection
            Me.MarginBottom.Add "Auto"
            Me.MarginBottom.Add "[number]"
        End If
        Set objCssTag = Me.MarginBottom
        sAction = "The element's bottom margin."
        
    Case "margin-left"
        If Me.MarginLeft Is Nothing Then
            Set Me.MarginLeft = New Collection
            Me.MarginLeft.Add "Auto"
            Me.MarginLeft.Add "[number]"
        End If
        Set objCssTag = Me.MarginLeft
        sAction = "The element's left margin."
        
    Case "margin-right"
        If Me.MarginRight Is Nothing Then
            Set Me.MarginRight = New Collection
            Me.MarginRight.Add "Auto"
            Me.MarginRight.Add "[number]"
        End If
        Set objCssTag = Me.MarginRight
        sAction = "The element's right margin."
        
    Case "margin-top"
        If Me.MarginTop Is Nothing Then
            Set Me.MarginTop = New Collection
            Me.MarginTop.Add "Auto"
            Me.MarginTop.Add "[number]"
        End If
        Set objCssTag = Me.MarginTop
        sAction = "The element's top margin."
        
    Case "padding"
        If Me.Padding Is Nothing Then
            Set Me.Padding = New Collection
            Me.Padding.Add "Auto"
            Me.Padding.Add "[number]"
        End If
        Set objCssTag = Me.Padding
        sAction = "Shorthand property for setting padding-top, padding-right, padding-bottom and padding-left. " & _
        "Sets the distance between the elements border and the content."
        
    Case "padding-left"
        If Me.PaddingLeft Is Nothing Then
            Set Me.PaddingLeft = New Collection
            Me.PaddingLeft.Add "Auto"
            Me.PaddingLeft.Add "[number]"
        End If
        Set objCssTag = Me.PaddingLeft
        sAction = "The distance between the element's left border and the content."
        
    Case "padding-right"
        If Me.PaddingRight Is Nothing Then
            Set Me.PaddingRight = New Collection
            Me.PaddingRight.Add "Auto"
            Me.PaddingRight.Add "[number]"
        End If
        Set objCssTag = Me.PaddingRight
        sAction = "The distance between the element's right border and the content."
        
    Case "padding-bottom"
        If Me.PaddingBottom Is Nothing Then
            Set Me.PaddingBottom = New Collection
            Me.PaddingBottom.Add "Auto"
            Me.PaddingBottom.Add "[number]"
        End If
        Set objCssTag = Me.PaddingBottom
        sAction = "The distance between the element's bottom border and the content."
    
    Case "padding-top"
        If Me.PaddingTop Is Nothing Then
            Set Me.PaddingTop = New Collection
            Me.PaddingTop.Add "Auto"
            Me.PaddingTop.Add "[number]"
        End If
        Set objCssTag = Me.PaddingTop
        sAction = "The distance between the element's top border and the content."
    
    Case "text-align"
        If Me.TextAlign Is Nothing Then
            Set Me.TextAlign = New Collection
            With Me.TextAlign
                .Add "left"
                .Add "right"
                .Add "center"
                .Add "justify"
            End With
        End If
        Set objCssTag = Me.TextAlign
        sAction = "Text alignment. Left justify, right justify etc."
        
    Case "text-decoration"
        If Me.TextDecoration Is Nothing Then
            Set Me.TextDecoration = New Collection
            With Me.TextDecoration
                .Add "none"
                .Add "underline"
                .Add "overline"
                .Add "line-through"
                .Add "blink"
            End With
        End If
        Set objCssTag = Me.TextDecoration
        
    Case "text-indent"
        If Me.TextIndent Is Nothing Then
            Set Me.TextIndent = New Collection
            Me.TextIndent.Add "[number]"
        End If
        Set objCssTag = Me.TextIndent
        sAction = "Text indent of first line in a paragraph."
        
    Case "text-shadow"
        If Me.TextShadow Is Nothing Then
            Set Me.TextShadow = New Collection
            With Me.TextShadow
                .Add "none"
                .Add "[number]"
                .Add "[color]"
            End With
        End If
        Set objCssTag = Me.TextShadow
        sAction = "A list of text shadows, e.g. " & vbNewLine & _
        "{text-shadow: 2px 2px 3px green}" & vbNewLine & _
        "the values being horizontal offset, vertical offset, blur radius, color."
    
    Case "text-transform"
        If Me.TextTransform Is Nothing Then
            Set Me.TextTransform = New Collection
            With Me.TextTransform
                .Add "none"
                .Add "capitalize"
                .Add "uppercase"
                .Add "lowercase"
            End With
        End If
        Set objCssTag = Me.TextTransform
        sAction = "Text property."
        
    Case "line-height"
        If Me.LineHeight Is Nothing Then
            Set Me.LineHeight = New Collection
            Me.LineHeight.Add "[number]"
        End If
        Set objCssTag = Me.LineHeight
        sAction = "Distance between lines."
        
    Case "background"
        If Me.Background Is Nothing Then
            Set Me.Background = New Collection
            With Me.Background
                .Add "none"
                .Add "[URL(image)]"
                .Add "scroll"
                .Add "fixed"
                .Add "repeat"
                .Add "no-repeat"
                .Add "repeat-x"
                .Add "repeat-y"
                .Add "top"
                .Add "center"
                .Add "bottom"
                .Add "left"
                .Add "right"
                .Add "[number]"
                .Add "transparent"
                .Add "[color]"
            End With
        End If
        Set objCssTag = Me.Background
        sAction = "Shorthand property for background-attachment, background-repeat and background-position. " & _
        "Used only if there's a background image."
        
    Case "background-color"
        If Me.BackgroundColor Is Nothing Then
            Set Me.BackgroundColor = New Collection
            Me.BackgroundColor.Add "transparent"
            Me.BackgroundColor.Add "[color]"
        End If
        Set objCssTag = Me.BackgroundColor
        sAction = "The elements background color. It can be the whole page (BODY) or e.g. a table."
        
    Case "left"
        If Me.sLeft Is Nothing Then
            Set Me.sLeft = New Collection
            Me.sLeft.Add "[number]"
        End If
        Set objCssTag = Me.sLeft
        sAction = "The distance between the content of a box to the left border of the outer box."
        
    Case "right"
        If Me.sRight Is Nothing Then
            Set Me.sRight = New Collection
            Me.sRight.Add "[number]"
        End If
        Set objCssTag = Me.sRight
        sAction = "The distance between the content of a box to the right border of the outer box."
        
    Case "border-color"
        If Me.BorderColor Is Nothing Then
            Set Me.BorderColor = New Collection
            Me.BorderColor.Add "transparent"
            Me.BorderColor.Add "[color]"
        End If
        Set objCssTag = Me.BorderColor
        sAction = "Border color of a box element."
        
    Case "border"
        If Me.Border Is Nothing Then
            Set Me.Border = New Collection
            With Me.Border
                .Add "medium"
                .Add "thin"
                .Add "thick"
                .Add "[number]"
                .Add "none"
                .Add "dotted"
                .Add "dashed"
                .Add "solid"
                .Add "double"
                .Add "groove"
                .Add "ridge"
                .Add "inset"
                .Add "outset"
                .Add "transparent"
                .Add "[color]"
            End With
        End If
        Set objCssTag = Me.Border
        sAction = "Shorthand property for a box element's border-width, border-style and border-color."
        
    Case "border-width"
        If Me.BorderWidth Is Nothing Then
            Set Me.BorderWidth = New Collection
            With Me.BorderWidth
                .Add "medium"
                .Add "thin"
                .Add "thick"
                .Add "[number]"
            End With
        End If
        Set objCssTag = Me.BorderWidth
        sAction = "A box element's border width."
        
    Case "border-bottom-width"
        If Me.BorderBottomWidth Is Nothing Then
            Set Me.BorderBottomWidth = New Collection
            With Me.BorderBottomWidth
                .Add "medium"
                .Add "thin"
                .Add "thick"
                .Add "[number]"
            End With
        End If
        Set objCssTag = Me.BorderBottomWidth
        sAction = "Width of a box element's bottom border."
        
    Case "border-left-width"
        If Me.BorderLeftWidth Is Nothing Then
            Set Me.BorderLeftWidth = New Collection
            With Me.BorderLeftWidth
                .Add "medium"
                .Add "thin"
                .Add "thick"
                .Add "[number]"
            End With
        End If
        Set objCssTag = Me.BorderLeftWidth
        sAction = "Width of a box element's left border."
        
    Case "border-right-width"
        If Me.BorderRightWidth Is Nothing Then
            Set Me.BorderRightWidth = New Collection
            With Me.BorderRightWidth
                .Add "medium"
                .Add "thin"
                .Add "thick"
                .Add "[number]"
            End With
        End If
        Set objCssTag = Me.BorderRightWidth
        sAction = "Width of a box element's right border."
    
    Case "border-spacing"
        If Me.BorderSpacing Is Nothing Then
            Set Me.BorderSpacing = New Collection
            Me.BorderSpacing.Add "[number]"
        End If
        Set objCssTag = Me.BorderSpacing
        sAction = "Distance between cell borders. The first number sets the horizontal distance, the second the vertical. " & _
        "If only one number horizontal and vertical distance are equal."
        
    Case "border-style"
        If Me.BorderStyle Is Nothing Then
            Set Me.BorderStyle = New Collection
            With Me.BorderStyle
                .Add "none"
                .Add "dotted"
                .Add "dashed"
                .Add "solid"
                .Add "double"
                .Add "groove"
                .Add "ridge"
                .Add "inset"
                .Add "outset"
            End With
        End If
        Set objCssTag = Me.BorderStyle
        sAction = "The element's border style."
        
    Case "border-top-width"
        If Me.BorderTopWidth Is Nothing Then
            Set Me.BorderTopWidth = New Collection
            With Me.BorderTopWidth
                .Add "medium"
                .Add "thin"
                .Add "thick"
                .Add "[number]"
            End With
        End If
        Set objCssTag = Me.BorderTopWidth
        sAction = "Width of a box element's top border."
        
    Case "border-collapse"
        If Me.BorderCollapse Is Nothing Then
            Set Me.BorderCollapse = New Collection
            Me.BorderCollapse.Add "collapse"
            Me.BorderCollapse.Add "separate"
        End If
        Set objCssTag = Me.BorderCollapse
        sAction = "Defines whether a table border must be set for the whole table (collapse) " & _
        "or for cells individually (separate)."
        
    Case "outline"
        If Me.Outline Is Nothing Then
            Set Me.Outline = New Collection
            With Me.Outline
                .Add "none"
                .Add "invert"
                .Add "dotted"
                .Add "dashed"
                .Add "solid"
                .Add "double"
                .Add "groove"
                .Add "ridge"
                .Add "inset"
                .Add "outset"
                .Add "medium"
                .Add "thin"
                .Add "thick"
                .Add "[number]"
            End With
        End If
        Set objCssTag = Me.Outline
        sAction = "Shorthand property for outline-color, outline-style and outline-width."
        
    Case "outline-color"
        If Me.OutlineColor Is Nothing Then
            Set Me.OutlineColor = New Collection
            Me.OutlineColor.Add "invert"
            Me.OutlineColor.Add "[color]"
        End If
        Set objCssTag = Me.OutlineColor
        
        
    Case "outline-style"
        If Me.OutlineStyle Is Nothing Then
            Set Me.OutlineStyle = New Collection
            With Me.OutlineStyle
                .Add "none"
                .Add "dotted"
                .Add "dashed"
                .Add "solid"
                .Add "double"
                .Add "groove"
                .Add "ridge"
                .Add "inset"
                .Add "outset"
            End With
        End If
        Set objCssTag = Me.OutlineStyle
        
    Case "outline-width"
        If Me.OutlineWidth Is Nothing Then
            Set Me.OutlineWidth = New Collection
            With Me.OutlineWidth
                .Add "medium"
                .Add "thin"
                .Add "thick"
                .Add "[number]"
            End With
        End If
        Set objCssTag = Me.OutlineWidth
        
    Case "height"
        If Me.Height Is Nothing Then
            Set Me.Height = New Collection
            Me.Height.Add "[number]"
        End If
        Set objCssTag = Me.Height
        sAction = "The height of a box' content."
        
    Case "cursor"
        If Me.Cursor Is Nothing Then
            Set Me.Cursor = New Collection
            With Me.Cursor
                .Add "url"
                .Add "auto"
                .Add "crosshair"
                .Add "default"
                .Add "pointer"
                .Add "move"
                .Add "e-resize"
                .Add "ne-resize"
                .Add "nw-resize"
                .Add "n-resize"
                .Add "se-resize"
                .Add "sw-resize"
                .Add "s-resize"
                .Add "w-resize"
                .Add "text"
                .Add "wait"
                .Add "help"
            End With
        End If
        Set objCssTag = Me.Cursor
        sAction = "Cursor type when over the element."
        
    Case "list-style"
        If Me.ListStyle Is Nothing Then
            Set Me.ListStyle = New Collection
            With Me.ListStyle
                .Add "disc"
                .Add "circle"
                .Add "square"
                .Add "decimal"
                .Add "decimal-leading-zero"
                .Add "lower-roman"
                .Add "upper-roman"
                .Add "lower-greek"
                .Add "lower-alpha"
                .Add "upper-latin"
                .Add "hebrew"
                .Add "armenian"
                .Add "georgian"
                .Add "cjk-ideographic"
                .Add "hiragana"
                .Add "katakana"
                .Add "hiragana-iroha"
                .Add "none"
                .Add "inside"
                .Add "outside"
                .Add "[URL]"
            End With
        End If
        Set objCssTag = Me.ListStyle
        sAction = "Shorthand property for list-style-type, list-style-position " & _
        "and list-style-image. List-style-type and list-style-image both " & _
        "define the bullet, so only one can be used."
        
    Case "list-style-image"
        If Me.ListStyleImage Is Nothing Then
            Set Me.ListStyleImage = New Collection
            Me.ListStyleImage.Add "[URL(image)]"
        End If
        Set objCssTag = Me.ListStyleImage
        sAction = "Url to an image to be used as bullet."
        
    Case "list-style-position"
        If Me.ListStylePosition Is Nothing Then
            Set Me.ListStylePosition = New Collection
            Me.ListStylePosition.Add "inside"
            Me.ListStylePosition.Add "outside"
        End If
        Set objCssTag = Me.ListStylePosition
        sAction = "Tells whether the bullet is inside or outside the box containing the list."
        
    Case "list-style-type"
        If Me.ListStyleType Is Nothing Then
            Set Me.ListStyleType = New Collection
            With Me.ListStyleType
                .Add "none"
                .Add "disc"
                .Add "circle"
                .Add "square"
                .Add "decimal"
                .Add "decimal-leading-zero"
                .Add "lower-roman"
                .Add "upper-roman"
                .Add "lower-greek"
                .Add "lower-alpha"
                .Add "lower-latin"
                .Add "upper-alpha"
                .Add "upper-latin"
                .Add "hebrew"
                .Add "armenian"
                .Add "georgian"
                .Add "cjk-ideographic"
                .Add "hiragana"
                .Add "katakana"
                .Add "hiragana-iroha"
                .Add "katakana-iroha"
            End With
        End If
        Set objCssTag = Me.ListStyleType
        sAction = "Bullet type."
        
    Case "font-size-adjust"
        If Me.FontSizeAdjust Is Nothing Then
            Set Me.FontSizeAdjust = New Collection
            Me.FontSizeAdjust.Add "none"
            Me.FontSizeAdjust.Add "[number]"
        End If
        Set objCssTag = Me.FontSizeAdjust
        sAction = "A factor (e.g. 1.07) for adjusting the fontsize to the first font in font-family. " & _
        "Different fonts may not have the same physical size even if their point size are the same. " & _
        "The first font in your font-family list may not be installed on the user's computer."
        
    Case "font-stretch"
        If Me.FontStretch Is Nothing Then
            Set Me.FontStretch = New Collection
            With Me.FontStretch
                .Add "normal"
                .Add "wider"
                .Add "narrower"
                .Add "ulra-condensed"
                .Add "extra-condensed"
                .Add "semi-condensed"
                .Add "semi-expanded"
                .Add "expanded"
                .Add "extra-expanded"
                .Add "ultra-expanded"
            End With
        End If
        Set objCssTag = Me.FontStretch
        sAction = "Selects a normal, condensed, or extended face from a font family."
        
    Case "font-variant"
        If Me.FontVariant Is Nothing Then
            Set Me.FontVariant = New Collection
            Me.FontVariant.Add "normal"
            Me.FontVariant.Add "small-caps"
        End If
        Set objCssTag = Me.FontVariant
        sAction = "Normal text or small-caps."
        
    Case "z-index"
        If Me.ZIndex Is Nothing Then
            Set Me.ZIndex = New Collection
            Me.ZIndex.Add "[number]"
        End If
        Set objCssTag = Me.ZIndex
        sAction = "An element's position in the third dimension. With 'z-index' you can make levels " & _
        "and for instance put images on top of each other."
    
    Case "background-attachment"
        If Me.BackgroundAttachment Is Nothing Then
            Set Me.BackgroundAttachment = New Collection
            Me.BackgroundAttachment.Add "scroll"
            Me.BackgroundAttachment.Add "fixed"
        End If
        Set objCssTag = Me.BackgroundAttachment
        sAction = "Sets whether a background image is fixed or scrolls with the page."
    
    Case "background-image"
        If Me.BackgroundImage Is Nothing Then
            Set Me.BackgroundImage = New Collection
            Me.BackgroundImage.Add "none"
            Me.BackgroundImage.Add "[URL(image)]"
        End If
        Set objCssTag = Me.BackgroundImage
        sAction = "Url to the element's background image."
        
    Case "background-position"
        If Me.BackgroundPosition Is Nothing Then
            Set Me.BackgroundPosition = New Collection
            With Me.BackgroundPosition
                .Add "top"
                .Add "center"
                .Add "bottom"
                .Add "left"
                .Add "right"
                .Add "[number]"
            End With
        End If
        Set objCssTag = Me.BackgroundPosition
        sAction = "Position of background image. Values can be combined, e.g. " & vbNewLine & _
        "'background-position: bottom right'" & vbNewLine & _
        "will put the image in the bottom right corner."
    
    Case "background-repeat"
        If Me.BackgroundRepeat Is Nothing Then
            Set Me.BackgroundRepeat = New Collection
            With Me.BackgroundRepeat
                .Add "repeat"
                .Add "no-repeat"
                .Add "repeat-x"
                .Add "repeat-y"
            End With
        End If
        Set objCssTag = Me.BackgroundRepeat
        sAction = "Sets if and how a background image is repeated. 'Repeat-x' will repeat the image horizontally across the element."
        
    Case "bottom"
        If Me.Bottom Is Nothing Then
            Set Me.Bottom = New Collection
            Me.Bottom.Add "[number]"
        End If
        Set objCssTag = Me.Bottom
        sAction = "The distance from the bottom of a box' content to the bottom of the outer box."
    
    Case "vertical-align"
        If Me.VerticalAlign Is Nothing Then
            Set Me.VerticalAlign = New Collection
            With Me.VerticalAlign
                .Add "baseline"
                .Add "sub"
                .Add "super"
                .Add "top"
                .Add "text-top"
                .Add "middle"
                .Add "bottom"
                .Add "text-bottom"
                .Add "[number]"
            End With
        End If
        Set objCssTag = Me.VerticalAlign
        sAction = "Vertical position of text in a box."
    
    Case "visibility"
        If Me.Visibility Is Nothing Then
            Set Me.Visibility = New Collection
            Me.Visibility.Add "visible"
            Me.Visibility.Add "hidden"
        End If
        Set objCssTag = Me.Visibility
        sAction = "Element visible or hidden."
            
    Case "caption-side"
        If Me.CaptionSide Is Nothing Then
            Set Me.CaptionSide = New Collection
            With Me.CaptionSide
                .Add "top"
                .Add "bottom"
                .Add "left"
                .Add "right"
            End With
        End If
        Set objCssTag = Me.CaptionSide
        sAction = "Alignment of a table caption."
    
    Case "clear"
        If Me.Clear Is Nothing Then
            Set Me.Clear = New Collection
            With Me.Clear
                .Add "none"
                .Add "left"
                .Add "right"
                .Add "both"
            End With
        End If
        Set objCssTag = Me.Clear
        sAction = "Says what side(s) of an element CANNOT be alongside an element allowing 'float'."
        
    Case "clip"
        If Me.Clip Is Nothing Then
            Set Me.Clip = New Collection
            With Me.Clip
                .Add "auto"
                .Add "shape"
                .Add "(top, right, bottom, left)"
            End With
        End If
        Set objCssTag = Me.Clip
        sAction = "Sets the visible area of a box and the distance from the box' border to the visible area. " & _
        "For instance: " & vbNewLine & _
        "{clip: rect(4px, 8px, 8px, 4px)}"
        
    Case "content"
        If Me.Content Is Nothing Then
            Set Me.Content = New Collection
            With Me.Content
                .Add "[URL]"
                .Add "open-quote"
                .Add "close-quote"
                .Add "no-open-quote"
                .Add "no-close-quote"
            End With
        End If
        Set objCssTag = Me.Content
        sAction = "Example: " & vbNewLine & _
        "'H1:after {content: url(""mylife.htm"")}" & _
        "inserts the file 'mylife.htm' after H1."
        
    Case "counter-increment"
        If Me.CounterIncrement Is Nothing Then
            Set Me.CounterIncrement = New Collection
            Me.CounterIncrement.Add "[name]"
            Me.CounterIncrement.Add "[number]"
        End If
        Set objCssTag = Me.CounterIncrement
        sAction = "You can use a counter to enumerate elements, e.g. chapters. The counter must have a name and (optional) a step number (default is 1). " & _
        "For instance:" & vbNewLine & _
        "'H1:before {counter-increment: chapter;}"
        
    Case "counter-reset"
        If Me.CounterReset Is Nothing Then
            Set Me.CounterReset = New Collection
            Me.CounterReset.Add "[name]"
            Me.CounterReset.Add "[number]"
        End If
        Set objCssTag = Me.CounterReset
        sAction = "Resets a counter set by 'counter-increment'"
        
    Case "direction"
        If Me.Direction Is Nothing Then
            Set Me.Direction = New Collection
            Me.Direction.Add "ltr"
            Me.Direction.Add "rtl"
        End If
        Set objCssTag = Me.Direction
        sAction = "Whether the text is to be read from left to right or the opposite (like e.g. Hebrew)."
        
    Case "display"
        If Me.Display Is Nothing Then
            Set Me.Display = New Collection
            With Me.Display
                .Add "none"
                .Add "inline"
                .Add "block"
                .Add "list-item"
                .Add "run-in"
                .Add "compact"
                .Add "marker"
                .Add "table"
                .Add "inline-table"
                .Add "table-row-group"
                .Add "table-header-group"
                .Add "table-footer-group"
                .Add "table-row"
                .Add "table-column-group"
                .Add "table-column"
                .Add "table-cell"
                .Add "table-caption"
            End With
        End If
        Set objCssTag = Me.Display
    
    Case "elevation"
        If Me.Elevation Is Nothing Then
            Set Me.Elevation = New Collection
            With Me.Elevation
                .Add "above"
                .Add "below"
                .Add "level"
                .Add "higher"
                .Add "lower"
            End With
        End If
        Set objCssTag = Me.Elevation
        sAction = "Sound property. Position of speaker relative to listener."
        
    Case "empty-cells"
        If Me.EmptyCells Is Nothing Then
            Set Me.EmptyCells = New Collection
            Me.EmptyCells.Add "show"
            Me.EmptyCells.Add "hide"
        End If
        Set objCssTag = Me.EmptyCells
        sAction = "Shows or hides borders around empty cells."
        
    Case "float"
        If Me.Float Is Nothing Then
            Set Me.Float = New Collection
            With Me.Float
                .Add "none"
                .Add "left"
                .Add "right"
            End With
        End If
        Set objCssTag = Me.Float
        sAction = "Whether following elements may float to the right or left."
        
    Case "letter-spacing"
        If Me.LetterSpacing Is Nothing Then
            Set Me.LetterSpacing = New Collection
            Me.LetterSpacing.Add "normal"
            Me.LetterSpacing.Add "[number]"
        End If
        Set objCssTag = Me.LetterSpacing
        sAction = "The space between letters (kerning)."
        
    Case "marker-offset"
        If Me.MarkerOffset Is Nothing Then
            Set Me.MarkerOffset = New Collection
            Me.MarkerOffset.Add "[number]"
        End If
        Set objCssTag = Me.MarkerOffset
        sAction = "Sets the distance between the element and the 'marker'."
        
    Case "marks"
        If Me.Marks Is Nothing Then
            Set Me.Marks = New Collection
            Me.Marks.Add "crop"
            Me.Marks.Add "cross"
        End If
        Set objCssTag = Me.Marks
        sAction = "Used for cropping and sorting pages. Are not displayed in the browser."
        
    Case "max-height"
        If Me.MaxHeight Is Nothing Then
            Set Me.MaxHeight = New Collection
            Me.MaxHeight.Add "[number]"
        End If
        Set objCssTag = Me.MaxHeight
        sAction = "Max height of an element."
        
    Case "max-width"
        If Me.MaxWidth Is Nothing Then
            Set Me.MaxWidth = New Collection
            Me.MaxWidth.Add "[number]"
        End If
        Set objCssTag = Me.MaxWidth
        sAction = "Max width of an element."
        
    Case "min-height"
        If Me.MinHeight Is Nothing Then
            Set Me.MinHeight = New Collection
            Me.MinHeight.Add "[number]"
        End If
        Set objCssTag = Me.MinHeight
        sAction = "Min height of an element."
        
    Case "min-width"
        If Me.MinWidth Is Nothing Then
            Set Me.MinWidth = New Collection
            Me.MinWidth.Add "[number]"
        End If
        Set objCssTag = Me.MinWidth
        sAction = "min width of an element."
        
    Case "orphans"
        If Me.Orphans Is Nothing Then
            Set Me.Orphans = New Collection
            Me.Orphans.Add "[number]"
        End If
        Set objCssTag = Me.Orphans
        sAction = "Number of empty lines at the bottom of a page."
        
    Case "overflow"
        If Me.Overflow Is Nothing Then
            Set Me.Overflow = New Collection
            With Me.Overflow
                .Add "visible"
                .Add "hidden"
                .Add "scroll"
                .Add "auto"
            End With
        End If
        Set objCssTag = Me.Overflow
        sAction = "Tells the browser how to handle content that goes beyond set limits. " & _
        "It can be visible, invisible or accessible with scrollbars."
    
    Case "page"
        If Me.sPage Is Nothing Then
            Set Me.sPage = New Collection
            Me.sPage.Add "[name]"
        End If
        Set objCssTag = Me.sPage
        sAction = "Sets what page to bind to a certain element. " & _
        "For instance:" & vbNewLine & _
        "@page mypage {size: 19cm 28 cm}" & vbNewLine & _
        "Having defined the page you can bind it to an element, for instance:" & vbNewLine & _
        "Table {page: mypage}"
        
    Case "page-break-after"
        If Me.PageBreakAfter Is Nothing Then
            Set Me.PageBreakAfter = New Collection
            With Me.PageBreakAfter
                .Add "auto"
                .Add "always"
                .Add "avoid"
                .Add "left"
                .Add "right"
            End With
        End If
        Set objCssTag = Me.PageBreakAfter
        sAction = "Puts or avoids a page break after the element. 'left' and 'right' determines " & _
        "formatting of the next page if you distinguish between left and right pages."
        
    Case "page-break-before"
        If Me.PageBreakBefore Is Nothing Then
            Set Me.PageBreakBefore = New Collection
            With Me.PageBreakBefore
                .Add "auto"
                .Add "always"
                .Add "avoid"
                .Add "left"
                .Add "right"
            End With
        End If
        Set objCssTag = Me.PageBreakBefore
        sAction = "Puts or avoids a page break before the element."
        
    Case "page-break-inside"
        If Me.PageBreakInside Is Nothing Then
            Set Me.PageBreakInside = New Collection
            Me.PageBreakInside.Add "auto"
            Me.PageBreakInside.Add "avoid"
        End If
        Set objCssTag = Me.PageBreakInside
        sAction = "Allows or forbids a page break inside an element."
        
    Case "position"
        If Me.Position Is Nothing Then
            Set Me.Position = New Collection
            With Me.Position
                .Add "static"
                .Add "relative"
                .Add "absolute"
                .Add "fixed"
            End With
        End If
        Set objCssTag = Me.Position
        sAction = "Controls how boxes are positioned."
        
    Case "quotes"
        If Me.Quotes Is Nothing Then
            Set Me.Quotes = New Collection
            Me.Quotes.Add "[char]"
        End If
        Set objCssTag = Me.Quotes
        sAction = "What type of quotes to use."
        
    Case "size"
        If Me.Size Is Nothing Then
            Set Me.Size = New Collection
            With Me.Size
                .Add "none"
                .Add "portrait"
                .Add "landscape"
                .Add "[number]"
            End With
        End If
        Set objCssTag = Me.Size
        sAction = "Portrait, landscape, height, width."
        
    Case "table-layout"
        If Me.TableLayout Is Nothing Then
            Set Me.TableLayout = New Collection
            Me.TableLayout.Add "fixed"
            Me.TableLayout.Add "auto"
        End If
        Set objCssTag = Me.TableLayout
        sAction = "How to calculate tables. 'Auto' is slower because it looks at the cells' content."
        
    Case "top"
        If Me.Top Is Nothing Then
            Set Me.Top = New Collection
            Me.Top.Add "[number]"
        End If
        Set objCssTag = Me.Top
        sAction = "The distance from the top of a box' content to the top of the outer box."
        
    Case "unicode-bidi"
        If Me.UnicodeBidi Is Nothing Then
            Set Me.UnicodeBidi = New Collection
            With Me.UnicodeBidi
                .Add "normal"
                .Add "embed"
                .Add "bidi-override"
            End With
        End If
        Set objCssTag = Me.UnicodeBidi
        sAction = "Whether a language is written from right to left or left to right."
    
    Case "white-space"
        If Me.WhiteSpace Is Nothing Then
            Set Me.WhiteSpace = New Collection
            With Me.WhiteSpace
                .Add "normal"
                .Add "pre"
                .Add "nowrap"
            End With
        End If
        Set objCssTag = Me.WhiteSpace
        sAction = "How to treat spaces. 'normal' reduces several spaces to one while 'pre' " & _
        "preserves all spaces."
    
    Case "widows"
        If Me.Widows Is Nothing Then
            Set Me.Widows = New Collection
            Me.Widows.Add "[number]"
        End If
        Set objCssTag = Me.Widows
        sAction = "Number of empty lines to insert at the top of each page."
        
    Case "width"
        If Me.Width Is Nothing Then
            Set Me.Width = New Collection
            Me.Width.Add "[number]"
        End If
        Set objCssTag = Me.Width
        sAction = "Width of a box' content."
        
    Case "word-spacing"
        If Me.WordSpacing Is Nothing Then
            Set Me.WordSpacing = New Collection
            Me.WordSpacing.Add "normal"
            Me.WordSpacing.Add "[number]"
        End If
        Set objCssTag = Me.WordSpacing
        sAction = "Space between words. Added to or - if negative - subtracted from the standard space."
        
'Sound and voice parameters
    Case "azimuth"
        If Me.Azimuth Is Nothing Then
            Set Me.Azimuth = New Collection
            With Me.Azimuth
                .Add "left-side"
                .Add "far-left"
                .Add "left"
                .Add "center-left"
                .Add "right"
                .Add "far-right"
                .Add "right-side"
                .Add "behind"
                .Add "leftwards"
                .Add "rightwards"
            End With
        End If
        Set objCssTag = Me.Azimuth
        sAction = "Sound property. Where is the person who speaks?"
        
    Case "cue"
        If Me.Cue Is Nothing Then
            Set Me.Cue = New Collection
            Me.Cue.Add "none"
            Me.Cue.Add "[URL]"
        End If
        Set objCssTag = Me.Cue
        sAction = "Combines the properties 'cue-before' and 'cue-after'."
        
    Case "cue-after"
        If Me.CueAfter Is Nothing Then
            Set Me.CueAfter = New Collection
            Me.CueAfter.Add "none"
            Me.CueAfter.Add "[URL]"
        End If
        Set objCssTag = Me.CueAfter
        sAction = "None, or URL to a sound file to be played after the element."
        
    Case "cue-before"
        If Me.CueBefore Is Nothing Then
            Set Me.CueBefore = New Collection
            Me.CueBefore.Add "none"
            Me.CueBefore.Add "[URL]"
        End If
        Set objCssTag = Me.CueBefore
        sAction = "None, or URL to a sound file to be played before the element."
        
    Case "pause"
        If Me.Pause Is Nothing Then
            Set Me.Pause = New Collection
            Me.Pause.Add "[number]"
        End If
        Set objCssTag = Me.Pause
        sAction = "Sound property. Combines the elements 'pause-before' and 'pause-after'."
        
    Case "pause-after"
        If Me.PauseAfter Is Nothing Then
            Set Me.PauseAfter = New Collection
            Me.PauseAfter.Add "[number]"
        End If
        Set objCssTag = Me.PauseAfter
        sAction = "Sound property. Length of the pause after an element has been read aloud."
        
    Case "pause-before"
        If Me.PauseBefore Is Nothing Then
            Set Me.PauseBefore = New Collection
            Me.PauseBefore.Add "[number]"
        End If
        Set objCssTag = Me.PauseBefore
        sAction = "Sound property. Length of the pause before an element is read aloud."
        
    Case "pitch"
        If Me.Pitch Is Nothing Then
            Set Me.Pitch = New Collection
            With Me.Pitch
                .Add "low"
                .Add "medium"
                .Add "high"
                .Add "x-high"
                .Add "x-low"
                .Add "[number]"
            End With
        End If
        Set objCssTag = Me.Pitch
        sAction = "Sound property. Frequency of the voice."
        
    Case "pitch-range"
        If Me.PitchRange Is Nothing Then
            Set Me.PitchRange = New Collection
            Me.PitchRange.Add "[number]"
        End If
        Set objCssTag = Me.PitchRange
        sAction = "An interval for variation of voice frequency."
        
    Case "play-during"
        If Me.PlayDuring Is Nothing Then
            Set Me.PlayDuring = New Collection
            With Me.PlayDuring
                .Add "none"
                .Add "[URL]"
                .Add "mix"
                .Add "repeat"
                .Add "auto"
            End With
        End If
        Set objCssTag = Me.PlayDuring
        sAction = "Sound property. A sound file to be played while something is read aloud."
        
    Case "richness"
        If Me.Richness Is Nothing Then
            Set Me.Richness = New Collection
            Me.Richness.Add "[number]"
        End If
        Set objCssTag = Me.Richness
        sAction = "Sound property. The richness of a voice."
        
    Case "speak"
        If Me.Speak Is Nothing Then
            Set Me.Speak = New Collection
            With Me.Speak
                .Add "none"
                .Add "normal"
                .Add "spell-out"
            End With
        End If
        Set objCssTag = Me.Speak
        
        
    Case "speak-header"
        If Me.SpeakHeader Is Nothing Then
            Set Me.SpeakHeader = New Collection
            Me.SpeakHeader.Add "once"
            Me.SpeakHeader.Add "always"
        End If
        Set objCssTag = Me.SpeakHeader
        sAction = "Sound property. Whether the program should read the text aloud or spell its way through."
    
    Case "speak-numeral"
        If Me.SpeakNumeral Is Nothing Then
            Set Me.SpeakNumeral = New Collection
            Me.SpeakNumeral.Add "digits"
            Me.SpeakNumeral.Add "continuous"
        End If
        Set objCssTag = Me.SpeakNumeral
        sAction = "Sound property.     "
        sAction = "Sound property. How to read numbers aloud. E.g. 'six-nine' or 'sixtynine'."
    
    Case "speak-punctuation"
        If Me.SpeakPunctuation Is Nothing Then
            Set Me.SpeakPunctuation = New Collection
            Me.SpeakPunctuation.Add "none"
            Me.SpeakPunctuation.Add "code"
        End If
        Set objCssTag = Me.SpeakPunctuation
        sAction = "Sound property. Whether to pause or read aloud punctuations."
        
    Case "speech-rate"
        If Me.SpeechRate Is Nothing Then
            Set Me.SpeechRate = New Collection
            With Me.SpeechRate
                .Add "slow"
                .Add "medium"
                .Add "fast"
                .Add "x-fast"
                .Add "faster"
                .Add "slower"
                .Add "x-slow"
                .Add "[number]"
            End With
        End If
        Set objCssTag = Me.SpeechRate
        sAction = "Sound property. Speed of reading."
        
    Case "stress"
        If Me.Stress Is Nothing Then
            Set Me.Stress = New Collection
            Me.Stress.Add "[number]"
        End If
        Set objCssTag = Me.Stress
        sAction = "Sound property. Voice variation."
        
    Case "voice-family"
        If Me.VoiceFamily Is Nothing Then
            Set Me.VoiceFamily = New Collection
            With Me.VoiceFamily
                .Add "male"
                .Add "female"
                .Add "child"
            End With
        End If
        Set objCssTag = Me.VoiceFamily
        sAction = "Sound property. The kind or gender of a voice."
        
    Case "volume"
        If Me.Volume Is Nothing Then
            Set Me.Volume = New Collection
            With Me.Volume
                .Add "silent"
                .Add "x-soft"
                .Add "soft"
                .Add "medium"
                .Add "loud"
                .Add "x-loud"
                .Add "[number]"
            End With
        End If
        Set objCssTag = Me.Volume
        sAction = "Sound property. Volume."
        
End Select

End Sub


Public Property Set Changed(ByVal vData As Object)
    On Error GoTo ChangedSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Changed = Form1
    Set mvarChanged = vData
    Exit Property


ChangedSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Changed Property Set")
End Property


Public Property Get Changed() As Collection
    On Error GoTo ChangedGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Changed
    Set Changed = mvarChanged
    Exit Property


ChangedGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Changed Property Get")
End Property



Public Property Set Unknown3(ByVal vData As Object)
    On Error GoTo Unknown3SetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Unknown3 = Form1
    Set mvarUnknown3 = vData
    Exit Property


Unknown3SetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Unknown3 Property Set")
End Property


Public Property Get Unknown3() As Collection
    On Error GoTo Unknown3GetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Unknown3
    Set Unknown3 = mvarUnknown3
    Exit Property


Unknown3GetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Unknown3 Property Get")
End Property



Public Property Set Unknown2(ByVal vData As Object)
    On Error GoTo Unknown2SetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Unknown2 = Form1
    Set mvarUnknown2 = vData
    Exit Property


Unknown2SetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Unknown2 Property Set")
End Property


Public Property Get Unknown2() As Collection
    On Error GoTo Unknown2GetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Unknown2
    Set Unknown2 = mvarUnknown2
    Exit Property


Unknown2GetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Unknown2 Property Get")
End Property



Public Property Set Unknown1(ByVal vData As Object)
    On Error GoTo Unknown1SetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Unknown1 = Form1
    Set mvarUnknown1 = vData
    Exit Property


Unknown1SetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Unknown1 Property Set")
End Property


Public Property Get Unknown1() As Collection
    On Error GoTo Unknown1GetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Unknown1
    Set Unknown1 = mvarUnknown1
    Exit Property


Unknown1GetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Unknown1 Property Get")
End Property



Public Property Set ZIndex(ByVal vData As Object)
    On Error GoTo ZIndexSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.ZIndex = Form1
    Set mvarZIndex = vData
    Exit Property


ZIndexSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:ZIndex Property Set")
End Property


Public Property Get ZIndex() As Collection
    On Error GoTo ZIndexGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ZIndex
    Set ZIndex = mvarZIndex
    Exit Property


ZIndexGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:ZIndex Property Get")
End Property



Public Property Set WordSpacing(ByVal vData As Object)
    On Error GoTo WordSpacingSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.WordSpacing = Form1
    Set mvarWordSpacing = vData
    Exit Property


WordSpacingSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:WordSpacing Property Set")
End Property


Public Property Get WordSpacing() As Collection
    On Error GoTo WordSpacingGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.WordSpacing
    Set WordSpacing = mvarWordSpacing
    Exit Property


WordSpacingGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:WordSpacing Property Get")
End Property



Public Property Set Width(ByVal vData As Object)
    On Error GoTo WidthSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Width = Form1
    Set mvarWidth = vData
    Exit Property


WidthSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Width Property Set")
End Property


Public Property Get Width() As Collection
    On Error GoTo WidthGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Width
    Set Width = mvarWidth
    Exit Property


WidthGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Width Property Get")
End Property



Public Property Set Widows(ByVal vData As Object)
    On Error GoTo WidowsSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Widows = Form1
    Set mvarWidows = vData
    Exit Property


WidowsSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Widows Property Set")
End Property


Public Property Get Widows() As Collection
    On Error GoTo WidowsGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Widows
    Set Widows = mvarWidows
    Exit Property


WidowsGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Widows Property Get")
End Property



Public Property Set WhiteSpace(ByVal vData As Object)
    On Error GoTo WhiteSpaceSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.WhiteSpace = Form1
    Set mvarWhiteSpace = vData
    Exit Property


WhiteSpaceSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:WhiteSpace Property Set")
End Property


Public Property Get WhiteSpace() As Collection
    On Error GoTo WhiteSpaceGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.WhiteSpace
    Set WhiteSpace = mvarWhiteSpace
    Exit Property


WhiteSpaceGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:WhiteSpace Property Get")
End Property



Public Property Set Volume(ByVal vData As Object)
    On Error GoTo VolumeSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Volume = Form1
    Set mvarVolume = vData
    Exit Property


VolumeSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Volume Property Set")
End Property


Public Property Get Volume() As Collection
    On Error GoTo VolumeGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Volume
    Set Volume = mvarVolume
    Exit Property


VolumeGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Volume Property Get")
End Property



Public Property Set VoiceFamily(ByVal vData As Object)
    On Error GoTo VoiceFamilySetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.VoiceFamily = Form1
    Set mvarVoiceFamily = vData
    Exit Property


VoiceFamilySetErr:


    Call RaiseError(MyUnhandledError, "CssTags:VoiceFamily Property Set")
End Property


Public Property Get VoiceFamily() As Collection
    On Error GoTo VoiceFamilyGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.VoiceFamily
    Set VoiceFamily = mvarVoiceFamily
    Exit Property


VoiceFamilyGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:VoiceFamily Property Get")
End Property



Public Property Set Visibility(ByVal vData As Object)
    On Error GoTo VisibilitySetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Visibility = Form1
    Set mvarVisibility = vData
    Exit Property


VisibilitySetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Visibility Property Set")
End Property


Public Property Get Visibility() As Collection
    On Error GoTo VisibilityGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Visibility
    Set Visibility = mvarVisibility
    Exit Property


VisibilityGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Visibility Property Get")
End Property



Public Property Set VerticalAlign(ByVal vData As Object)
    On Error GoTo VerticalAlignSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.VerticalAlign = Form1
    Set mvarVerticalAlign = vData
    Exit Property


VerticalAlignSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:VerticalAlign Property Set")
End Property


Public Property Get VerticalAlign() As Collection
    On Error GoTo VerticalAlignGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.VerticalAlign
    Set VerticalAlign = mvarVerticalAlign
    Exit Property


VerticalAlignGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:VerticalAlign Property Get")
End Property



Public Property Set UnicodeBidi(ByVal vData As Object)
    On Error GoTo UnicodeBidiSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.UnicodeBidi = Form1
    Set mvarUnicodeBidi = vData
    Exit Property


UnicodeBidiSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:UnicodeBidi Property Set")
End Property


Public Property Get UnicodeBidi() As Collection
    On Error GoTo UnicodeBidiGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.UnicodeBidi
    Set UnicodeBidi = mvarUnicodeBidi
    Exit Property


UnicodeBidiGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:UnicodeBidi Property Get")
End Property



Public Property Set Top(ByVal vData As Object)
    On Error GoTo TopSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Top = Form1
    Set mvarTop = vData
    Exit Property


TopSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Top Property Set")
End Property


Public Property Get Top() As Collection
    On Error GoTo TopGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Top
    Set Top = mvarTop
    Exit Property


TopGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Top Property Get")
End Property



Public Property Set TextTransform(ByVal vData As Object)
    On Error GoTo TextTransformSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.TextTransform = Form1
    Set mvarTextTransform = vData
    Exit Property


TextTransformSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:TextTransform Property Set")
End Property


Public Property Get TextTransform() As Collection
    On Error GoTo TextTransformGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.TextTransform
    Set TextTransform = mvarTextTransform
    Exit Property


TextTransformGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:TextTransform Property Get")
End Property



Public Property Set TextShadow(ByVal vData As Object)
    On Error GoTo TextShadowSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.TextShadow = Form1
    Set mvarTextShadow = vData
    Exit Property


TextShadowSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:TextShadow Property Set")
End Property


Public Property Get TextShadow() As Collection
    On Error GoTo TextShadowGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.TextShadow
    Set TextShadow = mvarTextShadow
    Exit Property


TextShadowGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:TextShadow Property Get")
End Property



Public Property Set TextIndent(ByVal vData As Object)
    On Error GoTo TextIndentSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.TextIndent = Form1
    Set mvarTextIndent = vData
    Exit Property


TextIndentSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:TextIndent Property Set")
End Property


Public Property Get TextIndent() As Collection
    On Error GoTo TextIndentGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.TextIndent
    Set TextIndent = mvarTextIndent
    Exit Property


TextIndentGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:TextIndent Property Get")
End Property



Public Property Set TextDecoration(ByVal vData As Object)
    On Error GoTo TextDecorationSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.TextDecoration = Form1
    Set mvarTextDecoration = vData
    Exit Property


TextDecorationSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:TextDecoration Property Set")
End Property


Public Property Get TextDecoration() As Collection
    On Error GoTo TextDecorationGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.TextDecoration
    Set TextDecoration = mvarTextDecoration
    Exit Property


TextDecorationGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:TextDecoration Property Get")
End Property



Public Property Set TextAlign(ByVal vData As Object)
    On Error GoTo TextAlignSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.TextAlign = Form1
    Set mvarTextAlign = vData
    Exit Property


TextAlignSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:TextAlign Property Set")
End Property


Public Property Get TextAlign() As Collection
    On Error GoTo TextAlignGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.TextAlign
    Set TextAlign = mvarTextAlign
    Exit Property


TextAlignGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:TextAlign Property Get")
End Property



Public Property Set TableLayout(ByVal vData As Object)
    On Error GoTo TableLayoutSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.TableLayout = Form1
    Set mvarTableLayout = vData
    Exit Property


TableLayoutSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:TableLayout Property Set")
End Property


Public Property Get TableLayout() As Collection
    On Error GoTo TableLayoutGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.TableLayout
    Set TableLayout = mvarTableLayout
    Exit Property


TableLayoutGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:TableLayout Property Get")
End Property



Public Property Set Stress(ByVal vData As Object)
    On Error GoTo StressSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Stress = Form1
    Set mvarStress = vData
    Exit Property


StressSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Stress Property Set")
End Property


Public Property Get Stress() As Collection
    On Error GoTo StressGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Stress
    Set Stress = mvarStress
    Exit Property


StressGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Stress Property Get")
End Property



Public Property Set SpeechRate(ByVal vData As Object)
    On Error GoTo SpeechRateSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.SpeechRate = Form1
    Set mvarSpeechRate = vData
    Exit Property


SpeechRateSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:SpeechRate Property Set")
End Property


Public Property Get SpeechRate() As Collection
    On Error GoTo SpeechRateGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.SpeechRate
    Set SpeechRate = mvarSpeechRate
    Exit Property


SpeechRateGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:SpeechRate Property Get")
End Property



Public Property Set SpeakPunctuation(ByVal vData As Object)
    On Error GoTo SpeakPunctuationSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.SpeakPunctuation = Form1
    Set mvarSpeakPunctuation = vData
    Exit Property


SpeakPunctuationSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:SpeakPunctuation Property Set")
End Property


Public Property Get SpeakPunctuation() As Collection
    On Error GoTo SpeakPunctuationGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.SpeakPunctuation
    Set SpeakPunctuation = mvarSpeakPunctuation
    Exit Property


SpeakPunctuationGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:SpeakPunctuation Property Get")
End Property



Public Property Set SpeakNumeral(ByVal vData As Object)
    On Error GoTo SpeakNumeralSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.SpeakNumeral = Form1
    Set mvarSpeakNumeral = vData
    Exit Property


SpeakNumeralSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:SpeakNumeral Property Set")
End Property


Public Property Get SpeakNumeral() As Collection
    On Error GoTo SpeakNumeralGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.SpeakNumeral
    Set SpeakNumeral = mvarSpeakNumeral
    Exit Property


SpeakNumeralGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:SpeakNumeral Property Get")
End Property



Public Property Set SpeakHeader(ByVal vData As Object)
    On Error GoTo SpeakHeaderSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.SpeakHeader = Form1
    Set mvarSpeakHeader = vData
    Exit Property


SpeakHeaderSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:SpeakHeader Property Set")
End Property


Public Property Get SpeakHeader() As Collection
    On Error GoTo SpeakHeaderGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.SpeakHeader
    Set SpeakHeader = mvarSpeakHeader
    Exit Property


SpeakHeaderGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:SpeakHeader Property Get")
End Property



Public Property Set Speak(ByVal vData As Object)
    On Error GoTo SpeakSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Speak = Form1
    Set mvarSpeak = vData
    Exit Property


SpeakSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Speak Property Set")
End Property


Public Property Get Speak() As Collection
    On Error GoTo SpeakGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Speak
    Set Speak = mvarSpeak
    Exit Property


SpeakGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Speak Property Get")
End Property



Public Property Set Size(ByVal vData As Object)
    On Error GoTo SizeSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Size = Form1
    Set mvarSize = vData
    Exit Property


SizeSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Size Property Set")
End Property


Public Property Get Size() As Collection
    On Error GoTo SizeGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Size
    Set Size = mvarSize
    Exit Property


SizeGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Size Property Get")
End Property



Public Property Set sRight(ByVal vData As Object)
    On Error GoTo sRightSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.sRight = Form1
    Set mvarsRight = vData
    Exit Property


sRightSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:sRight Property Set")
End Property


Public Property Get sRight() As Collection
    On Error GoTo sRightGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.sRight
    Set sRight = mvarsRight
    Exit Property


sRightGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:sRight Property Get")
End Property



Public Property Set Richness(ByVal vData As Object)
    On Error GoTo RichnessSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Richness = Form1
    Set mvarRichness = vData
    Exit Property


RichnessSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Richness Property Set")
End Property


Public Property Get Richness() As Collection
    On Error GoTo RichnessGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Richness
    Set Richness = mvarRichness
    Exit Property


RichnessGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Richness Property Get")
End Property



Public Property Set Quotes(ByVal vData As Object)
    On Error GoTo QuotesSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Quotes = Form1
    Set mvarQuotes = vData
    Exit Property


QuotesSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Quotes Property Set")
End Property


Public Property Get Quotes() As Collection
    On Error GoTo QuotesGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Quotes
    Set Quotes = mvarQuotes
    Exit Property


QuotesGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Quotes Property Get")
End Property



Public Property Set Position(ByVal vData As Object)
    On Error GoTo PositionSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Position = Form1
    Set mvarPosition = vData
    Exit Property


PositionSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Position Property Set")
End Property


Public Property Get Position() As Collection
    On Error GoTo PositionGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Position
    Set Position = mvarPosition
    Exit Property


PositionGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Position Property Get")
End Property



Public Property Set PlayDuring(ByVal vData As Object)
    On Error GoTo PlayDuringSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.PlayDuring = Form1
    Set mvarPlayDuring = vData
    Exit Property


PlayDuringSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PlayDuring Property Set")
End Property


Public Property Get PlayDuring() As Collection
    On Error GoTo PlayDuringGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PlayDuring
    Set PlayDuring = mvarPlayDuring
    Exit Property


PlayDuringGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PlayDuring Property Get")
End Property



Public Property Set PitchRange(ByVal vData As Object)
    On Error GoTo PitchRangeSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.PitchRange = Form1
    Set mvarPitchRange = vData
    Exit Property


PitchRangeSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PitchRange Property Set")
End Property


Public Property Get PitchRange() As Collection
    On Error GoTo PitchRangeGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PitchRange
    Set PitchRange = mvarPitchRange
    Exit Property


PitchRangeGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PitchRange Property Get")
End Property



Public Property Set Pitch(ByVal vData As Object)
    On Error GoTo PitchSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Pitch = Form1
    Set mvarPitch = vData
    Exit Property


PitchSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Pitch Property Set")
End Property


Public Property Get Pitch() As Collection
    On Error GoTo PitchGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Pitch
    Set Pitch = mvarPitch
    Exit Property


PitchGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Pitch Property Get")
End Property



Public Property Set PauseBefore(ByVal vData As Object)
    On Error GoTo PauseBeforeSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.PauseBefore = Form1
    Set mvarPauseBefore = vData
    Exit Property


PauseBeforeSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PauseBefore Property Set")
End Property


Public Property Get PauseBefore() As Collection
    On Error GoTo PauseBeforeGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PauseBefore
    Set PauseBefore = mvarPauseBefore
    Exit Property


PauseBeforeGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PauseBefore Property Get")
End Property



Public Property Set PauseAfter(ByVal vData As Object)
    On Error GoTo PauseAfterSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.PauseAfter = Form1
    Set mvarPauseAfter = vData
    Exit Property


PauseAfterSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PauseAfter Property Set")
End Property


Public Property Get PauseAfter() As Collection
    On Error GoTo PauseAfterGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PauseAfter
    Set PauseAfter = mvarPauseAfter
    Exit Property


PauseAfterGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PauseAfter Property Get")
End Property



Public Property Set Pause(ByVal vData As Object)
    On Error GoTo PauseSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Pause = Form1
    Set mvarPause = vData
    Exit Property


PauseSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Pause Property Set")
End Property


Public Property Get Pause() As Collection
    On Error GoTo PauseGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Pause
    Set Pause = mvarPause
    Exit Property


PauseGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Pause Property Get")
End Property



Public Property Set PageBreakInside(ByVal vData As Object)
    On Error GoTo PageBreakInsideSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.PageBreakInside = Form1
    Set mvarPageBreakInside = vData
    Exit Property


PageBreakInsideSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PageBreakInside Property Set")
End Property


Public Property Get PageBreakInside() As Collection
    On Error GoTo PageBreakInsideGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PageBreakInside
    Set PageBreakInside = mvarPageBreakInside
    Exit Property


PageBreakInsideGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PageBreakInside Property Get")
End Property



Public Property Set PageBreakBefore(ByVal vData As Object)
    On Error GoTo PageBreakBeforeSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.PageBreakBefore = Form1
    Set mvarPageBreakBefore = vData
    Exit Property


PageBreakBeforeSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PageBreakBefore Property Set")
End Property


Public Property Get PageBreakBefore() As Collection
    On Error GoTo PageBreakBeforeGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PageBreakBefore
    Set PageBreakBefore = mvarPageBreakBefore
    Exit Property


PageBreakBeforeGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PageBreakBefore Property Get")
End Property



Public Property Set PageBreakAfter(ByVal vData As Object)
    On Error GoTo PageBreakAfterSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.PageBreakAfter = Form1
    Set mvarPageBreakAfter = vData
    Exit Property


PageBreakAfterSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PageBreakAfter Property Set")
End Property


Public Property Get PageBreakAfter() As Collection
    On Error GoTo PageBreakAfterGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PageBreakAfter
    Set PageBreakAfter = mvarPageBreakAfter
    Exit Property


PageBreakAfterGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PageBreakAfter Property Get")
End Property



Public Property Set sPage(ByVal vData As Object)
    On Error GoTo sPageSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.sPage = Form1
    Set mvarsPage = vData
    Exit Property


sPageSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:sPage Property Set")
End Property


Public Property Get sPage() As Collection
    On Error GoTo sPageGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.sPage
    Set sPage = mvarsPage
    Exit Property


sPageGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:sPage Property Get")
End Property



Public Property Set PaddingTop(ByVal vData As Object)
    On Error GoTo PaddingTopSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.PaddingTop = Form1
    Set mvarPaddingTop = vData
    Exit Property


PaddingTopSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PaddingTop Property Set")
End Property


Public Property Get PaddingTop() As Collection
    On Error GoTo PaddingTopGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PaddingTop
    Set PaddingTop = mvarPaddingTop
    Exit Property


PaddingTopGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PaddingTop Property Get")
End Property



Public Property Set PaddingRight(ByVal vData As Object)
    On Error GoTo PaddingRightSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.PaddingRight = Form1
    Set mvarPaddingRight = vData
    Exit Property


PaddingRightSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PaddingRight Property Set")
End Property


Public Property Get PaddingRight() As Collection
    On Error GoTo PaddingRightGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PaddingRight
    Set PaddingRight = mvarPaddingRight
    Exit Property


PaddingRightGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PaddingRight Property Get")
End Property



Public Property Set PaddingLeft(ByVal vData As Object)
    On Error GoTo PaddingLeftSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.PaddingLeft = Form1
    Set mvarPaddingLeft = vData
    Exit Property


PaddingLeftSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PaddingLeft Property Set")
End Property


Public Property Get PaddingLeft() As Collection
    On Error GoTo PaddingLeftGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PaddingLeft
    Set PaddingLeft = mvarPaddingLeft
    Exit Property


PaddingLeftGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PaddingLeft Property Get")
End Property



Public Property Set PaddingBottom(ByVal vData As Object)
    On Error GoTo PaddingBottomSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.PaddingBottom = Form1
    Set mvarPaddingBottom = vData
    Exit Property


PaddingBottomSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PaddingBottom Property Set")
End Property


Public Property Get PaddingBottom() As Collection
    On Error GoTo PaddingBottomGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PaddingBottom
    Set PaddingBottom = mvarPaddingBottom
    Exit Property


PaddingBottomGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:PaddingBottom Property Get")
End Property



Public Property Set Padding(ByVal vData As Object)
    On Error GoTo PaddingSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Padding = Form1
    Set mvarPadding = vData
    Exit Property


PaddingSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Padding Property Set")
End Property


Public Property Get Padding() As Collection
    On Error GoTo PaddingGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Padding
    Set Padding = mvarPadding
    Exit Property


PaddingGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Padding Property Get")
End Property



Public Property Set Overflow(ByVal vData As Object)
    On Error GoTo OverflowSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Overflow = Form1
    Set mvarOverflow = vData
    Exit Property


OverflowSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Overflow Property Set")
End Property


Public Property Get Overflow() As Collection
    On Error GoTo OverflowGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Overflow
    Set Overflow = mvarOverflow
    Exit Property


OverflowGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Overflow Property Get")
End Property



Public Property Set OutlineWidth(ByVal vData As Object)
    On Error GoTo OutlineWidthSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.OutlineWidth = Form1
    Set mvarOutlineWidth = vData
    Exit Property


OutlineWidthSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:OutlineWidth Property Set")
End Property


Public Property Get OutlineWidth() As Collection
    On Error GoTo OutlineWidthGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.OutlineWidth
    Set OutlineWidth = mvarOutlineWidth
    Exit Property


OutlineWidthGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:OutlineWidth Property Get")
End Property



Public Property Set OutlineStyle(ByVal vData As Object)
    On Error GoTo OutlineStyleSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.OutlineStyle = Form1
    Set mvarOutlineStyle = vData
    Exit Property


OutlineStyleSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:OutlineStyle Property Set")
End Property


Public Property Get OutlineStyle() As Collection
    On Error GoTo OutlineStyleGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.OutlineStyle
    Set OutlineStyle = mvarOutlineStyle
    Exit Property


OutlineStyleGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:OutlineStyle Property Get")
End Property



Public Property Set OutlineColor(ByVal vData As Object)
    On Error GoTo OutlineColorSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.OutlineColor = Form1
    Set mvarOutlineColor = vData
    Exit Property


OutlineColorSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:OutlineColor Property Set")
End Property


Public Property Get OutlineColor() As Collection
    On Error GoTo OutlineColorGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.OutlineColor
    Set OutlineColor = mvarOutlineColor
    Exit Property


OutlineColorGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:OutlineColor Property Get")
End Property



Public Property Set Outline(ByVal vData As Object)
    On Error GoTo OutlineSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Outline = Form1
    Set mvarOutline = vData
    Exit Property


OutlineSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Outline Property Set")
End Property


Public Property Get Outline() As Collection
    On Error GoTo OutlineGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Outline
    Set Outline = mvarOutline
    Exit Property


OutlineGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Outline Property Get")
End Property



Public Property Set Orphans(ByVal vData As Object)
    On Error GoTo OrphansSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Orphans = Form1
    Set mvarOrphans = vData
    Exit Property


OrphansSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Orphans Property Set")
End Property


Public Property Get Orphans() As Collection
    On Error GoTo OrphansGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Orphans
    Set Orphans = mvarOrphans
    Exit Property


OrphansGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Orphans Property Get")
End Property



Public Property Set MinWidth(ByVal vData As Object)
    On Error GoTo MinWidthSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.MinWidth = Form1
    Set mvarMinWidth = vData
    Exit Property


MinWidthSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MinWidth Property Set")
End Property


Public Property Get MinWidth() As Collection
    On Error GoTo MinWidthGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.MinWidth
    Set MinWidth = mvarMinWidth
    Exit Property


MinWidthGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MinWidth Property Get")
End Property



Public Property Set MinHeight(ByVal vData As Object)
    On Error GoTo MinHeightSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.MinHeight = Form1
    Set mvarMinHeight = vData
    Exit Property


MinHeightSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MinHeight Property Set")
End Property


Public Property Get MinHeight() As Collection
    On Error GoTo MinHeightGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.MinHeight
    Set MinHeight = mvarMinHeight
    Exit Property


MinHeightGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MinHeight Property Get")
End Property



Public Property Set MaxWidth(ByVal vData As Object)
    On Error GoTo MaxWidthSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.MaxWidth = Form1
    Set mvarMaxWidth = vData
    Exit Property


MaxWidthSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MaxWidth Property Set")
End Property


Public Property Get MaxWidth() As Collection
    On Error GoTo MaxWidthGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.MaxWidth
    Set MaxWidth = mvarMaxWidth
    Exit Property


MaxWidthGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MaxWidth Property Get")
End Property



Public Property Set MaxHeight(ByVal vData As Object)
    On Error GoTo MaxHeightSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.MaxHeight = Form1
    Set mvarMaxHeight = vData
    Exit Property


MaxHeightSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MaxHeight Property Set")
End Property


Public Property Get MaxHeight() As Collection
    On Error GoTo MaxHeightGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.MaxHeight
    Set MaxHeight = mvarMaxHeight
    Exit Property


MaxHeightGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MaxHeight Property Get")
End Property



Public Property Set Marks(ByVal vData As Object)
    On Error GoTo MarksSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Marks = Form1
    Set mvarMarks = vData
    Exit Property


MarksSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Marks Property Set")
End Property


Public Property Get Marks() As Collection
    On Error GoTo MarksGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Marks
    Set Marks = mvarMarks
    Exit Property


MarksGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Marks Property Get")
End Property



Public Property Set MarkerOffset(ByVal vData As Object)
    On Error GoTo MarkerOffsetSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.MarkerOffset = Form1
    Set mvarMarkerOffset = vData
    Exit Property


MarkerOffsetSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MarkerOffset Property Set")
End Property


Public Property Get MarkerOffset() As Collection
    On Error GoTo MarkerOffsetGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.MarkerOffset
    Set MarkerOffset = mvarMarkerOffset
    Exit Property


MarkerOffsetGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MarkerOffset Property Get")
End Property



Public Property Set MarginTop(ByVal vData As Object)
    On Error GoTo MarginTopSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.MarginTop = Form1
    Set mvarMarginTop = vData
    Exit Property


MarginTopSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MarginTop Property Set")
End Property


Public Property Get MarginTop() As Collection
    On Error GoTo MarginTopGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.MarginTop
    Set MarginTop = mvarMarginTop
    Exit Property


MarginTopGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MarginTop Property Get")
End Property



Public Property Set MarginRight(ByVal vData As Object)
    On Error GoTo MarginRightSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.MarginRight = Form1
    Set mvarMarginRight = vData
    Exit Property


MarginRightSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MarginRight Property Set")
End Property


Public Property Get MarginRight() As Collection
    On Error GoTo MarginRightGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.MarginRight
    Set MarginRight = mvarMarginRight
    Exit Property


MarginRightGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MarginRight Property Get")
End Property



Public Property Set MarginLeft(ByVal vData As Object)
    On Error GoTo MarginLeftSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.MarginLeft = Form1
    Set mvarMarginLeft = vData
    Exit Property


MarginLeftSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MarginLeft Property Set")
End Property


Public Property Get MarginLeft() As Collection
    On Error GoTo MarginLeftGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.MarginLeft
    Set MarginLeft = mvarMarginLeft
    Exit Property


MarginLeftGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MarginLeft Property Get")
End Property



Public Property Set MarginBottom(ByVal vData As Object)
    On Error GoTo MarginBottomSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.MarginBottom = Form1
    Set mvarMarginBottom = vData
    Exit Property


MarginBottomSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MarginBottom Property Set")
End Property


Public Property Get MarginBottom() As Collection
    On Error GoTo MarginBottomGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.MarginBottom
    Set MarginBottom = mvarMarginBottom
    Exit Property


MarginBottomGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:MarginBottom Property Get")
End Property



Public Property Set Margin(ByVal vData As Object)
    On Error GoTo MarginSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Margin = Form1
    Set mvarMargin = vData
    Exit Property


MarginSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Margin Property Set")
End Property


Public Property Get Margin() As Collection
    On Error GoTo MarginGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Margin
    Set Margin = mvarMargin
    Exit Property


MarginGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Margin Property Get")
End Property



Public Property Set ListStyleType(ByVal vData As Object)
    On Error GoTo ListStyleTypeSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.ListStyleType = Form1
    Set mvarListStyleType = vData
    Exit Property


ListStyleTypeSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:ListStyleType Property Set")
End Property


Public Property Get ListStyleType() As Collection
    On Error GoTo ListStyleTypeGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ListStyleType
    Set ListStyleType = mvarListStyleType
    Exit Property


ListStyleTypeGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:ListStyleType Property Get")
End Property



Public Property Set ListStylePosition(ByVal vData As Object)
    On Error GoTo ListStylePositionSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.ListStylePosition = Form1
    Set mvarListStylePosition = vData
    Exit Property


ListStylePositionSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:ListStylePosition Property Set")
End Property


Public Property Get ListStylePosition() As Collection
    On Error GoTo ListStylePositionGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ListStylePosition
    Set ListStylePosition = mvarListStylePosition
    Exit Property


ListStylePositionGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:ListStylePosition Property Get")
End Property



Public Property Set ListStyleImage(ByVal vData As Object)
    On Error GoTo ListStyleImageSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.ListStyleImage = Form1
    Set mvarListStyleImage = vData
    Exit Property


ListStyleImageSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:ListStyleImage Property Set")
End Property


Public Property Get ListStyleImage() As Collection
    On Error GoTo ListStyleImageGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ListStyleImage
    Set ListStyleImage = mvarListStyleImage
    Exit Property


ListStyleImageGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:ListStyleImage Property Get")
End Property



Public Property Set ListStyle(ByVal vData As Object)
    On Error GoTo ListStyleSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.ListStyle = Form1
    Set mvarListStyle = vData
    Exit Property


ListStyleSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:ListStyle Property Set")
End Property


Public Property Get ListStyle() As Collection
    On Error GoTo ListStyleGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ListStyle
    Set ListStyle = mvarListStyle
    Exit Property


ListStyleGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:ListStyle Property Get")
End Property



Public Property Set LineHeight(ByVal vData As Object)
    On Error GoTo LineHeightSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.LineHeight = Form1
    Set mvarLineHeight = vData
    Exit Property


LineHeightSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:LineHeight Property Set")
End Property


Public Property Get LineHeight() As Collection
    On Error GoTo LineHeightGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.LineHeight
    Set LineHeight = mvarLineHeight
    Exit Property


LineHeightGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:LineHeight Property Get")
End Property



Public Property Set LetterSpacing(ByVal vData As Object)
    On Error GoTo LetterSpacingSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.LetterSpacing = Form1
    Set mvarLetterSpacing = vData
    Exit Property


LetterSpacingSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:LetterSpacing Property Set")
End Property


Public Property Get LetterSpacing() As Collection
    On Error GoTo LetterSpacingGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.LetterSpacing
    Set LetterSpacing = mvarLetterSpacing
    Exit Property


LetterSpacingGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:LetterSpacing Property Get")
End Property



Public Property Set sLeft(ByVal vData As Object)
    On Error GoTo sLeftSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.sLeft = Form1
    Set mvarsLeft = vData
    Exit Property


sLeftSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:sLeft Property Set")
End Property


Public Property Get sLeft() As Collection
    On Error GoTo sLeftGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.sLeft
    Set sLeft = mvarsLeft
    Exit Property


sLeftGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:sLeft Property Get")
End Property



Public Property Set Height(ByVal vData As Object)
    On Error GoTo HeightSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Height = Form1
    Set mvarHeight = vData
    Exit Property


HeightSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Height Property Set")
End Property


Public Property Get Height() As Collection
    On Error GoTo HeightGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Height
    Set Height = mvarHeight
    Exit Property


HeightGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Height Property Get")
End Property



Public Property Set FontWeight(ByVal vData As Object)
    On Error GoTo FontWeightSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.FontWeight = Form1
    Set mvarFontWeight = vData
    Exit Property


FontWeightSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:FontWeight Property Set")
End Property


Public Property Get FontWeight() As Collection
    On Error GoTo FontWeightGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.FontWeight
    Set FontWeight = mvarFontWeight
    Exit Property


FontWeightGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:FontWeight Property Get")
End Property



Public Property Set FontVariant(ByVal vData As Object)
    On Error GoTo FontVariantSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.FontVariant = Form1
    Set mvarFontVariant = vData
    Exit Property


FontVariantSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:FontVariant Property Set")
End Property


Public Property Get FontVariant() As Collection
    On Error GoTo FontVariantGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.FontVariant
    Set FontVariant = mvarFontVariant
    Exit Property


FontVariantGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:FontVariant Property Get")
End Property



Public Property Set FontStyle(ByVal vData As Object)
    On Error GoTo FontStyleSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.FontStyle = Form1
    Set mvarFontStyle = vData
    Exit Property


FontStyleSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:FontStyle Property Set")
End Property


Public Property Get FontStyle() As Collection
    On Error GoTo FontStyleGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.FontStyle
    Set FontStyle = mvarFontStyle
    Exit Property


FontStyleGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:FontStyle Property Get")
End Property



Public Property Set FontStretch(ByVal vData As Object)
    On Error GoTo FontStretchSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.FontStretch = Form1
    Set mvarFontStretch = vData
    Exit Property


FontStretchSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:FontStretch Property Set")
End Property


Public Property Get FontStretch() As Collection
    On Error GoTo FontStretchGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.FontStretch
    Set FontStretch = mvarFontStretch
    Exit Property


FontStretchGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:FontStretch Property Get")
End Property



Public Property Set FontSizeAdjust(ByVal vData As Object)
    On Error GoTo FontSizeAdjustSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.FontSizeAdjust = Form1
    Set mvarFontSizeAdjust = vData
    Exit Property


FontSizeAdjustSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:FontSizeAdjust Property Set")
End Property


Public Property Get FontSizeAdjust() As Collection
    On Error GoTo FontSizeAdjustGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.FontSizeAdjust
    Set FontSizeAdjust = mvarFontSizeAdjust
    Exit Property


FontSizeAdjustGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:FontSizeAdjust Property Get")
End Property



Public Property Set FontSize(ByVal vData As Object)
    On Error GoTo FontSizeSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.FontSize = Form1
    Set mvarFontSize = vData
    Exit Property


FontSizeSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:FontSize Property Set")
End Property


Public Property Get FontSize() As Collection
    On Error GoTo FontSizeGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.FontSize
    Set FontSize = mvarFontSize
    Exit Property


FontSizeGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:FontSize Property Get")
End Property



Public Property Set FontFamily(ByVal vData As Object)
    On Error GoTo FontFamilySetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.FontFamily = Form1
    Set mvarFontFamily = vData
    Exit Property


FontFamilySetErr:


    Call RaiseError(MyUnhandledError, "CssTags:FontFamily Property Set")
End Property


Public Property Get FontFamily() As Collection
    On Error GoTo FontFamilyGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.FontFamily
    Set FontFamily = mvarFontFamily
    Exit Property


FontFamilyGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:FontFamily Property Get")
End Property



Public Property Set Font(ByVal vData As Object)
    On Error GoTo FontSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Font = Form1
    Set mvarFont = vData
    Exit Property


FontSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Font Property Set")
End Property


Public Property Get Font() As Collection
    On Error GoTo FontGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Font
    Set Font = mvarFont
    Exit Property


FontGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Font Property Get")
End Property



Public Property Set Float(ByVal vData As Object)
    On Error GoTo FloatSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Float = Form1
    Set mvarFloat = vData
    Exit Property


FloatSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Float Property Set")
End Property


Public Property Get Float() As Collection
    On Error GoTo FloatGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Float
    Set Float = mvarFloat
    Exit Property


FloatGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Float Property Get")
End Property



Public Property Set EmptyCells(ByVal vData As Object)
    On Error GoTo EmptyCellsSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.EmptyCells = Form1
    Set mvarEmptyCells = vData
    Exit Property


EmptyCellsSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:EmptyCells Property Set")
End Property


Public Property Get EmptyCells() As Collection
    On Error GoTo EmptyCellsGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.EmptyCells
    Set EmptyCells = mvarEmptyCells
    Exit Property


EmptyCellsGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:EmptyCells Property Get")
End Property



Public Property Set Elevation(ByVal vData As Object)
    On Error GoTo ElevationSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Elevation = Form1
    Set mvarElevation = vData
    Exit Property


ElevationSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Elevation Property Set")
End Property


Public Property Get Elevation() As Collection
    On Error GoTo ElevationGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Elevation
    Set Elevation = mvarElevation
    Exit Property


ElevationGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Elevation Property Get")
End Property



Public Property Set Display(ByVal vData As Object)
    On Error GoTo DisplaySetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Display = Form1
    Set mvarDisplay = vData
    Exit Property


DisplaySetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Display Property Set")
End Property


Public Property Get Display() As Collection
    On Error GoTo DisplayGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Display
    Set Display = mvarDisplay
    Exit Property


DisplayGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Display Property Get")
End Property



Public Property Set Direction(ByVal vData As Object)
    On Error GoTo DirectionSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Direction = Form1
    Set mvarDirection = vData
    Exit Property


DirectionSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Direction Property Set")
End Property


Public Property Get Direction() As Collection
    On Error GoTo DirectionGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Direction
    Set Direction = mvarDirection
    Exit Property


DirectionGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Direction Property Get")
End Property



Public Property Set Cursor(ByVal vData As Object)
    On Error GoTo CursorSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Cursor = Form1
    Set mvarCursor = vData
    Exit Property


CursorSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Cursor Property Set")
End Property


Public Property Get Cursor() As Collection
    On Error GoTo CursorGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Cursor
    Set Cursor = mvarCursor
    Exit Property


CursorGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Cursor Property Get")
End Property



Public Property Set CueBefore(ByVal vData As Object)
    On Error GoTo CueBeforeSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.CueBefore = Form1
    Set mvarCueBefore = vData
    Exit Property


CueBeforeSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:CueBefore Property Set")
End Property


Public Property Get CueBefore() As Collection
    On Error GoTo CueBeforeGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.CueBefore
    Set CueBefore = mvarCueBefore
    Exit Property


CueBeforeGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:CueBefore Property Get")
End Property



Public Property Set CueAfter(ByVal vData As Object)
    On Error GoTo CueAfterSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.CueAfter = Form1
    Set mvarCueAfter = vData
    Exit Property


CueAfterSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:CueAfter Property Set")
End Property


Public Property Get CueAfter() As Collection
    On Error GoTo CueAfterGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.CueAfter
    Set CueAfter = mvarCueAfter
    Exit Property


CueAfterGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:CueAfter Property Get")
End Property



Public Property Set Cue(ByVal vData As Object)
    On Error GoTo CueSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Cue = Form1
    Set mvarCue = vData
    Exit Property


CueSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Cue Property Set")
End Property


Public Property Get Cue() As Collection
    On Error GoTo CueGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Cue
    Set Cue = mvarCue
    Exit Property


CueGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Cue Property Get")
End Property



Public Property Set CounterReset(ByVal vData As Object)
    On Error GoTo CounterResetSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.CounterReset = Form1
    Set mvarCounterReset = vData
    Exit Property


CounterResetSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:CounterReset Property Set")
End Property


Public Property Get CounterReset() As Collection
    On Error GoTo CounterResetGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.CounterReset
    Set CounterReset = mvarCounterReset
    Exit Property


CounterResetGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:CounterReset Property Get")
End Property



Public Property Set CounterIncrement(ByVal vData As Object)
    On Error GoTo CounterIncrementSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.CounterIncrement = Form1
    Set mvarCounterIncrement = vData
    Exit Property


CounterIncrementSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:CounterIncrement Property Set")
End Property


Public Property Get CounterIncrement() As Collection
    On Error GoTo CounterIncrementGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.CounterIncrement
    Set CounterIncrement = mvarCounterIncrement
    Exit Property


CounterIncrementGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:CounterIncrement Property Get")
End Property



Public Property Set Content(ByVal vData As Object)
    On Error GoTo ContentSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Content = Form1
    Set mvarContent = vData
    Exit Property


ContentSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Content Property Set")
End Property


Public Property Get Content() As Collection
    On Error GoTo ContentGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Content
    Set Content = mvarContent
    Exit Property


ContentGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Content Property Get")
End Property



Public Property Set Color(ByVal vData As Object)
    On Error GoTo ColorSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Color = Form1
    Set mvarColor = vData
    Exit Property


ColorSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Color Property Set")
End Property


Public Property Get Color() As Collection
    On Error GoTo ColorGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Color
    Set Color = mvarColor
    Exit Property


ColorGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Color Property Get")
End Property



Public Property Set Clip(ByVal vData As Object)
    On Error GoTo ClipSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Clip = Form1
    Set mvarClip = vData
    Exit Property


ClipSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Clip Property Set")
End Property


Public Property Get Clip() As Collection
    On Error GoTo ClipGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Clip
    Set Clip = mvarClip
    Exit Property


ClipGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Clip Property Get")
End Property



Public Property Set Clear(ByVal vData As Object)
    On Error GoTo ClearSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Clear = Form1
    Set mvarClear = vData
    Exit Property


ClearSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Clear Property Set")
End Property


Public Property Get Clear() As Collection
    On Error GoTo ClearGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Clear
    Set Clear = mvarClear
    Exit Property


ClearGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Clear Property Get")
End Property



Public Property Set CaptionSide(ByVal vData As Object)
    On Error GoTo CaptionSideSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.CaptionSide = Form1
    Set mvarCaptionSide = vData
    Exit Property


CaptionSideSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:CaptionSide Property Set")
End Property


Public Property Get CaptionSide() As Collection
    On Error GoTo CaptionSideGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.CaptionSide
    Set CaptionSide = mvarCaptionSide
    Exit Property


CaptionSideGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:CaptionSide Property Get")
End Property



Public Property Set Bottom(ByVal vData As Object)
    On Error GoTo BottomSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Bottom = Form1
    Set mvarBottom = vData
    Exit Property


BottomSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Bottom Property Set")
End Property


Public Property Get Bottom() As Collection
    On Error GoTo BottomGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Bottom
    Set Bottom = mvarBottom
    Exit Property


BottomGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Bottom Property Get")
End Property



Public Property Set BorderWidth(ByVal vData As Object)
    On Error GoTo BorderWidthSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BorderWidth = Form1
    Set mvarBorderWidth = vData
    Exit Property


BorderWidthSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderWidth Property Set")
End Property


Public Property Get BorderWidth() As Collection
    On Error GoTo BorderWidthGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BorderWidth
    Set BorderWidth = mvarBorderWidth
    Exit Property


BorderWidthGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderWidth Property Get")
End Property



Public Property Set BorderTopWidth(ByVal vData As Object)
    On Error GoTo BorderTopWidthSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BorderTopWidth = Form1
    Set mvarBorderTopWidth = vData
    Exit Property


BorderTopWidthSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderTopWidth Property Set")
End Property


Public Property Get BorderTopWidth() As Collection
    On Error GoTo BorderTopWidthGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BorderTopWidth
    Set BorderTopWidth = mvarBorderTopWidth
    Exit Property


BorderTopWidthGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderTopWidth Property Get")
End Property



Public Property Set BorderStyle(ByVal vData As Object)
    On Error GoTo BorderStyleSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BorderStyle = Form1
    Set mvarBorderStyle = vData
    Exit Property


BorderStyleSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderStyle Property Set")
End Property


Public Property Get BorderStyle() As Collection
    On Error GoTo BorderStyleGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BorderStyle
    Set BorderStyle = mvarBorderStyle
    Exit Property


BorderStyleGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderStyle Property Get")
End Property



Public Property Set BorderSpacing(ByVal vData As Object)
    On Error GoTo BorderSpacingSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BorderSpacing = Form1
    Set mvarBorderSpacing = vData
    Exit Property


BorderSpacingSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderSpacing Property Set")
End Property


Public Property Get BorderSpacing() As Collection
    On Error GoTo BorderSpacingGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BorderSpacing
    Set BorderSpacing = mvarBorderSpacing
    Exit Property


BorderSpacingGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderSpacing Property Get")
End Property



Public Property Set BorderRightWidth(ByVal vData As Object)
    On Error GoTo BorderRightWidthSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BorderRightWidth = Form1
    Set mvarBorderRightWidth = vData
    Exit Property


BorderRightWidthSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderRightWidth Property Set")
End Property


Public Property Get BorderRightWidth() As Collection
    On Error GoTo BorderRightWidthGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BorderRightWidth
    Set BorderRightWidth = mvarBorderRightWidth
    Exit Property


BorderRightWidthGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderRightWidth Property Get")
End Property



Public Property Set BorderLeftWidth(ByVal vData As Object)
    On Error GoTo BorderLeftWidthSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BorderLeftWidth = Form1
    Set mvarBorderLeftWidth = vData
    Exit Property


BorderLeftWidthSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderLeftWidth Property Set")
End Property


Public Property Get BorderLeftWidth() As Collection
    On Error GoTo BorderLeftWidthGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BorderLeftWidth
    Set BorderLeftWidth = mvarBorderLeftWidth
    Exit Property


BorderLeftWidthGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderLeftWidth Property Get")
End Property



Public Property Set BorderColor(ByVal vData As Object)
    On Error GoTo BorderColorSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BorderColor = Form1
    Set mvarBorderColor = vData
    Exit Property


BorderColorSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderColor Property Set")
End Property


Public Property Get BorderColor() As Collection
    On Error GoTo BorderColorGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BorderColor
    Set BorderColor = mvarBorderColor
    Exit Property


BorderColorGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderColor Property Get")
End Property



Public Property Set BorderCollapse(ByVal vData As Object)
    On Error GoTo BorderCollapseSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BorderCollapse = Form1
    Set mvarBorderCollapse = vData
    Exit Property


BorderCollapseSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderCollapse Property Set")
End Property


Public Property Get BorderCollapse() As Collection
    On Error GoTo BorderCollapseGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BorderCollapse
    Set BorderCollapse = mvarBorderCollapse
    Exit Property


BorderCollapseGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderCollapse Property Get")
End Property



Public Property Set BorderBottomWidth(ByVal vData As Object)
    On Error GoTo BorderBottomWidthSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BorderBottomWidth = Form1
    Set mvarBorderBottomWidth = vData
    Exit Property


BorderBottomWidthSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderBottomWidth Property Set")
End Property


Public Property Get BorderBottomWidth() As Collection
    On Error GoTo BorderBottomWidthGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BorderBottomWidth
    Set BorderBottomWidth = mvarBorderBottomWidth
    Exit Property


BorderBottomWidthGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BorderBottomWidth Property Get")
End Property



Public Property Set Border(ByVal vData As Object)
    On Error GoTo BorderSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Border = Form1
    Set mvarBorder = vData
    Exit Property


BorderSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Border Property Set")
End Property


Public Property Get Border() As Collection
    On Error GoTo BorderGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Border
    Set Border = mvarBorder
    Exit Property


BorderGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Border Property Get")
End Property



Public Property Set BackgroundRepeat(ByVal vData As Object)
    On Error GoTo BackgroundRepeatSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BackgroundRepeat = Form1
    Set mvarBackgroundRepeat = vData
    Exit Property


BackgroundRepeatSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BackgroundRepeat Property Set")
End Property


Public Property Get BackgroundRepeat() As Collection
    On Error GoTo BackgroundRepeatGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BackgroundRepeat
    Set BackgroundRepeat = mvarBackgroundRepeat
    Exit Property


BackgroundRepeatGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BackgroundRepeat Property Get")
End Property



Public Property Set BackgroundPosition(ByVal vData As Object)
    On Error GoTo BackgroundPositionSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BackgroundPosition = Form1
    Set mvarBackgroundPosition = vData
    Exit Property


BackgroundPositionSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BackgroundPosition Property Set")
End Property


Public Property Get BackgroundPosition() As Collection
    On Error GoTo BackgroundPositionGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BackgroundPosition
    Set BackgroundPosition = mvarBackgroundPosition
    Exit Property


BackgroundPositionGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BackgroundPosition Property Get")
End Property



Public Property Set BackgroundImage(ByVal vData As Object)
    On Error GoTo BackgroundImageSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BackgroundImage = Form1
    Set mvarBackgroundImage = vData
    Exit Property


BackgroundImageSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BackgroundImage Property Set")
End Property


Public Property Get BackgroundImage() As Collection
    On Error GoTo BackgroundImageGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BackgroundImage
    Set BackgroundImage = mvarBackgroundImage
    Exit Property


BackgroundImageGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BackgroundImage Property Get")
End Property



Public Property Set BackgroundColor(ByVal vData As Object)
    On Error GoTo BackgroundColorSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BackgroundColor = Form1
    Set mvarBackgroundColor = vData
    Exit Property


BackgroundColorSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BackgroundColor Property Set")
End Property


Public Property Get BackgroundColor() As Collection
    On Error GoTo BackgroundColorGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BackgroundColor
    Set BackgroundColor = mvarBackgroundColor
    Exit Property


BackgroundColorGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BackgroundColor Property Get")
End Property



Public Property Set BackgroundAttachment(ByVal vData As Object)
    On Error GoTo BackgroundAttachmentSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BackgroundAttachment = Form1
    Set mvarBackgroundAttachment = vData
    Exit Property


BackgroundAttachmentSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BackgroundAttachment Property Set")
End Property


Public Property Get BackgroundAttachment() As Collection
    On Error GoTo BackgroundAttachmentGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BackgroundAttachment
    Set BackgroundAttachment = mvarBackgroundAttachment
    Exit Property


BackgroundAttachmentGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:BackgroundAttachment Property Get")
End Property



Public Property Set Background(ByVal vData As Object)
    On Error GoTo BackgroundSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Background = Form1
    Set mvarBackground = vData
    Exit Property


BackgroundSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Background Property Set")
End Property


Public Property Get Background() As Collection
    On Error GoTo BackgroundGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Background
    Set Background = mvarBackground
    Exit Property


BackgroundGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Background Property Get")
End Property



Public Property Set Azimuth(ByVal vData As Object)
    On Error GoTo AzimuthSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Azimuth = Form1
    Set mvarAzimuth = vData
    Exit Property


AzimuthSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Azimuth Property Set")
End Property


Public Property Get Azimuth() As Collection
    On Error GoTo AzimuthGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Azimuth
    Set Azimuth = mvarAzimuth
    Exit Property


AzimuthGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:Azimuth Property Get")
End Property



Public Property Set ClassDebugID(ByVal vData As Object)
    On Error GoTo ClassDebugIDSetErr


'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.ClassDebugID = Form1
    Set mvarClassDebugID = vData
    Exit Property


ClassDebugIDSetErr:


    Call RaiseError(MyUnhandledError, "CssTags:ClassDebugID Property Set")
End Property


Public Property Get ClassDebugID() As Collection
    On Error GoTo ClassDebugIDGetErr


'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ClassDebugID
    Set ClassDebugID = mvarClassDebugID
    Exit Property


ClassDebugIDGetErr:


    Call RaiseError(MyUnhandledError, "CssTags:ClassDebugID Property Get")
End Property





Private Sub Class_Initialize()
    #If DebugMode Then
        'get the next available class ID, and print out
        'that the class was created successfully
        mlClassDebugID = GetNextClassDebugID()
        Debug.Print "'" & TypeName(Me) & "' instance " & mlClassDebugID & " created"
    #End If
End Sub


Private Sub Class_Terminate()
    'the class is being destroyed
    #If DebugMode Then
        Debug.Print "'" & TypeName(Me) & "' instance " & CStr(mlClassDebugID) & " is terminating"
    #End If
End Sub


#If DebugMode Then
'    Public Property Get ClassDebugID()
'        'if we are in debug mode, surface this property that consumers can query
'        ClassDebugID = mlClassDebugID
'    End Property
#End If

