VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Iframe"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"No"
Attribute VB_Ext_KEY = "Collection" ,"CssBlock"
Attribute VB_Ext_KEY = "Member0" ,"CssBlock"
Option Compare Text
Option Explicit

'local variable to hold collection
Private mCol As Collection
Private mvarCommentsInCss As Boolean 'local copy
Private mvarNewCss As String 'local copy
Private mvarOldCss As String 'local copy
Private mvarCommentEnd As Collection 'local copy
Private mvarCommentStart As Collection 'local copy
Private mvarDefEndPoints As Collection 'local copy
Private mvarDefBeginPoints As Collection 'local copy
Private mvarbAbortCss As Boolean 'local copy
Private mvarDefinitions As Collection 'local copy
Private mvarSelectors As Collection 'local copy
Private mvarChanged As Boolean 'local copy
Private mvarDefaultSelectors As Collection 'local copy
Private mvarTreeIndex As Collection 'local copy
Public Sub AddMissingSelectors()
'Adds any selector from the original Css file that is not
'a Palview default selector.

Dim bMatch As Boolean
Dim lCount As Long
Dim lCount2 As Long

On Error GoTo ErrorHandler

For lCount = 1 To Selectors.Count
    bMatch = False
    For lCount2 = 1 To Me.Count
        If Selectors(lCount) = Me(lCount2).Key Then
            bMatch = True
            Exit For
        End If
    Next
    If bMatch = False Then
        Me.Add Selectors(lCount), Selectors(lCount)
    End If
Next

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Error adding Css selectors that are not Palview " & _
"default selectors. Procedure AddMissingSelectors", vbCritical, "Error"
Me.bAbortCss = True
End Sub

Public Property Set TreeIndex(ByVal vData As Object)
'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.TreeIndex = Form1
    Set mvarTreeIndex = vData
End Property


Public Property Get TreeIndex() As Collection
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.TreeIndex
    Set TreeIndex = mvarTreeIndex
End Property



Public Sub WriteCssBlock(lIndex As Long, sText As String)
'Writes the Css code for this particular selector, e.g. "BODY"

    Dim lCount As Long
    Dim lColCount As Long
    Dim sSubString As String
    Dim sProp As String
    
    With Me(lIndex)
    
    sText = sText & .Key & " {" & vbNewLine
    
    If Len(.Azimuth) > 0 Then sText = sText & vbTab & "azimuth : " & .Azimuth & ";" & vbNewLine
    If Len(.Background) > 0 Then sText = sText & vbTab & "background : " & .Background & ";" & vbNewLine
    If Len(.BackgroundAttachment) > 0 Then sText = sText & vbTab & "background-attachment : " & .BackgroundAttachment & ";" & vbNewLine
    If Len(.BackgroundColor) > 0 Then sText = sText & vbTab & "background-color : " & .BackgroundColor & ";" & vbNewLine
    If Len(.BackgroundImage) > 0 Then sText = sText & vbTab & "background-image : " & .BackgroundImage & ";" & vbNewLine
    If Len(.BackgroundPosition) > 0 Then sText = sText & vbTab & "background-position : " & .BackgroundPosition & ";" & vbNewLine
    If Len(.BackgroundRepeat) > 0 Then sText = sText & vbTab & "background-repeat : " & .BackgroundRepeat & ";" & vbNewLine
    If Len(.Border) > 0 Then sText = sText & vbTab & "border : " & .Border & ";" & vbNewLine
    If Len(.BorderBottomWidth) > 0 Then sText = sText & vbTab & "border-bottom-width : " & .BorderBottomWidth & ";" & vbNewLine
    If Len(.BorderCollapse) > 0 Then sText = sText & vbTab & "border-collapse : " & .BorderCollapse & ";" & vbNewLine
    If Len(.BorderColor) > 0 Then sText = sText & vbTab & "border-color : " & .BorderColor & ";" & vbNewLine
    If Len(.BorderLeftWidth) > 0 Then sText = sText & vbTab & "border-left-width : " & .BorderLeftWidth & ";" & vbNewLine
    If Len(.BorderRightWidth) > 0 Then sText = sText & vbTab & "border-right-width : " & .BorderRightWidth & ";" & vbNewLine
    If Len(.BorderSpacing) > 0 Then sText = sText & vbTab & "border-spacing : " & .BorderSpacing & ";" & vbNewLine
    If Len(.BorderStyle) > 0 Then sText = sText & vbTab & "border-style : " & .BorderStyle & ";" & vbNewLine
    If Len(.BorderTopWidth) > 0 Then sText = sText & vbTab & "border-top-width : " & .BorderTopWidth & ";" & vbNewLine
    If Len(.BorderWidth) > 0 Then sText = sText & vbTab & "border-width : " & .BorderWidth & ";" & vbNewLine
    If Len(.Bottom) > 0 Then sText = sText & vbTab & "bottom : " & .Bottom & ";" & vbNewLine
    If Len(.CaptionSide) > 0 Then sText = sText & vbTab & "caption-side : " & .CaptionSide & ";" & vbNewLine
    If Len(.Clear) > 0 Then sText = sText & vbTab & "clear : " & .Clear & ";" & vbNewLine
    If Len(.Clip) > 0 Then sText = sText & vbTab & "clip : " & .Clip & ";" & vbNewLine
    If Len(.Color) > 0 Then sText = sText & vbTab & "color : " & .Color & ";" & vbNewLine
    If Len(.Content) > 0 Then sText = sText & vbTab & "content : " & .Content & ";" & vbNewLine
    If Len(.CounterIncrement) > 0 Then sText = sText & vbTab & "counter-increment : " & .CounterIncrement & ";" & vbNewLine
    If Len(.CounterReset) > 0 Then sText = sText & vbTab & "counter-reset : " & .CounterReset & ";" & vbNewLine
    If Len(.Cue) > 0 Then sText = sText & vbTab & "cue : " & .Cue & ";" & vbNewLine
    If Len(.CueAfter) > 0 Then sText = sText & vbTab & "cue-after : " & .CueAfter & ";" & vbNewLine
    If Len(.CueBefore) > 0 Then sText = sText & vbTab & "cue-before : " & .CueBefore & ";" & vbNewLine
    If Len(.Cursor) > 0 Then sText = sText & vbTab & "cursor : " & .Cursor & ";" & vbNewLine
    If Len(.Direction) > 0 Then sText = sText & vbTab & "direction : " & .Direction & ";" & vbNewLine
    If Len(.Display) > 0 Then sText = sText & vbTab & "display : " & .Display & ";" & vbNewLine
    If Len(.Elevation) > 0 Then sText = sText & vbTab & "elevation : " & .Elevation & ";" & vbNewLine
    If Len(.EmptyCells) > 0 Then sText = sText & vbTab & "empty-cells : " & .EmptyCells & ";" & vbNewLine
    If Len(.Float) > 0 Then sText = sText & vbTab & "float : " & .Float & ";" & vbNewLine
    If Len(.Font) > 0 Then sText = sText & vbTab & "font : " & .Font & ";" & vbNewLine
    
    If Not (.FontFamily Is Nothing) Then
        lColCount = .FontFamily.Count
        If lColCount > 0 Then
            For lCount = 1 To lColCount
                sProp = .FontFamily(lCount)
                If InStr(sProp, Chr(32)) > 0 Then
                    If InStr(1, sProp, """") = 0 And InStr(1, sProp, Chr(39)) = 0 Then
                        sProp = """" & sProp & """"
                    End If
                End If
                sSubString = sSubString & sProp
                If lCount < lColCount Then
                    sSubString = sSubString & ", "
                End If
            Next
            sText = sText & vbTab & "font-family : " & sSubString & ";" & vbNewLine
            sSubString = ""
        End If
    End If
    
    If Len(.FontSize) > 0 Then sText = sText & vbTab & "font-size : " & .FontSize & ";" & vbNewLine
    If Len(.FontSizeAdjust) > 0 Then sText = sText & vbTab & "font-size-adjust : " & .FontSizeAdjust & ";" & vbNewLine
    If Len(.FontStretch) > 0 Then sText = sText & vbTab & "font-stretch : " & .FontStretch & ";" & vbNewLine
    If Len(.FontStyle) > 0 Then sText = sText & vbTab & "font-style : " & .FontStyle & ";" & vbNewLine
    If Len(.FontVariant) > 0 Then sText = sText & vbTab & "font-variant : " & .FontVariant & ";" & vbNewLine
    If Len(.FontWeight) > 0 Then sText = sText & vbTab & "font-weight : " & .FontWeight & ";" & vbNewLine
    If Len(.Height) > 0 Then sText = sText & vbTab & "height : " & .Height & ";" & vbNewLine
    If Len(.LetterSpacing) > 0 Then sText = sText & vbTab & "letter-spacing : " & .LetterSpacing & ";" & vbNewLine
    If Len(.LineHeight) > 0 Then sText = sText & vbTab & "line-height : " & .LineHeight & ";" & vbNewLine
    If Len(.ListStyle) > 0 Then sText = sText & vbTab & "list-style : " & .ListStyle & ";" & vbNewLine
    If Len(.ListStyleImage) > 0 Then sText = sText & vbTab & "list-style-image : " & .ListStyleImage & ";" & vbNewLine
    If Len(.ListStylePosition) > 0 Then sText = sText & vbTab & "list-style-position : " & .ListStylePosition & ";" & vbNewLine
    If Len(.ListStyleType) > 0 Then sText = sText & vbTab & "list-style-type : " & .ListStyleType & ";" & vbNewLine
    If Len(.Margin) > 0 Then sText = sText & vbTab & "margin : " & .Margin & ";" & vbNewLine
    If Len(.MarginBottom) > 0 Then sText = sText & vbTab & "margin-bottom : " & .MarginBottom & ";" & vbNewLine
    If Len(.MarginLeft) > 0 Then sText = sText & vbTab & "margin-left : " & .MarginLeft & ";" & vbNewLine
    If Len(.MarginRight) > 0 Then sText = sText & vbTab & "margin-right : " & .MarginRight & ";" & vbNewLine
    If Len(.MarginTop) > 0 Then sText = sText & vbTab & "margin-top : " & .MarginTop & ";" & vbNewLine
    If Len(.MarkerOffset) > 0 Then sText = sText & vbTab & "marker-offset : " & .MarkerOffset & ";" & vbNewLine
    If Len(.Marks) > 0 Then sText = sText & vbTab & "marks : " & .Marks & ";" & vbNewLine
    If Len(.MaxHeight) > 0 Then sText = sText & vbTab & "max-height : " & .MaxHeight & ";" & vbNewLine
    If Len(.MaxWidth) > 0 Then sText = sText & vbTab & "max-width : " & .MaxWidth & ";" & vbNewLine
    If Len(.MinHeight) > 0 Then sText = sText & vbTab & "min-heigth : " & .MinHeight & ";" & vbNewLine
    If Len(.MinWidth) > 0 Then sText = sText & vbTab & "min-width : " & .MinWidth & ";" & vbNewLine
    If Len(.Orphans) > 0 Then sText = sText & vbTab & "orphans : " & .Orphans & ";" & vbNewLine
    If Len(.Outline) > 0 Then sText = sText & vbTab & "outline : " & .Outline & ";" & vbNewLine
    If Len(.OutlineColor) > 0 Then sText = sText & vbTab & "outline-color : " & .OutlineColor & ";" & vbNewLine
    If Len(.OutlineStyle) > 0 Then sText = sText & vbTab & "outline-style : " & .OutlineStyle & ";" & vbNewLine
    If Len(.OutlineWidth) > 0 Then sText = sText & vbTab & "outline-width : " & .OutlineWidth & ";" & vbNewLine
    If Len(.Overflow) > 0 Then sText = sText & vbTab & "overflow : " & .Overflow & ";" & vbNewLine
    If Len(.Padding) > 0 Then sText = sText & vbTab & "padding : " & .Padding & ";" & vbNewLine
    If Len(.PaddingBottom) > 0 Then sText = sText & vbTab & "padding-bottom : " & .PaddingBottom & ";" & vbNewLine
    If Len(.PaddingLeft) > 0 Then sText = sText & vbTab & "padding-left : " & .PaddingLeft & ";" & vbNewLine
    If Len(.PaddingRight) > 0 Then sText = sText & vbTab & "padding-right : " & .PaddingRight & ";" & vbNewLine
    If Len(.PaddingTop) > 0 Then sText = sText & vbTab & "padding-top : " & .PaddingTop & ";" & vbNewLine
    If Len(.PageBreakAfter) > 0 Then sText = sText & vbTab & "page-break-after : " & .PageBreakAfter & ";" & vbNewLine
    If Len(.PageBreakBefore) > 0 Then sText = sText & vbTab & "page-break-before : " & .PageBreakBefore & ";" & vbNewLine
    If Len(.PageBreakInside) > 0 Then sText = sText & vbTab & "page-break-inside : " & .PageBreakInside & ";" & vbNewLine
    If Len(.Pause) > 0 Then sText = sText & vbTab & "pause : " & .Pause & ";" & vbNewLine
    If Len(.PauseAfter) > 0 Then sText = sText & vbTab & "pause-after : " & .PauseAfter & ";" & vbNewLine
    If Len(.PauseBefore) > 0 Then sText = sText & vbTab & "pause-before : " & .PauseBefore & ";" & vbNewLine
    If Len(.Pitch) > 0 Then sText = sText & vbTab & "pitch : " & .Pitch & ";" & vbNewLine
    If Len(.PitchRange) > 0 Then sText = sText & vbTab & "pitch-range : " & .PitchRange & ";" & vbNewLine
    If Len(.PlayDuring) > 0 Then sText = sText & vbTab & "play-during : " & .PlayDuring & ";" & vbNewLine
    If Len(.Position) > 0 Then sText = sText & vbTab & "position : " & .Position & ";" & vbNewLine
    If Len(.Quotes) > 0 Then sText = sText & vbTab & "quotes : " & .Quotes & ";" & vbNewLine
    If Len(.Richness) > 0 Then sText = sText & vbTab & "richness : " & .Richness & ";" & vbNewLine
    If Len(.Size) > 0 Then sText = sText & vbTab & "size : " & .Size & ";" & vbNewLine
    If Len(.sLeft) > 0 Then sText = sText & vbTab & "left : " & .sLeft & ";" & vbNewLine
    If Len(.sPage) > 0 Then sText = sText & vbTab & "page : " & .sPage & ";" & vbNewLine
    If Len(.Speak) > 0 Then sText = sText & vbTab & "speak : " & .Speak & ";" & vbNewLine
    If Len(.SpeakHeader) > 0 Then sText = sText & vbTab & "speak-header : " & .SpeakHeader & ";" & vbNewLine
    If Len(.SpeakNumeral) > 0 Then sText = sText & vbTab & "speak-numeral : " & .SpeakNumeral & ";" & vbNewLine
    If Len(.SpeakPunctuation) > 0 Then sText = sText & vbTab & "speak-punctuation : " & .SpeakPunctuation & ";" & vbNewLine
    If Len(.SpeechRate) > 0 Then sText = sText & vbTab & "speech-rate : " & .SpeechRate & ";" & vbNewLine
    If Len(.sRight) > 0 Then sText = sText & vbTab & "right : " & .sRight & ";" & vbNewLine
    If Len(.Stress) > 0 Then sText = sText & vbTab & "stress : " & .Stress & ";" & vbNewLine
    If Len(.TableLayout) > 0 Then sText = sText & vbTab & "table-layout : " & .TableLayout & ";" & vbNewLine
    If Len(.TextAlign) > 0 Then sText = sText & vbTab & "text-align : " & .TextAlign & ";" & vbNewLine
    If Len(.TextDecoration) > 0 Then sText = sText & vbTab & "text-decoration : " & .TextDecoration & ";" & vbNewLine
    If Len(.TextIndent) > 0 Then sText = sText & vbTab & "text-indent : " & .TextIndent & ";" & vbNewLine
    If Len(.TextShadow) > 0 Then sText = sText & vbTab & "text-shadow : " & .TextShadow & ";" & vbNewLine
    If Len(.TextTransform) > 0 Then sText = sText & vbTab & "text-transform : " & .TextTransform & ";" & vbNewLine
    If Len(.Top) > 0 Then sText = sText & vbTab & "top : " & .Top & ";" & vbNewLine
    If Len(.UnicodeBidi) > 0 Then sText = sText & vbTab & "unicode-bidi : " & .UnicodeBidi & ";" & vbNewLine
    If Len(.Unknown1) > 0 Then sText = sText & vbTab & .Unknown1 & ";" & vbNewLine
    If Len(.Unknown2) > 0 Then sText = sText & vbTab & .Unknown2 & ";" & vbNewLine
    If Len(.Unknown3) > 0 Then sText = sText & vbTab & .Unknown3 & ";" & vbNewLine
    If Len(.VerticalAlign) > 0 Then sText = sText & vbTab & "vertical-align : " & .VerticalAlign & ";" & vbNewLine
    If Len(.Visibility) > 0 Then sText = sText & vbTab & "visibility : " & .Visibility & ";" & vbNewLine
    If Len(.VoiceFamily) > 0 Then sText = sText & vbTab & "voice-family : " & .VoiceFamily & ";" & vbNewLine
    If Len(.Volume) > 0 Then sText = sText & vbTab & "volume : " & .Volume & ";" & vbNewLine
    If Len(.WhiteSpace) > 0 Then sText = sText & vbTab & "white-space : " & .WhiteSpace & ";" & vbNewLine
    If Len(.Widows) > 0 Then sText = sText & vbTab & "widows : " & .Widows & ";" & vbNewLine
    If Len(.Width) > 0 Then sText = sText & vbTab & "width : " & .Width & ";" & vbNewLine
    If Len(.WordSpacing) > 0 Then sText = sText & vbTab & "word-spacing : " & .WordSpacing & ";" & vbNewLine
    If Len(.ZIndex) > 0 Then sText = sText & vbTab & "z-index : " & .ZIndex & ";" & vbNewLine
    
    sText = sText & vbTab & "}"
End With
End Sub

Public Sub CreateDefaultSelectorsCol()

'We now build the collection with default Palview selectors.
'Any new selector invented by Andy must be added to this
'list at its appropriate place in the hierarchy.
'As of now the Iframe stylesheet has but one selector, BODY -
'the other properties are inherited from the page stylesheet.

Set DefaultSelectors = New Collection

With DefaultSelectors
    .Add ("BODY")                   'BODY declaration
End With

End Sub

Public Property Set DefaultSelectors(ByVal vData As Object)
'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.DefaultSelectors = Form1
    Set mvarDefaultSelectors = vData
End Property


Public Property Get DefaultSelectors() As Collection
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.DefaultSelectors
    Set DefaultSelectors = mvarDefaultSelectors
End Property

Public Sub AddDefaultClasses()
'Before the selectors from the
'parsed CSS file are created as new classes we check if
'any default Palview selectors were missing in the CSS
'file, and if so they are added as new classes.

Dim lCount As Long
Dim sSelector As String

On Error GoTo ErrorHandler

For lCount = 1 To DefaultSelectors.Count
    sSelector = DefaultSelectors(lCount)
    Me.Add sSelector, sSelector
Next


Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure AddDefaultClasses.", vbCritical, "Error"
Set DefaultSelectors = Nothing
Me.bAbortCss = True
End Sub

Public Property Let Changed(ByVal vData As Boolean)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.Changed = 5
    mvarChanged = vData
    If mvarChanged = True Then
        cLayouts(lAL).Changed = True
    End If
End Property


Public Property Get Changed() As Boolean
Dim lCount As Long

Changed = mvarChanged
End Property
Public Sub WriteNewCss()
'Creates a string with the new CSS settings

Dim lIndex As Long          'Counter
Dim lCount As Long          'Counter
Dim sText As String         'The new CSS text
Dim sSubString As String    'String generated from the font-family collection

On Error GoTo ErrorHandler

sText = Empty

For lIndex = 1 To Me.Count
    With Me(lIndex)
        Call WriteCssBlock(lIndex, sText)
        If lIndex < Me.Count Then
            sText = sText & vbNewLine & vbNewLine
        End If
        
    '    If Me.CommentsInCss And Selectors.Count > 0 Then
    '        Call InsertOldCssComments(sText, .Key, lIndex)
    '        sText = Empty
    '    End If
    End With
lCount = lIndex + 1
Next

'If Me.CommentsInCss = False Then
    Me.NewCss = sText
'End If

sText = Empty

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure WriteNewCss.", vbCritical, "Error"
sText = Empty
End Sub

Public Sub SetLoadedProperties(lIndex As Long, sProperty As String, sValue As String)
'The values (style definition) from the parsed CSS file are now assigned
'to the properties of the current class instance.
'To save time I've sorted the properties, so the ones I expect
'to be the most commonly used are treated first.

Dim lCount

On Error GoTo ErrorHandler

With Me(lIndex)
    Select Case sProperty
        Case "font-family"
            Exit Sub
        Case "font-size"
            .FontSize = sValue
        Case "font-style"
            .FontStyle = sValue
        Case "font-weight"
            .FontWeight = sValue
        Case "font"
            .Font = sValue
        Case "color"
            .Color = sValue
        Case "margin"
            .Margin = sValue
        Case "margin-bottom"
            .MarginBottom = sValue
        Case "margin-left"
            .MarginLeft = sValue
        Case "margin-right"
            .MarginRight = sValue
        Case "margin-top"
            .MarginTop = sValue
        Case "padding"
            .Padding = sValue
        Case "padding-left"
            .PaddingLeft = sValue
        Case "padding-right"
            .PaddingRight = sValue
        Case "padding-bottom"
            .PaddingBottom = sValue
        Case "padding-top"
            .PaddingTop = sValue
        Case "text-align"
            .TextAlign = sValue
        Case "text-decoration"
            .TextDecoration = sValue
        Case "text-indent"
            .TextIndent = sValue
        Case "text-shadow"
            .TextShadow = sValue
        Case "text-transform"
            .TextTransform = sValue
        Case "line-height"
            .LineHeight = sValue
        Case "background"
            .Background = sValue
        Case "background-color"
            .BackgroundColor = sValue
        Case "left"
            .sLeft = sValue
        Case "right"
            .sRight = sValue
        Case "border-color"
            .BorderColor = sValue
        Case "border"
            .Border = sValue
        Case "border-width"
            .BorderWidth = sValue
        Case "border-bottom-width"
            .BorderBottomWidth = sValue
        Case "border-left-width"
            .BorderLeftWidth = sValue
        Case "border-right-width"
            .BorderRightWidth = sValue
        Case "border-spacing"
            .BorderSpacing = sValue
        Case "border-style"
            .BorderStyle = sValue
        Case "border-top-width"
            .BorderTopWidth = sValue
        Case "border-collapse"
            .BorderCollapse = sValue
        Case "outline"
            .Outline = sValue
        Case "outline-color"
            .OutlineColor = sValue
        Case "outline-style"
            .OutlineStyle = sValue
        Case "outline-width"
            .OutlineWidth = sValue
        Case "height"
            .Height = sValue
        Case "cursor"
            .Cursor = sValue
        Case "list-style"
            .ListStyle = sValue
        Case "list-style-image"
            .ListStyleImage = sValue
        Case "list-style-position"
            .ListStylePosition = sValue
        Case "list-style-type"
            .ListStyleType = sValue
        Case "font-size-adjust"
            .FontSizeAdjust = sValue
        Case "font-stretch"
            .FontStretch = sValue
        Case "font-variant"
            .FontVariant = sValue
        Case "z-index"
            .ZIndex = sValue
        Case "background-attachment"
            .BackgroundAttachment = sValue
        Case "background-image"
            .BackgroundImage = sValue
        Case "background-position"
            .BackgroundPosition = sValue
        Case "background-repeat"
            .BackgroundRepeat = sValue
        Case "bottom"
            .Bottom = sValue
        Case "vertical-align"
            .VerticalAlign = sValue
        Case "visibility"
            .Visibility = sValue
        Case "caption-side"
            .CaptionSide = sValue
        Case "clear"
            .Clear = sValue
        Case "clip"
            .Clip = sValue
        Case "content"
            .Content = sValue
        Case "counter-increment"
            .CounterIncrement = sValue
        Case "counter-reset"
            .CounterReset = sValue
        Case "direction"
            .Direction = sValue
        Case "display"
            .Display = sValue
        Case "elevation"
            .Elevation = sValue
        Case "empty-cells"
            .EmptyCells = sValue
        Case "float"
            .Float = sValue
        Case "letter-spacing"
            .LetterSpacing = sValue
        Case "marker-offset"
            .MarkerOffset = sValue
        Case "marks"
            .Marks = sValue
        Case "max-height"
            .MaxHeight = sValue
        Case "max-width"
            .MaxWidth = sValue
        Case "min-height"
            .MinHeight = sValue
        Case "min-width"
            .MinWidth = sValue
        Case "orphans"
            .Orphans = sValue
        Case "overflow"
            .Overflow = sValue
        Case "page"
            .sPage = sValue
        Case "page-break-after"
            .PageBreakAfter = sValue
        Case "page-break-before"
            .PageBreakBefore = sValue
        Case "page-break-inside"
            .PageBreakInside = sValue
        Case "position"
            .Position = sValue
        Case "quotes"
            .Quotes = sValue
        Case "size"
            .Size = sValue
        Case "table-layout"
            .TableLayout = sValue
        Case "top"
            .Top = sValue
        Case "unicode-bidi"
            .UnicodeBidi = sValue
        Case "white-space"
            .WhiteSpace = sValue
        Case "widows"
            .Widows = sValue
        Case "width"
            .Width = sValue
        Case "word-spacing"
            .WordSpacing = sValue
    
    'Sound and voice parameters
        Case "azimuth"
            .Azimuth = sValue
        Case "cue"
            .Cue = sValue
        Case "cue-after"
            .CueAfter = sValue
        Case "cue-before"
            .CueBefore = sValue
        Case "pause"
            .Pause = sValue
        Case "pause-after"
            .PauseAfter = sValue
        Case "pause-before"
            .PauseBefore = sValue
        Case "pitch"
            .Pitch = sValue
        Case "pitch-range"
            .PitchRange = sValue
        Case "play-during"
            .PlayDuring = sValue
        Case "richness"
            .Richness = sValue
        Case "speak"
            .Speak = sValue
        Case "speak-header"
            .SpeakHeader = sValue
        Case "speak-numeral"
            .SpeakNumeral = sValue
        Case "speak-punctuation"
            .SpeakPunctuation = sValue
        Case "speech-rate"
            .SpeechRate = sValue
        Case "stress"
            .Stress = sValue
        Case "voice-family"
            .VoiceFamily = sValue
        Case "volume"
            .Volume = sValue
        Case Else
            If Len(.Unknown1) = 0 Then
                .Unknown1 = sProperty & " :" & sValue
                MsgBox "Palview doesn't recognize the CSS property " & sProperty, , "Unknown CSS Property"
            ElseIf Len(.Unknown2) = 0 Then
                .Unknown2 = sProperty & " :" & sValue
                MsgBox "Palview doesn't recognize the CSS property " & sProperty, , "Unknown CSS Property"
            ElseIf Len(.Unknown3) = 0 Then
                .Unknown3 = sProperty & " :" & sValue
                MsgBox "Palview doesn't recognize the CSS property " & sProperty, , "Unknown CSS Property"
            Else
            MsgBox "Palview doesn't know the CSS property " & sProperty & " and it will be ignored. " & _
            "Till now 3 unknown properties have been stored.", , "Unknown CSS Property"
            End If
    End Select
End With

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure SetLoadedProperties.", vbCritical, "Error"

End Sub

Public Sub ParseCssDefinition(lIndex As Long, lClassIndex As Long)
'Parses the CSS style definition (the "{font-weight: bold; etc.}")
'for the current selector (CssGroup Class).

Dim lCount As Long      'Counter
Dim lPos1 As Long       'Pointer
Dim lPos2 As Long       'Pointer
Dim lPos3 As Long       'Pointer
Dim lPos4 As Long       'Pointer
Dim sChar As String * 1 'Single character string used for comparison.
Dim sColPart As String  'An element in a CssValue collection (e.g. "Arial" in font-family).
Dim sDefText As String  'The style definition - {Some text}
Dim sProperty As String 'The style property - e.g. Font-weight
Dim sValue As String    'The property's value - e.g. "bold"

On Error GoTo ErrorHandler

'The style definition "{some css text}" is an element in the
'Definitions collection and is now copied to the string sDefText.
sDefText = Definitions(lIndex)

lPos1 = 1

Do
    If Len(sDefText) = 0 Then Exit Do

'   Find where the element ends
    lPos2 = InStr(lPos1 + 1, sDefText, ":")
    If lPos2 = 0 Then Exit Do

'   Extracts a substring with the element
    sProperty = Left$(sDefText, lPos2 - lPos1)

'   Now we remove any leading and trailing
'   characters that are not alfanumeric
'   using the function StripChar.
    sProperty = Trim(sProperty)
    sProperty = StripChar(sProperty, "", "", "", "")
    
'   We now remove the element from the definition string.
    sDefText = Right$(sDefText, Len(sDefText) - lPos2)
    
'   Now we find where the current value ends.
'   This is either a ";" or "}". There's no need
'   to check for an ending "}" - this was done earlier
'   when the definition-collection was built.
    lPos3 = InStr(1, sDefText, ";")
    If lPos3 = 0 Then
        lPos3 = InStr(1, sDefText, "}")
    End If
'   If empty value we ignore the element.
    If lPos3 = 1 Then
        sValue = ""
        GoTo Proceed
    End If
        
'   The element's value is extracted as a string.
    sValue = Left$(sDefText, lPos3 - 1)
    
'   Any leading irrelevant characters like
'   space etc. are removed.
    Do
'       If empty value string the element is ignored.
        If Len(sValue) = 0 Then GoTo Proceed
        
        sChar = Left$(sValue, 1)
        If Asc(sChar) < 33 Then
            sValue = Right$(sValue, Len(sValue) - 1)
        Else
            Exit Do
        End If
    Loop
    
'   Any trailing irrelevant characters like
'   space etc. are removed.
    Do
'       If empty value-string the element is ignored.
        If Len(sValue) = 0 Then GoTo Proceed
        
        sChar = Right$(sValue, 1)
        If Asc(sChar) < 33 Or sChar = ";" Or sChar = "}" Then
            sValue = Left$(sValue, Len(sValue) - 1)
        Else
            Exit Do
        End If
    Loop
    
'   At the moment only "FontFamily" is a collection
'   property in the CssGroup class.
'   I don't know if there are other properties like
'   font-family that have a list of values.
'   If so, it is easy to change the property's type
'   to be a collection.
'   The colCssVal collection can be used for any property.
    
    If sProperty = "font-family" Then
        
        Do
            If Len(sValue) = 0 Then Exit Do
            lPos4 = InStr(1, sValue, ",")
            If lPos4 > 0 Then
                sColPart = Left$(sValue, lPos4)
                sValue = Right$(sValue, Len(sValue) - lPos4)
            Else
                sColPart = sValue
            End If
            If Len(sColPart) > 0 Then
                sColPart = Trim(sColPart)
                sColPart = StripChar(sColPart, """", "#", "%", "")
            End If
            If Len(sColPart) > 0 Then
                Me(lClassIndex).FontFamily.Add (sColPart)
            End If
            If lPos4 = 0 Then Exit Do
        Loop
    End If
    
    sDefText = Right$(sDefText, Len(sDefText) - lPos3)
    
'   We have now isolated the element and its value(s). Now
'   is the time to:
'   1. Find the corresponding CssGroup class property.
'   2. Assign the value.
    
    Call SetLoadedProperties(lClassIndex, sProperty, sValue)
    
Proceed:
Loop Until lPos2 = 0

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure ParseCssDefinition.", vbCritical, "Error"

Exit Sub
Abort:
MsgBox "Syntax error in CSS file.", vbCritical, "Syntax Error"


End Sub

Public Sub FindDefSimple(sText As String)
'Extracts the selectors and their definitions as strings.
'The strings are stored in two collections.
'This procedure is used if there are no comments in the
'CSS file. For parsing a file with comments we use the
'procedure FindDefAdvanced.

On Error GoTo ErrorHandler

Dim lDefStart As Long       'Pointer
Dim lDefEnd As Long         'Pointer
Dim lDefEndOld As Long      'Pointer
Dim lPosx As Long           'Pointer
Dim lSelEnd As Long         'Pointer
Dim lSelStart As Long       'Pointer
Dim sDefinition As String   'The selector's style definition
Dim sSelector As String     'The selector

Set Selectors = New Collection      'Will hold the selector strings
Set Definitions = New Collection    'Will hold the definition strings

lPosx = 1
    
Do
    lDefStart = InStr(lPosx, sText, "{")    'Find next definition "{"
    If lDefStart = 0 Then                   'If none we leave
        Exit Sub
    End If
    If lPosx > 1 Then           'If not the first selector
'       we store the old end-position before finding the new.
        lDefEndOld = lDefEnd
    End If
'   Finds next "}"
    lDefEnd = InStr(lDefStart + 1, sText, "}")
    If lDefEnd = 0 Then 'If none there's a syntax error and we abort.
        GoTo Abort
    End If
    If lPosx = 1 Then           'If it is the first selector
        lSelStart = lPosx       'it starts at the very beginning (we trim later)
        lSelEnd = lDefStart - 1 'Finds end, which is just before def-start.
        If lSelStart = lSelEnd Then 'If equal there's a syntax error and we abort.
            MsgBox "There's a missing selector in the CSS file.", vbCritical, "Missing Selector"
            GoTo Abort
        End If
'       Extracts the string with the selector (we trim later)
        sSelector = Mid$(sText, lPosx, lDefStart - lPosx)
    Else
        If (lDefStart - lDefEndOld - 1) > 0 Then
            sSelector = Mid$(sText, lDefEndOld + 1, lDefStart - lDefEndOld - 1)
        Else
            MsgBox "Syntax error in CSS file - missing selector. Reading aborted.", vbCritical, "Syntax error"
            GoTo Abort  'Syntax error - no selector
        End If
    End If
    If (lDefEnd - lDefStart + 1) = 0 Then
            MsgBox "Syntax error in CSS file - missing selector. Reading aborted.", vbCritical, "Syntax error"
            GoTo Abort  'Syntax error - no selector
    End If
    
    sDefinition = Mid$(sText, lDefStart, lDefEnd - lDefStart + 1)
'   Now we remove any leading and traIling spaces from the definition string.
    sDefinition = Mid$(sDefinition, 1, Len(sDefinition))
    sDefinition = StripAsc0To32(sDefinition)
    If bAbortCss Then GoTo Abort

'   Now we remove any leading and traling spaces from the selector string.
    sSelector = StripAsc0To32(sSelector)
    If bAbortCss Then GoTo Abort
    
'   Now we add the selector and its definition to their respective collections.
    Selectors.Add (sSelector)
    Definitions.Add (sDefinition)
    
    lPosx = lDefEnd + 1 'Moves text pointer
Loop

Exit Sub

Abort:
Set Selectors = Nothing
Set Definitions = Nothing
bAbortCss = True

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure FindDefSimple"
bAbortCss = True

End Sub

Public Sub FindDefAdvanced(sText As String)
'Handles the more complicated job of extracting selectors and their
'style definitions from a CSS file with comments.

Dim lCount As Long              'Counter
Dim lPosx As Long               'Pointer
Dim lPosY As Long               '   -
Dim lPosZ As Long               '   -
Dim lDefEnd As Long             '   -
Dim lDefEndOld As Long          '   -
Dim lDefStart As Long           '   -
Dim lSelEnd As Long             '   -
Dim lSelStart As Long           '   -
Dim sSelector As String         'The selector
Dim sDefinition As String       'The selector's style definition

On Error GoTo ErrorHandler

Set Selectors = New Collection      'Will hold the selector strings
Set Definitions = New Collection    'Will hold the definition strings

lPosx = 1

Do
'   If we have already found one definition,
'   we store the end position of the last one in lDefEndOld.
'   If not, we set lDefEndOld = lPosx (1).
'   We need this later for finding the selector.
    If lPosx <> 1 Then
        lDefEndOld = lDefEnd
    Else
        lDefEndOld = lPosx
    End If
    
'   Now we start an inner loop to find the next "{" not inside a comment.
    Do
        lDefStart = lPosx
        lDefStart = InStr(lDefStart, sText, "{")    'Find next definition "{"
        If lDefStart = 0 Then                       'If none
            Exit Sub                                'we leave.
        End If

'       Now we check if the def-start position "{" is in a comment.
'       We do this by iterating through the comment arrays.
        For lCount = 1 To CommentStart.Count
'           If def-start is bigger than comment-start and smaller
'           than comment-end, it is inside a comment and we exit
'           the For-Next loop to find the next "{"
            If CommentStart(lCount) < lDefStart And lDefStart < CommentEnd(lCount) Then
                lDefStart = CommentEnd(lCount) + 2  'Move pointer to end of comment
                Exit For                            'Exit For-Next loop.
            End If
'           If the comment-start is bigger, we're not inside a comment
'           (because we've just checked if we were in between!).
'           If so, we leave the inner Do-Loop.
            If CommentStart(lCount) > lDefStart Then Exit Do
'           If the definition begins after the last comment, we exit the loop.
            If lCount = CommentEnd.Count And lDefStart > CommentEnd(lCount) Then
                Exit Do
            End If
        Next
        lPosx = lDefStart + 1
    Loop
    
'   If we got this far, we have found a beginning "{" outside a comment.
'   Now we need to find where the definition ends.
    lPosx = lDefStart + 1   'Position to start search.
    Do
        lDefEnd = InStr(lPosx, sText, "}")      'Find next definition-end "}"
        If lDefStart = 0 Then                   'If none there's a syntax error and we leave
            GoTo Abort
        End If
'       Now we must check if it is in a comment.
'       If it is we must find the next "}", check
'       if that's in a comment etc. Again we use
'       a For-Next loop.
        For lCount = 1 To CommentStart.Count
'           If the def-end is inside a comment
'           we exit the For-Next loop to find next "}".
            If lDefEnd > CommentStart(lCount) And lDefEnd < CommentEnd(lCount) Then
                lPosx = CommentEnd(lCount) + 2
                Exit For
            End If
'           If we're still in the For-Next loop we know that
'           we're not inside a comment, if the comment-start
'           is bigger than lDefEnd.
            If CommentStart(lCount) > lDefEnd Then Exit Do
            If lCount = CommentEnd.Count And lDefStart > CommentEnd(lCount) Then
                Exit Do
            End If
            
        Next
    Loop
    
'   We now isolate the definition into the string sDefinition.
    sDefinition = Mid$(sText, lDefStart, lDefEnd - lDefStart + 1)
    
'   Now we remove any comments nested within the definition.
    Do
        lPosY = InStr(1, sDefinition, "/*")
        If lPosY = 0 Then Exit Do
        lPosZ = InStr(1, sDefinition, "*/")
        sDefinition = Left$(sDefinition, lPosY - 1) & Right$(sDefinition, Len(sDefinition) - lPosZ - 1)
    Loop Until lPosY = 0
    
'   Now we remove any leading and traling spaces from the definition string.
    sDefinition = Mid$(sDefinition, 1, Len(sDefinition))
    sDefinition = StripAsc0To32(sDefinition)
    If bAbortCss = True Then GoTo Abort

'   We have now established where the definition starts and ends.
'   Now we need to find the selector for this definition.
'   The selector will be somewhere between lDefEndOld,
'   the end of the previous definition, and lDefStart.
'   There's a good chance that there may be a comment here
'   (even more than one), and we don't want that in our selector string.
    lSelStart = lDefEndOld      'End of previous definition.
    lSelEnd = lDefStart         'Start of present definition.

    If lSelStart = 1 Then
        sSelector = Mid$(sText, lSelStart, lSelEnd - lSelStart)
    Else
        sSelector = Mid$(sText, lSelStart + 1, lSelEnd - lSelStart - 1)
    End If
    
'   We now remove any comments from the selector string.
    Do
        lPosY = InStr(1, sSelector, "/*")
        If lPosY = 0 Then Exit Do
        lPosZ = InStr(1, sSelector, "*/")
        sSelector = Left$(sSelector, lPosY - 1) & Right$(sSelector, Len(sSelector) - lPosZ - 1)
    Loop Until lPosY = 0
    
'   Now we remove any leading and traling spaces from the selector string.
    sSelector = StripAsc0To32(sSelector)
    If bAbortCss Then GoTo Abort

'   Now we add the selector and its definition to their respective collections.
    Selectors.Add (sSelector)
    Definitions.Add (sDefinition)

'   Next we add the definition start and end pointers to their collections.
    DefBeginPoints.Add (lDefStart)
    DefEndPoints.Add (lDefEnd)
    
    lPosx = lDefEnd + 1 'Moves text pointer
Loop Until lPosx = 0


Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure FindDefAdvanced.", vbCritical, "Error"

Exit Sub
Abort:
MsgBox "Syntax error in CSS file", vbCritical, "Syntax error"

End Sub

Public Sub FindCssComments(sText As String)
'Builds two arrays with pointers to where comments
'start and end in the CSS file. Later we use these
'pointers to help determine if for instance a "{" is
'"real" or inside a comment.
'They are also used when we write the new CSS and want
'to keep old comments.

Dim lPos As Long    'Pointer
Dim lPos2 As Long   'Pointer

On Error GoTo ErrorHandler

Set CommentStart = New Collection
Set CommentEnd = New Collection

lPos = 1

'Now we fill the collection with comment pointers.
Do
    lPos = InStr(lPos, sText, "/*")         'Finds position of next "/*"
    If lPos = 0 Then Exit Do                'If none is found exit loop
    CommentStart.Add (lPos)                 'Adds the position
    lPos = lPos + 2                         'Moves pointer
Loop

lPos = 1
'The second collection, CommentEnd, contains pointers to comment-ends "*/"
Do
    lPos = InStr(lPos, sText, "*/")         'Finds position of next "*/"
    If lPos = 0 Then Exit Do                'If none is found exit loop
    CommentEnd.Add (lPos)                   'Adds the position
    lPos = lPos + 2                         'Moves pointer
Loop

'If there is a different number of comment-starts and comment-ends there's
'a syntax error in the CSS file, and we must abort. Nested comments aren't
'allowed in CSS.
If CommentStart.Count <> CommentEnd.Count Then
    If CommentStart.Count > CommentEnd.Count Then
        MsgBox "Syntax Error in CSS file. A comment is not closed with ""*/""", vbCritical, "Syntax Error"
    Else
        MsgBox "Syntax Error in CSS file. Missing ""*/"" for comment.", vbCritical, "Syntax Error"
    End If
    bAbortCss = True
End If

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure FindCssComments." & _
"Reading values from the old CSS file is aborted.", vbCritical, "Unexpected Error"
bAbortCss = True


End Sub

Public Sub ReadCss(sText As String)
'The question at this stage is whether there are any comments in
'the original CSS or not.
'If there are no comments, the approach is simple and straight-
'forward. If there ARE comments things are a bit more complicated.

On Error GoTo ErrorHandler

'If any comments CommentsInCss is true.
CommentsInCss = InStr(1, sText, "/*")

If CommentsInCss Then
'   If there are comments in the CSS file, we fill two collections
'   with pointers to where they start and end. This is to control
'   quickly if a selector or its definitions are in fact real or
'   just inside a comment.
    Call FindCssComments(sText)
    
'   We now initialize the two collection properties,
'   which will store the starting and ending points
'   for style definitions. These are used later for
'   inserting old comments when we write the new CSS.
    Set DefBeginPoints = New Collection
    Set DefEndPoints = New Collection
    
'   Selectors and definitions are found taking comments
'   into consideration.
    Call FindDefAdvanced(sText)
Else
    
'If there are no comments, finding the selectors and their
'values is much simpler, so there's a special (fast) procedure for this.
    Call FindDefSimple(sText)
End If

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure ReadCss.", vbCritical, "Error"
bAbortCss = True


End Sub

Public Sub HandleCss(sPath As String)
'This procedure is the "top controller" of all routines
'involving reading and parsing an existing CSS file.
'By parsing the file on disk we find the selectors and their
'style definitions.
'For each selector in the loaded CSS file we create an
'instance of the CssGroup class and add it to this class
'collection (CssGroups). For each selector the class instance's
'properties are set according to the selector's style definition.
'
'Any default Palview selectors not in the CSS file are added at their
'appropriate positions.

Dim lCount As Long      'Counter used for instantiating classes.
Dim lCount2 As Long
Dim sText As String
Dim cBlock As CssBlock

On Error GoTo ErrorHandler

bAbortCss = False

'Loads an existing CSS file. File name and path is passed
'in the string sPath by the calling procedure.
Call LoadCss(sPath)

sText = Me.OldCss

'Now we start parsing the CSS file.
Call ReadCss(sText)

On Error Resume Next

On Error GoTo ErrorHandler
If bAbortCss Then Exit Sub


CreateDefaultSelectorsCol   'Creates the collection with default selectors.
AddDefaultClasses      'Adds the default selectors as new classes.

'Now any existing new selectors from the old css file
'are added as new classes.
AddMissingSelectors

'Initialises the font-family collection for each selector.
For lCount = 1 To Me.Count
    Set Me(lCount).FontFamily = New Collection
Next

For lCount = 1 To Selectors.Count
    For lCount2 = 1 To Me.Count
        If Selectors(lCount) = Me(lCount2).Key Then
            Call ParseCssDefinition(lCount, lCount2)
            Exit For
        End If
    Next
Next

If bAbortCss Then Exit Sub

Set Definitions = Nothing
Set mvarDefinitions = Nothing
Set cBlock = Nothing

Me.OldCss = sText

sText = Empty


Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure HandleCss", vbCritical, "Error"
bAbort = True
Me.bAbortCss = True
End Sub

Public Sub LoadCss(sPath As String)
'This procedure loads an existing CSS file

Dim sCssOld As String   'The CSS file is loaded into this string.

On Error GoTo ErrorHandler

bAbortCss = False

'If file doesn't exist
If FileCheck(sPath) = False Then
    If Len(sPath) > 0 Then
        MsgBox "Can't find " & sPath, , "Invalid Path"
    Else
        MsgBox "No stylesheet filename provided.", , "No Filename"
    End If
    bAbortCss = True
    Exit Sub
End If

'Calls load procedure. Passes the path and the variable
'(textstring) to which the content should be copied.
Call LoadTextFile(sPath, sCssOld)
'If the file is empty we abort
If Len(sCssOld) = 0 Then
    bAbortCss = True
    MsgBox "CSS file is empty.", vbCritical, "Empty CSS file"
    Exit Sub
End If

Me.OldCss = sCssOld
sCssOld = Empty

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure LoadCss.", vbCritical, "Error"

End Sub

Public Property Set Selectors(ByVal vData As Object)
'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Selectors = Form1
    Set mvarSelectors = vData
End Property


Public Property Get Selectors() As Collection
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Selectors
    Set Selectors = mvarSelectors
End Property



Public Property Set Definitions(ByVal vData As Object)
'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.Definitions = Form1
    Set mvarDefinitions = vData
End Property


Public Property Get Definitions() As Collection
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Definitions
    Set Definitions = mvarDefinitions
End Property



Public Property Let bAbortCss(ByVal vData As Boolean)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.bAbortCss = 5
    mvarbAbortCss = vData
End Property


Public Property Get bAbortCss() As Boolean
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.bAbortCss
    bAbortCss = mvarbAbortCss
End Property



Public Property Set DefBeginPoints(ByVal vData As Object)
'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.DefBeginPoints = Form1
    Set mvarDefBeginPoints = vData
End Property


Public Property Get DefBeginPoints() As Collection
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.DefBeginPoints
    Set DefBeginPoints = mvarDefBeginPoints
End Property



Public Property Set DefEndPoints(ByVal vData As Object)
'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.DefEndPoints = Form1
    Set mvarDefEndPoints = vData
End Property


Public Property Get DefEndPoints() As Collection
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.DefEndPoints
    Set DefEndPoints = mvarDefEndPoints
End Property



Public Property Set CommentStart(ByVal vData As Object)
'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.CommentStart = Form1
    Set mvarCommentStart = vData
End Property


Public Property Get CommentStart() As Collection
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.CommentStart
    Set CommentStart = mvarCommentStart
End Property



Public Property Set CommentEnd(ByVal vData As Object)
'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.CommentEnd = Form1
    Set mvarCommentEnd = vData
End Property


Public Property Get CommentEnd() As Collection
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.CommentEnd
    Set CommentEnd = mvarCommentEnd
End Property



Public Property Let OldCss(ByVal vData As String)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.OldCss = 5
    mvarOldCss = vData
End Property


Public Property Get OldCss() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.OldCss
    OldCss = mvarOldCss
End Property



Public Property Let NewCss(ByVal vData As String)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.NewCss = 5
    mvarNewCss = vData
End Property


Public Property Get NewCss() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.NewCss
    NewCss = mvarNewCss
End Property



Public Property Let CommentsInCss(ByVal vData As Boolean)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.CommentsInCss = 5
    mvarCommentsInCss = vData
End Property


Public Property Get CommentsInCss() As Boolean
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.CommentsInCss
    CommentsInCss = mvarCommentsInCss
End Property



Public Function Add(Key As String, Optional sKey As String) As CssBlock
    'create a new object
    Dim objNewMember As CssBlock
    Set objNewMember = New CssBlock

    'set the properties passed into the method
    objNewMember.Key = Key

    If Len(sKey) = 0 Then
        mCol.Add objNewMember
    Else
        mCol.Add objNewMember, sKey
    End If


    'return the object created
    Set Add = objNewMember
    Set objNewMember = Nothing
    
'   Sets the new child's ClassParent property
    Me(sKey).ClassParent = "iframe"

End Function

Public Property Get Item(vntIndexKey As Variant) As CssBlock
Attribute Item.VB_UserMemId = 0
    'used when referencing an element in the collection
    'vntIndexKey contains either the Index or Key to the collection,
    'this is why it is declared as a Variant
    'Syntax: Set foo = x.Item(xyz) or Set foo = x.Item(5)
  Set Item = mCol(vntIndexKey)
End Property



Public Property Get Count() As Long
    'used when retrieving the number of elements in the
    'collection. Syntax: Debug.Print x.Count
    Count = mCol.Count
End Property


Public Sub Remove(vntIndexKey As Variant)
    'used when removing an element from the collection
    'vntIndexKey contains either the Index or Key, which is why
    'it is declared as a Variant
    'Syntax: x.Remove(xyz)

    mCol.Remove vntIndexKey
End Sub


Public Property Get NewEnum() As IUnknown
    'this property allows you to enumerate
    'this collection with the For...Each syntax
    Set NewEnum = mCol.[_NewEnum]
End Property


Private Sub Class_Initialize()
    'creates the collection when this class is created
    Set mCol = New Collection
End Sub


Private Sub Class_Terminate()
    'destroys collection when this class is terminated
    Set mCol = Nothing
End Sub



