VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Ini1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"No"
Option Explicit

'set this to 0 to disable debug code in this class
#Const DebugMode = 1


#If DebugMode Then
    'local variable to hold the serialized class ID that was created in Class_Initialize
    Private mlClassDebugID As Long
#End If
'local variable(s) to hold property value(s)
Private mvarAutoTime As Long 'local copy
Private mvarChanged As Boolean 'local copy
Private mvarDisplayMode As Long 'local copy
Private mvarGameInfoMode As Long 'local copy
Private mvarPadding As Long 'local copy
Private mvarPcSize As Long 'local copy
Private mvarTableWidth As Long 'local copy
Private mvarBoardSize As Long 'local copy
Private mvarMaxSwissPlayers As Long 'local copy
Private mvarOverViewCols As Long 'local copy
Private mvarPgnLink As Long 'local copy
Private mvarRefreshTime As Long 'local copy
Private mvarIframeWidth As Long 'local copy
Private mvarMagDiagramSize As Long 'local copy
Private mvarViewerHeight As Long 'local copy
Private mvarViewerWidth As Long 'local copy
Private mvarDiagramNo As Long 'local copy
Public Property Let DiagramNo(ByVal vData As Long)
Attribute DiagramNo.VB_Description = "The diagramno command can be used to get palview4 to number each diagram in a magazine. This can be useful if you want to refer to a diagram by its number. Note that if diagramno is set to zero, the default, then diagrams are not numbered at all. But setting the value to any value from 1 to 10000 enables diagram numbering beginning with the initial value that you set. For each subsequent diagram, the number is increased by one."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.DiagramNo = 5
    mvarDiagramNo = vData
    Me.Changed = True
End Property


Public Property Get DiagramNo() As Long
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.DiagramNo
    DiagramNo = mvarDiagramNo
End Property



Public Property Let ViewerWidth(ByVal vData As Long)
Attribute ViewerWidth.VB_Description = "The viewerwidth command allows you to set the width in pixels that the new game viewer page will use upon opening in its new window. If no value is provided, then the program will determine a best-fit estimate for the new viewer window. This value can then be adjusted based upon how the actual window appears when opened."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.ViewerWidth = 5
    mvarViewerWidth = vData
    Me.Changed = True
End Property


Public Property Get ViewerWidth() As Long
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ViewerWidth
    ViewerWidth = mvarViewerWidth
End Property



Public Property Let ViewerHeight(ByVal vData As Long)
Attribute ViewerHeight.VB_Description = "The viewerheigth command allows you to set the height in pixels that the new game viewer page will use upon opening in its new window. If no value is provided, then the program will determine a best-fit estimate for the new viewer window. This value can then be adjusted based upon how the actual window appears when opened.\r\n\r\n"
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.ViewerHeight = 5
    mvarViewerHeight = vData
    Me.Changed = True
End Property


Public Property Get ViewerHeight() As Long
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ViewerHeight
    ViewerHeight = mvarViewerHeight
End Property



Public Property Let MagDiagramSize(ByVal vData As Long)
Attribute MagDiagramSize.VB_Description = "19, 24, 29, 35. The magdiagramsize command is used to set the size of the piece images to be used by Palview4 when generating a diagram in a magazine. The actual magdiagramsize number refers to the width and height of each piece image in pixels. By default, this size is always 29, which produces a comfortable board to look at."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.MagDiagramSize = 5
    mvarMagDiagramSize = vData
    Me.Changed = True
End Property


Public Property Get MagDiagramSize() As Long
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.MagDiagramSize
    MagDiagramSize = mvarMagDiagramSize
End Property



Public Property Let IframeWidth(ByVal vData As Long)
Attribute IframeWidth.VB_Description = "Width of Iframe. The Palview default is 300 pixels."
'Sets the width of iframes in pixels.
    mvarIframeWidth = vData
    Me.Changed = True
End Property


Public Property Get IframeWidth() As Long
    IframeWidth = mvarIframeWidth
End Property



Public Property Let RefreshTime(ByVal vData As Long)
Attribute RefreshTime.VB_Description = "Values: 1-3600. The refresh interval for a page used for online coverage. If the value is greater than zero, Palview automatically assumes that the project is for online coverage. If set to 0 (zero) an ordinary page is assumed."
'Sets the Refreshtime for live pages and overview pages.
'If this is >0 Palview treats the page as a live page.
    mvarRefreshTime = vData
    Me.Changed = True
End Property


Public Property Get RefreshTime() As Long
    RefreshTime = mvarRefreshTime
End Property
Public Property Let PgnLink(ByVal vData As Long)
Attribute PgnLink.VB_Description = "0 = no link. 1 = link to pgn file in text. 2 = use image as link to pgn file. Associated command is ""PgnUrl"" in Ini3."
    mvarPgnLink = vData
    Me.Changed = True
End Property
Public Property Get PgnLink() As Long
    PgnLink = mvarPgnLink
End Property
Public Property Let OverViewCols(ByVal vData As Long)
Attribute OverViewCols.VB_Description = "Determines the number of columns on an overview page. An overview page can be used with online coverage."
    mvarOverViewCols = vData
    Me.Changed = True
End Property
Public Property Get OverViewCols() As Long
    OverViewCols = mvarOverViewCols
End Property
Public Property Let MaxSwissPlayers(ByVal vData As Long)
Attribute MaxSwissPlayers.VB_Description = "Used for making crosstables if the tournament type is Swiss."
    mvarMaxSwissPlayers = vData
    Me.Changed = True
End Property
Public Property Get MaxSwissPlayers() As Long
    MaxSwissPlayers = mvarMaxSwissPlayers
End Property
Public Property Let BoardSize(ByVal vData As Long)
Attribute BoardSize.VB_Description = "Not a Palview command. The property is used for checking whether the selected board and pieces fit together."
    mvarBoardSize = vData
    Me.Changed = True
End Property
Public Property Get BoardSize() As Long
    BoardSize = mvarBoardSize
End Property
Public Property Let TableWidth(ByVal vData As Long)
Attribute TableWidth.VB_Description = "Values: 75-100%"
    mvarTableWidth = vData
    Me.Changed = True
End Property
Public Property Get TableWidth() As Long
    TableWidth = mvarTableWidth
End Property
Public Property Let PcSize(ByVal vData As Long)
Attribute PcSize.VB_Description = "Currently: 19, 24, 29 and 35"
    mvarPcSize = vData
    Me.Changed = True
End Property
Public Property Get PcSize() As Long
    PcSize = mvarPcSize
End Property
Public Property Let Padding(ByVal vData As Long)
Attribute Padding.VB_Description = "Padding between chess board and movetext. Values: 0-400."
    mvarPadding = vData
    Me.Changed = True
End Property
Public Property Get Padding() As Long
    Padding = mvarPadding
End Property
Public Property Let GameInfoMode(ByVal vData As Long)
Attribute GameInfoMode.VB_Description = "If set to 1 the game header info will be placed in a box of its own above the movetext."
    mvarGameInfoMode = vData
    Me.Changed = True
End Property
Public Property Get GameInfoMode() As Long
    GameInfoMode = mvarGameInfoMode
End Property
Public Property Let DisplayMode(ByVal vData As Long)
Attribute DisplayMode.VB_Description = "Values: 0, 1, 2 and 3."
    mvarDisplayMode = vData
    Me.Changed = True
End Property
Public Property Get DisplayMode() As Long
    DisplayMode = mvarDisplayMode
End Property
Public Property Let Changed(ByVal vData As Boolean)
    mvarChanged = vData
    If mvarChanged = True Then
        cLayouts(lAL).Changed = True
    End If
End Property
Public Property Get Changed() As Boolean
    Changed = mvarChanged
End Property
Public Property Let AutoTime(ByVal vData As Long)
Attribute AutoTime.VB_Description = "The time in milliseconds between moves when autoplay is on."
    mvarAutoTime = vData
    Me.Changed = True
End Property
Public Property Get AutoTime() As Long
    AutoTime = mvarAutoTime
End Property
Private Sub Class_Initialize()
    #If DebugMode Then
        'get the next available class ID, and print out
        'that the class was created successfully
        mlClassDebugID = GetNextClassDebugID()
        Debug.Print "'" & TypeName(Me) & "' instance " & mlClassDebugID & " created"
    #End If
End Sub
Private Sub Class_Terminate()
    'the class is being destroyed
    #If DebugMode Then
        Debug.Print "'" & TypeName(Me) & "' instance " & CStr(mlClassDebugID) & " is terminating"
    #End If
End Sub
#If DebugMode Then
    Public Property Get ClassDebugID()
        'if we are in debug mode, surface this property that consumers can query
        ClassDebugID = mlClassDebugID
    End Property
#End If
