VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Ini2"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"No"
Option Explicit

'set this to 0 to disable debug code in this class
#Const DebugMode = 1


#If DebugMode Then
    'local variable to hold the serialized class ID that was created in Class_Initialize
    Private mlClassDebugID As Long
#End If
'local variable(s) to hold property value(s)
Private mvarChanged As Boolean 'local copy
Private mvarDbNamePattern As String 'local copy
Private mvarDbTags As String 'local copy
Private mvarFigurines As String 'local copy
Private mvarHtmlType As String 'local copy
Private mvarMoveLinks As String 'local copy
Private mvarNamePattern As String 'local copy
Private mvarPgnHeader As String 'local copy
Private mvarScriptLoc As String 'local copy
Private mvarSsi As String 'local copy
Private mvarSymbolMethod As String 'local copy
Private mvarUseKeyStrokes As String 'local copy
Private mvarJsFile As String 'local copy
Private mvarTitleType As String 'local copy
Private mvarMovingPcs As String 'local copy
Private mvarMultiLang As String 'local copy
Private mvarLineBreaks As String 'local copy
Private mvarToolTipBoard As String 'local copy
Private mvarFlags As String 'local copy
Private mvarNs4Comp As String 'local copy
Private mvarSymTips As String 'local copy
Private mvarBoardValign As String 'local copy
Private mvarCrossLink As String 'local copy
Private mvarCrossTags As String 'local copy
Private mvarToolTipCross As String 'local copy
Private mvarToolTipOpening As String 'local copy
Private mvarCrossNamePattern As String 'local copy
Private mvarIntroCom As String 'local copy
Private mvarGameLinkInfo As String 'local copy
Private mvarIndexNamePattern As String 'local copy
Private mvarTooltipIndex As String 'local copy
Private mvarWriteMagGames As String 'local copy
Private mvarActiveMag As String 'local copy
Private mvarScrollIntoView As String 'local copy
Private mvarWriteMagLinks As String 'local copy
Public Property Let WriteMagLinks(ByVal vData As String)
Attribute WriteMagLinks.VB_Description = "writemaglinks = on | off \r\ndefault: on\r\n\r\nThe writemaglinks command can be used to disable palview4 from writing links to the games in a magazine when using the game insertion form:\r\n\r\n<-- palview game N -->\r\n\r\nThis can be useful if you want to use a magazine page to actually genereate a game index. In this case, you would also disable the writemaggames command as well.\r\n\r\nThe command can also be useful if you wish to write your own game links in the magazine rather than have Palview do this for you. As an example, let's suppose that you have a magazine page with a single game, Kasparov - Kramnik. In your magazine text, you could link to the game yourself with the following:\r\n\r\nIn the game <A HREF='javascript:Gm(0)'>Kasparov - Kramnik</A>, the Berlin defence\r\nproved to be a hard nut to crack.\r\n\r\nNote that the game number in the example above is always one less than the game's number in the PGN file. So for our example, with just a single g"
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.WriteMagLinks = 5
    mvarWriteMagLinks = vData
    Me.Changed = True
End Property


Public Property Get WriteMagLinks() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.WriteMagLinks
    WriteMagLinks = mvarWriteMagLinks
End Property



Public Property Let ScrollIntoView(ByVal vData As String)
Attribute ScrollIntoView.VB_Description = "The scrollintoview command can be used to get Microsoft's Internet Explorer browser to automatically scroll the game frame or iframe so that the last moved played is always scrolled to the top. This new option is only available for the htmltype pages: frames, iframe, and magviewer. Browsers other than IE do not understand or support the JavaScript property scrollIntoView() so this feature will not be available in other browsers. But the pages will still function properly in all other respects."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.ScrollIntoView = 5
    mvarScrollIntoView = vData
    Me.Changed = True
End Property


Public Property Get ScrollIntoView() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ScrollIntoView
    ScrollIntoView = mvarScrollIntoView
End Property



Public Property Let ActiveMag(ByVal vData As String)
Attribute ActiveMag.VB_Description = "The activemag command tells Palview4 to generate diagrams within the magazine that are active. What this means is that visitors to your page will be able to move the pieces around on any of the diagrams to examine different variations from the given position. (This is called kibitzing.) This feature is very much like the movingpcs option for game replay. But the activemag command also enables a new move recorder as well that allows kibitz moves to be taken back by using the left arrow cursor keypad or the number 4 (left arrow) in the nummeric keypad. You can also click on any empty square in any diagram (to select that board) and then click the number 7 (Home) key in the numeric keypad to restore the original position. The / key in the numeric keypad flips the board."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.ActiveMag = 5
    mvarActiveMag = vData
    Me.Changed = True
End Property


Public Property Get ActiveMag() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ActiveMag
    ActiveMag = mvarActiveMag
End Property

Public Property Let WriteMagGames(ByVal vData As String)
Attribute WriteMagGames.VB_Description = "On/off. Will either write the gN.htm files or not ( magazine)."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.WriteMagGames = 5
    mvarWriteMagGames = vData
    Me.Changed = True
End Property


Public Property Get WriteMagGames() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.WriteMagGames
    WriteMagGames = mvarWriteMagGames
End Property



Public Property Let TooltipIndex(ByVal vData As String)
Attribute TooltipIndex.VB_Description = "tooltipindex = on | off \r\ndefault: off\r\n\r\nThe tooltipindex command can be used to include extended information in the indices about each game in a tooltip that appears when you hover over the game's number."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.TooltipIndex = 5
    mvarTooltipIndex = vData
    Me.Changed = True
End Property


Public Property Get TooltipIndex() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.TooltipIndex
    TooltipIndex = mvarTooltipIndex
End Property



Public Property Let IndexNamePattern(ByVal vData As String)
Attribute IndexNamePattern.VB_Description = "indexnamepattern = full | last | short | firstlast | initlast \r\ndefault: last\r\n\r\nThe indexnamepattern command is used to select the formatting of the player names for the game index."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.IndexNamePattern = 5
    mvarIndexNamePattern = vData
    Me.Changed = True
End Property


Public Property Get IndexNamePattern() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.IndexNamePattern
    IndexNamePattern = mvarIndexNamePattern
End Property



Public Property Let GameLinkInfo(ByVal vData As String)
Attribute GameLinkInfo.VB_Description = "gamelinkinfo = none | { result, round, moves, event, site, date, all } \r\ndefault: none\r\n\r\nThe gamelinkinfo command is used to determine what extended information about a game you wish to have in your links to the replayable games in the new magazine page. Palview4 places this information after the player's name. The information itself is generally taken from the PGN Tags: Result, Round, Event, Site, and Date. But the number of moves in the game is determined by Palview. \r\n"
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.GameLinkInfo = 5
    mvarGameLinkInfo = vData
    Me.Changed = True
End Property


Public Property Get GameLinkInfo() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.GameLinkInfo
    GameLinkInfo = mvarGameLinkInfo
End Property



Public Property Let IntroCom(ByVal vData As String)
Attribute IntroCom.VB_Description = "Tells Palview to show or hide an intro comment before move 1. Usually this should be ""ON"", but some programs have a bad habit of writing intro comments that you don't want to show on your page. This could be the case with some of the software used for getting pgn from an electronic chess board."
    mvarIntroCom = vData
    Me.Changed = True
End Property
Public Property Get IntroCom() As String
    IntroCom = mvarIntroCom
End Property
Public Property Let CrossNamePattern(ByVal vData As String)
Attribute CrossNamePattern.VB_Description = "Similar to dbnamepattern, but relevant for crosstables only."
    mvarCrossNamePattern = vData
    Me.Changed = True
End Property
Public Property Get CrossNamePattern() As String
    CrossNamePattern = mvarCrossNamePattern
End Property
Public Property Let ToolTipOpening(ByVal vData As String)
Attribute ToolTipOpening.VB_Description = "Values: on, off."
    mvarToolTipOpening = vData
    Me.Changed = True
End Property
Public Property Get ToolTipOpening() As String
    ToolTipOpening = mvarToolTipOpening
End Property
Public Property Let ToolTipCross(ByVal vData As String)
Attribute ToolTipCross.VB_Description = "Values: on, off. Crosstable tooltips."
    mvarToolTipCross = vData
    Me.Changed = True
End Property
Public Property Get ToolTipCross() As String
    ToolTipCross = mvarToolTipCross
End Property
Public Property Let CrossTags(ByVal vData As String)
Attribute CrossTags.VB_Description = "Values: none, elo, title, country. Determines what additional player information should be displayed in a crosstable. The information can come either from the pgn header tags or a player db."
    mvarCrossTags = vData
    Me.Changed = True
End Property
Public Property Get CrossTags() As String
    CrossTags = mvarCrossTags
End Property
Public Property Let CrossLink(ByVal vData As String)
Attribute CrossLink.VB_Description = "Values: on, off. If ON the game results in a crosstable will link to the game's own page."
    mvarCrossLink = vData
    Me.Changed = True
End Property
Public Property Get CrossLink() As String
    CrossLink = mvarCrossLink
End Property
Public Property Let BoardValign(ByVal vData As String)
Attribute BoardValign.VB_Description = "Values: top, center. Determines vertical alignment of the board in relation to the movetext on the right."
    mvarBoardValign = vData
    Me.Changed = True
End Property
Public Property Get BoardValign() As String
    BoardValign = mvarBoardValign
End Property
Public Property Let SymTips(ByVal vData As String)
Attribute SymTips.VB_Description = "Values: on, off. If ON a tooltip explanation will show when the mouse hovers over a comment gif image (e.g. +-)."
    mvarSymTips = vData
    Me.Changed = True
End Property
Public Property Get SymTips() As String
    SymTips = mvarSymTips
End Property
Public Property Let Ns4Comp(ByVal vData As String)
Attribute Ns4Comp.VB_Description = "Values: on, off. If ""on"" the page will be compatible with NetScape 4.*. This however will prevent certain options like for instance the use of iframes. If ON a bordercolor must be defined (class Ini3)."
    mvarNs4Comp = vData
    Me.Changed = True
End Property
Public Property Get Ns4Comp() As String
    Ns4Comp = mvarNs4Comp
End Property
Public Property Let Flags(ByVal vData As String)
Attribute Flags.VB_Description = "Values: on, off. If ""on"" and GameInfoMode is 1 Palview will show a miniature flag before the player's name, provided there is a [WhiteCountry """"] or [BlackCountry """"] tag in the pgn header or player information in the ini file."
    mvarFlags = vData
    Me.Changed = True
End Property
Public Property Get Flags() As String
    Flags = mvarFlags
End Property
Public Property Let ToolTipBoard(ByVal vData As String)
Attribute ToolTipBoard.VB_Description = "Values: on, off. If ""on"" the last move will show as a tooltip when the mouse hovers over the chess board. Not supported by all browsers."
    mvarToolTipBoard = vData
    Me.Changed = True
End Property
Public Property Get ToolTipBoard() As String
    ToolTipBoard = mvarToolTipBoard
End Property
Public Property Let LineBreaks(ByVal vData As String)
Attribute LineBreaks.VB_Description = "Values: on, off. If ""on"" Palview will insert a line break before comments and variations. If ""off"" it will be Informator style."
    mvarLineBreaks = vData
    Me.Changed = True
End Property
Public Property Get LineBreaks() As String
    LineBreaks = mvarLineBreaks
End Property
Public Property Let MultiLang(ByVal vData As String)
Attribute MultiLang.VB_Description = "Values: on, off. If ""on"" the user can select his preferred language from a drop down menu. This determines the letters used for pieces - e.g. ""N"" for knight. Not active for online coverage because the refresh function would cause the browser to ""forget"" the chosen language."
    mvarMultiLang = vData
    Me.Changed = True
End Property
Public Property Get MultiLang() As String
    MultiLang = mvarMultiLang
End Property
Public Property Let MovingPcs(ByVal vData As String)
Attribute MovingPcs.VB_Description = "Values: on, off. If ""On"" the user can move the pieces freely."
    mvarMovingPcs = vData
    Me.Changed = True
End Property
Public Property Get MovingPcs() As String
    MovingPcs = mvarMovingPcs
End Property
Public Property Let TitleType(ByVal vData As String)
Attribute TitleType.VB_Description = "Determines how Palview will name the page. Values are: none, players, event, both, text. If ""text"" is used Palview will use the property ""TitleText"" (class Ini3) as page title."
    mvarTitleType = vData
    Me.Changed = True
End Property
Public Property Get TitleType() As String
    TitleType = mvarTitleType
End Property
Public Property Let JsFile(ByVal vData As String)
    mvarJsFile = vData
    Me.Changed = True
End Property
Public Property Get JsFile() As String
    JsFile = mvarJsFile
End Property
Public Property Let UseKeyStrokes(ByVal vData As String)
    mvarUseKeyStrokes = vData
    Me.Changed = True
End Property
Public Property Get UseKeyStrokes() As String
    UseKeyStrokes = mvarUseKeyStrokes
End Property
Public Property Let SymbolMethod(ByVal vData As String)
    mvarSymbolMethod = vData
    Me.Changed = True
End Property
Public Property Get SymbolMethod() As String
    SymbolMethod = mvarSymbolMethod
End Property
Public Property Let Ssi(ByVal vData As String)
    mvarSsi = vData
    Me.Changed = True
End Property
Public Property Get Ssi() As String
    Ssi = mvarSsi
End Property
Public Property Let ScriptLoc(ByVal vData As String)
    mvarScriptLoc = vData
    Me.Changed = True
End Property
Public Property Get ScriptLoc() As String
    ScriptLoc = mvarScriptLoc
End Property
Public Property Let PgnHeader(ByVal vData As String)
    mvarPgnHeader = vData
    Me.Changed = True
End Property
Public Property Get PgnHeader() As String
    PgnHeader = mvarPgnHeader
End Property
Public Property Let NamePattern(ByVal vData As String)
    mvarNamePattern = vData
    Me.Changed = True
End Property
Public Property Get NamePattern() As String
    NamePattern = mvarNamePattern
End Property
Public Property Let MoveLinks(ByVal vData As String)
    mvarMoveLinks = vData
    Me.Changed = True
End Property
Public Property Get MoveLinks() As String
    MoveLinks = mvarMoveLinks
End Property
Public Property Let HtmlType(ByVal vData As String)
Attribute HtmlType.VB_Description = "Determines the page layout and type of game display. Legal values are: normal | frames | iframe | static | database | muliframe | batch | overview | overdb | problem | magazine | maggame | index | cross | magviewer | tactics ; default: normal"
mvarHtmlType = vData
Me.Changed = True
End Property
Public Property Get HtmlType() As String
    HtmlType = mvarHtmlType
End Property
Public Property Let Figurines(ByVal vData As String)
    mvarFigurines = vData
    Me.Changed = True
End Property
Public Property Get Figurines() As String
    Figurines = mvarFigurines
End Property
Public Property Let DbTags(ByVal vData As String)
    mvarDbTags = vData
    Me.Changed = True
End Property
Public Property Get DbTags() As String
    DbTags = mvarDbTags
End Property
Public Property Let DbNamePattern(ByVal vData As String)
    mvarDbNamePattern = vData
    Me.Changed = True
End Property
Public Property Get DbNamePattern() As String
    DbNamePattern = mvarDbNamePattern
End Property
Public Property Let Changed(ByVal vData As Boolean)
    mvarChanged = vData
    If mvarChanged = True Then
        cLayouts(lAL).Changed = True
    End If
End Property
Public Property Get Changed() As Boolean
    Changed = mvarChanged
End Property
Private Sub Class_Initialize()
    #If DebugMode Then
        'get the next available class ID, and print out
        'that the class was created successfully
        mlClassDebugID = GetNextClassDebugID()
        Debug.Print "'" & TypeName(Me) & "' instance " & mlClassDebugID & " created"
    #End If
End Sub
Private Sub Class_Terminate()
    'the class is being destroyed
    #If DebugMode Then
        Debug.Print "'" & TypeName(Me) & "' instance " & CStr(mlClassDebugID) & " is terminating"
    #End If
End Sub
#If DebugMode Then
    Public Property Get ClassDebugID()
        'if we are in debug mode, surface this property that consumers can query
        ClassDebugID = mlClassDebugID
    End Property
#End If

