VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Layout"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"No"
Attribute VB_Ext_KEY = "Member0" ,"CrossStyle"
Attribute VB_Ext_KEY = "Member1" ,"Iframe"
Attribute VB_Ext_KEY = "Member2" ,"Ini1"
Attribute VB_Ext_KEY = "Member3" ,"Ini2"
Attribute VB_Ext_KEY = "Member4" ,"Ini3"
Attribute VB_Ext_KEY = "Member5" ,"StyleSheet"
Option Explicit
Option Compare Text

'set this to 0 to disable debug code in this class
#Const DebugMode = 1


#If DebugMode Then
    'local variable to hold the serialized class ID that was created in Class_Initialize
    Private mlClassDebugID As Long
#End If
Public Key As String
Private mvarIni1 As Ini1
Private mvarIni2 As Ini2
Private mvarIni3 As Ini3
Private mvarStyleSheet As StyleSheet 'local copy
Private mvarChanged As Boolean 'local copy
Private mvarCssToRead As String 'local copy
Private mvarPathWebCss As String 'local copy
Private mvarPathHtml As String 'local copy
Private mvarPathBoardImage As String 'local copy
Private mvarPathSymbols As String 'local copy
Private mvarPathFlags As String 'local copy
Private mvarPathBGImage As String 'local copy
Private mvarPathpieces As String 'local copy
Private mvarPathConpanel As String 'local copy
Private mvarCaptionName As String 'local copy
Private mvarNewIni As String 'local copy
Private mvarStyleSheetName As String 'local copy
Private mvarDescription As String 'local copy
Private mvarCrossStyle As CrossStyle
Private mvarPathWebCrossCss As String 'local copy
Private mvarCrossStylesheetName As String 'local copy
Private mvarSaved As Boolean 'local copy
Private mvarPathBGCrossImage As String 'local copy
Private mvarPathCrossSource As String 'local copy
Private mvarIframe As Iframe
Private mvarPathIframeCssSource As String 'local copy
Private mvarIframeCssName As String 'local copy
Private mvarPathBGIframeImage As String 'local copy
Private mvarPathWebIframeCss As String 'local copy
Private mvarPathRedirect As String 'local copy
Private mvarPathHelpImg As String 'local copy
Private mvarPathHelpUrl As String 'local copy
Private mvarPathIndexCss As String 'local copy
Private mvarPathMagazineCss As String 'local copy
Private mvarPathMailtoImg As String 'local copy
'local variable(s) to hold property value(s)
Private mvarPathFenImg As String 'local copy
Public Property Let PathFenImg(ByVal vData As String)
Attribute PathFenImg.VB_Description = "Local DOS path to the FEN img. This includes the filename, which must always be ""fenimg.gif""."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.PathFenImg = 5
    mvarPathFenImg = vData
    Me.Changed = True
    If Len(mvarPathFenImg) And Not (Me.Ini3 Is Nothing) Then
        Me.Ini3.FenImg = MakeUrl(Me.PathHtml, mvarPathFenImg)
    End If
End Property


Public Property Get PathFenImg() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathFenImg
    PathFenImg = mvarPathFenImg
End Property



Public Property Let PathMailtoImg(ByVal vData As String)
Attribute PathMailtoImg.VB_Description = "Local DOS path to mail-to image"
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.PathMailToImg = 5
    mvarPathMailtoImg = vData
    Me.Changed = True
    If Len(mvarPathMailtoImg) > 0 And Not (Me.Ini3 Is Nothing) Then
        Me.Ini3.MailToImg = MakeUrl(Me.PathHtml, mvarPathMailtoImg)
    End If
End Property


Public Property Get PathMailtoImg() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathMailToImg
    PathMailtoImg = mvarPathMailtoImg

End Property



Public Property Let PathMagazineCss(ByVal vData As String)
Attribute PathMagazineCss.VB_Description = "Local DOS path to magazine css file."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.PathMagazineCss = 5
    mvarPathMagazineCss = vData
    Me.Changed = True
End Property


Public Property Get PathMagazineCss() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathMagazineCss
    PathMagazineCss = mvarPathMagazineCss
End Property



Public Property Let PathIndexCss(ByVal vData As String)
Attribute PathIndexCss.VB_Description = "Local DOS path to Index css file."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.PathIndexCss = 5
    mvarPathIndexCss = vData
    Me.Changed = True
End Property


Public Property Get PathIndexCss() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathIndexCss
    PathIndexCss = mvarPathIndexCss
End Property



Public Property Let PathHelpUrl(ByVal vData As String)
Attribute PathHelpUrl.VB_Description = "Local DOS path to help HTML-file."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.PathHelpUrl = 5
    mvarPathHelpUrl = vData
    Me.Changed = True
    If Len(mvarPathHelpUrl) > 0 And Not (Me.Ini3 Is Nothing) Then
        Me.Ini3.HelpUrl = MakeUrl(Me.PathHtml, mvarPathHelpUrl)
    End If
End Property


Public Property Get PathHelpUrl() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathHelpUrl
    PathHelpUrl = mvarPathHelpUrl
End Property



Public Property Let PathHelpImg(ByVal vData As String)
Attribute PathHelpImg.VB_Description = "Local DOS path to help image."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.PathHelpImg = 5
    mvarPathHelpImg = vData
    Me.Changed = True
    If Len(mvarPathHelpImg) > 0 And Not (Me.Ini3 Is Nothing) Then
        Me.Ini3.HelpImg = MakeUrl(Me.PathHtml, mvarPathHelpImg)
    End If
    
End Property


Public Property Get PathHelpImg() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathHelpImg
    PathHelpImg = mvarPathHelpImg
End Property



Public Property Let PathRedirect(ByVal vData As String)
Attribute PathRedirect.VB_Description = "Full DOS path to thml file that the visitor will be redirected to in case he uses Netscape 4 and is trying to view a page type not supported by that browser (e.g. Iframe)."
    
    mvarPathRedirect = vData
    Me.Changed = True
End Property


Public Property Get PathRedirect() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathRedirect
    PathRedirect = mvarPathRedirect
End Property

Public Property Let PathWebIframeCss(ByVal vData As String)
Attribute PathWebIframeCss.VB_Description = "Local target directory of I-frame stylesheet. Would usually be the same as the ordinary stylesheet's, but not necessarily. An example could be: ""C:\\html\\StyleDir"" - so just directory name with no ending backslash."
'Sets the local DOS path to the I-frame stylesheet.
'If the child Ini3 exists the relative URL including
'filename is written to the property IframeCss.
'If there's an I-frame stylesheet collection we check all members
'for background images and change their URLs so they are
'correct in relation to the new location of the CrossCss file.

Dim lCount As Long

On Error GoTo ErrorHandler

mvarPathWebIframeCss = vData

Me.Changed = True

If Len(vData) = 0 Then
    Me.Ini3.IframeCss = Empty
    Exit Property
End If


If Not (Me.Ini3 Is Nothing) Then
    If Me.PathHtml <> mvarPathWebIframeCss Then
        Me.Ini3.IframeCss = MakeUrl(Me.PathHtml, mvarPathWebIframeCss) & "/" & Me.IframeCssName
    Else
        Me.Ini3.IframeCss = Me.IframeCssName
    End If
End If

If Not (Me.Iframe Is Nothing) Then
    With Me.Iframe
        For lCount = 1 To .Count
            If Len(.Item(lCount).BackgroundImage) > 0 And Len(.Item(lCount).PathBackgroundImage) > 0 Then
                .Item(lCount).BackgroundImage = MakeUrl(mvarPathWebIframeCss, .Item(lCount).PathBackgroundImage)
            End If
        Next
        .Changed = True
    End With
End If

Exit Property
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error setting the property PathWebIframeCss in class Layout."

End Property


Public Property Get PathWebIframeCss() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathWebIframeCss
    PathWebIframeCss = mvarPathWebIframeCss
End Property



Public Property Let PathBGIframeImage(ByVal vData As String)
Attribute PathBGIframeImage.VB_Description = "Local DOS path to I-frame stylesheet's background image."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.PathBGIframeImage = 5
    mvarPathBGIframeImage = vData
    Me.Changed = True
End Property


Public Property Get PathBGIframeImage() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathBGIframeImage
    PathBGIframeImage = mvarPathBGIframeImage
End Property



Public Property Let IframeCssName(ByVal vData As String)
Attribute IframeCssName.VB_Description = "File name of Iframe stylesheet."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.IframeCssName = 5
    mvarIframeCssName = vData
    Me.Changed = True
End Property


Public Property Get IframeCssName() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.IframeCssName
    IframeCssName = mvarIframeCssName
End Property



Public Property Let PathIframeCssSource(ByVal vData As String)
Attribute PathIframeCssSource.VB_Description = "Local DOS path to source Iframe stylesheet. Full path including filename."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.PathIframeCssSource = 5
    mvarPathIframeCssSource = vData
    Me.Changed = True
End Property


Public Property Get PathIframeCssSource() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathIframeCssSource
    PathIframeCssSource = mvarPathIframeCssSource
End Property

Public Property Get Iframe() As Iframe
    Set Iframe = mvarIframe
End Property


Public Property Set Iframe(vData As Iframe)
    Set mvarIframe = vData
End Property

Public Property Let PathCrossSource(ByVal vData As String)
Attribute PathCrossSource.VB_Description = "Full local path to local source crosstable stylesheet."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.PathCrossSource = 5
    mvarPathCrossSource = vData
    Me.Changed = True
End Property


Public Property Get PathCrossSource() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathCrossSource
    PathCrossSource = mvarPathCrossSource
End Property



Public Property Let PathBGCrossImage(ByVal vData As String)
Attribute PathBGCrossImage.VB_Description = "Local DOS path to background image for crosstable-page background image. It is the full path including filename."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.PathBGCrossImage = 5
    mvarPathBGCrossImage = vData
    Me.Changed = True
End Property


Public Property Get PathBGCrossImage() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathBGCrossImage
    PathBGCrossImage = mvarPathBGCrossImage
End Property



Public Property Let Saved(ByVal vData As Boolean)
Attribute Saved.VB_Description = "True if the style/layout has been saved."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.Saved = 5
    mvarSaved = vData
End Property


Public Property Get Saved() As Boolean
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Saved
    Saved = mvarSaved
End Property



Public Property Let CrossStylesheetName(ByVal vData As String)
Attribute CrossStylesheetName.VB_Description = "File name (and file name only) of stylesheet for crosstable. Where the ordinary stylesheet gets its name from the PalMate ""Style"", the crosstable stylesheets are different in the respect that they need no special ini file."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.CrossStylesheetName = 5
    mvarCrossStylesheetName = vData
    Me.Changed = True
End Property


Public Property Get CrossStylesheetName() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.CrossStylesheetName
    CrossStylesheetName = mvarCrossStylesheetName
End Property



Public Property Let PathWebCrossCss(ByVal vData As String)
Attribute PathWebCrossCss.VB_Description = "Local target directory of crosstable stylesheet. Would usually be the same as the ordinary stylesheet's, but not necessarily. An example could be: ""C:\\html\\CrossDir"" - so just directory name with no ending backslash."
'Sets the local DOS path to the CrossCss stylesheet.
'If the child Ini3 exists the relative URL including
'filename is written to the property CrossTableCss.
'If there's a stylesheet collection we check all members
'for background images and change their URLs so they are
'correct in relation to the new location of the CrossCss file.

Dim lCount As Long

On Error GoTo ErrorHandler

mvarPathWebCrossCss = vData
Me.Changed = True

If Not (Me.Ini3 Is Nothing) Then
    If Me.PathHtml <> mvarPathWebCrossCss Then
        Me.Ini3.CrossTableCss = MakeUrl(Me.PathHtml, mvarPathWebCrossCss) & "/" & Me.CrossStylesheetName
    Else
        Me.Ini3.CrossTableCss = Me.CrossStylesheetName
    End If
End If

If Not (Me.CrossStyle Is Nothing) Then
    With Me.CrossStyle
        For lCount = 1 To .Count
            If Len(.Item(lCount).BackgroundImage) > 0 And Len(.Item(lCount).PathBackgroundImage) > 0 Then
                .Item(lCount).BackgroundImage = MakeUrl(Me.PathWebCrossCss, .Item(lCount).PathBackgroundImage)
            End If
        Next

        .Changed = True
    End With
End If

Exit Property
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error setting the property PathWebCrossCss in class Layout."
End Property


Public Property Get PathWebCrossCss() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathWebCrossCss
    PathWebCrossCss = mvarPathWebCrossCss
End Property

Public Property Get CrossStyle() As CrossStyle
    Set CrossStyle = mvarCrossStyle
End Property


Public Property Set CrossStyle(ByVal vData As Object)
    Set mvarCrossStyle = vData
End Property

Public Sub SaveLayout()
'This procedure saves a layout. That means writing
'new ini and css files plus updated information to
'the layouts.lst file.

Dim lCount As Long
Dim sFile As String
Dim cStyle As CssBlock

On Error GoTo ErrorHandler

If Me.Changed = False Then Exit Sub

With Me
'   The page stylesheet
    If .StyleSheet.Changed Then
        .StyleSheet.WriteNewCss
        sFile = App.path & "\Resource\" & .Key & ".css"
'       The original is replaced by the current
        Call Savefile(sFile, .StyleSheet.NewCss, True, True)
        .StyleSheet.NewCss = Empty
    End If

    .WriteNewIni
    sFile = App.path & "\Resource\" & .Key & ".ini"
    Call Savefile(sFile, .NewIni, True, True)

    .WriteNewLst (Me.Key)
    
    .Changed = False
    .Ini1.Changed = False
    .Ini2.Changed = False
    .Ini3.Changed = False
    .StyleSheet.Changed = False
    For Each cStyle In .StyleSheet
        cStyle.Changed = False
    Next

    .Saved = True
End With



Set cStyle = Nothing
Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "An error occured when saving " & _
"the layout. Procedure SaveLayout in class Layout.", vbCritical, "Error"
End Sub

Public Sub RestoreLayout()
'This procedure restores the original ini and css files
'in case the user doesn't want to save changes to the style.
Dim sTarget As String
Dim sBackup As String

On Error GoTo ErrorHandler

sTarget = App.path & "\resource\" & Me.Key & ".ini"
sBackup = App.path & "\resource\" & Me.Key & ".bni"

'If backup exists restore original ini file
If FileCheck(sBackup) Then
    SetAttr sTarget, vbNormal
    SetAttr sBackup, vbNormal
    Kill sTarget
    Name sBackup As sTarget
    SetAttr sTarget, vbReadOnly
Else
    MsgBox "Ini file backup could not be found. Unable to restore ini file.", vbCritical, "Unable To Restore Ini File"
End If

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error restoring the original style ini file. Procedure RestoreLayout, class Layoyt", vbCritical, "Error"
End Sub


Public Property Let Description(ByVal vData As String)
Attribute Description.VB_Description = "Layout description (text)."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.Description = 5
    mvarDescription = vData
    Me.Changed = True
End Property


Public Property Get Description() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Description
    Description = mvarDescription
End Property
Public Sub WriteNewLst(ByVal sStyleName As String)
Attribute WriteNewLst.VB_Description = "Writes a new *.lst file with desctiptions of the various styles,"
'Updates the file "layouts.lst" which contains
'information about the different styles available.

Dim bNewStyle As Boolean
Dim lPos1 As Long
Dim lPos2 As Long
Dim sText As String
Dim sPart1 As String
Dim sPart2 As String
Dim sChar As String
Dim sStyleDescription As String

On Error GoTo ErrorHandler

bNewStyle = False

'The following block of text is the description of the active style.
sStyleDescription = "LayoutName=" & sStyleName & vbNewLine & _
"Description=" & Me.Description & vbNewLine & _
"sHtmlType=" & Me.Ini2.HtmlType & vbNewLine & _
"sPathPieces=" & Me.Pathpieces & vbNewLine & _
"sPathBoard=" & Me.PathBoardImage & vbNewLine & _
"sPathConpanel=" & Me.PathConpanel & vbNewLine & _
"sPathSymbols=" & Me.PathSymbols & vbNewLine & _
"sPathBGImage=" & Me.PathBGImage & vbNewLine & _
"sPathHtml=" & Me.PathHtml & vbNewLine & _
"sPathRedirect=" & Me.PathRedirect & vbNewLine & _
"sPathCss=" & Me.PathWebCss & vbNewLine & _
"sPathFenImg=" & Me.PathFenImg & vbNewLine & _
"sPathMailtoImg=" & Me.PathMailtoImg & vbNewLine & _
"sPathFlags=" & Me.PathFlags & vbNewLine & _
"sPathBGCrossImage=" & Me.PathBGCrossImage & vbNewLine & _
"sPathBGIframeImage=" & Me.PathBGIframeImage & vbNewLine & _
"sPathCrossSource=" & Me.PathCrossSource & vbNewLine & _
"sPathIframeCssSource=" & Me.PathIframeCssSource & vbNewLine & _
"sPathHelpImg=" & Me.PathHelpImg & vbNewLine & _
"sPathHelpUrl=" & Me.PathHelpUrl & vbNewLine & _
"sPathIndexCss=" & Me.PathIndexCss & vbNewLine & _
"sPathMagazineCss=" & Me.PathMagazineCss & vbNewLine & _
"%"


If FileCheck(App.path & "\Resource\layouts.lst") Then
'   Open the layouts list file
    Call LoadTextFile(App.path & "\Resource\layouts.lst", sText)
    lPos1 = 1

    Do
'       Find the startposition of the active style's description.
        lPos1 = InStr(lPos1, sText, "LayoutName=" & sStyleName)
'       If not found it is a new style.
        If lPos1 = 0 Then
            bNewStyle = True
            Exit Do
        End If
'       We found the string (stylename) and now check if it
'       is a substring. This is the case if the ascii value
'       of the next char is >= 33.
        sChar = Mid$(sText, lPos1 + 11 + Len(sStyleName), 1)
        If Asc(sChar) < 33 Then
            Exit Do
        Else
            lPos1 = lPos1 + 11 + Len(sStyleName)
            If lPos1 >= Len(sText) Then
            bNewStyle = True
            Exit Do
            End If
        End If
    Loop

    If bNewStyle = False Then   'If it is an old/existing style
        Do
'           Find the closing "%" after the old style description.
            lPos2 = InStr(lPos1, sText, "%")
            If lPos2 = 0 Then
                lPos2 = Len(sText)
                Exit Do
            End If
            If Asc(Mid$(sText, lPos2 - 1, 1)) < 32 Then
                Exit Do
            End If
            lPos1 = lPos2 + 1
            If lPos1 >= Len(sText) Then Exit Do
        Loop
                    
        sPart1 = Left$(sText, lPos1 - 1)
        sPart2 = Right$(sText, Len(sText) - lPos2 - 1)
        sText = sPart1 & sStyleDescription
        If Asc(Right$(sText, 1)) > 32 And Asc(Left$(sPart2, 1)) > 32 Then
            sText = sText & vbNewLine
        End If
        sText = sText & sPart2
    Else    'If it is a new style
        sText = sText & sStyleDescription '& vbNewLine & sStyleDescription
        sChar = Mid$(sText, 1, 1)
'       If the user has deleted all old styles we insert
'       a "%" as the first char in the file.
        If sChar <> "%" Then
            sText = "%" & vbNewLine & sText
        End If
    End If
    
Else
    sText = "%" & vbNewLine & sStyleDescription
End If

'Trim any trailing linebreaks or spaces
Do
    sChar = Right$(sText, 1)
    If Asc(sChar) < 33 Then
        sText = Left$(sText, Len(sText) - 1)
    Else
        Exit Do
    End If
Loop

Call Savefile(App.path & "\Resource\layouts.lst", sText, True, True)

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error writing layouts.lst, the file containing information about the various layouts.", vbCritical, "Error"
End Sub

Public Property Let StyleSheetName(ByVal vData As String)
Attribute StyleSheetName.VB_Description = "Stylesheet's filename (filename only)."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.StyleSheetName = 5
    mvarStyleSheetName = vData
End Property


Public Property Get StyleSheetName() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.StyleSheetName
    StyleSheetName = mvarStyleSheetName
End Property



Public Property Let NewIni(ByVal vData As String)
Attribute NewIni.VB_Description = "Property for storing a new ini file text."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.NewIni = 5
    mvarNewIni = vData
End Property


Public Property Get NewIni() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.NewIni
    NewIni = mvarNewIni
End Property



Public Sub WriteNewIni()
Attribute WriteNewIni.VB_Description = "Writes a new ini file"

'Creates a string with the new ini file.
'If any ini file commands are added or removed,
'this procedure must be changed to mirror the changes.

Dim lIndex As Long          'Counter
Dim lCount As Long          'Counter
Dim sText As String         'The new ini text
Dim vPlayer As Player

On Error GoTo ErrorHandler

sText = Empty

sText = "% " & Me.Key & ".ini" & vbNewLine & "[palview]" & vbNewLine & vbNewLine

'Now we add commands from class Ini1

With Me.Ini1
    sText = sText & "autotime = " & .AutoTime & vbNewLine
    sText = sText & "displaymode = " & .DisplayMode & vbNewLine
    sText = sText & "gameinfomode = " & .GameInfoMode & vbNewLine
    sText = sText & "padding = " & .Padding & vbNewLine
    sText = sText & "pcsize = " & .PcSize & vbNewLine
    sText = sText & "tablewidth = " & .TableWidth & vbNewLine
    If .IframeWidth > 0 Then
        sText = sText & "iframewidth = " & .IframeWidth & vbNewLine
    End If
    sText = sText & "maxswissplayers = " & .MaxSwissPlayers & vbNewLine
    sText = sText & "overviewcols = " & .OverViewCols & vbNewLine
    sText = sText & "pgnlink = " & .PgnLink & vbNewLine
    sText = sText & "refreshtime = " & .RefreshTime & vbNewLine
'P4 additions
    sText = sText & "diagramno = " & .DiagramNo & vbNewLine
    sText = sText & "magdiagramsize = " & .MagDiagramSize & vbNewLine
    sText = sText & "viewerheight = " & .ViewerHeight & vbNewLine
    sText = sText & "viewerwidth = " & .ViewerWidth & vbNewLine
End With

With Me.Ini2
    sText = sText & vbNewLine
    sText = sText & "ns4comp = " & .Ns4Comp & vbNewLine
    sText = sText & "htmltype = " & .HtmlType & vbNewLine
    sText = sText & "introcom = " & .IntroCom & vbNewLine
    sText = sText & "titletype = " & .TitleType & vbNewLine
    sText = sText & "jsfile = " & .JsFile & vbNewLine
    sText = sText & "dbnamepattern = " & .DbNamePattern & vbNewLine
    sText = sText & "namepattern = " & .NamePattern & vbNewLine
    sText = sText & "crossnamepattern = " & .CrossNamePattern & vbNewLine
    sText = sText & "dbtags = " & .DbTags & vbNewLine
    sText = sText & "figurines = " & .Figurines & vbNewLine
    sText = sText & "movelinks = " & .MoveLinks & vbNewLine
    sText = sText & "pgnheader = " & .PgnHeader & vbNewLine
    sText = sText & "symbolmethod = " & .SymbolMethod & vbNewLine
    sText = sText & "usekeystrokes = " & .UseKeyStrokes & vbNewLine
    sText = sText & "movingpcs = " & .MovingPcs & vbNewLine
    sText = sText & "multilang = " & .MultiLang & vbNewLine
    sText = sText & "linebreaks = " & .LineBreaks & vbNewLine
    sText = sText & "flags = " & .Flags & vbNewLine
    sText = sText & "symtips = " & .SymTips & vbNewLine
    sText = sText & "boardvalign = " & .BoardValign & vbNewLine
    sText = sText & "crosslink = " & .CrossLink & vbNewLine
    sText = sText & "crosstags = " & .CrossTags & vbNewLine
    sText = sText & "tooltipboard = " & .ToolTipBoard & vbNewLine
    sText = sText & "tooltipcross = " & .ToolTipCross & vbNewLine
    sText = sText & "tooltipopening = " & .ToolTipOpening & vbNewLine
    sText = sText & "scriptloc = " & .ScriptLoc & vbNewLine
    sText = sText & "ssi = " & .Ssi & vbNewLine
'P4 additions
    sText = sText & "activemag = " & .ActiveMag & vbNewLine
    sText = sText & "gamelinkinfo = " & .GameLinkInfo & vbNewLine
    sText = sText & "indexnamepattern = " & .IndexNamePattern & vbNewLine
    sText = sText & "scrollintoview = " & .ScrollIntoView & vbNewLine
    sText = sText & "tooltipindex = " & .TooltipIndex & vbNewLine
    sText = sText & "writemaggames = " & .WriteMagGames & vbNewLine
    sText = sText & "writemaglinks = " & .WriteMagLinks & vbNewLine
End With

With Me.Ini3
    sText = sText & vbNewLine
    sText = sText & "titletext = " & """" & .TitleText & """" & vbNewLine
    sText = sText & "boardimage = " & """" & .BoardImage & """" & vbNewLine
    sText = sText & "imgurl = " & """" & .ImgUrl & """" & vbNewLine
    sText = sText & "conpanurl = " & """" & .ConpanUrl & """" & vbNewLine
    sText = sText & "controlpanelname = " & """" & .ControlPanelName & """" & vbNewLine
    sText = sText & "stylesheet = " & """" & .sStyleSheet & """" & vbNewLine
    sText = sText & "iframecss = " & """" & .IframeCss & """" & vbNewLine
    sText = sText & "symurl = " & """" & .SymUrl & """" & vbNewLine
    sText = sText & "flagurl = " & """" & .FlagUrl & """" & vbNewLine
    sText = sText & "crosstablecss = " & """" & .CrossTableCss & """" & vbNewLine
    sText = sText & "pgnurl = " & """" & .PgnUrl & """" & vbNewLine
    sText = sText & "ns4redirect = " & """" & .ns4redirect & """" & vbNewLine
    sText = sText & "ecofilename = " & """" & .EcoFileName & """" & vbNewLine
    sText = sText & "headerfile = " & """" & .HeaderFile & """" & vbNewLine
    sText = sText & "footerfile = " & """" & .FooterFile & """" & vbNewLine
    sText = sText & "constarttip = " & """" & .ConStartTip & """" & vbNewLine
    sText = sText & "con5backtip = " & """" & .Con5BackTip & """" & vbNewLine
    sText = sText & "con5forwardtip = " & """" & .Con5ForwardTip & """" & vbNewLine
    sText = sText & "conautotip = " & """" & .ConAutoTip & """" & vbNewLine
    sText = sText & "conbacktip = " & """" & .ConBackTip & """" & vbNewLine
    sText = sText & "conendtip = " & """" & .ConEndTip & """" & vbNewLine
    sText = sText & "confliptip = " & """" & .ConFlipTip & """" & vbNewLine
    sText = sText & "conforwardtip = " & """" & .ConForwardTip & """" & vbNewLine
    sText = sText & "consteptip = " & """" & .ConStepTip & """" & vbNewLine
    sText = sText & "pcletters = " & """" & .PcLetters & """" & vbNewLine
    sText = sText & "crosscharacters = " & """" & .CrossCharacters & """" & vbNewLine
    sText = sText & "hilightcolor = " & """" & .HilightColor & """" & vbNewLine
    sText = sText & "variationcolor = " & """" & .VariationColor & """" & vbNewLine
    sText = sText & "bordercolor = " & """" & .BorderColor & """" & vbNewLine

    If .Player.Count > 0 Then
        For lCount = 1 To .Player.Count
            sText = sText & "player = " & """" & .Player(lCount) & """" & vbNewLine
        Next
    End If
'P4 additions
    sText = sText & "crossevent = " & """" & .CrossEvent & """" & vbNewLine
    sText = sText & "diagnotext = " & """" & .Diagnotext & """" & vbNewLine
    sText = sText & "fenimg = " & """" & .FenImg & """" & vbNewLine
    sText = sText & "helpimg = " & """" & .HelpImg & """" & vbNewLine
    sText = sText & "helptooltip = " & """" & .HelpToolTip & """" & vbNewLine
    sText = sText & "helpurl = " & """" & .HelpUrl & """" & vbNewLine
    sText = sText & "indexcss = " & """" & .IndexCss & """" & vbNewLine
    sText = sText & "magazinecss = " & """" & .MagazineCss & """" & vbNewLine
    sText = sText & "mailtoaddress = " & """" & .MailToAddress & """" & vbNewLine
    sText = sText & "mailtoimg = " & """" & .MailToImg & """" & vbNewLine
    sText = sText & "mailtotext = " & """" & .MailToText & """" & vbNewLine
    sText = sText & "moverecordercolor = " & """" & .MoveRecorderColor & """" & vbNewLine
    sText = sText & "viewername = " & """" & .ViewerName & """" & vbNewLine
End With

Me.NewIni = sText
sText = Empty

Set vPlayer = Nothing

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure WriteNewIni, class Layout.", vbCritical, "Error"
Set vPlayer = Nothing
End Sub


Public Property Let CaptionName(ByVal vData As String)
Attribute CaptionName.VB_Description = "This property is displayed in the caption of the form used for layout editing. If only one layout is open it will be identical to the key, but if the same layout is used in more than one webpage project we need to be able to distinguish between the forms that would otherwise have the same caption."
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.CaptionName = 5
    mvarCaptionName = vData
End Property


Public Property Get CaptionName() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.CaptionName
    CaptionName = mvarCaptionName
End Property

Public Sub SetDefaultValues()
'Checks the ini command settings of the ini file just read.
'If some vital command settings are missing, default values
'are used.

With Me.Ini1
    If IsEmpty(.Padding) Then .Padding = 20
    If IsEmpty(.PcSize) Then
        .PcSize = 29
        .BoardSize = .PcSize       'Sets board size
    End If
    If IsEmpty(.AutoTime) Then .AutoTime = 1400
    If IsEmpty(.GameInfoMode) Then .GameInfoMode = 0
    If IsEmpty(.DisplayMode) Then .DisplayMode = 1
    If IsEmpty(.TableWidth) Then .TableWidth = 100
    If Val(.MagDiagramSize) < 19 Or Val(.MagDiagramSize) > 35 Then .MagDiagramSize = .BoardSize 'P4 addition
End With

With Me.Ini2
    If Len(.UseKeyStrokes) = 0 Then .UseKeyStrokes = "off"
    If Len(.HtmlType) = 0 Then .HtmlType = "normal"
    If Len(.MoveLinks) = 0 Then .MoveLinks = "on"
    If Len(.SymbolMethod) = 0 Then .SymbolMethod = "text"
    If Len(.Figurines) = 0 Then .Figurines = "off"
    If Len(.PgnHeader) = 0 Then .PgnHeader = "on"
    If Len(.DbNamePattern) = 0 Then .DbNamePattern = "full"
    If Len(.NamePattern) = 0 Then .NamePattern = "full"
    If Len(.ScriptLoc) = 0 Then .ScriptLoc = "head"
    If Len(.Ssi) = 0 Then .Ssi = "off"
    If Len(.JsFile) = 0 Then .JsFile = "off"
    If Len(.TitleType) = 0 Then .TitleType = "none"
    If Len(.LineBreaks) = 0 Then .LineBreaks = "on"
    If Len(.BoardValign) = 0 Then .BoardValign = "top"
    If Len(.ActiveMag) = 0 Then .ActiveMag = "off"          'P4 addition
    If Len(.GameLinkInfo) = 0 Then .GameLinkInfo = "none"   'P4 addition
End With

With Me.Ini3
    If Len(.ControlPanelName) = 0 Then .ControlPanelName = "p3con0.gif"
    If Len(.PcLetters) = 0 Then .PcLetters = "PNBRQK"
    'If Len(Me.Ini3.VariationColor) = 0 Then Me.Ini3.VariationColor = "green"
End With
    
End Sub

Public Sub SetIniProperties(sCommand As String, sValue As String)
'Assigns values from the inifile to the corresponding
'properties in the classes Ini1, Ini2 and Ini3.

Dim vAnswer

On Error Resume Next

Select Case sCommand
    Case "padding"
        Me.Ini1.Padding = Val(sValue)
    Case "pcsize"
        Me.Ini1.PcSize = Val(sValue)
        Me.Ini1.BoardSize = Me.Ini1.PcSize       'Sets board size
    Case "imgurl"
        Me.Ini3.ImgUrl = sValue
    Case "boardimage"
        Me.Ini3.BoardImage = sValue 'Relative URL to board
    Case "conpanurl"
        Me.Ini3.ConpanUrl = sValue
    Case "controlpanelname"
        Me.Ini3.ControlPanelName = sValue
    Case "autotime"
        Me.Ini1.AutoTime = Val(sValue)
    Case "usekeystrokes"
        Me.Ini2.UseKeyStrokes = sValue
    Case "constarttip"
        Me.Ini3.ConStartTip = sValue
    Case "con5backtip"
        Me.Ini3.Con5BackTip = sValue
    Case "conbacktip"
        Me.Ini3.ConBackTip = sValue
    Case "conforwardtip"
        Me.Ini3.ConForwardTip = sValue
    Case "con5forwardtip"
        Me.Ini3.Con5ForwardTip = sValue
    Case "conendtip"
        Me.Ini3.ConEndTip = sValue
    Case "confliptip"
        Me.Ini3.ConFlipTip = sValue
    Case "conautotip"
        Me.Ini3.ConAutoTip = sValue
    Case "consteptip"
        Me.Ini3.ConStepTip = sValue
    Case "crosslink"
        Me.Ini2.CrossLink = sValue
    Case "iframecss"
        Me.Ini3.IframeCss = sValue
    Case "dbtags"
        Me.Ini2.DbTags = sValue
    Case "displaymode"
        Me.Ini1.DisplayMode = Val(sValue)
    Case "stylesheet"
        Me.Ini3.sStyleSheet = MakeUrl(Me.PathHtml, Me.PathWebCss & "\" & Me.StyleSheetName)  'Name and relative URL to stylesheet
        Me.Ini3.StyleSheetPermanent = Me.PathWebCss & "\" & Me.StyleSheetName 'Backup
    Case "movelinks"
        Me.Ini2.MoveLinks = sValue
    Case "pcletters"
        Me.Ini3.PcLetters = sValue
    Case "symbolmethod"
        Me.Ini2.SymbolMethod = sValue
    Case "symurl"
        Me.Ini3.SymUrl = sValue
    Case "figurines"
        Me.Ini2.Figurines = sValue
    Case "pgnheader"
        Me.Ini2.PgnHeader = sValue
    Case "gameinfomode"
        Me.Ini1.GameInfoMode = Val(sValue)
    Case "dbnamepattern"
        Me.Ini2.DbNamePattern = sValue
    Case "namepattern"
        Me.Ini2.NamePattern = sValue
    Case "scriptloc"
        Me.Ini2.ScriptLoc = sValue
    Case "ssi"
        Me.Ini2.Ssi = sValue
    Case "tablewidth"
        Me.Ini1.TableWidth = Val(sValue)
    Case "titletype"
        Me.Ini2.TitleType = sValue
    Case "iframewidth"
'       The iframewidth has a range from 200-1000
        If Len(sValue) = 0 Then
            sValue = "300"  'Default
        End If
        If Val(sValue) < 200 Then
            sValue = "200"
        End If
        If Val(sValue) > 1000 Then
            sValue = "1000"
        End If
        Me.Ini1.IframeWidth = Val(sValue)
    Case "hilightcolor"
        Me.Ini3.HilightColor = sValue
    Case "variationcolor"
        Me.Ini3.VariationColor = sValue
    Case "flagurl"
        Me.Ini3.FlagUrl = sValue
    Case "movingpcs"
        If Len(sValue) = 0 Then
            sValue = "on"
        End If
        Me.Ini2.MovingPcs = sValue
    Case "multilang"
        Me.Ini2.MultiLang = sValue
    Case "linebreaks"
        Me.Ini2.LineBreaks = sValue
    Case "jsfile"
        Me.Ini2.JsFile = sValue
    Case "tooltipboard"
        Me.Ini2.ToolTipBoard = sValue
    Case "flags"
        Me.Ini2.Flags = sValue
    Case "ns4comp"
        If Me.Ini2.HtmlType = "magazine" Or Me.Ini2.HtmlType = "magviewer" Then sValue = "off"
        Me.Ini2.Ns4Comp = sValue
    Case "bordercolor"
        Me.Ini3.BorderColor = sValue
    Case "headerfile"
        Me.Ini3.HeaderFile = sValue
    Case "footerfile"
        Me.Ini3.FooterFile = sValue
    Case "symtips"
        Me.Ini2.SymTips = sValue
    Case "boardvalign"
        Me.Ini2.BoardValign = sValue
    Case "introcom"
        Me.Ini2.IntroCom = sValue
    Case "crosstablecss"
        Me.Ini3.CrossTableCss = sValue
    Case "crosscharacters"
        If sValue = Empty Then
            sValue = "10x"
        End If
        Me.Ini3.CrossCharacters = sValue
    Case "maxswissplayers"
        Me.Ini1.MaxSwissPlayers = Val(sValue)
    Case "player"
        If Me.Ini3.Player Is Nothing Then
            Set Me.Ini3.Player = New Collection
        End If
        Me.Ini3.Player.Add sValue
    Case "crosstags"
        Me.Ini2.CrossTags = sValue
    Case "tooltipcross"
        Me.Ini2.ToolTipCross = sValue
    Case "overviewcols"
        If Val(sValue) > 8 Then sValue = "8"
        If Val(sValue) = 0 Then sValue = "3"
        Me.Ini1.OverViewCols = Val(sValue)
    Case "pgnurl"
        Me.Ini3.PgnUrl = sValue
    Case "pgnlink"
        Me.Ini1.PgnLink = Val(sValue)
    Case "tooltipopening"
        Me.Ini2.ToolTipOpening = sValue
    Case "crossnamepattern"
        Me.Ini2.CrossNamePattern = sValue
    Case "refreshtime"
        Me.Ini1.RefreshTime = Val(sValue)
        If Val(sValue) > 0 And Me.Ini2.JsFile = "on" Then
            vAnswer = MsgBox("PalMate is reading the ini file. The page has a refreshtime, " & _
            "which suggests a page for live coverage. At the same time the command JSFile = on " & _
            "wants the JavaScript written as a separate file. Click YES if you want PalMate " & _
            "to set the refreshtime to zero and allow a separate script-file. If you click " & _
            "NO the javascript will be written into the html file.", vbYesNo, "Set refreshtime to zero?")
            If vAnswer = vbYes Then
                Me.Ini1.RefreshTime = 0
            Else
                Me.Ini2.JsFile = "off"
            End If
        End If
    Case "ecofilename"
        Me.Ini3.EcoFileName = sValue
    Case "htmltype"
        Me.Ini2.HtmlType = sValue
'P4 additions
    Case "activemag"
        Me.Ini2.ActiveMag = sValue
    Case "crossevent"
        Me.Ini3.CrossEvent = sValue
    Case "diagnotext"
        Me.Ini3.Diagnotext = sValue
    Case "diagramno"
        If Val(sValue) > 10000 Then
            Me.Ini1.DiagramNo = 10000       '10000 is the highest number allowed
        Else
            Me.Ini1.DiagramNo = Val(sValue) 'Default is zero
        End If
    Case "fenimg"
        Me.Ini3.FenImg = sValue
    Case "gamelinkinfo"
        Me.Ini2.GameLinkInfo = sValue
    Case "helpimg"
        Me.Ini3.HelpImg = sValue
    Case "helptooltip"
        Me.Ini3.HelpToolTip = sValue
    Case "helpurl"
        Me.Ini3.HelpUrl = sValue
    Case "indexcss"
        Me.Ini3.IndexCss = sValue
    Case "indexnamepattern"
        Me.Ini2.IndexNamePattern = sValue
    Case "magazinecss"
        Me.Ini3.MagazineCss = sValue
    Case "magdiagramsize"
        Me.Ini1.MagDiagramSize = Val(sValue)
    Case "mailtoaddress"
        Me.Ini3.MailToAddress = sValue
    Case "mailtoimg"
        Me.Ini3.MailToImg = sValue
    Case "mailtotext"
        If Len(sValue) > 0 Then
            If InStr(sValue, ">") > 0 Then
                sValue = "<" & sValue & ">"
            End If
        End If
        Me.Ini3.MailToText = sValue
    Case "moverecordercolor"
        Me.Ini3.MoveRecorderColor = sValue
    Case "scrollintoview"
        Me.Ini2.ScrollIntoView = sValue
    Case "tooltipindex"
        Me.Ini2.TooltipIndex = sValue
    Case "viewerheight"
        Me.Ini1.ViewerHeight = Val(sValue)
    Case "viewerwidth"
        Me.Ini1.ViewerWidth = Val(sValue)
    Case "writemaggames"
        Me.Ini2.WriteMagGames = sValue
    Case "writemaglinks"
        If Len(sValue) = 0 Then sValue = "on"
        Me.Ini2.WriteMagLinks = sValue
End Select

End Sub

Public Sub ReadIniValues(sText As String)

'This procedure reads the settings in the ini file
'and assigns the values to the different variables.
'There are different possible approaches to this.
'One could search for a certain command, see if it
'is in fact a command (no space or something else as first
'line character) and then read it.
'However - at this stage - I have chosen to read line by line.
'1. If a line is a commandline read the command type
'2. Compare it to commands in a select-case list
'3. If it is in the list read the command value
'4. Assign the value to the equivalent public variable

Dim lPos As Long        'Pointer
Dim lPos2 As Long       'Pointer
Dim lPos3 As Long       'Pointer
Dim sCommand As String  'Palview command
Dim sComvalue As String 'Command value

Dim i As Integer

On Error GoTo ErrorHandle

lPos = 1
lPos2 = 1

Set Me.Ini3.Player = New Collection

Do
'   Find position of next command line
    Do
'       At the end of the loop lPos was given the value of lPos2. lPos2
'       is the position of the next linebreak after lPos1. If the first
'       char here is alphanumeric we have got a commandline, and we exit
'       this nested loop. If we didn't we'd skip every second commandline,
'       if they come right after eachother.
        If dhIsCharAlphanumeric(Mid$(sText, lPos + 1, 1)) Then Exit Do
'       If the char wasn't alphanumeric we find the next linebreak.
'       lPos is set = postion of next chr(10)
        lPos = NextLine(sText, lPos + 1)
'       If no more new lines then exit Sub
        If lPos = 0 Then Exit Sub
'       If the next char after lPos is alphanumeric we have got
'       ourselves a command line.
        If dhIsCharAlphanumeric(Mid$(sText, lPos + 1, 1)) Then Exit Do
    Loop
'   Find position of next new line
    lPos2 = NextLine(sText, lPos + 1)
    If lPos2 = 0 Then                   'If no new line is found
        If Len(sText) > lPos Then 'If lPos isn't the end of file
            lPos2 = Len(sText)    'lPos2 is set = position of file's last char
        Else
            Exit Sub                    'Else exit sub
        End If
    End If
'   Find position of next "="
    lPos3 = InStr(lPos, sText, "=")
'   If there is a "=" between the two line breaks we have a command
    If lPos3 > 0 And lPos3 < lPos2 Then
'   Extract the command name with the function ExtractSubstring
    sCommand = ExtractCommand(lPos + 1, lPos3, sText)
'   Extract the command value
    sComvalue = ExtractComVal(lPos3 + 1, lPos2 - 1, sText)
'   Assign value from ini file to corresponding variable
    Call SetIniProperties(sCommand, sComvalue)
End If
lPos = lPos2    'Continue from lPos2
Loop

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Unexpected error in Procedure ReadIniValues", , "Error"
End Sub


Public Sub BuildLayout()
'Set properties for the different classes belonging
'to the layout.

Dim sPath As String
Dim sText As String

'First we treat the ini file
sPath = App.path & "\Resource\" & Me.Key & ".ini"
If FileCheck(sPath) Then
'   Opens the ini file and loads the content into sText.
    Call LoadTextFile(sPath, sText)
'   The ini file content, sText, is passed to the parser.
    Call ReadIniValues(sText)

    'P4 addition. If it is a magviewer, some ini values
    'are syncronized with the magazine's
    If Me.Ini2.HtmlType = "magviewer" Then
        Syncronize
    End If
    
'   If some property default values weren't
'   defined in the ini file.
    SetDefaultValues
End If

Me.Ini1.Changed = False
Me.Ini2.Changed = False
Me.Ini3.Changed = False

Call Me.StyleSheet.HandleCss(Me.CssToRead)
End Sub
Private Sub Syncronize()
'P4 addition.
'When making a magazine and magviewer some of the gameviewer's
'(apparent) properties are set by the magazine. This is stuff
'like the game infobox, flags etc. To make ir easier for the
'user these properties (game information, text and symbols) are
'changed in both ini files when changed from the menu.
'To make them appear the same no matter whether the magazine or
'the viewer is active, when youopen the menu item, they are syncronized
'now when the magviewer is initialised.

Dim sVar As String
Dim lVar As Long

On Error GoTo ErrorHandle

With cLayouts(lAL - 1).Ini1
    Me.Ini1.GameInfoMode = .GameInfoMode
    lVar = Me.Ini1.Padding
    If lVar = Empty Then
        Me.Ini1.Padding = .Padding
    Else
        .Padding = lVar
    End If
End With

With cLayouts(lAL - 1).Ini2
    Me.Ini2.Figurines = .Figurines
    Me.Ini2.Flags = .Flags
    Me.Ini2.GameLinkInfo = .GameLinkInfo
    Me.Ini2.IntroCom = .IntroCom
    Me.Ini2.LineBreaks = .LineBreaks
    Me.Ini2.MoveLinks = .MoveLinks
    Me.Ini2.MovingPcs = .MovingPcs
    Me.Ini2.NamePattern = .NamePattern
    Me.Ini2.PgnHeader = .PgnHeader
    sVar = Me.Ini2.ScrollIntoView
    If sVar <> .ScrollIntoView Then
        If Len(sVar) > 0 Then
            .ScrollIntoView = sVar
        ElseIf Len(.ScrollIntoView) > 0 Then
            Me.Ini2.ScrollIntoView = .ScrollIntoView
        End If
    End If
    Me.Ini2.SymbolMethod = .SymbolMethod
    Me.Ini2.SymTips = .SymTips
    Me.Ini2.ToolTipBoard = .ToolTipBoard
    Me.Ini2.ToolTipOpening = .ToolTipOpening
    Me.Ini2.UseKeyStrokes = .UseKeyStrokes
End With

With cLayouts(lAL - 1).Ini3
    If Len(.EcoFileName) > 0 Then
        Me.Ini3.EcoFileName = .EcoFileName
    Else
        .EcoFileName = Me.Ini3.EcoFileName
    End If
    Me.Ini3.FlagPath = .FlagPath
    Me.Ini3.PcLetters = .PcLetters
    Me.Ini3.SymUrl = .SymUrl
    Me.Ini3.VariationColor = .VariationColor
    sVar = Me.Ini3.HilightColor
    If Len(sVar) > 0 Then
        .HilightColor = sVar
    Else
        Me.Ini3.HilightColor = .HilightColor
    End If
    sVar = Me.Ini3.IframeCss
    If Len(sVar) > 0 Then
        .IframeCss = sVar
    Else
        Me.Ini3.IframeCss = .IframeCss
    End If
End With

With cLayouts(lAL - 1)
    Me.PathFlags = .PathFlags       'Automatically sets the flagurl
    Me.PathSymbols = .PathSymbols
End With

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure Syncronize, class Layout." & vbNewLine & _
"An error occurred when some magviewer ini file values were syncronized with the magazine's.", vbCritical, "Error"
End Sub
Public Property Let PathConpanel(ByVal vData As String)
Attribute PathConpanel.VB_Description = "Local DOS-path to controlpanel."
'Sets the local DOS path to the control panel.

    mvarPathConpanel = vData
    
'   If the Ini3 child exists, the relative URL (directory only)
'   is written to the ConpanUrl property.
    If Not (Me.Ini3 Is Nothing) Then
        Me.Ini3.ConpanUrl = MakeUrl(Me.PathHtml, ReturnDir(mvarPathConpanel))
    End If
    
End Property


Public Property Get PathConpanel() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathConpanel
    PathConpanel = mvarPathConpanel
End Property



Public Property Let Pathpieces(ByVal vData As String)
Attribute Pathpieces.VB_Description = "Local DOS-path to pieces."
'Sets the local DOS path to the directory with chess pieces.
'If the Ini3 child exists, the relative URL is written to
'the ImgUrl property.
mvarPathpieces = vData

If Not (Me.Ini3 Is Nothing) Then
    Me.Ini3.ImgUrl = MakeUrl(Me.PathHtml, ReturnDir(mvarPathpieces))
End If

End Property


Public Property Get Pathpieces() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathPieces
    Pathpieces = mvarPathpieces
End Property



Public Property Let PathBGImage(ByVal vData As String)
Attribute PathBGImage.VB_Description = "Local DOS-path to page background image."
'Local DOS path to page background image
mvarPathBGImage = vData
End Property


Public Property Get PathBGImage() As String
'Local DOS path to page background image
PathBGImage = mvarPathBGImage
End Property



Public Property Let PathFlags(ByVal vData As String)
Attribute PathFlags.VB_Description = "Local DOS-path to country flags"
'Sets the local DOS path to directory with flag images.
'If the Ini3 child exists, the relative URL is written
'to the property.

mvarPathFlags = vData
If Not (Me.Ini3 Is Nothing) Then
    Me.Ini3.FlagUrl = MakeUrl(Me.PathHtml, ReturnDir(mvarPathFlags))
End If

End Property


Public Property Get PathFlags() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathFlags
    PathFlags = mvarPathFlags
End Property



Public Property Let PathSymbols(ByVal vData As String)
Attribute PathSymbols.VB_Description = "Local DOS-Path to symbols"
'Sets the local DOS path to directory with annotation
'symbols. If the child Ini3 exists the relative URL
'is written to the property SymUrl.

mvarPathSymbols = vData

If Not (Me.Ini3 Is Nothing) Then
    Me.Ini3.SymUrl = MakeUrl(Me.PathHtml, ReturnDir(mvarPathSymbols))
End If

End Property


Public Property Get PathSymbols() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathSymbols
    PathSymbols = mvarPathSymbols
End Property



Public Property Let PathBoardImage(ByVal vData As String)
Attribute PathBoardImage.VB_Description = "Local DOS-path to board image."
'Sets the local DOS path to the chess board image. This
'is the full path including file name.
'If the child Ini3 exists, the relative URL is written
'to the property BoardImage.

mvarPathBoardImage = vData

If Not (Me.Ini3 Is Nothing) Then
    Me.Ini3.BoardImage = MakeUrl(Me.PathHtml, mvarPathBoardImage)
End If


End Property


Public Property Get PathBoardImage() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathBoardImage
    PathBoardImage = mvarPathBoardImage
End Property



Public Property Let PathHtml(ByVal vData As String)
Attribute PathHtml.VB_Description = "Local DOS-path to html directory."
'Sets the local DOS path to the directory where
'HTML files are to be saved.

mvarPathHtml = vData
End Property


Public Property Get PathHtml() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathHtml
    PathHtml = mvarPathHtml
End Property



Public Property Let PathWebCss(ByVal vData As String)
Attribute PathWebCss.VB_Description = "Local DOS-path. Where to save final CSS."
'Sets the local DOS path to the Css stylesheet.
'If the child Ini3 exists the relative URL including
'filename is written to the property sStylesheet.
'If there's a stylesheet collection we check all members
'for background images and change their URLs so they are
'correct in relation to the new location of the css file.

Dim cBlock As CssBlock
Dim sString As String

mvarPathWebCss = vData

If Not (Me.Ini3 Is Nothing) Then
    If Me.Ini2.HtmlType <> "magazine" Then
        If Me.PathHtml <> mvarPathWebCss Then
            sString = MakeUrl(Me.PathHtml, mvarPathWebCss)
            If Right$(sString, 1) = "/" Then
                sString = sString & Me.StyleSheetName
                Me.Ini3.sStyleSheet = sString
            Else
                sString = sString & "/" & Me.StyleSheetName
                Me.Ini3.sStyleSheet = sString
            End If
        Else
            Me.Ini3.sStyleSheet = Me.StyleSheetName
        End If
    Else
        If Me.PathHtml <> mvarPathWebCss Then
            sString = MakeUrl(Me.PathHtml, mvarPathWebCss)
            If Right$(sString, 1) = "/" Then
                sString = sString & Me.StyleSheetName
                Me.Ini3.MagazineCss = sString
            Else
                sString = sString & "/" & Me.StyleSheetName
                Me.Ini3.MagazineCss = sString
            End If
        Else
            Me.Ini3.MagazineCss = Me.StyleSheetName
        End If
    End If
End If

If Not (Me.StyleSheet Is Nothing) Then
    Set cBlock = New CssBlock
    For Each cBlock In Me.StyleSheet
        If Len(cBlock.BackgroundImage) > 0 And Len(cBlock.PathBackgroundImage) > 0 Then
            cBlock.BackgroundImage = MakeUrl(Me.PathWebCss, cBlock.PathBackgroundImage)
        End If
    Next
Me.StyleSheet.Changed = True
End If

Set cBlock = Nothing
End Property


Public Property Get PathWebCss() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.PathWebCss
    PathWebCss = mvarPathWebCss
End Property



Public Property Let CssToRead(ByVal vData As String)
Attribute CssToRead.VB_Description = "Path to the CSS file that is read initially."
'This property stores the full path to a stylesheet
'chosen by the user instead of the default stylesheet
'that comes with the layout.

mvarCssToRead = vData
End Property


Public Property Get CssToRead() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.CssToRead
    CssToRead = mvarCssToRead
End Property



Public Property Let Changed(ByVal vData As Boolean)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.Changed = 5
    mvarChanged = vData
    If mvarChanged Then cWebPages(lAW).Changed = True
    
End Property


Public Property Get Changed() As Boolean
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Changed
    
   
    Changed = mvarChanged
End Property



Public Property Set StyleSheet(ByVal vData As Object)
'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.StyleSheet = Form1
    Set mvarStyleSheet = vData
End Property


Public Property Get StyleSheet() As StyleSheet
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.StyleSheet
    Set StyleSheet = mvarStyleSheet
End Property


Public Property Get Ini3() As Ini3
    Set Ini3 = mvarIni3
End Property


Public Property Set Ini3(vData As Ini3)
    Set mvarIni3 = vData
End Property



Public Property Get Ini2() As Ini2
    Set Ini2 = mvarIni2
End Property


Public Property Set Ini2(vData As Ini2)
    Set mvarIni2 = vData
End Property



Public Property Get Ini1() As Ini1
    Set Ini1 = mvarIni1
End Property


Public Property Set Ini1(vData As Ini1)
    Set mvarIni1 = vData
End Property




Private Sub Class_Initialize()
    #If DebugMode Then
        'get the next available class ID, and print out
        'that the class was created successfully
        mlClassDebugID = GetNextClassDebugID()
        Debug.Print "'" & TypeName(Me) & "' instance " & mlClassDebugID & " created"
    #End If
  'create the mIni1 object when the Layout class is created
  Set mvarIni1 = New Ini1
  'create the mIni2 object when the Layout class is created
  Set mvarIni2 = New Ini2
  'create the mIni3 object when the Layout class is created
  Set mvarIni3 = New Ini3

End Sub


Private Sub Class_Terminate()
  
'P4 addition
On Error Resume Next
  If Ini2.HtmlType = "magviewer" Then
    If Len(Ini3.HeaderFile) > 0 Then
        Kill App.path & "\Resource\" & Ini3.HeaderFile
    End If
    If Len(Ini3.FooterFile) > 0 Then
        Kill App.path & "\Resource\" & Ini3.FooterFile
    End If
  End If

On Error GoTo ErrorHandle

  Set mvarIframe = Nothing
  Set mvarCrossStyle = Nothing
  cStyles(Me.Key).InUse = False
'  Set mvarIni3 = Nothing
'  Set mvarIni2 = Nothing
'  Set mvarIni1 = Nothing
    'the class is being destroyed
    #If DebugMode Then
        Debug.Print "'" & TypeName(Me) & "' instance " & CStr(mlClassDebugID) & " is terminating"
    #End If
Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Error terminating layout class", vbCritical, "Error"
End Sub


#If DebugMode Then
    Public Property Get ClassDebugID()
        'if we are in debug mode, surface this property that consumers can query
        ClassDebugID = mlClassDebugID
    End Property
#End If

