VERSION 5.00
Begin VB.Form frmCssEditor 
   Caption         =   "CSS Editor"
   ClientHeight    =   8730
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   13110
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   8730
   ScaleWidth      =   13110
   WindowState     =   2  'Maximized
   Begin VB.Frame frFontFamily 
      Caption         =   "Fonts In Selected Order (Font-Family)"
      Height          =   1875
      Left            =   8640
      TabIndex        =   14
      ToolTipText     =   "Fonts In Priority Order"
      Top             =   3930
      Width           =   3705
      Begin VB.ListBox lboFontFamily 
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   1425
         ItemData        =   "frmCssEditor.frx":0000
         Left            =   120
         List            =   "frmCssEditor.frx":0002
         TabIndex        =   18
         ToolTipText     =   "Fonts In Selected Order"
         Top             =   300
         Width           =   2985
      End
      Begin VB.CommandButton cmdFontOrder 
         Height          =   375
         Index           =   1
         Left            =   3180
         Picture         =   "frmCssEditor.frx":0004
         Style           =   1  'Graphical
         TabIndex        =   17
         ToolTipText     =   "Move Down"
         Top             =   840
         Width           =   375
      End
      Begin VB.CommandButton cmdFontOrder 
         Height          =   375
         Index           =   0
         Left            =   3180
         Picture         =   "frmCssEditor.frx":0446
         Style           =   1  'Graphical
         TabIndex        =   16
         ToolTipText     =   "Move Up"
         Top             =   480
         Width           =   375
      End
      Begin VB.CommandButton cmdFontOrder 
         Height          =   375
         Index           =   2
         Left            =   3180
         Picture         =   "frmCssEditor.frx":0888
         Style           =   1  'Graphical
         TabIndex        =   15
         ToolTipText     =   "Delete Font"
         Top             =   1350
         Width           =   375
      End
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Delete"
      Height          =   345
      Left            =   90
      TabIndex        =   13
      ToolTipText     =   "Delete Selector"
      Top             =   7530
      Width           =   885
   End
   Begin VB.CommandButton cmdNewSelector 
      Caption         =   "Add"
      Height          =   345
      Left            =   90
      TabIndex        =   12
      ToolTipText     =   "Add New Selector"
      Top             =   7080
      Width           =   885
   End
   Begin VB.CommandButton cmdUpdate 
      Caption         =   "Insert"
      Height          =   375
      Left            =   6960
      TabIndex        =   11
      ToolTipText     =   "Update Stylesheet"
      Top             =   1200
      Width           =   1005
   End
   Begin VB.ListBox lboValues 
      Height          =   3420
      Left            =   6120
      TabIndex        =   10
      Top             =   3540
      Width           =   2385
   End
   Begin VB.TextBox txtDescriptor 
      Alignment       =   1  'Right Justify
      Height          =   360
      Left            =   90
      TabIndex        =   8
      Top             =   660
      Width           =   2715
   End
   Begin VB.TextBox txtEditBox 
      Height          =   360
      Left            =   2760
      TabIndex        =   6
      ToolTipText     =   "This is where you edit the value"
      Top             =   660
      Width           =   5235
   End
   Begin VB.ListBox lboSelectors 
      Height          =   3420
      Left            =   60
      TabIndex        =   4
      Top             =   3540
      Width           =   2715
   End
   Begin VB.ListBox lboDescriptors 
      Height          =   3420
      Left            =   2790
      TabIndex        =   0
      Top             =   3540
      Width           =   3315
   End
   Begin VB.Label Label5 
      BackColor       =   &H00FFFFFF&
      Caption         =   " ;"
      Height          =   315
      Left            =   7980
      TabIndex        =   9
      Top             =   690
      Width           =   195
   End
   Begin VB.Label Label4 
      Caption         =   "Edit Box"
      Height          =   345
      Left            =   2790
      TabIndex        =   7
      Top             =   330
      Width           =   5205
   End
   Begin VB.Label Label3 
      Caption         =   "Selectors"
      Height          =   315
      Left            =   60
      TabIndex        =   5
      Top             =   3210
      Width           =   2715
   End
   Begin VB.Label Label2 
      Caption         =   "Values"
      Height          =   315
      Left            =   6120
      TabIndex        =   3
      Top             =   3210
      Width           =   2385
   End
   Begin VB.Label Label1 
      Caption         =   "Descriptors"
      Height          =   315
      Left            =   2790
      TabIndex        =   2
      Top             =   3210
      Width           =   3285
   End
   Begin VB.Label lblDescription 
      Height          =   1425
      Left            =   2790
      TabIndex        =   1
      Top             =   7020
      Width           =   5745
   End
End
Attribute VB_Name = "frmCssEditor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Text
Option Explicit

Private Sub cmdNewSelector_Click()
'Prompts the user for a selector name and
'adds the new selector to the Stylesheet collection.

Dim bOK As Boolean
Dim sAnswer As String
Dim lCount As Long

On Error GoTo ErrorHandler

bOK = False

Do Until bOK
    sAnswer = InputBox("Name of new selector:", "Selector Name")
    If Len(sAnswer) = 0 Then
        Exit Sub
    End If
    If InStr(1, sAnswer, Chr(32)) > 0 Then
        MsgBox "Space not allowed in selector name", , "Space Not Allowed"
        GoTo Proceed
    End If
    
    For lCount = 1 To cLayouts(lAL).StyleSheet.Count
        If sAnswer = cLayouts(lAL).StyleSheet(lCount).Key Then
            MsgBox "There's already a selector with the name " & sAnswer, , "Name In Use"
            Exit For
        End If
        If lCount = cLayouts(lAL).StyleSheet.Count Then bOK = True
    Next
    
Proceed:
Loop

'Adds the new selector to the Stylesheet collection.
cLayouts(lAL).StyleSheet.Add sAnswer
'Adds the new selector to the listbox with selectors.

lboSelectors.AddItem sAnswer

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Error adding new selector. Procedure cmdNewSelector in frmCssEditor.", vbCritical, "Error"
End Sub

Private Sub cmdUpdate_Click()
'Updates the stylesheet with the new command string.

Dim sDescriptor As String
Dim sText As String

On Error GoTo ErrorHandler

If Len(txtEditBox.Text) = 0 Then Exit Sub

sDescriptor = lboDescriptors.List(lboDescriptors.ListIndex)

Call cLayouts(lAL).StyleSheet.SetLoadedProperties(lAS, sDescriptor, txtEditBox.Text)

Call cLayouts(lAL).StyleSheet.WriteCssBlock(lAS, sText)
frmCssFloat.txtCssBlock.Text = ""
frmCssFloat.txtCssBlock.Text = sText

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Error updating stylesheet. Procedure cmdUpdate on frmCssEditor.", vbCritical, "Error"
End Sub

Private Sub lboValues_Click()
Dim sValue As String

sValue = lboValues.List(lboValues.ListIndex)

If InStr(1, sValue, "[") = 0 Then
    If InStr(1, lblDescription, "shorthand") = 0 Then
        txtEditBox.Text = sValue
    Else
        If Len(txtEditBox.Text) > 0 Then
            txtEditBox.Text = txtEditBox.Text & " " & sValue
        Else
            txtEditBox.Text = sValue
        End If
    End If
    txtEditBox.SelStart = Len(txtEditBox.Text)
    txtEditBox.SelLength = 0
    txtEditBox.SetFocus
    Exit Sub
End If

If sValue = "[number]" Then
    txtEditBox.SetFocus
    Exit Sub
End If

If sValue = "[color]" Then
    sAction = "Select Color"
    frmColor.Show vbModal
    txtEditBox.Text = sCurrentColor
    sCurrentColor = Empty
End If
End Sub

Private Sub Form_Activate()
If bCssBarVisible = True Then
    frmCssFloat.Show
End If

End Sub

Private Sub Form_Deactivate()
frmCssFloat.Hide
End Sub

Private Sub lboSelectors_Click()
lAS = lboSelectors.ListIndex + 1
UpdateCssToolBar
End Sub

Private Sub Form_Load()

If cCssTags Is Nothing Then
    Set cCssTags = New CssTags
End If

FillDescriptors 'Fills listbox with possible descriptors (e.g. "font-weight")
FillSelectors   'Fills listbox with available selectors (e.g. "BODY")

lboSelectors.Selected(0) = True
lboDescriptors.Selected(0) = True
cmdUpdate.Enabled = False
bfrmCssEditorOpen = True        'Sets flag. Form is now loaded.
If bCssBarVisible = True Then
    frmCssFloat.LoadCSSBar Me
End If

End Sub

Private Sub Form_Unload(Cancel As Integer)
bUnloadCssBar = True       'Tells the Cssbar to unload, not hide.
frmCssFloat.UnloadCSSBar
bUnloadCssBar = False
bfrmCssEditorOpen = False   'Flag. Form is now unloaded.
Set objCssTag = Nothing
Set cCssTags = Nothing
End Sub

Private Sub lboDescriptors_Click()

Dim lIndex As Long
Dim sDescriptor As String

sDescriptor = lboDescriptors.List(lboDescriptors.ListIndex)

Call cCssTags.SetCollections(sDescriptor)

lboValues.Clear

For lIndex = 1 To objCssTag.Count
    lboValues.AddItem objCssTag(lIndex)
Next

lblDescription.Caption = sAction
sAction = Empty

txtDescriptor.Text = sDescriptor & ":"
txtEditBox.Text = ""
End Sub

Private Sub FillDescriptors()

With lboDescriptors
    .AddItem "azimuth"
    .AddItem "background"
    .AddItem "background-attachment"
    .AddItem "background-color"
    .AddItem "background-image"
    .AddItem "background-position"
    .AddItem "background-repeat"
    .AddItem "border"
    .AddItem "border-bottom-width"
    .AddItem "border-collapse"
    .AddItem "border-color"
    .AddItem "border-left-width"
    .AddItem "border-right-width"
    .AddItem "border-spacing"
    .AddItem "border-style"
    .AddItem "border-top-width"
    .AddItem "border-width"
    .AddItem "bottom"
    .AddItem "caption-side"
    .AddItem "clear"
    .AddItem "clip"
    .AddItem "color"
    .AddItem "content"
    .AddItem "counter-increment"
    .AddItem "counter-reset"
    .AddItem "cue"
    .AddItem "cue-after"
    .AddItem "cue-before"
    .AddItem "cursor"
    .AddItem "direction"
    .AddItem "display"
    .AddItem "elevation"
    .AddItem "empty-cells"
    .AddItem "float"
    .AddItem "font"
    .AddItem "font-family"
    .AddItem "font-size"
    .AddItem "font-size-adjust"
    .AddItem "font-stretch"
    .AddItem "font-style"
    .AddItem "font-variant"
    .AddItem "font-weight"
    .AddItem "height"
    .AddItem "left"
    .AddItem "letter-spacing"
    .AddItem "line-height"
    .AddItem "list-style"
    .AddItem "list-style-image"
    .AddItem "list-style-position"
    .AddItem "list-style-type"
    .AddItem "margin"
    .AddItem "margin-bottom"
    .AddItem "margin-left"
    .AddItem "margin-left"
    .AddItem "margin-top"
    .AddItem "marker-offset"
    .AddItem "marks"
    .AddItem "max-height"
    .AddItem "max-width"
    .AddItem "min-heigth"
    .AddItem "min-width"
    .AddItem "orphans"
    .AddItem "outline"
    .AddItem "outline-color"
    .AddItem "outline-style"
    .AddItem "outline-width"
    .AddItem "overflow"
    .AddItem "padding"
    .AddItem "padding-bottom"
    .AddItem "padding-left"
    .AddItem "padding-right"
    .AddItem "padding-top"
    .AddItem "page"
    .AddItem "page-break-after"
    .AddItem "page-break-before"
    .AddItem "page-break-inside"
    .AddItem "pause"
    .AddItem "pause-after"
    .AddItem "pause-before"
    .AddItem "pitch"
    .AddItem "pitch-range"
    .AddItem "play-during"
    .AddItem "position"
    .AddItem "quotes"
    .AddItem "richness"
    .AddItem "right"
    .AddItem "size"
    .AddItem "speak"
    .AddItem "speak-header"
    .AddItem "speak-numeral"
    .AddItem "speak-punctuation"
    .AddItem "speech-rate"
    .AddItem "stress"
    .AddItem "table-layout"
    .AddItem "text-align"
    .AddItem "text-decoration"
    .AddItem "text-indent"
    .AddItem "text-shadow"
    .AddItem "text-transform"
    .AddItem "top"
    .AddItem "unicode-bidi"
    .AddItem "vertical-align"
    .AddItem "visibility"
    .AddItem "voice-family"
    .AddItem "volume"
    .AddItem "white-space"
    .AddItem "widows"
    .AddItem "width"
    .AddItem "word-spacing"
    .AddItem "z-index"
    
End With
End Sub


Private Sub FillSelectors()
Dim lCount As Long

For lCount = 1 To cLayouts(lAL).StyleSheet.Count
    lboSelectors.AddItem cLayouts(lAL).StyleSheet(lCount).Key
Next

End Sub
Public Sub UpdateCssToolBar()
Dim sText As String

Call cLayouts(lAL).StyleSheet.WriteCssBlock(lAS, sText)
frmCssFloat.txtCssBlock.Text = sText
End Sub

Private Sub txtEditBox_Change()
cmdUpdate.Enabled = True
End Sub

Private Sub txtEditBox_KeyPress(KeyAscii As Integer)
If Asc(";") = KeyAscii Then KeyAscii = 0
If Asc("}") = KeyAscii Then KeyAscii = 0
If Asc("{") = KeyAscii Then KeyAscii = 0
End Sub
