VERSION 5.00
Begin VB.Form frmEcoFile 
   Caption         =   "Eco File & Opening Information"
   ClientHeight    =   4305
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6195
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4305
   ScaleWidth      =   6195
   StartUpPosition =   1  'CenterOwner
   Begin VB.FileListBox lboFiles 
      Height          =   1260
      Left            =   1440
      Pattern         =   "*.eco"
      TabIndex        =   8
      Top             =   1050
      Visible         =   0   'False
      Width           =   2745
   End
   Begin VB.CheckBox chkClassify 
      Caption         =   "Classify Openings"
      Height          =   405
      Left            =   180
      TabIndex        =   6
      Top             =   2700
      Width           =   1755
   End
   Begin VB.OptionButton optOpening 
      Caption         =   "Show additional info as tooltip"
      Height          =   345
      Index           =   1
      Left            =   180
      TabIndex        =   5
      Top             =   3630
      Width           =   2685
   End
   Begin VB.OptionButton optOpening 
      Caption         =   "Show all opening info"
      Height          =   345
      Index           =   0
      Left            =   180
      TabIndex        =   4
      Top             =   3240
      Width           =   2685
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   315
      Left            =   3930
      TabIndex        =   3
      Top             =   3690
      Width           =   950
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   5010
      TabIndex        =   2
      Top             =   3690
      Width           =   950
   End
   Begin VB.TextBox txtEcoFile 
      Height          =   350
      Left            =   3060
      TabIndex        =   1
      ToolTipText     =   "Eco File Name"
      Top             =   3060
      Width           =   2415
   End
   Begin VB.Label Label2 
      Caption         =   "Eco File Name"
      Height          =   255
      Left            =   3060
      TabIndex        =   7
      Top             =   2790
      Width           =   2415
   End
   Begin VB.Image imgBrowse 
      Height          =   240
      Left            =   5580
      Picture         =   "frmEcoFile.frx":0000
      ToolTipText     =   "Browse"
      Top             =   3060
      Width           =   240
   End
   Begin VB.Label Label1 
      Height          =   2265
      Left            =   150
      TabIndex        =   0
      Top             =   150
      Width           =   5895
   End
End
Attribute VB_Name = "frmEcoFile"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Text
Option Explicit

Private Sub chkClassify_Click()

If chkClassify.Value = 0 Then
    imgBrowse.Visible = False
    imgBrowse.Enabled = False
    txtEcoFile.Enabled = False
    txtEcoFile.BackColor = vbButtonFace
Else
    imgBrowse.Enabled = True
    imgBrowse.Visible = True
    txtEcoFile.BackColor = vbWhite
    txtEcoFile.Enabled = True
End If

End Sub

Private Sub cmdCancel_Click()
Unload Me
End Sub

Private Sub cmdOK_Click()
Dim vAnswer As Variant
Dim sPath As String

On Error GoTo ErrorHandler

If chkClassify.Value = 0 Then Unload Me

If Len(txtEcoFile.Text) = 0 Then
    vAnswer = MsgBox("You haven't selected an eco file. Do you " & _
    "want to quit?", vbQuestion + vbYesNo, "No Eco File Selected")
    If vAnswer = vbYes Then
        Unload Me
    Else
        Exit Sub
    End If
End If

If Len(txtEcoFile.Text) > 0 Then
    If Len(txtEcoFile.Text) > 12 Then
        MsgBox "Long file names not supported", vbExclamation, "Long File Name"
        Exit Sub
    End If
End If

sPath = ReturnDir(sPathPalview) & "\" & txtEcoFile.Text

If FileCheck(sPath) = False Then
    MsgBox "No such file " & sPath, vbExclamation, "File Not Found"
    Exit Sub
End If

If InStr(1, txtEcoFile.Text, ".eco") = 0 Then
    MsgBox txtEcoFile.Text & " is not a valid eco file.", vbCritical, "Invalid Eco File"
    Exit Sub
End If

cLayouts(lAL).Ini3.EcoFileName = txtEcoFile.Text

If optOpening(0).Value = True Then
    cLayouts(lAL).Ini2.ToolTipOpening = "off"
Else
    cLayouts(lAL).Ini2.ToolTipOpening = "on"
End If


Unload Me

Exit Sub
ErrorHandler:
MsgBox Err.Description, vbCritical, "Error"

End Sub

Private Sub Form_Load()

txtEcoFile.Text = cLayouts(lAL).Ini3.EcoFileName

If Len(txtEcoFile.Text) > 0 Then
    chkClassify.Value = 1
Else
    chkClassify.Value = 0
End If

optOpening(lOnOff(cLayouts(lAL).Ini2.ToolTipOpening)).Value = 1

Label1.Caption = "Palview can classify openings with ECO code " & _
"(e.g. E11) using an eco file. If you have chosen to put the pgn header " & _
"information into a box/table of its own, Palview will also write the " & _
"opening's name, for instance: " & vbNewLine & _
"Bogo-Indian Defense " & vbNewLine & _
"Nimzovich Variation" & vbNewLine & _
"The additional opening information (in this case ""Nimzovich Variation"") can " & _
"be hidden and revealed only if the cursor hovers over the opening name. " & _
"To do this choose ""Show additional info as tooltip"" below." & _
vbNewLine & "For information about Palviews eco file see the documentation."

End Sub

Private Sub imgBrowse_Click()
lboFiles.path = ReturnDir(sPathPalview)
lboFiles.Visible = True

End Sub

Private Sub lboFiles_Click()

If Len(lboFiles.List(lboFiles.ListIndex)) > 12 Then
    MsgBox "Long file names not supported", vbInformation, "Long File Name"
    lboFiles.Visible = False
    Exit Sub
End If

txtEcoFile.Text = lboFiles.List(lboFiles.ListIndex)
lboFiles.Visible = False

End Sub
