VERSION 5.00
Begin VB.Form frmFileList 
   ClientHeight    =   4530
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5805
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmFileList.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4530
   ScaleWidth      =   5805
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdAll 
      Caption         =   "Select All"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   2370
      TabIndex        =   4
      Top             =   4020
      Width           =   950
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   3420
      TabIndex        =   3
      Top             =   4020
      Width           =   950
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   4500
      TabIndex        =   2
      Top             =   4020
      Width           =   950
   End
   Begin VB.ListBox lboFiles 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2985
      ItemData        =   "frmFileList.frx":06EA
      Left            =   210
      List            =   "frmFileList.frx":06F1
      Style           =   1  'Checkbox
      TabIndex        =   0
      ToolTipText     =   "Click to select a game"
      Top             =   870
      Width           =   5355
   End
   Begin VB.Label lblFiles 
      Height          =   375
      Left            =   240
      TabIndex        =   1
      Top             =   480
      Width           =   5325
   End
End
Attribute VB_Name = "frmFileList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim bBreak As Boolean
Option Compare Text
Option Explicit

Private Sub cmdAll_Click()
'Selects all items in the listbox

Dim lCount As Long

With lboFiles
    For lCount = 0 To lboFiles.ListCount - 1
        .Selected(lCount) = True
    Next
End With

End Sub

Private Sub cmdCancel_Click()
Unload Me
fMainForm.SetFocus
End Sub

Private Sub cmdOK_Click()

If lboFiles.SelCount = 0 Then Exit Sub

bBreak = True
If sAction = "Select Pgn Files" Then OKPgnFiles

End Sub

Private Sub Form_Load()

bBreak = False

If sAction = "Select Pgn Files" Then PgnFiles


End Sub

Private Sub PgnFiles()
Dim lCount As Long

'The listbox is filled with paths to
'the currently selected pgn files
With lboFiles
    For lCount = 1 To cPgnFiles.Count
        .AddItem (cPgnFiles(lCount).FilePath)
    Next
End With

End Sub

Private Sub Form_Resize()
Me.Height = 4935
Me.Width = 5925
End Sub

Private Sub Form_Unload(Cancel As Integer)
Dim sAnswer As String

If bBreak = False Then
    sAnswer = MsgBox("A webpage project must have a pgn file to convert. " & _
    "Are you sure you want to quit?", vbCritical, "No File Selected")
    If sAnswer = vbNo Then
        Cancel = 1
    Else
        bAbort = True
    End If
End If

End Sub

Private Sub OKPgnFiles()
'This procedure adds new pgn classes to the current webpage
'project's pgnfiles class collection.

Dim lCount As Long

On Error GoTo ErrorHandler

'If the webpage's pgnfiles collection doesn't
'exist, we create it.
If cWebPages(lAW).PgnFiles Is Nothing Then
    Set cWebPages(lAW).PgnFiles = New PgnFiles
End If

'Now we find the selected files.
'Each selection is added to the webpage's pgn collection.
With lboFiles
    For lCount = 0 To lboFiles.ListCount - 1
        If .Selected(lCount) Then
'           Adds the file to the collection.
            cWebPages(lAW).PgnFiles.Add (cPgnFiles(lCount + 1).Key)
'           Copies the file path to its property
            cWebPages(lAW).PgnFiles(cWebPages(lAW).PgnFiles.Count).FilePath = cPgnFiles(lCount + 1).FilePath
        End If
    Next
End With

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure OKPgnFiles in frmFileList.", vbCritical, "Error"
bBreak = True
bAbort = True
Unload Me
fMainForm.SetFocus
End Sub
