VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "COMCTL32.OCX"
Object = "{BDC217C8-ED16-11CD-956C-0000C04E4C0A}#1.1#0"; "TABCTL32.OCX"
Begin VB.Form frmHelp 
   Caption         =   "Help"
   ClientHeight    =   5460
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6285
   Icon            =   "frmHelp.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MDIChild        =   -1  'True
   ScaleHeight     =   5460
   ScaleWidth      =   6285
   Begin VB.CommandButton cmdClose 
      Cancel          =   -1  'True
      Caption         =   "Close"
      Height          =   315
      Left            =   5220
      TabIndex        =   3
      Top             =   5010
      Width           =   950
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "Sh&ow"
      Default         =   -1  'True
      Height          =   315
      Left            =   4140
      TabIndex        =   2
      Top             =   5010
      Width           =   950
   End
   Begin TabDlg.SSTab SSTab1 
      Height          =   4785
      Left            =   90
      TabIndex        =   0
      Top             =   120
      Width           =   6100
      _ExtentX        =   10769
      _ExtentY        =   8440
      _Version        =   327681
      Style           =   1
      Tabs            =   2
      TabHeight       =   520
      TabCaption(0)   =   "Index"
      TabPicture(0)   =   "frmHelp.frx":27A2
      Tab(0).ControlEnabled=   -1  'True
      Tab(0).Control(0)=   "tvwHelp1"
      Tab(0).Control(0).Enabled=   0   'False
      Tab(0).ControlCount=   1
      TabCaption(1)   =   "Search"
      TabPicture(1)   =   "frmHelp.frx":27BE
      Tab(1).ControlEnabled=   0   'False
      Tab(1).Control(0)=   "lblFind"
      Tab(1).Control(1)=   "lboFound"
      Tab(1).Control(2)=   "txtFind"
      Tab(1).Control(3)=   "cmdSearch"
      Tab(1).ControlCount=   4
      Begin VB.CommandButton cmdSearch 
         Caption         =   "&Search"
         Enabled         =   0   'False
         Height          =   315
         Left            =   -72090
         TabIndex        =   6
         ToolTipText     =   "Search"
         Top             =   780
         Width           =   825
      End
      Begin VB.TextBox txtFind 
         Height          =   315
         Left            =   -74820
         TabIndex        =   5
         Top             =   780
         Width           =   2535
      End
      Begin VB.ListBox lboFound 
         Height          =   3375
         Left            =   -74850
         Sorted          =   -1  'True
         TabIndex        =   4
         Top             =   1230
         Width           =   5775
      End
      Begin ComctlLib.TreeView tvwHelp1 
         Height          =   4095
         Left            =   150
         TabIndex        =   1
         Top             =   510
         Width           =   5775
         _ExtentX        =   10186
         _ExtentY        =   7223
         _Version        =   327682
         LabelEdit       =   1
         LineStyle       =   1
         Style           =   7
         Appearance      =   1
      End
      Begin VB.Label lblFind 
         Caption         =   "Write search string"
         Height          =   285
         Left            =   -74760
         TabIndex        =   7
         Top             =   480
         Width           =   2565
      End
   End
End
Attribute VB_Name = "frmHelp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim bIndex As Boolean           'True if the index tab is selected
Dim bPM As Boolean              'True if building PalMate help
Dim bPW As Boolean              'True if building Palview help
Dim sDelimiter As String * 1
Dim pubHelp()                    'Array used for building help index
Dim arrHelp()
Dim FoundRec() As String
Dim sPath As String
Private Sub Form_Load()

On Error GoTo ErrorHandler

Select Case sAction
    Case "PalMate"
        sPath = App.path & "\help"
        sDelimiter = "\"
        bPM = True
        bPW = False
        bpubPMHelpVisible = True
    Case "Palview"
        sPath = sPathPalManual
        sDelimiter = sDelim
        bPW = True
        bPM = False
        bpubPWHelpVisible = True
        fMainForm.mnuFilePalviewManual.Enabled = False
End Select

BuildHelp
BuildTree
bIndex = True
sAction = Empty

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error loading help form.", vbCritical, "Error"

End Sub
Private Sub cmdOK_Click()
Dim sLocalUrl As String
Dim lCount As Long
Dim sString As String

On Error GoTo ErrorHandler

If bIndex Then
    sLocalUrl = pubHelp(tvwHelp1.SelectedItem.Index, 3)
Else
'   If an item on the "found list"
    If lboFound.ListCount = 0 Then Exit Sub
    sString = lboFound.Text
    If Len(sString) = 0 Then Exit Sub
    
'   The listbox sorts the items alphabetically, so
'   in order to find the help-path/URL we search
'   the FoundRec array for the item. One could sort
'   the array before listing the items, but usually
'   the list is very short, so this is easier.
    For lCount = LBound(FoundRec) To UBound(FoundRec)
        If sString = FoundRec(lCount, 1) Then
            sLocalUrl = FoundRec(lCount, 2)
            Exit For
        End If
    Next
End If

Call ShowHelp(sLocalUrl)

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error showing helpfile.", vbCritical, "Error"
End Sub

Private Sub BuildHelp()
Dim lCount As Long
Dim lPos1 As Long           'Pointer
Dim lPos2 As Long
Dim lIndex As Long          'Array index
Dim lLineNumbers As Long    'Number of lines in text
Dim lTxtLen As Long         'Text length
Dim sLine As String         'Record
Dim sValue As String
Dim sHelpText As String

On Error GoTo ErrorHandler

'Load the help index text file into sHelpText
If bPM Then
    sValue = App.path & "\help\pmhelp.lst"
ElseIf bPW = True Then
    sValue = App.path & "\help\pwhelp.lst"
End If

Call LoadTextFile(sValue, sHelpText)

lTxtLen = Len(sHelpText)

'Get number of records
lLineNumbers = Countlines(sHelpText)

If lLineNumbers < 2 Then
    MsgBox "Help index file is corrupt.", vbCritical, "Error"
    Exit Sub
End If

'Dimension the array to the number of records
ReDim pubHelp(lLineNumbers, 3)

lPos2 = 1

For lIndex = 1 To lLineNumbers
'   lPos1 = next linebreak
    lPos1 = NextLine(sHelpText, lPos2)
    If lPos1 > 0 Then
        sLine = Mid$(sHelpText, lPos2, lPos1 - lPos2 - 1)
    Else
        sLine = Mid$(sHelpText, lPos2, lTxtLen - lPos2 + 1)
    End If
    If Len(sLine) > 3 Then
        Call AddPost(sLine, lIndex)
    End If
    lPos2 = lPos1 + 1
    If lPos2 > lTxtLen Then Exit For
Next

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error building help", vbCritical, "Error"

End Sub

Function Countlines(ByRef sHelpText As String) As Long
'Counts the lines = number of records in the textfile

Dim lPos1 As Long       'Pointer
Dim lPos2 As Long
Dim lCount As Long
Dim lTextLen As Long

On Error GoTo ErrorHandler

lTextLen = Len(sHelpText)

lPos1 = NextLine(sHelpText, 1)
If lPos1 = 0 Then
    Countlines = 0
    Exit Function
End If
lCount = 1

Do
    lPos2 = NextLine(sHelpText, lPos1 + 1)

'   If there are no new line we have reached the end of the text
    If lPos2 = 0 Then
'       If the last line contains a record
        If InStr(lPos1 + 1, sHelpText, ";") > 0 Then
            lCount = lCount + 1
            Exit Do
        End If
    End If

'   Increment line counter
    lCount = lCount + 1
    
'   If there are no records in the remaining text we exit the loop
    If InStr(lPos2 + 1, sHelpText, ";") = 0 Then Exit Do
    
    lPos1 = lPos2 + 1
    If lPos1 > lTextLen Then Exit Do
Loop

Countlines = lCount

Exit Function
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error in function CountLines", vbCritical, "Error"
End Function

Sub AddPost(ByRef sLine As String, ByVal lIndex As Long)

Dim iNodePos As Integer
Dim lPos1 As Long
Dim lPos2 As Long
Dim sValue As String
Dim sValue2 As String
Dim sValue3 As String
Dim sValue4 As String


lPos1 = InStr(1, sLine, ";")
sValue = Left$(sLine, lPos1 - 1)
If Len(sValue) = 0 Then
    MsgBox "Missing rank number in help index line number " & lIndex + 1, vbInformation, "Error In Help Index"
    sValue = "1"
End If

iNodePos = Val(sValue)

'Finds help caption (subject)
lPos2 = InStr(lPos1 + 1, sLine, ";")
If lPos2 = 0 Then GoTo Abort
sValue2 = Mid$(sLine, lPos1 + 1, lPos2 - lPos1 - 1)

'Finds the html-filename
lPos1 = InStr(lPos2 + 1, sLine, ";")
If lPos1 = 0 Then GoTo Abort
sValue3 = Mid$(sLine, lPos2 + 1, lPos1 - lPos2 - 1)

'Sets the path
lPos2 = InStr(lPos1 + 1, sLine, ";")
If lPos2 = 0 Then GoTo Abort
sValue4 = Mid$(sLine, lPos1 + 1, lPos2 - lPos1 - 1)
If Len(sValue4) > 0 Then
    If bPM Then
        sValue4 = sPath & sDelimiter & sValue4 & sDelimiter & sValue3
    Else
        sValue4 = sPath & sValue4 & sDelimiter & sValue3
    End If
Else
    If bPM Then
        sValue4 = sPath & sDelimiter & sValue3
    Else
        sValue4 = sPath & sValue3
    End If
End If

'Adds values to array
pubHelp(lIndex, 1) = iNodePos
pubHelp(lIndex, 2) = sValue2
pubHelp(lIndex, 3) = sValue4

Exit Sub
Abort:
MsgBox "Missing delimiter "";"" in help index.", vbCritical, "Error"
End Sub

Sub BuildTree()
Dim lCount As Long
Dim lRank As Long
Dim nodRoot As Node
Dim sParent1 As String
Dim sParent2 As String
Dim sParent3 As String
Dim strKey As String

On Error GoTo ErrorHandler

Set nodRoot = tvwHelp1.Nodes.Add(, , pubHelp(1, 2), pubHelp(1, 2))
sParent1 = pubHelp(1, 2)

For lCount = 2 To UBound(pubHelp) Step 1
    lRank = pubHelp(lCount, 1)
    strKey = pubHelp(lCount, 2)
    Select Case lRank
        Case 2
            tvwHelp1.Nodes.Add sParent1, tvwChild, strKey, strKey
            sParent2 = strKey
        Case 1
            tvwHelp1.Nodes.Add , , strKey, strKey
            sParent1 = strKey
        Case 3
            tvwHelp1.Nodes.Add sParent2, tvwChild, strKey, strKey
            sParent3 = strKey
        Case 4
            tvwHelp1.Nodes.Add sParent3, tvwChild, strKey, strKey
        Case Else
            tvwHelp1.Nodes.Add sParent3, tvwChild, strKey, strKey
    End Select
Next

Set nodRoot = Nothing

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error building help index tree. Procedure BuildPMTree.", vbCritical, "Error"
End Sub

Private Sub Form_Resize()

On Error Resume Next

If Me.WindowState <> vbMinimized Then
    Me.Height = 5865
    Me.Width = 6400
End If

End Sub

Private Sub Form_Unload(Cancel As Integer)
Dim fForm As Form
Dim bPathDisabled As Boolean
Dim lHelpFormCount As Long

On Error Resume Next
Erase pubHelp
Erase arrHelp()
Erase FoundRec()


If fMainForm.mnuFilePalviewManual.Enabled = False Then
'   Checks if other help forms are open
    For Each fForm In Forms
        If fForm.Caption = "Help" Then
            lHelpFormCount = lHelpFormCount + 1
            If lHelpFormCount = 2 Then
                bPathDisabled = True
                Exit For
            End If
        End If
    Next
    Set fForm = Nothing
    If bPathDisabled = False Then
        fMainForm.mnuFilePalviewManual.Enabled = True
    End If
End If

If bPM = True Then
    bpubPMHelpVisible = False
End If

If bPW = True Then
    bpubPWHelpVisible = False
End If

Set fHelpForm = Nothing
End Sub

Private Sub SSTab1_Click(PreviousTab As Integer)
If PreviousTab = 0 Then
    bIndex = False
Else
    bIndex = True
End If
End Sub

Private Sub txtFind_Change()
If Len(txtFind.Text) > 0 Then
    cmdSearch.Enabled = True
Else
    cmdSearch.Enabled = False
End If
End Sub
Private Sub cmdClose_Click()
Unload Me
End Sub

Private Sub cmdSearch_Click()
Dim sFind As String
Dim sFound As String
Dim lFound As Long
Dim lCount As Long
Dim Index() As Long

On Error GoTo ErrorHandler

sFind = txtFind.Text
lFound = 0
Erase Index
Erase FoundRec

lboFound.Clear

For lCount = LBound(pubHelp) To UBound(pubHelp)
    sFound = pubHelp(lCount, 2)
    If InStr(1, sFound, sFind, vbTextCompare) > 0 Then
        lFound = lFound + 1
        ReDim Preserve Index(lFound)
        Index(lFound) = lCount
    End If
Next


If lFound > 0 Then
    ReDim FoundRec(lFound, 2)
    For lCount = 1 To UBound(FoundRec)
        FoundRec(lCount, 1) = pubHelp(Index(lCount), 2)
        FoundRec(lCount, 2) = pubHelp(Index(lCount), 3)
    Next

    For lCount = 1 To UBound(FoundRec)
        lboFound.AddItem FoundRec(lCount, 1)
    Next
End If



Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error searching", vbCritical, "Error"
End Sub


