VERSION 5.00
Begin VB.Form frmInput 
   ClientHeight    =   2805
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4425
   Icon            =   "frmInput.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2805
   ScaleWidth      =   4425
   StartUpPosition =   1  'CenterOwner
   Begin VB.TextBox txtElo 
      Height          =   315
      Left            =   1560
      TabIndex        =   9
      ToolTipText     =   "ELO (rating)"
      Top             =   1320
      Visible         =   0   'False
      Width           =   1065
   End
   Begin VB.ComboBox cboTitle 
      Height          =   315
      Left            =   150
      TabIndex        =   6
      ToolTipText     =   "Title"
      Top             =   1320
      Visible         =   0   'False
      Width           =   1065
   End
   Begin VB.ComboBox cboCountryName 
      Height          =   315
      Left            =   150
      Style           =   2  'Dropdown List
      TabIndex        =   5
      ToolTipText     =   "Players Country"
      Top             =   360
      Visible         =   0   'False
      Width           =   2895
   End
   Begin VB.CheckBox chkFlip 
      Caption         =   "Flip Diagram"
      Height          =   345
      Left            =   180
      TabIndex        =   4
      Top             =   1320
      Visible         =   0   'False
      Width           =   2535
   End
   Begin VB.TextBox txtInput 
      Height          =   345
      Left            =   150
      TabIndex        =   0
      Top             =   1830
      Width           =   4095
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   2250
      TabIndex        =   2
      Top             =   2340
      Width           =   950
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   3330
      TabIndex        =   1
      Top             =   2340
      Width           =   950
   End
   Begin VB.Label lblAnno 
      Caption         =   "ELO"
      Height          =   225
      Index           =   2
      Left            =   1560
      TabIndex        =   10
      Top             =   1050
      Visible         =   0   'False
      Width           =   795
   End
   Begin VB.Label lblAnno 
      Caption         =   "Title"
      Height          =   225
      Index           =   1
      Left            =   150
      TabIndex        =   8
      Top             =   1050
      Visible         =   0   'False
      Width           =   795
   End
   Begin VB.Label lblAnno 
      Caption         =   "Country"
      Height          =   285
      Index           =   0
      Left            =   150
      TabIndex        =   7
      Top             =   120
      Visible         =   0   'False
      Width           =   2685
   End
   Begin VB.Label lblPrompt 
      Height          =   1635
      Left            =   180
      TabIndex        =   3
      Top             =   120
      Width           =   4095
   End
End
Attribute VB_Name = "frmInput"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim fForm As Form
Dim sFind As String
Dim lPos As Long



Private Sub cmdCancel_Click()
   
    
On Error GoTo ErrorHandle

    sInput1 = "Cancel"
    If sAction = "Find" Then
        With fForm.rtbText
            If lPos > 0 Then
                .SelStart = lPos
                .SelLength = Len(Me.txtInput.Text)
            End If
        End With
    End If

    lPos = 0
    
    Unload Me
    If sAction = "Find" Then
        fForm.rtbText.SetFocus
        sAction = Empty
    Set fForm = Nothing
    End If
    
Exit Sub
ErrorHandle:
sAction = Empty
MsgBox Err.Description & vbNewLine & "Procedure cmdCancel_Click, frmInput", vbCritical, "Error"
End Sub

Private Sub cmdOK_Click()

On Error GoTo ErrorHandle

    sInput1 = txtInput.Text
    
    If sAction = "anno" Then
        If Len(cboCountryName.Text) > 0 Then
            sInput2 = cboCountryName.Text
        End If
        If Len(cboTitle.Text) > 0 Then
            sInput3 = cboTitle.Text
        End If
        If Len(txtElo.Text) > 0 Then
            If IsNumeric(txtElo.Text) = False Then
                MsgBox "Elo rating must be a number"
                Exit Sub
            End If
            sAction2 = txtElo.Text
        End If
        Unload Me
        Exit Sub
    End If
    
    If sAction = "startply" Then
        If IsNumeric(sInput1) = False Then
            MsgBox "Startply must be a number", , "Not a number"
            Unload Me
            sInput1 = "Cancel"
        End If
        If Len(sInput1) = 0 Then
            sInput1 = "Cancel"
            Unload Me
        End If
        sInput1 = Int(sInput1)
        If chkFlip.Value = vbChecked Then
            sInput2 = "flip 1"
        Else
            sInput2 = "flip 0"
        End If
    End If
    
    If sAction <> "Find" Then Unload Me
    
    If sAction = "Find" Then
        If Len(txtInput.Text) = 0 Then Exit Sub
        sFind = Me.txtInput.Text
        With fForm.rtbText
            .HideSelection = False
            If lPos > 0 And lPos < Len(.TextRTF) Then
                lPos = lPos + 1
            Else
                lPos = .SelStart + 1
                If lPos = 0 Then lPos = 1
            End If
            lPos = .Find(sFind, lPos)
            If lPos = -1 Then
                lPos = .Find(sFind, 1)
            End If
        End With
    End If
        
Exit Sub
ErrorHandle:
Set fForm = Nothing
MsgBox Err.Description & vbNewLine & "Procedure cmdOK_Click, frmInput", vbCritical, "Error"
End Sub

Private Sub Form_Load()
Dim lCount As Long
    
On Error GoTo ErrorHandle

    If sAction = "Find" Then ConfigFind
    If sAction2 = "pgn" Then
        For Each fForm In Forms
            If TypeOf fForm Is frmPgnEdit Then
                If fForm.Tag = cWebPages(lAW).Key Then
                    Set fForm = fMainForm.ActiveForm
                    Exit For
                End If
            End If
        Next
    End If
    If sAction2 = "html" Then
        For Each fForm In Forms
            If TypeOf fForm Is frmHtmText Then
                If fForm.Tag = cWebPages(lAW).Key Then
                    Set fForm = fMainForm.ActiveForm
                    Exit For
                End If
            End If
        Next
    End If
    
    Me.Caption = sInput1
    lblPrompt.Caption = sInput2
    
    With txtInput
        If sAction <> "Find" Then
            .Text = sInput3
        Else
            .Text = sFind
        End If
        
        .SelStart = 0
        .SelLength = Len(.Text)
    End With
    
    If sAction = "startply" Then
        chkFlip.Visible = True
        Me.Caption = "Preset Diagram Position"
    End If
    
    If sAction = "anno" Then
        InitCountryNames
        InitTitle
        cboCountryName.Visible = True
        cboTitle.Visible = True
        txtElo.Visible = True
        For lCount = 0 To 2
            lblAnno(lCount).Visible = True
        Next
    End If
    
Exit Sub
ErrorHandle:
sAction = Empty
MsgBox Err.Description & vbNewLine & "Error loading frmInput", vbCritical, "Error"
End Sub

Private Sub ConfigFind()

lblPrompt.Height = 500
txtInput.Top = 760
cmdOK.Top = 1205
cmdCancel.Top = 1205
Me.Height = 2075
cmdOK.Caption = "Find &Next"
End Sub

Private Sub InitCountryNames()

On Error GoTo ErrorHandler

With cboCountryName
    .AddItem "Afghanistan"
    .AddItem "Albania"
    .AddItem "Algeria"
    .AddItem "Andorra"
    .AddItem "Angola"
    .AddItem "Antigua and Barbuda"
    .AddItem "Argentina"
    .AddItem "Armenia"
    .AddItem "Aruba"
    .AddItem "Australia"
    .AddItem "Austria"
    .AddItem "Azerbaijan"
    .AddItem "Bahamas"
    .AddItem "Bahrain"
    .AddItem "Bangladesh"
    .AddItem "Barbados"
    .AddItem "Belarus"
    .AddItem "Belgium"
    .AddItem "Belize"
    .AddItem "Bermuda"
    .AddItem "Bolivia"
    .AddItem "Bosnia and Herzegovina"
    .AddItem "Botswana"
    .AddItem "Brazil"
    .AddItem "Brunei"
    .AddItem "Bulgaria"
    .AddItem "Burundi"
    .AddItem "Cambodia"
    .AddItem "Cameroon"
    .AddItem "Canada"
    .AddItem "Cayman Islands"
    .AddItem "Chad"
    .AddItem "Chile"
    .AddItem "China"
    .AddItem "Colombia"
    .AddItem "Comoros"
    .AddItem "Costa Rica"
    .AddItem "Croatia"
    .AddItem "Cuba"
    .AddItem "Cyprus"
    .AddItem "Czech Republic"
    .AddItem "Denmark"
    .AddItem "Dominican Republic"
    .AddItem "Ecuador"
    .AddItem "Egypt"
    .AddItem "El Salvador"
    .AddItem "Eritrea"
    .AddItem "Estonia"
    .AddItem "Ethiopia"
    .AddItem "Faroe Islands"
    .AddItem "Fiji"
    .AddItem "Finland"
    .AddItem "France"
    .AddItem "Gambia"
    .AddItem "Georgia"
    .AddItem "Germany"
    .AddItem "Ghana"
    .AddItem "Greece"
    .AddItem "Grenada"
    .AddItem "Guatemala"
    .AddItem "Guyana"
    .AddItem "Haiti"
    .AddItem "Honduras"
    .AddItem "Hong Kong"
    .AddItem "Hungary"
    .AddItem "Iceland"
    .AddItem "India"
    .AddItem "Indonesia"
    .AddItem "Iran"
    .AddItem "Iraq"
    .AddItem "Ireland"
    .AddItem "Israel"
    .AddItem "Italy"
    .AddItem "Jamaica"
    .AddItem "Japan"
    .AddItem "Jordan"
    .AddItem "Kazakhstan"
    .AddItem "Kenya"
    .AddItem "Korea, People's Republic of"
    .AddItem "Korea, Republic of"
    .AddItem "Kuwait"
    .AddItem "Kyrgyzstan"
    .AddItem "Lao People's Democratic Republic"
    .AddItem "Latvia"
    .AddItem "Lebanon"
    .AddItem "Liberia"
    .AddItem "Libya"
    .AddItem "Liechtenstein"
    .AddItem "Lithuania"
    .AddItem "Luxembourg"
    .AddItem "Macedonia"
    .AddItem "Madagascar"
    .AddItem "Malaysia"
    .AddItem "Mali"
    .AddItem "Malta"
    .AddItem "Mauritania"
    .AddItem "Mauritius"
    .AddItem "Mexico"
    .AddItem "Moldova"
    .AddItem "Monaco"
    .AddItem "Mongolia"
    .AddItem "Morocco"
    .AddItem "Mozambique"
    .AddItem "Myanmar"
    .AddItem "Nepal"
    .AddItem "Netherlands"
    .AddItem "Netherlands Antilles"
    .AddItem "New Zealand"
    .AddItem "Nicaragua"
    .AddItem "Nigeria"
    .AddItem "Norway"
    .AddItem "Oman"
    .AddItem "Pakistan"
    .AddItem "Panama"
    .AddItem "Papua New Guinea"
    .AddItem "Paraguay"
    .AddItem "Peru"
    .AddItem "Philippines"
    .AddItem "Poland"
    .AddItem "Portugal"
    .AddItem "Puerto Rico"
    .AddItem "Qatar"
    .AddItem "Quebec"
    .AddItem "Romania"
    .AddItem "Russia"
    .AddItem "San Marino"
    .AddItem "Saudi Arabia"
    .AddItem "Senegal"
    .AddItem "Seychelles"
    .AddItem "Sierra Leone"
    .AddItem "Singapore"
    .AddItem "Slovakia"
    .AddItem "Slovenia"
    .AddItem "South Africa"
    .AddItem "Spain"
    .AddItem "Sri Lanka"
    .AddItem "Sudan"
    .AddItem "Surinam"
    .AddItem "Sweden"
    .AddItem "Switzerland"
    .AddItem "Syria"
    .AddItem "Taiwan"
    .AddItem "Tajikistan"
    .AddItem "Thailand"
    .AddItem "Trinidad and Tobago"
    .AddItem "Tunisia"
    .AddItem "Turkey"
    .AddItem "Turkmenistan"
    .AddItem "Uganda"
    .AddItem "Ukraine"
    .AddItem "United Arab Emirates"
    .AddItem "United Kingdom (England)"
    .AddItem "United States"
    .AddItem "Uruguay"
    .AddItem "Uzbekistan"
    .AddItem "Venezuela"
    .AddItem "Vietnam"
    .AddItem "Yemen"
    .AddItem "Yugoslavia"
    .AddItem "Zambia"
    .AddItem "Zimbabwe"
    .AddItem "Soviet Union (USSR)"
End With

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error filling list with country names", vbCritical, "Error"
End Sub

Private Sub InitTitle()

On Error GoTo ErrorHandler

With cboTitle
    .AddItem "GM"
    .AddItem "IM"
    .AddItem "FM"
    .AddItem "WGM"
    .AddItem "WIM"
End With

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error filling title combobox", vbCritical, "Error"
End Sub


