VERSION 5.00
Begin VB.Form frmMarginBar 
   Caption         =   "Margin, Padding etc."
   ClientHeight    =   915
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4065
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   915
   ScaleWidth      =   4065
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   3000
      TabIndex        =   3
      Top             =   480
      Width           =   945
   End
   Begin VB.ComboBox cboUnit 
      Height          =   315
      Left            =   2850
      TabIndex        =   2
      Text            =   "Combo1"
      ToolTipText     =   "Select Measurement Unit"
      Top             =   30
      Width           =   1155
   End
   Begin VB.TextBox txtSize 
      Height          =   315
      Left            =   1890
      TabIndex        =   1
      ToolTipText     =   "Insert Value"
      Top             =   30
      Width           =   885
   End
   Begin VB.ComboBox cboProperty 
      Height          =   315
      Left            =   60
      TabIndex        =   0
      Text            =   "Combo1"
      ToolTipText     =   "Select Property From List"
      Top             =   30
      Width           =   1755
   End
   Begin VB.Label Label1 
      Height          =   375
      Left            =   60
      TabIndex        =   4
      Top             =   480
      Width           =   2715
   End
End
Attribute VB_Name = "frmMarginBar"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Option Compare Text

Private Declare Function SetWindowWord Lib "User32" (ByVal hwnd As Long, _
     ByVal nIndex As Long, ByVal wNewWord As Long) As Long

Private Const MAINFORM = -8

Private MARGINBARFORM As Form


Private Sub cboProperty_Click()
txtSize.SetFocus
End Sub

Private Sub cboUnit_Click()

Select Case cboUnit.Text
    Case "px"
        Label1.Caption = "Pixel"
    Case "pt"
        Label1.Caption = "Points"
    Case "em"
        Label1.Caption = "Width = Character height."
    Case "%"
        Label1.Caption = "Percent. Use with care."
    Case "pc"
        Label1.Caption = "Pica = 12 points."
    Case "mm"
        Label1.Caption = "Millimeter. Use with care."
    Case "cm"
        Label1.Caption = "Centimeter. Use with care."
    Case "in"
        Label1.Caption = "Inches. Use with care."
End Select

End Sub

Private Sub cmdOK_Click()

If Len(txtSize.Text) = 0 Then
    MsgBox "A number is required.", , "How much???"
    Exit Sub
End If

Select Case cboProperty.Text
    Case "Margin left"
        cLayouts(lAL).StyleSheet(lAS).MarginLeft = txtSize.Text & cboUnit.Text
    
    Case "Margin right"
        cLayouts(lAL).StyleSheet(lAS).MarginRight = txtSize.Text & cboUnit.Text
    
    Case "Margin top"
        cLayouts(lAL).StyleSheet(lAS).MarginTop = txtSize.Text & cboUnit.Text
    
    Case "Margin bottom"
        cLayouts(lAL).StyleSheet(lAS).MarginBottom = txtSize.Text & cboUnit.Text
    
    Case "Text indent"
        cLayouts(lAL).StyleSheet(lAS).TextIndent = txtSize.Text & cboUnit.Text
    
    Case "Padding left"
        cLayouts(lAL).StyleSheet(lAS).PaddingLeft = txtSize.Text & cboUnit.Text
    
    Case "Padding right"
        cLayouts(lAL).StyleSheet(lAS).PaddingRight = txtSize.Text & cboUnit.Text
    
    Case "Padding top"
        cLayouts(lAL).StyleSheet(lAS).PaddingTop = txtSize.Text & cboUnit.Text
    
    Case "Padding bottom"
        cLayouts(lAL).StyleSheet(lAS).PaddingBottom = txtSize.Text & cboUnit.Text
    
    Case "Padding"
        cLayouts(lAL).StyleSheet(lAS).Padding = txtSize.Text & cboUnit.Text
    
    Case "Line height"
        cLayouts(lAL).StyleSheet(lAS).LineHeight = txtSize.Text & cboUnit.Text

End Select

frmPgnText.UpdateCssToolBar

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Error in procedure OK_Click " & _
"in floating toolbar frmMarginBar.", vbCritical, "Error"
End Sub

Private Sub Form_Load()
    Left = MarginBarPositionX
    Top = MarginBarPositionY
End Sub
Private Sub Form_Activate()
'Saves current X/Y position

On Error Resume Next
MarginBarPositionX = Left
MarginBarPositionY = Top


End Sub


Public Sub LoadMarginBar(frm As Form)

Set MARGINBARFORM = frm
Call SetWindowWord(hwnd, MAINFORM, MARGINBARFORM.hwnd)
    
FillPropertyCombo
FillUnitCombo

Show
    
End Sub

Public Sub UnloadMarginBar()

    Unload Me

End Sub


Private Sub Form_Unload(Cancel As Integer)

'Save CssBar position
MarginBarPositionX = Left
MarginBarPositionY = Top

If bUnloadMarginBar = False Then
    Cancel = 1
    bMarginBarVisible = False
    fMainForm.mnuViewMargin.Checked = False
    Hide
End If
    
End Sub


Private Sub FillPropertyCombo()
'Fills the combobox with a list of desciptors.

On Error GoTo ErrorHandler

With cboProperty
    .AddItem "Margin left"
    .AddItem "Margin right"
    .AddItem "Margin top"
    .AddItem "Margin bottom"
    .AddItem "Text indent"
    .AddItem "Padding left"
    .AddItem "Padding right"
    .AddItem "Padding top"
    .AddItem "Padding bottom"
    .AddItem "Padding"
    .AddItem "Line height"
    .Text = "Margin left"
End With


Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & "Error in procedure FillPropertyCombo " & _
"in floating toolbar frmMarginBar.", vbCritical, "Error"
End Sub

Private Sub FillUnitCombo()

With cboUnit
    .AddItem "px"
    .AddItem "pt"
    .AddItem "em"
    .AddItem "%"
    .AddItem "pc"
    .AddItem "cm"
    .AddItem "mm"
    .AddItem "in"
    .Text = "px"
End With
End Sub

Private Sub txtSize_KeyPress(KeyAscii As Integer)
'This eventhandler ensures that only numbers or
'decimalseparators are entered into the size textbox.
'If the key pressed isn't accepted, the key is changed to nothing.

If KeyAscii = 8 Then Exit Sub   'Exit if backspace

'Some countries use comma as decimal separator.
If KeyAscii = Asc(",") Then KeyAscii = Asc(".")

If KeyAscii < Asc("0") Or KeyAscii > Asc("9") Then
    KeyAscii = 0
End If

End Sub
