VERSION 5.00
Object = "{3B7C8863-D78F-101B-B9B5-04021C009402}#1.1#0"; "RICHTX32.OCX"
Begin VB.Form frmPgnEdit 
   Caption         =   "Form1"
   ClientHeight    =   4815
   ClientLeft      =   165
   ClientTop       =   450
   ClientWidth     =   8130
   Icon            =   "frmPgnEdit.frx":0000
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   4815
   ScaleWidth      =   8130
   Begin VB.CommandButton cmdOK 
      Caption         =   "&Save"
      Height          =   315
      Left            =   5700
      TabIndex        =   1
      ToolTipText     =   "Save Html Template"
      Top             =   4410
      Width           =   975
   End
   Begin VB.CommandButton cmdHelp 
      Height          =   315
      Left            =   5220
      Picture         =   "frmPgnEdit.frx":06EA
      Style           =   1  'Graphical
      TabIndex        =   2
      ToolTipText     =   "Help"
      Top             =   4410
      Width           =   255
   End
   Begin RichTextLib.RichTextBox rtbText 
      Height          =   4275
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   6705
      _ExtentX        =   11827
      _ExtentY        =   7541
      _Version        =   327681
      Enabled         =   -1  'True
      ScrollBars      =   3
      TextRTF         =   $"frmPgnEdit.frx":07EC
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
   Begin VB.Menu mnuFiles 
      Caption         =   "&File"
      Begin VB.Menu mnuFilesSave 
         Caption         =   "&Save Pgn"
         Shortcut        =   ^S
      End
      Begin VB.Menu mnuFileRevert 
         Caption         =   "Revert &To Saved Pgn"
      End
      Begin VB.Menu mnuFileRestore 
         Caption         =   "&Restore Original Pgn"
      End
      Begin VB.Menu mnuFileBar1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileClose 
         Caption         =   "&Close"
         Shortcut        =   ^Q
      End
   End
   Begin VB.Menu mnuEdit 
      Caption         =   "&Edit"
      Begin VB.Menu mnuEditEvent 
         Caption         =   "Cu&t"
         Index           =   0
      End
      Begin VB.Menu mnuEditEvent 
         Caption         =   "&Copy"
         Index           =   1
      End
      Begin VB.Menu mnuEditEvent 
         Caption         =   "&Paste"
         Index           =   2
      End
      Begin VB.Menu mnuEditEvent 
         Caption         =   "&Find"
         Index           =   3
         Shortcut        =   ^F
      End
   End
   Begin VB.Menu mnuPlayerInfo 
      Caption         =   "&Players"
      Begin VB.Menu mnuPlayersSupply 
         Caption         =   "&Supply Player Info..."
      End
      Begin VB.Menu mnuPlayersTags 
         Caption         =   "Update &All Game Tags"
         Index           =   0
      End
      Begin VB.Menu mnuPlayersTags 
         Caption         =   "Update Game Tags &One Event..."
         Index           =   1
      End
   End
   Begin VB.Menu mnuAnnotator 
      Caption         =   "&Annotator"
      Begin VB.Menu mnuAnnoInsertTag 
         Caption         =   "&Insert Annotator Tag At Cursor..."
      End
      Begin VB.Menu mnuAnnoSingle 
         Caption         =   "Annotator For Single Comment (at cursor)..."
      End
   End
   Begin VB.Menu mnuStartPos 
      Caption         =   "&Start Position"
      Begin VB.Menu mnuStartPosPreset 
         Caption         =   "&Preset Diagram Position At Ply x..."
      End
      Begin VB.Menu mnuStartPosSetup 
         Caption         =   "&Setup Start Position (FEN)..."
      End
   End
   Begin VB.Menu mnuDiagrams 
      Caption         =   "&Diagrams"
      Begin VB.Menu mnuDiagramsStatic 
         Caption         =   "Static Diagram At Cursor"
         Index           =   0
      End
      Begin VB.Menu mnuDiagramsStatic 
         Caption         =   "Static Captioned Diagram At Cursor..."
         Index           =   1
      End
      Begin VB.Menu mnuDiagramsSetup 
         Caption         =   "Setup Captioned Diagram..."
      End
   End
   Begin VB.Menu mnuGameCaption 
      Caption         =   "&Game Caption"
   End
   Begin VB.Menu mnuColumn 
      Caption         =   "&Column Break"
   End
End
Attribute VB_Name = "frmPgnEdit"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim lStart As Long
Dim sPgnFile As String

Private Sub cmdOK_Click()
mnuFilesSave_Click
End Sub

Private Sub Form_Activate()
Dim lCount As Long

With fMainForm.tbToolBar
    For lCount = lStart To 8
        .Buttons(lCount).Visible = True
    Next
End With
bpubPgnEdit = True
End Sub

Private Sub Form_Deactivate()
Dim lCount As Long

On Error GoTo ErrorHandle

With fMainForm.tbToolBar
    For lCount = lStart To .Buttons.Count
        .Buttons(lCount).Visible = False
    Next
End With
bpubPgnEdit = False
Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure Form_Deactivate, frmPgnEdit", vbCritical, "Error"
End Sub

Private Sub Form_Load()
Dim sText As String
Dim lCount As Long

On Error GoTo ErrorHandle

With cWebPages(lAW).PgnFiles(1)
    sPgnFile = .FilePath
    If .EventList Is Nothing Then .MakeGameList
    If .EventList.Count < 2 Then
        mnuPlayersTags(1).Enabled = False
    End If
End With

With rtbText
    .Font = "Courier New"
    .Font.Size = 10
    If .Font <> "Courier New" Then .Font = "MS Sans Serif"
End With

If Len(Dir(sPgnFile)) > 0 Then
    Call LoadTextFile(sPgnFile, sText)
    rtbText.Text = sText
    sText = Empty
Else
    Exit Sub
End If

Me.Caption = Dir(sPgnFile)
Me.Tag = cWebPages(lAW).Key

With cWebPages(Me.Tag).PgnFiles(1)
    .PgnBackup = App.path & "\Backup\" & Dir(sPgnFile)
    FileCopy sPgnFile, .PgnBackup
End With

If cWebPages(Me.Tag).Layout.Ini2.HtmlType = "magazine" Then
    lStart = 2
    mnuColumn.Visible = True
Else
    mnuColumn.Visible = False
    lStart = 3
End If

With fMainForm.tbToolBar
    For lCount = lStart To 8
        .Buttons(lCount).Visible = True
    Next
End With

cWebPages(lAW).PgnEditorOpen = True
bpubPgnEdit = True
Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Loading frmPgnEdit", vbCritical, "Error"
End Sub

Private Sub Form_Resize()

On Error Resume Next

With rtbText
    .Left = Me.ScaleLeft + 100
    .Width = Me.ScaleWidth - 200
    .Top = Me.ScaleTop + 100
    .Height = Me.ScaleHeight - 800
End With

With cmdOK
    .Top = Me.ScaleHeight - 500
    .Left = Me.ScaleWidth - 1100
    cmdHelp.Top = .Top
    cmdHelp.Left = .Left - 750
End With

End Sub

Private Sub Form_Unload(Cancel As Integer)
Dim lCount As Long

On Error Resume Next
With fMainForm.tbToolBar
    For lCount = lStart To .Buttons.Count
        .Buttons(lCount).Visible = False
    Next
End With
bpubPgnEdit = False
cWebPages(Me.Tag).PgnEditorOpen = False
End Sub

Private Sub mnuAnnoInsertTag_Click()
Dim sAnno As String

On Error GoTo ErrorHandle

sInput1 = "Annotator Info"
sAction = "anno"

frmInput.Show vbModal

If Len(sInput1) > 0 And sInput1 <> "Cancel" Then
    sAnno = "[Annotator """ & sInput1 & """]" & Chr(10)
End If
If Len(sInput2) > 0 Then
    sAnno = sAnno & "[AnnoCountry """ & sInput2 & """]" & Chr(10)
End If
If Len(sInput3) > 0 Then
    sAnno = sAnno & "[AnnoTitle """ & sInput3 & """]" & Chr(10)
End If
If Len(sAction2) > 0 Then
    sAnno = sAnno & "[AnnoElo """ & sAction2 & """]" & Chr(10)
End If

If Len(sAnno) > 0 Then
    rtbText.SelText = sAnno
End If


ByBy:
sAction = Empty
sAction2 = Empty
sInput1 = Empty
sInput2 = Empty
sInput3 = Empty
Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure mnuAnnoInsertTag_Click, frmPgnEdit", vbCritical, "Error"
End Sub

Private Sub mnuAnnoSingle_Click()
On Error GoTo ErrorHandle

sInput1 = "Annotator"
sInput2 = "Cursor must be inside a {comment...}. The name will be formatted as defined in the css class .panno"

frmInput.Show vbModal

If Len(sInput1) = 0 Or sInput1 = "Cancel" Then GoTo ByBy
rtbText.SelText = "[%anno """ & sInput1 & """]"

ByBy:
sInput1 = Empty
sInput2 = Empty
Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure mnuAnnoSingle_Click, frmPgnEdit", vbCritical, "Error"
End Sub

Private Sub mnuColumn_Click()

On Error GoTo ErrorHandle
rtbText.SelText = "{[%palview colbreak]}"
Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure mnuColumn_Click, frmPgnEdit", vbCritical, "Error"
End Sub

Private Sub mnuDiagramsSetup_Click()
Dim sFenImg As String

On Error GoTo ErrorHandle

sFenImg = cWebPages(Me.Tag).Layout.Pathpieces & "\fenimg.gif"

If Len(Dir(sFenImg)) = 0 Then
    MsgBox "A captioned diagram is shown on the board when an image, " & _
    "fenimg.gif, in the pgn move text is clicked. This image " & _
    "must be in the same folder as the chess pieces." & vbNewLine & vbNewLine & "Remember " & _
    "to copy the image to the folder, or it cannot be displayed. You can use any gif image " & _
    "you like, but if you don't use a small one the move text will look strange :-)", vbInformation, "Missing Image"
End If

sAction = "capdia"
frmDiagram.Show vbModal
If Len(sAction2) = 0 Then GoTo ByBy
rtbText.SelText = sAction2

ByBy:
sAction = Empty
sAction2 = Empty
Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure mnuDiagramsSetup_Click, frmPgnEdit", vbCritical, "Error"
End Sub

Private Sub mnuDiagramsStatic_Click(Index As Integer)
Dim sText As String

On Error GoTo ErrorHandle

Select Case Index
    Case 0
        rtbText.SelText = "{#}"
    Case 1
        sInput1 = "Diagram Caption"
        sInput2 = "Write the text that you want as diagram caption, e.g. ""Petroff Defence"". " & _
        "The caption will appear below the diagram."
        frmInput.Show vbModal
        If sInput1 = "Cancel" Then
            GoTo ByBy
        Else
            sText = "{#[" & sInput1 & "]}"
            rtbText.SelText = sText
        End If
End Select

ByBy:
sInput1 = Empty
sInput2 = Empty
sInput3 = Empty
Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure mnuDiagramsStatic_Click, frmPgnEdit", vbCritical, "Error"
End Sub

Sub mnuEditEvent_Click(Index As Integer)
Static sFindTxt As String

On Error GoTo ErrorHandle

Select Case Index
    Case 0
        With Clipboard
            .Clear
            .SetText rtbText.SelText
        End With
        rtbText.SelText = ""
    Case 1
        With Clipboard
            .Clear
            .SetText rtbText.SelText
        End With
    Case 2
        rtbText.SelText = Clipboard.GetText
    Case 3
        sAction = "Find"
        sAction2 = "pgn"
        sInput1 = "Find"
        sInput2 = "Find what:"
        sInput3 = sFindTxt
        frmInput.Show vbModal
        If sInput1 <> "Cancel" Then sFindTxt = sInput1
        sInput1 = Empty
        sInput2 = Empty
        sInput3 = Empty
        sAction = Empty
        sAction2 = Empty
End Select

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure mnuEditEvent_Click, frmPgnEdit", vbCritical, "Error"
End Sub

Private Sub mnuFileClose_Click()
Unload Me
End Sub

Private Sub mnuFileRestore_Click()
Dim sText As String

On Error GoTo ErrorHandle

With cWebPages(Me.Tag).PgnFiles(1)
    FileCopy .PgnBackup, .FilePath
    Call LoadTextFile(.FilePath, sText)
    rtbText.Text = sText
    sText = Empty
End With
UpdateParent
Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure mnuFileRestore_Click, frmPgnEdit", vbCritical, "Error"

End Sub

Private Sub mnuFileRevert_Click()
'Reads the last saved pgn file into the text window.

Dim sTemp As String

On Error GoTo ErrorHandle

Call LoadTextFile(cWebPages(Me.Tag).PgnFiles(1).FilePath, sTemp)

rtbText.Text = sTemp

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure mnuFileRevert_Click, frmPgnEdit", vbCritical, "Error"

End Sub

Sub mnuFilesSave_Click()
Dim sFile As String

On Error GoTo ErrorHandle

With cWebPages(Me.Tag)
    sFile = .PgnFiles(1).FilePath
    Savefile sFile, rtbText.Text, False, True
    .Changed = True
End With

UpdateParent

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure mnuFilesSave, frmPgnEdit", vbCritical, "Error"

End Sub
Private Sub UpdateParent()
'Updates the associated webpage's html collection
'and the pgnfile's various collections based on the pgn information.
'This is done whenever the pgn file is saved, because the user may
'have deleted or added games or changed some vital information in a tag.

Dim lCount As Long

On Error GoTo ErrorHandle

Screen.MousePointer = vbHourglass

With cWebPages
    For lCount = 1 To .Count
        If Me.Tag = .Item(lCount).Key Then
            lAW = lCount
            lAL = lCount
            Exit For
        End If
    Next
    .BuildHtmlNameCollection
    .Item(lAW).PgnFiles(1).MakeGameList
    .Item(lAW).PgnFiles(1).MakePlayerList
End With

Screen.MousePointer = vbDefault
Exit Sub
ErrorHandle:
Screen.MousePointer = vbDefault
MsgBox Err.Description & vbNewLine & "Procedure UpdateParent, frmPgnEdit", vbCritical, "Error"
End Sub

Private Sub mnuGameCaption_Click()
Dim sCaption As String

On Error GoTo ErrorHandle

sInput1 = "Game Caption"
sAction = "gamecaption"
sInput2 = "The text you write below will appear as a caption below the chess board, " & _
"when the page opens. This is useful for e.g. problems - for instance ""White to move<BR>Mate in 2""" & _
"Notice the <BR> that will be read as an Html tag and perform a linebreak." & vbNewLine & "The Caption " & _
"tag is not pgn standard and must be one of the game's header tags."

frmInput.Show vbModal

If Len(sInput1) > 0 And sInput1 <> "Cancel" Then
    sCaption = "[Caption """ & sInput1 & """]" & Chr(10)
End If

If Len(sCaption) > 0 Then
    rtbText.SelText = sCaption
End If


ByBy:
sAction = Empty
sAction2 = Empty
sInput1 = Empty
sInput2 = Empty
sInput3 = Empty
Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure mnuGameCaption_Click, frmPgnEdit", vbCritical, "Error"

End Sub

Private Sub mnuPlayersTags_Click(Index As Integer)

Dim bOneEvent As Boolean
Dim bPrompt As Boolean          'True if we're to prompt the user before each tag change
Dim bEditTags As Boolean
Dim bEditWhite As Boolean
Dim bEditBlack As Boolean
Dim bChangeWCountry As Boolean
Dim bChangeBCountry As Boolean
Dim bChangeWTitle As Boolean
Dim bChangeBTitle As Boolean
Dim bChangeWElo As Boolean
Dim bChangeBElo As Boolean
Dim bDifferent As Boolean       'True if some tag value is different from the one in the players collection
Dim bReplaceAll As Boolean
Dim bTagSection As Boolean
Dim lCommentBegin As Long
Dim lCommentEnd As Long
Dim lGameNumber As Long
Dim lLineNumber As Long
Dim lPlCount As Long
Dim lPos As Long
Dim lPos2 As Long
Dim lLinePos As Long
Dim lLinePos2 As Long
Dim lSemiPos As Long
Dim lTagSectionBegin As Long
Dim lTagStart As Long
Dim lTagEnd As Long
Dim lTagInLine As Long
Dim lTagLineNb As Long
Dim lResultLineEnd As Long    'Where the line with the result ends
Dim lCount As Long
Dim sEvent As String
Dim sTxtEvent As String
Dim sLine As String
Dim sChar As String * 1
Dim stag As String
Dim sPlayer As String
Dim sTagString As String
Dim sWhitePlayer As String
Dim sBlackPlayer As String
Dim sWhiteCountry As String
Dim sBlackCountry As String
Dim sWhiteTitle As String
Dim sBlackTitle As String
Dim sWhiteElo As String
Dim sBlackElo As String
Dim sNewTags As String
Dim sAnswer As String
Dim sText As String
Dim sTempPl As String

On Error GoTo ErrorHandle

If cWebPages(Me.Tag).PgnFiles(1).Players.Count = 0 Then
    MsgBox "Please provide player information first.", vbInformation, "No Player Information"
    Exit Sub
End If

sText = rtbText.Text

If Index = 1 Then
    If cWebPages(Me.Tag).PgnFiles(1).EventList.Count > 0 Then
        sAction = Me.Tag
        sAction2 = "Event"
        frmPgnHandler.Show vbModal
        If Len(sAction2) > 0 And sAction2 <> "Event" Then
            bOneEvent = True
            sEvent = sAction2
        End If
        sAction = Empty
        sAction2 = Empty
    End If
End If

lPos = 1
lLineNumber = 0
Do
    'Finds next line feed character
    lPos2 = InStr(lPos, sText, Chr(10))
    
    'Exit if end of text
    If lPos2 = 0 Then Exit Do
    lLineNumber = lLineNumber + 1
    If lPos2 = lPos Then
        If bTagSection Then
            bTagSection = False
        End If
        GoTo NextLine
    End If
    sLine = Mid$(sText, lPos, lPos2 - lPos - 1)
            
    'Check for "%" in first column.
    sChar = Left$(sLine, 1)
    If sChar = "%" Then GoTo NextLine
        
    'Check if there's a comment begin in the line
    lCommentBegin = InStr(1, sLine, "{")
    If lCommentBegin > 0 Then
        lCommentEnd = InStr(lPos + lCommentBegin, sText, "}")
        If lCommentEnd = 0 Then
            MsgBox "Missing } to mark end of comment that begins in line " & lLineNumber, vbCritical, "Missing Curly Bracket"
        End If
        'If the "{" is the string's first character, we continue
        'after the closing "}".
        If lCommentBegin = 1 Then
            lPos2 = lCommentEnd
            GoTo NextLine
        End If
    End If
    
    'We now parse the line for Tags
    lLinePos = 1
    lTagInLine = 0
    Do
        lTagStart = InStr(lLinePos, sLine, "[")
        'If lTagStart = 0 Then GoTo NextLine
        If lTagStart = 0 And bTagSection = False Then GoTo NextLine
        
        'If we have come to the first tag-free line after the tag-section,
        'it is time to insert or edit tags.
        If lTagStart = 0 And bTagSection Then
            'If it is a new line without tags
            If lTagLineNb <> lLineNumber Then
                'If we haven't started editing tags, we check
                'whether the players are known.
                'If it is tags for one event only, only games from
                'the chosen event are changed.
                If bEditTags = False Then
                    lGameNumber = lGameNumber + 1
                    If bOneEvent And sTxtEvent <> sEvent Then
                        bTagSection = False
                        GoTo NextLine
                    End If
                    bTagSection = False
                    lPlCount = cWebPages(Me.Tag).PgnFiles(1).Players.Count
                    bEditWhite = False
                    bEditBlack = False
                    
                    If lPlCount > 0 Then
                        For lCount = 1 To lPlCount
                            sTempPl = cWebPages(Me.Tag).PgnFiles(1).Players(lCount).Key
                            If sWhitePlayer = sTempPl Then
                                bEditWhite = True
                                If bEditBlack Then Exit For
                            End If
                            If sBlackPlayer = sTempPl Then
                                bEditBlack = True
                                If bEditWhite Then Exit For
                            End If
                        Next
                    End If
                    
                    'If one of the players is known we set the editflag to true
                    If bEditWhite Or bEditBlack Then
                        bEditTags = True
                    Else
                        bTagSection = False
                        GoTo NextLine
                    End If
                End If
                
                If bEditTags = True Then
                    If lResultLineEnd = 0 Then
                        MsgBox "Missing Result Tag around line " & lLineNumber - 1, vbCritical, "Missing Result"
                        GoTo ByBy
                    End If

                    With cWebPages(Me.Tag).PgnFiles(1)
                        sTagString = .Players(sWhitePlayer).CountryCode
                        If Len(sWhiteCountry) = 0 Then
                            If Len(sTagString) > 0 Then
                                sNewTags = "[WhiteCountry " & """" & sTagString & """" & "]" & Chr(10)
                            End If
                        Else
                            If sWhiteCountry <> sTagString And Len(sTagString) > 0 Then
                                bChangeWCountry = True
                                bDifferent = True
                            End If
                        End If
                                                
                        sTagString = .Players(sBlackPlayer).CountryCode
                        If Len(sBlackCountry) = 0 Then
                            If Len(sTagString) > 0 Then
                                sNewTags = sNewTags & "[BlackCountry " & """" & sTagString & """" & "]" & Chr(10)
                            End If
                        Else
                            If sBlackCountry <> sTagString And Len(sTagString) > 0 Then
                                bChangeBCountry = True
                                bDifferent = True
                            End If
                        End If

                        
                        sTagString = .Players(sWhitePlayer).Title
                        If Len(sWhiteTitle) = 0 Then
                            If Len(sTagString) > 0 Then
                                sNewTags = sNewTags & "[WhiteTitle " & """" & sTagString & """" & "]" & Chr(10)
                            End If
                        Else
                            If sWhiteTitle <> sTagString And Len(sTagString) > 0 Then
                                bChangeWTitle = True
                                bDifferent = True
                            End If
                        End If
                        
                        sTagString = .Players(sBlackPlayer).Title
                        If Len(sBlackTitle) = 0 Then
                            If Len(sTagString) > 0 Then
                                sNewTags = sNewTags & "[BlackTitle " & """" & sTagString & """" & "]" & Chr(10)
                            End If
                        Else
                            If sBlackTitle <> sTagString And Len(sTagString) > 0 Then
                                bChangeBTitle = True
                                bDifferent = True
                            End If
                        End If
                        
                        sTagString = .Players(sWhitePlayer).Elo
                        If Len(sWhiteElo) = 0 Then
                            If Len(sTagString) > 0 Then
                                sNewTags = sNewTags & "[WhiteElo " & """" & sTagString & """" & "]" & Chr(10)
                            End If
                        Else
                            If sWhiteElo <> sTagString And Len(sTagString) > 0 Then
                                bChangeWElo = True
                                bDifferent = True
                            End If
                        End If
                        
                        sTagString = .Players(sBlackPlayer).Elo
                        If Len(sBlackElo) = 0 Then
                            If Len(sTagString) > 0 Then
                                sNewTags = sNewTags & "[BlackElo " & """" & sTagString & """" & "]" & Chr(10)
                            End If
                        Else
                            If sBlackElo <> sTagString And Len(sTagString) > 0 Then
                                bChangeBElo = True
                                bDifferent = True
                            End If
                        End If
                    End With
                    
                    If Len(sNewTags) > 0 Then
                        If Right$(sNewTags, 1) = Chr(10) Then sNewTags = Left$(sNewTags, Len(sNewTags) - 1)
                        sText = Left$(sText, lResultLineEnd) & sNewTags & Right$(sText, Len(sText) - lResultLineEnd + 1)
                    End If
                    If bDifferent Then
                        If bReplaceAll = False And bPrompt = False Then
                            sAnswer = MsgBox("One or more tags in game number " & lGameNumber & ", " & sWhitePlayer & " - " & sBlackPlayer & _
                            " as written in the pgn file are different from the value(s) " & _
                            "in the player information. Do you want PalMate to replace " & _
                            "the values in the pgn file with the values provided in the player " & _
                            "information?" & vbNewLine & vbNewLine & "If you click " & _
                            "YES all values in the file will be replaced. If you click NO, all different " & _
                            "values will remain unchanged.", vbYesNo + vbQuestion, "Replace?")
                            If sAnswer = vbYes Then bReplaceAll = True
                            If sAnswer = vbNo Then bPrompt = True
                        End If
                    End If
                    If bDifferent And bReplaceAll Then
                        With cWebPages(Me.Tag).PgnFiles(1)
                            If bChangeWCountry Then
                                sTagString = .Players(sWhitePlayer).CountryCode
                                lTagStart = InStr(lTagSectionBegin, sText, "WhiteCountry")
                                lTagStart = InStr(lTagStart + 1, sText, """")
                                lTagEnd = InStr(lTagStart + 1, sText, """")
                                sText = Left$(sText, lTagStart) & sTagString & Right$(sText, Len(sText) - lTagEnd + 1)
                                bChangeWCountry = False
                            End If
                            If bChangeBCountry Then
                                sTagString = .Players(sBlackPlayer).CountryCode
                                lTagStart = InStr(lTagSectionBegin, sText, "BlackCountry")
                                lTagStart = InStr(lTagStart + 1, sText, """")
                                lTagEnd = InStr(lTagStart + 1, sText, """")
                                sText = Left$(sText, lTagStart) & sTagString & Right$(sText, Len(sText) - lTagEnd + 1)
                                bChangeBCountry = False
                            End If
                            If bChangeWTitle Then
                                sTagString = .Players(sWhitePlayer).Title
                                lTagStart = InStr(lTagSectionBegin, sText, "WhiteTitle")
                                lTagStart = InStr(lTagStart + 1, sText, """")
                                lTagEnd = InStr(lTagStart + 1, sText, """")
                                sText = Left$(sText, lTagStart) & sTagString & Right$(sText, Len(sText) - lTagEnd + 1)
                                bChangeWTitle = False
                            End If
                            If bChangeBTitle Then
                                sTagString = .Players(sBlackPlayer).Title
                                lTagStart = InStr(lTagSectionBegin, sText, "BlackTitle")
                                lTagStart = InStr(lTagStart + 1, sText, """")
                                lTagEnd = InStr(lTagStart + 1, sText, """")
                                sText = Left$(sText, lTagStart) & sTagString & Right$(sText, Len(sText) - lTagEnd + 1)
                                bChangeBTitle = False
                            End If
                            If bChangeWElo Then
                                sTagString = .Players(sWhitePlayer).Elo
                                lTagStart = InStr(lTagSectionBegin, sText, "WhiteElo")
                                lTagStart = InStr(lTagStart + 1, sText, """")
                                lTagEnd = InStr(lTagStart + 1, sText, """")
                                sText = Left$(sText, lTagStart) & sTagString & Right$(sText, Len(sText) - lTagEnd + 1)
                                bChangeWElo = False
                            End If
                            If bChangeBElo Then
                                sTagString = .Players(sBlackPlayer).Elo
                                lTagStart = InStr(lTagSectionBegin, sText, "BlackElo")
                                lTagStart = InStr(lTagStart + 1, sText, """")
                                lTagEnd = InStr(lTagStart + 1, sText, """")
                                sText = Left$(sText, lTagStart) & sTagString & Right$(sText, Len(sText) - lTagEnd + 1)
                                bChangeBElo = False
                            End If
                        End With
                    End If
                    bDifferent = False
                    bTagSection = False
                    bEditTags = False
                    sTxtEvent = Empty
                    sWhiteCountry = Empty
                    sBlackCountry = Empty
                    sWhiteTitle = Empty
                    sBlackTitle = Empty
                    sWhiteElo = Empty
                    sBlackElo = Empty
                    lPos2 = lPos2 + Len(sNewTags)
                    sNewTags = Empty
                    lResultLineEnd = 0
                    GoTo NextLine
                End If
            Else
                GoTo NextLine
            End If
        End If
        
        If lTagStart > lCommentBegin And lTagStart + lPos < lCommentEnd Then
            lPos2 = lCommentEnd
            GoTo NextLine
        End If
        lTagLineNb = lLineNumber
        lTagInLine = lTagInLine + 1
        If lTagInLine = 1 And bTagSection = False Then
            lTagSectionBegin = lTagStart + lPos - 1
        End If
        'If it is the second tag, we insert a linefeed.
        If lTagInLine > 1 Then
            sText = Left$(sText, lTagStart + lPos - 2) & Chr(10) & Right$(sText, Len(sText) - lTagStart - lPos + 2)
            GoTo NextLine
        End If
        lTagEnd = InStr(lTagStart + lPos, sText, "]")
        'Extract the tag-string
        sTagString = Mid$(sText, lTagStart + lPos, lTagEnd - lTagStart - lPos)
        'The tag itself is extracted, e.g. "Event" or "Date"
        stag = ExtractTag(sTagString)
        'Flag for tag-section (not game)
        bTagSection = True
        
        Select Case stag
            Case "Event"
                sTxtEvent = TagValue(sTagString)
            Case "White", "Black"
                sPlayer = TagValue(sTagString)
                If bAbort = True Then
                    bAbort = False
                    MsgBox "Missing "" in Pgn tag " & sTagString & " line number " & lLineNumber, vbCritical, "Error In Pgn"
                    GoTo ByBy
                End If
                If stag = "White" Then
                    sWhitePlayer = sPlayer
                Else
                    sBlackPlayer = sPlayer
                End If
            Case "WhiteCountry"
                sWhiteCountry = TagValue(sTagString)
            Case "BlackCountry"
                sBlackCountry = TagValue(sTagString)
            Case "WhiteTitle"
                sWhiteTitle = TagValue(sTagString)
            Case "BlackTitle"
                sBlackTitle = TagValue(sTagString)
            Case "WhiteElo"
                sWhiteElo = TagValue(sTagString)
            Case "BlackElo"
                sBlackElo = TagValue(sTagString)
            Case "Result"
                lResultLineEnd = lPos2 'Position saved for later tag insertion
        End Select
                        
        If lTagEnd > lPos2 Then
            lPos2 = lTagEnd
            GoTo NextLine
        End If
        lLinePos = lTagEnd + 1 - lPos
    Loop
    
NextLine:
    lPos = lPos2 + 1
    If lPos > Len(sText) Then Exit Do
Loop


ByBy:
rtbText.Text = sText

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure PlayersTags", vbCritical, "Error"
End Sub
Function ExtractTag(ByVal sString As String) As String
Dim lCount As Long
Dim sChar As String * 1

On Error GoTo ErrorHandle

lCount = 1

For lCount = 1 To Len(sString)
    sChar = Mid$(sString, lCount, 1)
    If dhIsCharAlphanumeric(sChar) Then
        Exit For
    Else
        sChar = Empty
    End If
Next

ExtractTag = ExtractTag & sChar
lCount = lCount + 1

For lCount = lCount To Len(sString)
    sChar = Mid$(sString, lCount, 1)
    If dhIsCharAlphanumeric(sChar) = False Then Exit For
    ExtractTag = ExtractTag & sChar
Next

Exit Function
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Function ExtractTag", vbCritical, "Error"
End Function
Function TagValue(ByVal sTagText As String) As String
Dim lPos As Long
Dim lPos2 As Long

On Error GoTo ErrorHandle

lPos = InStr(1, sTagText, """")
If lPos = 0 Then
    bAbort = True
    Exit Function
End If

lPos2 = InStr(lPos + 1, sTagText, """")
If lPos2 = 0 Then
    bAbort = True
    Exit Function
End If

TagValue = Mid$(sTagText, lPos + 1, lPos2 - lPos - 1)
TagValue = StripChar(TagValue, ".", ", ", ")", "-")

Exit Function
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Function TagValue", vbCritical, "Error"

End Function

Private Sub mnuPlayersSupply_Click()

On Error GoTo ErrorHandle

sAction = "pgneditsupply"
frmPlayers.Show
sAction = Empty

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure mnuPlayersSupply_Click", vbCritical, "Error"
sAction = Empty
End Sub
Private Sub mnuStartPosPreset_Click()

On Error GoTo ErrorHandle
sAction = "startply"
sInput2 = "Insert positions's ply number. Ply is a half move; " & _
"for instance the ply number of white's second move is 3."

frmInput.Show vbModal

If sInput1 = "Cancel" Then
    GoTo ByBy
End If

With rtbText
    .SelText = "[JsCom ""startply " & sInput1 & ":" & sInput2 & """" & "]" & Chr(10)
End With

ByBy:
sAction = Empty
sInput1 = Empty
sInput2 = Empty

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure mnuStartPosPreset_Click, frmPgnEdit", vbCritical, "Error"
End Sub

Private Sub mnuStartPosSetup_Click()

On Error GoTo ErrorHandle

sAction = "fen"

frmDiagram.Show vbModal

rtbText.SelText = sAction2
rtbText.SetFocus
sAction = Empty
sAction2 = Empty

Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure mnuStartPosSetup_Click, frmPgnEdit", vbCritical, "Error"
End Sub

Private Sub cmdHelp_Click()
Dim sHelpUrl As String

sHelpUrl = App.path & "\help\pgneditor.htm"

Call ShowHelp(sHelpUrl)


End Sub

