VERSION 5.00
Begin VB.Form frmPgnHandler 
   Caption         =   "Select games"
   ClientHeight    =   6285
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5700
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmPgnHandler.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6285
   ScaleWidth      =   5700
   StartUpPosition =   1  'CenterOwner
   Begin VB.ListBox lboEvents 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   4935
      ItemData        =   "frmPgnHandler.frx":06EA
      Left            =   150
      List            =   "frmPgnHandler.frx":06EC
      TabIndex        =   4
      ToolTipText     =   "Click to select an event"
      Top             =   660
      Width           =   5355
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   3462
      TabIndex        =   3
      Top             =   5790
      Width           =   950
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   4560
      TabIndex        =   2
      Top             =   5790
      Width           =   950
   End
   Begin VB.ListBox lboGames 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   5010
      ItemData        =   "frmPgnHandler.frx":06EE
      Left            =   150
      List            =   "frmPgnHandler.frx":06F0
      Style           =   1  'Checkbox
      TabIndex        =   0
      ToolTipText     =   "Click to select a game"
      Top             =   630
      Width           =   5355
   End
   Begin VB.Label lblGames 
      Caption         =   "Select the games you want to convert. Selected games are copied to a new file."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   465
      Left            =   150
      TabIndex        =   1
      Top             =   150
      Width           =   5325
   End
End
Attribute VB_Name = "frmPgnHandler"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim sHelpUrl As String
Dim objPgnFile As Object


Private Sub cmdCancel_Click()
Unload Me
sAction = Empty
sAction2 = Empty
fMainForm.SetFocus
End Sub

Private Sub cmdOK_Click()
Dim sNewPgn As String
Dim sOldPgn As String
Dim sFileName As String
Dim lCount As Long
Dim lStart As Long
Dim lEnd As Long

On Error GoTo ErrorHandler

Screen.MousePointer = vbHourglass


Select Case sAction2
    Case "Event"    'When links to all games from an event is inserted into a magazine.
        With lboEvents
            For lCount = 0 To .ListCount - 1
                If .Selected(lCount) = True Then
                    sAction2 = objPgnFile.EventList(lCount + 1)
                    Exit For
                End If
            Next
        End With
        Set objPgnFile = Nothing
    
'When some games are inserted into a magazine either as links or static games
'or for overview diagrams.
    Case "somegames", "overview"
        sAction2 = Empty
        For lCount = 0 To lboGames.ListCount - 1
            If lboGames.Selected(lCount) Then
                If Len(sAction2) = 0 Then
                    sAction2 = lCount + 1
                Else
                    sAction2 = sAction2 & "," & lCount + 1
                End If
            End If
        Next
    
    Case Else 'Selection of games when not a magazine.
        Call LoadTextFile(objPgnFile.FilePath, sOldPgn)
        For lCount = 0 To lboGames.ListCount - 1
            If lboGames.Selected(lCount) Then
                lStart = objPgnFile.FromPos(lCount + 1)
                lEnd = objPgnFile.ToPos(lCount + 1)
                sNewPgn = sNewPgn & Mid$(sOldPgn, lStart, lEnd - lStart - 1) & vbNewLine
            End If
        Next

        'Save selected games as new file
        Call SaveFileAs(sNewPgn, "pgn")
        'Collections used for parsing the original
        'pgn file are set to nothing to save memory.
        
        With cWebPages(lAW)
            sOldPgn = .PgnFiles(lAP).FilePath
            sFileName = Dir(sOldPgn)
            Set objPgnFile = Nothing
            .PgnFiles.Remove (lAP)
            .PgnFiles.Add sFileName, sFileName
            lAP = .PgnFiles.Count
            .PgnFiles(lAP).FilePath = sOldPgn
            .PgnFiles(lAP).PgnDir = ReturnDir(sOldPgn) & "\"
            .MultiplePgn = False
        End With
End Select

Screen.MousePointer = vbDefault
Unload Me
fMainForm.SetFocus

Exit Sub
ErrorHandler:
Screen.MousePointer = vbDefault
MsgBox Err.Description & vbNewLine & "Unexpected error in procedure cmdOK_Click, frmPgnHandler.", vbCritical, "Error"
End Sub


Private Sub Form_Load()

Dim lCount As Long
Dim sGame As String


On Error GoTo ErrorHandler

'This form may be used either when we
'create a webpage project or when just handling
'pgn files. In either case we address different
'pgn file classes, so we use the variable
'"objPgnFile" to cut down on code size.


If sAction = "WebPage" Then
    Set objPgnFile = cWebPages(lAW).PgnFiles(lAP)
Else
    Set objPgnFile = cWebPages(sAction).PgnFiles(1)
End If

Screen.MousePointer = vbHourglass

If sAction2 = "Event" Then
    lboGames.Visible = False
    lblGames.Caption = "Select event. Only games with pgn-tags that match exactly will be included."
    With objPgnFile
        For lCount = 1 To .EventList.Count
            sGame = Empty
            If lCount < 10 Then
                sGame = Space(2)
            End If
            sGame = sGame & .EventList(lCount)
            lboEvents.AddItem sGame
        Next
    End With
Else
    lboEvents.Visible = False
    With objPgnFile
        For lCount = 1 To .GameNumbers.Count
            sGame = Empty
            If lCount < 10 Then
                sGame = Space(2)
            End If
            
            sGame = sGame & .GameNumbers(lCount) & ". " & .WhitePlayers(lCount) _
            & Space(2) & "-" & Space(2) & .BlackPlayers(lCount) & Space(2) & .Results(lCount)
            lboGames.AddItem sGame
        Next
    End With
End If

If sAction2 = "somegames" Or sAction2 = "overview" Then
    lblGames.Caption = "Select games"
End If

Screen.MousePointer = vbDefault
Exit Sub
ErrorHandler:
Screen.MousePointer = vbDefault
MsgBox Err.Description & vbNewLine & "Unexpected error loading form PgnHandler.", vbCritical, "Error"
End Sub

Private Sub DisplayHelp()

On Error Resume Next

sHelpUrl = App.path & "\help\" & "pgnfiles.htm#selecting"
Me.Hide
Call ShowHelp(sHelpUrl)
Me.Show vbModal, fMainForm

End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    DisplayHelp
End If
End Sub

Private Sub lboGames_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    DisplayHelp
End If
End Sub
