VERSION 5.00
Begin VB.Form frmTable 
   Caption         =   "Table Properties"
   ClientHeight    =   5295
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7470
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5295
   ScaleWidth      =   7470
   StartUpPosition =   1  'CenterOwner
   Begin VB.Frame frTableWidth 
      Caption         =   "Chess Board Table Width"
      Height          =   1365
      Left            =   210
      TabIndex        =   11
      Top             =   3690
      Width           =   4065
      Begin VB.TextBox txtTableWidth 
         Alignment       =   2  'Center
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   360
         Left            =   150
         TabIndex        =   13
         Top             =   900
         Width           =   675
      End
      Begin VB.Label lblTableWidth 
         Caption         =   "Width of table containing chess board. Accepted values are 75-100."
         Height          =   525
         Left            =   150
         TabIndex        =   12
         Top             =   300
         Width           =   3615
      End
   End
   Begin VB.Frame frPadding 
      Caption         =   "Padding"
      Height          =   1515
      Left            =   210
      TabIndex        =   4
      Top             =   1950
      Width           =   7005
      Begin VB.PictureBox picSpace 
         BackColor       =   &H000000FF&
         BorderStyle     =   0  'None
         Height          =   315
         Left            =   1950
         ScaleHeight     =   315
         ScaleWidth      =   705
         TabIndex        =   9
         Top             =   960
         Width           =   705
      End
      Begin VB.CommandButton cmdUp 
         Caption         =   ">"
         Height          =   315
         Left            =   1200
         TabIndex        =   8
         Top             =   930
         Width           =   375
      End
      Begin VB.CommandButton cmdDown 
         Caption         =   "<"
         Height          =   315
         Left            =   150
         TabIndex        =   7
         Top             =   930
         Width           =   375
      End
      Begin VB.TextBox txtPadding 
         Alignment       =   2  'Center
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   315
         Left            =   510
         TabIndex        =   6
         Top             =   930
         Width           =   675
      End
      Begin VB.Label lblPaddingText 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Text"
         Height          =   315
         Left            =   2670
         TabIndex        =   10
         Top             =   960
         Width           =   615
      End
      Begin VB.Label lblPadding 
         Caption         =   "Padding is the space in pixels between game move text and the chess board table. Shown below in red."
         Height          =   945
         Left            =   150
         TabIndex        =   5
         Top             =   330
         Width           =   6615
      End
   End
   Begin VB.CommandButton cmdColor 
      Caption         =   "Background Color"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   210
      TabIndex        =   3
      ToolTipText     =   "Table background color"
      Top             =   1320
      Width           =   1755
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   4770
      TabIndex        =   1
      Top             =   4680
      Width           =   1065
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   6120
      TabIndex        =   0
      Top             =   4680
      Width           =   1065
   End
   Begin VB.Label lblBGColor 
      Height          =   375
      Left            =   2190
      TabIndex        =   14
      ToolTipText     =   "Active Table Background Color"
      Top             =   1320
      Width           =   825
   End
   Begin VB.Label lblTable 
      Height          =   855
      Left            =   210
      TabIndex        =   2
      Top             =   240
      Width           =   7005
   End
End
Attribute VB_Name = "frmTable"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim iSpace As Integer   'Table padding. When OK'ed the property is set to iSpace.

Private Sub Form_Load()

lblTable.Caption = "The chess board is usually put in an HTML table of its own, " & _
"and likewise the pgn text moves. This depends on the basic layout. " & _
"Some table properties can be controlled from this form."

txtPadding.Text = cLayouts(lAL).Ini1.Padding
iSpace = cLayouts(lAL).Ini1.Padding

picSpace.Width = picSpace.ScaleX(iSpace, 3, 1)
lblPaddingText.Left = picSpace.Left + picSpace.Width
txtTableWidth.Text = cLayouts(lAL).Ini1.TableWidth

'The current table background color is copied to sCurrentColor.
'Then it will show if background color is selected.
'A colorchange will not be effective until OK is clicked.
'sCurrentColor = cLayouts(lAL).Ini3.TableBGColor
BGColorupdate
End Sub
Sub BGColorupdate()
'Sets the background color of the label for table background color

Dim sColor As String
Dim iR As Integer   'Red RGBvalue
Dim iG As Integer   'Green RGBvalue
Dim iB As Integer   'Blue RGBvalue

sColor = ColorImportConvert(sCurrentColor)
sColor = Right$(sColor, 6)
'The first pair in the hex code is converted into an RGB integer
iR = HexToRgb(Left$(sColor, 2))
'The second pair
iG = HexToRgb(Mid$(sColor, 3, 2))
'and the third
iB = HexToRgb(Right$(sColor, 2))
'The small square on the form displays the selected color
lblBGColor.BackColor = RGB(iR, iG, iB)

End Sub
Private Sub cmdCancel_Click()
Unload Me
End Sub

Private Sub cmdColor_Click()
sAction = "Select Table Background Color"
frmColor.Show vbModal
End Sub

Private Sub cmdOK_Click()

Dim icount As Integer

'If sCurrentColor <> cLayouts(lAL).Ini3.TableBGColor Then
'    cLayouts(lAL).Ini3.TableBGColor = sCurrentColor
'    For icount = 0 To Forms.Count - 1
'        If Forms(icount).Name = "frmPgnText" Then
'            'frmPgnText.BgColor
'        End If
'    Next
'End If

If cLayouts(lAL).Ini1.TableWidth <> Val(txtTableWidth.Text) Then
    cLayouts(lAL).Ini1.TableWidth = Val(txtTableWidth.Text)
End If

'This will be obsolete. Padding has no meaning when we use CSS.
'Or rather the property will probably be a CSS property instead.
If cLayouts(lAL).Ini1.Padding <> Val(txtPadding.Text) Then
    cLayouts(lAL).Ini1.Padding = Val(txtPadding.Text)
End If


sCurrentColor = Empty
Unload Me

End Sub

Private Sub cmdDown_Click()
If iSpace = 0 Then Exit Sub
txtPadding.Text = iSpace - 1
iSpace = iSpace - 1
If iSpace = 0 Then
    picSpace.Visible = False
End If
picSpace.Width = picSpace.ScaleX(iSpace, 3, 1)
lblPaddingText.Left = picSpace.Left + picSpace.Width
End Sub

Private Sub cmdUp_Click()

If iSpace = 250 Then
    MsgBox "Are you kidding? - Well, it is up to you, but we show up to 249 only.", , "Padding"
End If
txtPadding.Text = iSpace + 1
iSpace = iSpace + 1
picSpace.Visible = True
If iSpace >= 250 Then Exit Sub
picSpace.Width = picSpace.ScaleX(iSpace, 3, 1)
lblPaddingText.Left = picSpace.Left + picSpace.Width
End Sub

Private Sub txtPadding_KeyPress(KeyAscii As Integer)
'Accepts only numbers, delete and backspace

If KeyAscii = 8 Then Exit Sub   'Exit if backspace

If KeyAscii < Asc("0") Or KeyAscii > Asc("9") Then
    KeyAscii = 0
End If
End Sub

Private Sub txtPadding_KeyUp(KeyCode As Integer, Shift As Integer)
iSpace = Val(txtPadding.Text)
If iSpace >= 250 Then
    MsgBox "Are you kidding? - Well, it is up to you, but we show up to 249 only.", , "Padding"
    picSpace.Width = picSpace.ScaleX(249, 3, 1)
    lblPaddingText.Left = picSpace.Left + picSpace.Width
    Exit Sub
End If
picSpace.Width = picSpace.ScaleX(iSpace, 3, 1)
lblPaddingText.Left = picSpace.Left + picSpace.Width
If iSpace > 0 Then
    picSpace.Visible = True
Else
    picSpace.Visible = False
End If
End Sub

Private Sub txtTableWidth_KeyPress(KeyAscii As Integer)
'Accepts only numbers, delete and backspace

If KeyAscii = 8 Then Exit Sub   'Exit if backspace

If KeyAscii < Asc("0") Or KeyAscii > Asc("9") Then
    KeyAscii = 0
End If

End Sub

Private Sub txtTableWidth_LostFocus()
If Val(txtTableWidth.Text) < 75 Or Val(txtTableWidth.Text) > 100 Then
    MsgBox "The chess board table width must be a number from 75 to 100.", , "Illegal width"
    txtTableWidth.Text = cLayouts(lAL).Ini1.TableWidth
    txtTableWidth.SetFocus
End If
End Sub
