VERSION 5.00
Begin VB.Form frmVarious 
   Caption         =   "Miscellaneous Options"
   ClientHeight    =   3960
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7050
   Icon            =   "frmVarious.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3960
   ScaleWidth      =   7050
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   4797
      TabIndex        =   14
      Top             =   3480
      Width           =   950
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   5880
      TabIndex        =   13
      Top             =   3480
      Width           =   950
   End
   Begin VB.Frame Frame3 
      Caption         =   "Table holding chess board and moves"
      Height          =   1455
      Left            =   3600
      TabIndex        =   7
      Top             =   150
      Width           =   3200
      Begin VB.TextBox txtPadding 
         Height          =   315
         Left            =   150
         TabIndex        =   10
         Top             =   900
         Width           =   525
      End
      Begin VB.TextBox txtTableWidth 
         Height          =   315
         Left            =   150
         TabIndex        =   8
         Text            =   "100"
         Top             =   360
         Width           =   525
      End
      Begin VB.Label lblPadding 
         Caption         =   "Cellpadding"
         Height          =   345
         Left            =   780
         TabIndex        =   11
         Top             =   960
         Width           =   2055
      End
      Begin VB.Label lblTableWidth 
         Caption         =   "Width of table holding chess board and move text. 75-100%"
         Height          =   495
         Left            =   780
         TabIndex        =   9
         Top             =   330
         Width           =   2355
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "Iframe width"
      Height          =   1455
      Left            =   150
      TabIndex        =   5
      Top             =   150
      Width           =   3200
      Begin VB.TextBox txtIframeWidth 
         Height          =   315
         Left            =   120
         TabIndex        =   15
         ToolTipText     =   "Write Number"
         Top             =   900
         Width           =   525
      End
      Begin VB.Label Label1 
         Caption         =   "Set the width of the Iframe in pixels. Accepted range 200-1000. Default 300."
         Height          =   465
         Left            =   120
         TabIndex        =   6
         Top             =   300
         Width           =   2955
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Technical"
      Height          =   1935
      Left            =   150
      TabIndex        =   0
      Top             =   1770
      Width           =   3200
      Begin VB.OptionButton optScriptLoc 
         Caption         =   "Place script in <BODY>"
         Enabled         =   0   'False
         Height          =   345
         Index           =   1
         Left            =   150
         TabIndex        =   4
         Top             =   1380
         Width           =   2500
      End
      Begin VB.OptionButton optScriptLoc 
         Caption         =   "Place script in <HEAD>"
         Enabled         =   0   'False
         Height          =   345
         Index           =   0
         Left            =   150
         TabIndex        =   3
         Top             =   1050
         Width           =   2500
      End
      Begin VB.CheckBox chkTechnical 
         Caption         =   "Use SSI (Server Side Includes)"
         Height          =   345
         Index           =   1
         Left            =   150
         TabIndex        =   2
         Top             =   270
         Width           =   2500
      End
      Begin VB.CheckBox chkTechnical 
         Caption         =   "Put JavaScript in separate file"
         Height          =   345
         Index           =   0
         Left            =   150
         TabIndex        =   1
         Top             =   600
         Width           =   2500
      End
   End
   Begin VB.Label lblHelp 
      ForeColor       =   &H00C00000&
      Height          =   1455
      Left            =   3600
      TabIndex        =   12
      Top             =   1890
      Width           =   3200
      WordWrap        =   -1  'True
   End
End
Attribute VB_Name = "frmVarious"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Text
Option Explicit
Dim sHelpUrl As String

Private Sub cmdCancel_Click()
Unload Me

End Sub

Private Sub Form_Load()

On Error GoTo ErrorHandler

With cLayouts(lAL)
    
    If .Ini2.HtmlType = "batch" And .Ini2.CrossLink = "off" Then
        .Ini2.JsFile = "off"
        chkTechnical(0).Enabled = False
    End If
    
    chkTechnical(0).Value = lOnOff(.Ini2.JsFile)
    
    If chkTechnical(0).Value = vbUnchecked Then
        optScriptLoc(0).Enabled = True
        optScriptLoc(1).Enabled = True
    End If
    
    chkTechnical(1).Value = lOnOff(.Ini2.Ssi)
    
    If .Ini2.ScriptLoc = "body" Then
        optScriptLoc(1).Value = True
    Else
        optScriptLoc(0).Value = True
    End If
    
    txtPadding.Text = .Ini1.Padding
    txtTableWidth.Text = .Ini1.TableWidth
End With

If Len(txtTableWidth.Text) = 0 Then
    txtTableWidth.Text = "100"
End If

lblHelp.Caption = "Want help? - Select an item and press F1"

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error loading form", vbCritical, "Error"
End Sub
Private Sub cmdOK_Click()

Dim fForm As Form
Dim sFileName As String

On Error GoTo ErrorHandler

'Value checks
'Iframe width lower range
With txtIframeWidth
    If Len(.Text) > 0 And Val(.Text) < 200 Then
        MsgBox "Accepted range for Iframe width is 200-1000", vbInformation, "Iframe Width"
        .Text = "200"
        Exit Sub
    End If
End With

'Table width lower range
With txtTableWidth
    If Val(.Text) < 75 And Len(.Text) > 0 Then
        MsgBox "Accepted range for table width is 75-100%", vbInformation, "Table Width"
        .Text = "75"
        Exit Sub
    End If

    'Table width upper range
    If Val(.Text) > 100 Then
        MsgBox "Palview can do almost anything, but your browser fill find it " & _
        "difficult to show a table that is wider than the page! " & _
        "Accepted range is 75-100%", vbInformation, "Table Width"
        .Text = "100"
        Exit Sub
    End If
End With

'Iframe width
With txtIframeWidth
    If Len(.Text) > 0 Then
        cLayouts(lAL).Ini1.IframeWidth = Val(.Text)
    Else
        cLayouts(lAL).Ini1.IframeWidth = Empty
    End If
End With

'SSI
cLayouts(lAL).Ini2.Ssi = sOnOff(chkTechnical(1).Value)

'JavaScript in separate file or not
cLayouts(lAL).Ini2.JsFile = sOnOff(chkTechnical(0).Value)

If chkTechnical(0).Value = vbChecked Then
    For Each fForm In Forms
        If fForm.Caption = "Webpage " & lAW Then
            sFileName = cWebPages(lAW).HtmlFileNames(1)
            sFileName = Left$(sFileName, Len(sFileName) - 4) & ".js"
            fForm.txtJsUpload.Text = sFileName
        End If
    Next
End If

If chkTechnical(0).Value = 0 Then
    If optScriptLoc(0).Value = True Then
        cLayouts(lAL).Ini2.ScriptLoc = "head"
    Else
        cLayouts(lAL).Ini2.ScriptLoc = "body"
    End If
End If

If Len(txtTableWidth.Text) > 0 Then
    cLayouts(lAL).Ini1.TableWidth = Val(txtTableWidth.Text)
Else
    cLayouts(lAL).Ini1.TableWidth = 100
End If

If Len(txtPadding.Text) > 0 Then
    cLayouts(lAL).Ini1.Padding = Val(txtPadding.Text)
Else
    cLayouts(lAL).Ini1.Padding = Empty
End If

Unload Me

Exit Sub
ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error setting selected options.", vbCritical, "Error"
Unload Me
End Sub

Private Sub chkTechnical_Click(Index As Integer)
Dim vAnswer
Dim lRefresh As Long

On Error GoTo ErrorHandle

If chkTechnical(0).Value = vbChecked Then
    optScriptLoc(0).Enabled = False
    optScriptLoc(1).Enabled = False
    lRefresh = cLayouts(lAL).Ini1.RefreshTime
    If lRefresh > 0 Then
        vAnswer = MsgBox("The page's refreshtime is set to " & lRefresh & ". This " & _
        "is used for live pages only, and pages for live coverage cannot use a " & _
        "separate JavaScript. Do you want PalMate to set Refreshtime to zero and put " & _
        "the script in a separate file?", vbYesNo, "Set refreshtime to zero?")
        If vAnswer = vbYes Then
            cLayouts(lAL).Ini1.RefreshTime = 0
        Else
            chkTechnical(0).Value = vbUnchecked
        End If
    End If
Else
    optScriptLoc(0).Enabled = True
    optScriptLoc(1).Enabled = True
End If
Exit Sub
ErrorHandle:
MsgBox Err.Description & vbNewLine & "Procedure chkTechnical_Click", vbCritical, "Error"
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = Empty
End Sub

Private Sub Frame1_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "If SSI (Server Side Includes) is on, Palview will suppress all HTML, HEAD and " & _
"BODY tags allowing you to include the page dynamically. See the documentation!" & vbNewLine & vbNewLine & _
"The JavaScript can be in a separate JS-file or in the HTML (HEAD or BODY)."
End Sub

Private Sub Frame2_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "Here you can set the width of the Iframe. Default is 300, " & _
"but up to 500 is usually safe. See the help and preview!"
End Sub

Private Sub Frame3_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
lblHelp.Caption = "Most single-page styles have a table with two cells: a cell to the left with " & _
"the chess board and a cell to the right holding the game's move text. " & _
"You can control the table's cellpadding and the overall width in percent of the page width."
End Sub

Private Sub txtIframeWidth_Change()
If Val(txtIframeWidth.Text) > 1000 Then
    txtIframeWidth.Text = Left$(txtIframeWidth.Text, 3)
End If
End Sub

Private Sub txtIframeWidth_KeyPress(KeyAscii As Integer)
If KeyAscii = 8 Then Exit Sub
If KeyAscii < 48 Or KeyAscii > 57 Then KeyAscii = 0
End Sub

Private Sub txtPadding_Change()
If Val(txtPadding.Text) > 400 Then
    MsgBox "Accepted range for cell padding is 0-400", vbInformation, "Cell Padding"
    txtPadding.Text = "400"
End If
End Sub

Private Sub txtPadding_KeyPress(KeyAscii As Integer)
If KeyAscii = 8 Then Exit Sub
If KeyAscii < 48 Or KeyAscii > 57 Then KeyAscii = 0
End Sub

Private Sub txtTableWidth_KeyPress(KeyAscii As Integer)
If KeyAscii = 8 Then Exit Sub
If KeyAscii < 48 Or KeyAscii > 57 Then KeyAscii = 0
End Sub

Private Sub txtTableWidth_LostFocus()
If Val(txtTableWidth.Text) < 75 Then
    txtTableWidth.Text = "75"
    lblHelp.Caption = "Values below 75 are not accepted."
End If
If Val(txtTableWidth.Text) > 100 Then
    txtTableWidth.Text = "100"
    lblHelp.Caption = "100% is maximum"
End If

End Sub

Private Sub DisplayHelp()

On Error GoTo ErrorHandler

Me.Hide
Call ShowHelp(sHelpUrl)
Me.Show vbModal, fMainForm

Exit Sub

ErrorHandler:
MsgBox Err.Description & vbNewLine & _
"Error displaying help.", vbCritical, "Error"

End Sub

Private Sub chkTechnical_KeyUp(Index As Integer, KeyCode As Integer, Shift As Integer)

If KeyCode = vbKeyF1 Then
    If Index = 0 Then
        sHelpUrl = sPathPalManual & "ini" & sDelim & "jsfile.htm"
    Else
        sHelpUrl = sPathPalManual & "ini" & sDelim & "ssi.htm"
    End If
    DisplayHelp
End If
End Sub

Private Sub optScriptLoc_KeyUp(Index As Integer, KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = sPathPalManual & "ini" & sDelim & "scriptloc.htm"
    DisplayHelp
End If
End Sub

Private Sub txtPadding_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = sPathPalManual & "ini" & sDelim & "padding.htm"
    DisplayHelp
End If
End Sub

Private Sub txtTableWidth_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = sPathPalManual & "ini" & sDelim & "tablewidth.htm"
    DisplayHelp
End If
End Sub
Private Sub txtIframeWidth_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    sHelpUrl = sPathPalManual & "ini" & sDelim & "iframewidth.htm"
    DisplayHelp
End If
End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
If KeyCode = vbKeyF1 Then
    MsgBox "To get help click on a subject and press F1.", vbInformation, ""
End If
End Sub

